# Web Core - Common styles package

This is the changelog for the @bci-web-core/common-styles package.

## 7.0.1 (14.12.2023)

### Bug Fixes

- Removed additional commandbar styling since it is not required anymore. ([362108](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/362108))

## 7.0.0 (20.11.2023)

### Info

- For more information about the major release please visit our Extended Changelog([ExtendedChangelog](https://inside-docupedia.bosch.com/confluence/x/UmsFu))

### Breaking Changes

- Variables font-size-tiny, font-size-medium and font-size-extra-large are removed, and are migrated to small, medium or large wherever required.([335909](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/335909))

### Features

- MDC Components migration ([327523](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/327523))
  - Buttons ([335812](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/335812))
- Updated Bosch Icon Font to 2.11 ([361977](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/361977))
  - bosch-ic-air-condition-swing-horizontal was renamed to bosch-ic-air-condition-spot-vertical-airflow-swing
  - bosch-ic-air-condition-swing-vertical was renamed to bosch-ic-air-condition-horizontal-swing
  - removed bosch-ic-common-rail-injector-crii3 icon
- Added additional styling for the commandbar to be compliant with the [Brandguide](https://brandguide.bosch.com/document/118#/design-patterns/command-bar-bci) ([361078](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/361078))

### Deprecations

- Buttons mixins ([364968](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/364968))
  - make-primary-button-large,make-primary-button-small,make-primary-button-xsmall,make-secondary-button-large,make-secondary-button-small,make-secondary-button-xsmall,make-tertiary-button-large,make-tertiary-button-small,make-tertiary-button-xsmall,make-value-modificator-button-large,make-value-modificator-button-small,make-value-modificator-button-xsmall
- Links mixins ([364968](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/364968))
  - make-link-button-large,make-link-button-small
- Toggle mixins and variables ([335445](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/335445))
  - there is no replacement
  - including the mixins make-toggle-bar-base, make-toggle-bar-active, make-toggle-thumb-container-base, make-toggle-thumb-container-active, make-toggle-thumb-base, make-toggle-thumb-active, make-toggle-activated-disabled-background, make-toggle-activated-disabled-foreground, make-toggle-deactivated-disabled-background, make-toggle-deactivated-disabled-foreground, make-toggle-ripple, ake-toogle-unchecked-focus-state, make-toogle-checked-focus-state, make-toggle-hover-active-state-on-label-unchecked and make-toggle-hover-active-state-on-label-checked
  - including the variables slide-toggle-deactivated-color, slide-toggle-deactivated-color-hover, slide-toggle-deactivated-color-active ,slide-toggle-activated-color, slide-toggle-activated-color-hover, slide-toggle-activated-color-active, slide-toggle-thumb-color, slide-toggle-activated-thumb-color-disabled,slide-toggle-deactivated-thumb-color-disabled, slide-toggle-activated-color-disabled and slide-toggle-deactivated-color-disabled

## 6.4.0 (18.10.2023)

### Bug Fixes

- Input: Readonly border color is now black ([327041](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/327041))
- Button
- Change justify-content property value from 'start' to 'center'
  - Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
    - primary button disabled styles
    - secondary button hover and disabled styles
    - tertiary button disabled styles
    - integrated button hover, active and disabled styles

## 6.3.0 (23.08.2023)

### Bug Fixes

- Button - fix alignement for icon with label in firefox ([342314](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/342314))
- Link - Fix focus state of anchor tag in different browsers ([345396](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/345396))

## 6.2.0 (14.07.2023)

### Features

- Tailwind CSS - Add BCI tailored tailwind configuration. Can be imported into tailwind configuration in the [presets option](https://inside-docupedia.bosch.com/confluence/display/WC/Tailwind+CSS).

## 6.1.0 (23.06.2023)

### Features

- Complex Filter - Style changes for highlighted text ([282180](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/282180))
- Badge - Fix badge styling ([326579](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/326579))

### Bug Fixes

- Table - Add style for selected state for striped rows, columns ([321206](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/321206))

## 6.0.0 (26.05.2023)

### Breaking Changes

- Typography ([324134](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/324134)) ([319176](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/319176))
  - Heading sizes & margins: Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Headings are now always bold

### Features

- To use a paragraph with the correct margin and large tex (Text L) you can use the new class p-large ([324134](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/324134)) ([319176](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/319176))

### Bug Fixes

- Fix for buttons staying in focused state after they are clicked

### Deprecations

- Typography ([324134](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/324134)) ([319176](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/319176))
  - variables for font-size-tiny, font-size-medium and font-size-extra-large are deprecated, please migrate to small, medium or large

## 5.1.0 (19.05.2023)

### Bug Fixes

- Switch (Toggle): added focus state styling ([317193](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/317193)) ([319364](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/319364))
- Form Field Placeholder : Fix the extra margin to the left of placeholder ([317193](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/317193))

## 5.0.0 (18.04.2023)

### Info

- Please check out the extended Changelog for more information ([Extended Changelog](https://inside-docupedia.bosch.com/confluence/display/WC/%5BDraft%5D+Web+Core+15%3A+Extended+Changelog))

### Breaking Changes

- Renamed $gridSize variable to $grid-size ([272932](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272932))
- Removed \_old_colors.scss ([283554](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/283554)) ([283555](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/283555))
  - Please use from now on the new colors provided via the colors.scss

### Features

- Added Flex-layout global stylings for picklist ([289337](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/289337))
- Change placeholder color to black with opacity of 0.5 ([312704](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/312704))
- Style Changes for value modificator ([311958](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/311958))

### Bug Fixes

- Fix style for mat icons inline with text ([311911](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/311911))

## 4.11.0 (31.03.2023)

### Features

- Select: Added Global stylings for the select. These will be used in the bci-select and the DateTimeRangePicker. ([313377](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/313377))

### Bug Fixes

- Styling Value modificator buttons: corrected hover state ([312926](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/312926)) ([312965](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/312965))

### Bug Fixes

Value Modificator styling: corrected line height ([283562](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/283562/)) ([305236](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/305236/))

## 4.10.0 (03.03.2023)

### Info

The Web Core development home on ADO has changed on 22.02.2023

Please visit [our Docupedia page](https://inside-docupedia.bosch.com/confluence/x/mpOIIw) to find the new location in Nx_Foundation.

### Bug Fixes

- List: exclude mdc-list from list styling ([304573](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/304573))
- Buttons: fix styling for icon with label and only icon ([306504](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/306504))

## 4.9.1 (31.01.2023)

### Bug Fixes

- Removed Bosch Global Fonts ([299140](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/299140)) ([299332](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/299332))
- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - fix styling for search-input class ([297986](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/297986))
  - fix wrong alignment of the square for unordered lists ([296872](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296872))

## 4.9.0 (27.01.2023)

### Bug Fixes

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - fix styling for list with multiline content ([296872](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296872))
  - fix styling for link inside a callout ([297283](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/297283))

## 4.8.0 (19.01.2023)

### Features

- Updated Bosch Fonts ([296102](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/296102))

### Bug Fixes

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Buttons with Icons disabled color changed ([295922](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/295922))

## 4.7.0 (11.01.2023)

### Features

- Updated Bosch Icon Font ([263098](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/263098))
  - updated to version 2.900
  - bosch-ic-gun icon was renamed to bosch-ic-gun-magnifier

### Bug Fixes

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Paginator ([282558](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/282558))
  - Integrated Button disabled color code change ([282558](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/282558))
  - Table: Removed opacity from selected row hover color ([282558](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/282558))

## 4.6.0 (14.12.2022)

### Bug Fixes

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Table: Fix divider color ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286707](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286707))
  - Chip: Fix chip height ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840))
  - Font Weight: General font weight is 400, now using everywhere mixin make-font-regular, except an other font weight is intended ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286805](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286805))
  - Scrollbar ([281840](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/281840)) ([286801](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/286801))

## 4.5.0 (24.11.2022)

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - List: Align marker and text inline ([279539](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/279539))

### Bug Fixes

- Remove underline on hover,active states for `<a>` tag with route navigation ([280732](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/280732))

## 4.4.0

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - MasterDetail List: Changes for adding styles for hover, active, pressed states similar to dropdown ([272713](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272713))
- Added padding on all scrollbars, except for the sidebar scrollbar ([269577](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/269577))

## 4.3.0

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - List: Removed duplicate styles ([268655](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268655)) ([272770](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/272770))

### Bug Fixes

- Corrected color code for boschGreen45 ([268655](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268655)) ([276207](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/276207))

## 4.2.0

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Commandbar ([225372](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225372))
  - Navigation Banner ([265538](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/265538))
    - Adapted responsive behaviour similar to Header
  - Button: focus style is now the same like the hover style ([268654](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/268654))
  - Input ([265538](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/265538))
    - Fixed styling for placeholder color

## 4.1.0

### Breaking Changes

- bosch-ic-wind-vane was renamed to bosch-ic-wind-vane-moderate

### Features

- Updated Bosch icon-font ([263098](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/263098))
- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Anchor tag similar to default link ([238795](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/238795))
  - Chip List ([263167](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/238795))
  - Input ([260067](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/260067))
  - Switch ([260067](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/260067))

## 4.0.0

### Info

- Please check out the extended Changelog for more information ([Extended Changelog](https://inside-docupedia.bosch.com/confluence/display/WC/Web+Core+14%3A+Extended+Changelog))

### Breaking Changes

- Added new colors of Bosch DDS ([216064](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/216064))
  - currently the old colors are available through a shim inside the file old_colors.scss
- removed nav-divider mixin and file (\_nav-divider.scss) because it is not used anymore ([214706](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/214706))
- removed gradient-pair-variations from colors, text gradients and background gradients because they were not used anymore ([222402](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/222402))

### Deprecations

- Button Stylings for large (lg), small (sm), xsmall (xs) are deprecated. Please migrate to primary, secondary and tertiary button directives from Web Core ([251685](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/251685))
- old colors (file old_colors.scss) are deprecated ([216064](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/216064))

### Features

- Adapted styles to the Bosch Digital Design System ([BDDS](https://brandguide.bosch.com/document/221))
  - Dropdown ([216991](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/216991))
  - Button ([238793](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/238793))
  - Textfield, Value modifiers, labels and placeholder ([217175](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/217175))
  - Supergraphic ([225379](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225379))
  - Notification (formerly callout) and Notification banner ([214312](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/214312)) ([252552](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/257552))
  - Breadcrumbs ([223392](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/223392))
  - Pagination ([214313](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/214313))
  - Badge ([214700](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/214700))
  - Checkbox ([214725](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/214725))
  - Switch toggle ([213874](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/213874)) ([251685](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/251685))
  - Activity indicator ([211253](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/211253))
  - Radiobutton ([213899](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/213899))
  - Dialog ([225340](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225340))
  - Link button and removed animation ([215936](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/215936))
  - Chips ([214311](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/214311))
- Added styles for tertiary button ([215936](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/215936))
- Added styles for integrated button ([245305](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/245305))
- Added Secondary Background styles for Input Chip List ([248085](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/245305))
- Added new font-size xl large ([225340](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/225340))
- Removed hover states on Breadcrumb with no link ([252183](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/252183))
- Corrected one wrong turquoise color code ([227350](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/227350))
- Added styles for html list (li and ul tag) ([216993](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/216993))
- Added dedicated styles for value modificator button ([214345](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/214345)) ([252552](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/257552))

### Bug Fixes

- Added `CHANGELOG.MD` file to dist folder ([114411](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/114411))
- Update favicon ([252165](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/252165))

## 3.0.0

### Breaking Changes

- bosch-ic-spark was renamed to bosch-ic-spark-plug
- bosch ic-voice was renamed to bosch-ic-head-speaking-voice
- bosch-ic-brake-pedal-thump-up was renamed to bosch-ic-brake-pedal-thumb-up
- bosch-ic-car-battery-charging was renamed to bosch-ic-battery-car-3-plug

### Features

- updated Bosch icon-font ([227398](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/227398))
- Fix css attributes starting with uppercase characters ([215408](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/215408))

## 2.14.0

### Features

- tables have now default row stripes, use bciTableStripedColumns directive for column stripes ([170540])(https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/170540)
- updated Bosch icon-font ([197224](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/197224))
- Add class and variable definitions for newly added icons ([197224](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/197224))

## 2.13.0

### Features

- Removed not allowed mouse pointer on disabled input fields ([185319](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/185319))

## 2.12.0

### Features

- Add bosch sans condensed font ([177013](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/177013))

### Bug Fixes

- Rename page content padding class to avoid an overlap with an angular class ([177671](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/177671))

## 2.11.0

### Features

- Add responsive header sizes, line-heights and fixed desktop breakpoint definition ([158322](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/158322))
- Change font-weight for headings to 400 ([158322](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/158322))
- Change default line-height to 1.5 ([158322](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/158322))
- Increase callout font-size to 16px and decrease font-weight ([164122](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/164122))
- Increase scrollbar width to 6px ([164131](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/164131))
- Page content paddings update based on view port ([125319](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/125319))

## 2.10.0

### Features

- Add customizable font-family-names ([146677](https://dev.azure.com/bosch-bci/Nx_Foundation/_workitems/edit/146677))

## 2.9.0

### Features

- Updated to latest brandguide colors ([149068](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/149068)).

## 2.8.1

### Bug Fixes

- Removed duplicate glyph from bosch icon font.

## 2.8.0

### Features

- Updated bosch icon font to v2.4 ([144068](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/144068/))

## 2.7.2

### Bug Fixes

- Show text cursor for text input fields ([134311](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/134311))

## 2.7.1

### Bug Fixes

- add line-height to chips icon

## 2.7.0

### Features

- Implement ticket card / tile ([121623](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/121623))

### Bug Fixes

- Set menu scrollbar styles globally in common styles ([123655](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/123655))
- Set font-weight for checkbox labels to regular ([126876](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/126876))

## 2.6.0

### Features

- Add styles for toolbar ([122620](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/122620))

## 2.5.1

### Bug Fixes

- Update pagination styles and added support for ellipsis, wide numbers and mobile width ([118776](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/118776))

## 2.5.0

### Features

- Move badge styles to common-styles ([118611](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/118611))

### Bug Fixes

- Centered input text vertically by moving it down 1px ([123471](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/123471))

## 2.4.0

### Features

- Add placeholder selector for table stripes horizontal ([100261](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/100261))

## 2.3.0

### Features

- Added style mixins for Activity Indicator component
- Add Activity Indicator mixin to common-styles ([121034](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/121034))

### Bug Fixes

- Buttons have wrong padding ([119243](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/119243))
- Wrong icon names in common styles examples for alerts ([120264](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/120264))
- Correct search field icon color ([118187](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/118187))

## 2.2.0

### Features

- Added form field validation styles ([117681](https://dev.azure.com/bosch-bci/CoreDev/_workitems/edit/117681))
- Updated colors, spacing and height to make the HTML Tabs look more like the mat-tabs.

## 2.1.0

### Bugfixes

- Fixed highlight links text color for Mozilla Firefox
- Updated chip-height to 40px

### Features

- Updated styles for button and button group

## 2.0.1

### Features

- Added callouts mixin and styles file
- Updated default font size to 16px

### Bugfixes

- Fixed ngx-datatable styles for fixed columns

## 2.0.0

### Features

- Updated mixins and styles for buttons
- Updated mixin and styles for dropdown select input
- Added new $boschLighBlue color
- Updated mixins and styles for form fields (inputs, text areas, select boxes)
- Updated mixins and styles for chips
- Added numeric form field style

### Bugfixes

- Fixed callout paddings and font style
- Added and make use of font weight and size variables
- Add support for new naming convention on css classes '.bosch-ic'

## 1.2.2

### Features

- Added mixins for text skeletons for loading states
- Added styles for vertically striped tables

### Bugfixes

- Fixed generation of character map bosch-is.ts
- Fixed toggle button / switch spacings and colors
- Fixed mapping for legacy icons Bosch-Ic-arrow-end-left, -right and Bosch-Ic-information

## 1.2.1

### Features

- Generate icon maps from svg font file

## 1.2.0

### Bugfixes

- Fixed hover / active states of clickable element

### Features

- Added bosch icon font v2.3 from central departmant and removed old bci icon font. Hint: For backwards compatibility all old icon classnames and scss-variables are mapped to the new icon names. Please always use the lower-case icon names from now on.

## 1.1.0

### Features

- Added mixins for checkboxes, radiobuttons and switch
- Added bosch ic medium definition

## 1.0.15

### Features

- Updated icon font to add wishlist-add icon

## 1.0.14

### Features

- Fixed typo in logo name

## 1.0.13

### Features

- Replaced bosch logos with the new flat version of bosch anchor

## 1.0.12

### Features

- Reduced button padding according to latest styleguide.
- Fixed chip's close-button and alert's icon alignment.

## 1.0.11

### Features

- Proper alignment of Bosch icons with Bosch font type.

## 1.0.10

###Features

- Added changelog

### Bug fixes

- correct dialog backdrop color and blur #72718
