/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { _ as t, a as e, b as i } from "./p-c6808181.js";

import { M as a, m as n, a as o } from "./p-c5c53ac3.js";

/**
 * @license
 * Copyright 2019 Google Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
/**
 * Determine whether the current browser supports passive event listeners, and
 * if so, use them.
 */ function applyPassive(t) {
  return void 0 === t && (t = window), !!function(t) {
    void 0 === t && (t = window);
    // See
    // https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/addEventListener
        var e = !1;
    try {
      var i = {
        // This function will be called when the browser
        // attempts to access the passive property.
        get passive() {
          return e = !0, !1;
        }
      }, handler = function() {};
      t.document.addEventListener("test", handler, i), t.document.removeEventListener("test", handler, i);
    } catch (t) {
      e = !1;
    }
    return e;
  }
  /**
 * @license
 * Copyright 2016 Google Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */ (t) && {
    passive: !0
  };
}

var r, s = {
  // Ripple is a special case where the "root" component is really a "mixin" of sorts,
  // given that it's an 'upgrade' to an existing component. That being said it is the root
  // CSS class that all other CSS classes derive from.
  BG_FOCUSED: "mdc-ripple-upgraded--background-focused",
  FG_ACTIVATION: "mdc-ripple-upgraded--foreground-activation",
  FG_DEACTIVATION: "mdc-ripple-upgraded--foreground-deactivation",
  ROOT: "mdc-ripple-upgraded",
  UNBOUNDED: "mdc-ripple-upgraded--unbounded"
}, d = {
  VAR_FG_SCALE: "--mdc-ripple-fg-scale",
  VAR_FG_SIZE: "--mdc-ripple-fg-size",
  VAR_FG_TRANSLATE_END: "--mdc-ripple-fg-translate-end",
  VAR_FG_TRANSLATE_START: "--mdc-ripple-fg-translate-start",
  VAR_LEFT: "--mdc-ripple-left",
  VAR_TOP: "--mdc-ripple-top"
}, u = {
  DEACTIVATION_TIMEOUT_MS: 225,
  FG_DEACTIVATION_MS: 150,
  INITIAL_ORIGIN_SCALE: .6,
  PADDING: 10,
  TAP_DELAY_MS: 300
};

/**
 * @license
 * Copyright 2016 Google Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
// Activation events registered on the root element of each instance for activation
var p = [ "touchstart", "pointerdown", "mousedown", "keydown" ], c = [ "touchend", "pointerup", "mouseup", "contextmenu" ], l = [], v = /** @class */ function(a) {
  function MDCRippleFoundation(t) {
    var i = a.call(this, e(e({}, MDCRippleFoundation.defaultAdapter), t)) || this;
    return i.activationAnimationHasEnded = !1, i.activationTimer = 0, i.fgDeactivationRemovalTimer = 0, 
    i.fgScale = "0", i.frame = {
      width: 0,
      height: 0
    }, i.initialSize = 0, i.layoutFrame = 0, i.maxRadius = 0, i.unboundedCoords = {
      left: 0,
      top: 0
    }, i.activationState = i.defaultActivationState(), i.activationTimerCallback = function() {
      i.activationAnimationHasEnded = !0, i.runDeactivationUXLogicIfReady();
    }, i.activateHandler = function(t) {
      i.activateImpl(t);
    }, i.deactivateHandler = function() {
      i.deactivateImpl();
    }, i.focusHandler = function() {
      i.handleFocus();
    }, i.blurHandler = function() {
      i.handleBlur();
    }, i.resizeHandler = function() {
      i.layout();
    }, i;
  }
  return t(MDCRippleFoundation, a), Object.defineProperty(MDCRippleFoundation, "cssClasses", {
    get: function() {
      return s;
    },
    enumerable: !1,
    configurable: !0
  }), Object.defineProperty(MDCRippleFoundation, "strings", {
    get: function() {
      return d;
    },
    enumerable: !1,
    configurable: !0
  }), Object.defineProperty(MDCRippleFoundation, "numbers", {
    get: function() {
      return u;
    },
    enumerable: !1,
    configurable: !0
  }), Object.defineProperty(MDCRippleFoundation, "defaultAdapter", {
    get: function() {
      return {
        addClass: function() {},
        browserSupportsCssVars: function() {
          return !0;
        },
        computeBoundingRect: function() {
          return {
            top: 0,
            right: 0,
            bottom: 0,
            left: 0,
            width: 0,
            height: 0
          };
        },
        containsEventTarget: function() {
          return !0;
        },
        deregisterDocumentInteractionHandler: function() {},
        deregisterInteractionHandler: function() {},
        deregisterResizeHandler: function() {},
        getWindowPageOffset: function() {
          return {
            x: 0,
            y: 0
          };
        },
        isSurfaceActive: function() {
          return !0;
        },
        isSurfaceDisabled: function() {
          return !0;
        },
        isUnbounded: function() {
          return !0;
        },
        registerDocumentInteractionHandler: function() {},
        registerInteractionHandler: function() {},
        registerResizeHandler: function() {},
        removeClass: function() {},
        updateCssVariable: function() {}
      };
    },
    enumerable: !1,
    configurable: !0
  }), MDCRippleFoundation.prototype.init = function() {
    var t = this, e = this.supportsPressRipple();
    if (this.registerRootHandlers(e), e) {
      var i = MDCRippleFoundation.cssClasses, a = i.ROOT, n = i.UNBOUNDED;
      requestAnimationFrame((function() {
        t.adapter.addClass(a), t.adapter.isUnbounded() && (t.adapter.addClass(n), 
        // Unbounded ripples need layout logic applied immediately to set coordinates for both shade and ripple
        t.layoutInternal());
      }));
    }
  }, MDCRippleFoundation.prototype.destroy = function() {
    var t = this;
    if (this.supportsPressRipple()) {
      this.activationTimer && (clearTimeout(this.activationTimer), this.activationTimer = 0, 
      this.adapter.removeClass(MDCRippleFoundation.cssClasses.FG_ACTIVATION)), this.fgDeactivationRemovalTimer && (clearTimeout(this.fgDeactivationRemovalTimer), 
      this.fgDeactivationRemovalTimer = 0, this.adapter.removeClass(MDCRippleFoundation.cssClasses.FG_DEACTIVATION));
      var e = MDCRippleFoundation.cssClasses, i = e.ROOT, a = e.UNBOUNDED;
      requestAnimationFrame((function() {
        t.adapter.removeClass(i), t.adapter.removeClass(a), t.removeCssVars();
      }));
    }
    this.deregisterRootHandlers(), this.deregisterDeactivationHandlers();
  }, 
  /**
     * @param evt Optional event containing position information.
     */
  MDCRippleFoundation.prototype.activate = function(t) {
    this.activateImpl(t);
  }, MDCRippleFoundation.prototype.deactivate = function() {
    this.deactivateImpl();
  }, MDCRippleFoundation.prototype.layout = function() {
    var t = this;
    this.layoutFrame && cancelAnimationFrame(this.layoutFrame), this.layoutFrame = requestAnimationFrame((function() {
      t.layoutInternal(), t.layoutFrame = 0;
    }));
  }, MDCRippleFoundation.prototype.setUnbounded = function(t) {
    var e = MDCRippleFoundation.cssClasses.UNBOUNDED;
    t ? this.adapter.addClass(e) : this.adapter.removeClass(e);
  }, MDCRippleFoundation.prototype.handleFocus = function() {
    var t = this;
    requestAnimationFrame((function() {
      return t.adapter.addClass(MDCRippleFoundation.cssClasses.BG_FOCUSED);
    }));
  }, MDCRippleFoundation.prototype.handleBlur = function() {
    var t = this;
    requestAnimationFrame((function() {
      return t.adapter.removeClass(MDCRippleFoundation.cssClasses.BG_FOCUSED);
    }));
  }, 
  /**
     * We compute this property so that we are not querying information about the client
     * until the point in time where the foundation requests it. This prevents scenarios where
     * client-side feature-detection may happen too early, such as when components are rendered on the server
     * and then initialized at mount time on the client.
     */
  MDCRippleFoundation.prototype.supportsPressRipple = function() {
    return this.adapter.browserSupportsCssVars();
  }, MDCRippleFoundation.prototype.defaultActivationState = function() {
    return {
      activationEvent: void 0,
      hasDeactivationUXRun: !1,
      isActivated: !1,
      isProgrammatic: !1,
      wasActivatedByPointer: !1,
      wasElementMadeActive: !1
    };
  }, 
  /**
     * supportsPressRipple Passed from init to save a redundant function call
     */
  MDCRippleFoundation.prototype.registerRootHandlers = function(t) {
    var e, a;
    if (t) {
      try {
        for (var n = i(p), o = n.next(); !o.done; o = n.next()) {
          var r = o.value;
          this.adapter.registerInteractionHandler(r, this.activateHandler);
        }
      } catch (t) {
        e = {
          error: t
        };
      } finally {
        try {
          o && !o.done && (a = n.return) && a.call(n);
        } finally {
          if (e) throw e.error;
        }
      }
      this.adapter.isUnbounded() && this.adapter.registerResizeHandler(this.resizeHandler);
    }
    this.adapter.registerInteractionHandler("focus", this.focusHandler), this.adapter.registerInteractionHandler("blur", this.blurHandler);
  }, MDCRippleFoundation.prototype.registerDeactivationHandlers = function(t) {
    var e, a;
    if ("keydown" === t.type) this.adapter.registerInteractionHandler("keyup", this.deactivateHandler); else try {
      for (var n = i(c), o = n.next(); !o.done; o = n.next()) {
        var r = o.value;
        this.adapter.registerDocumentInteractionHandler(r, this.deactivateHandler);
      }
    } catch (t) {
      e = {
        error: t
      };
    } finally {
      try {
        o && !o.done && (a = n.return) && a.call(n);
      } finally {
        if (e) throw e.error;
      }
    }
  }, MDCRippleFoundation.prototype.deregisterRootHandlers = function() {
    var t, e;
    try {
      for (var a = i(p), n = a.next(); !n.done; n = a.next()) {
        var o = n.value;
        this.adapter.deregisterInteractionHandler(o, this.activateHandler);
      }
    } catch (e) {
      t = {
        error: e
      };
    } finally {
      try {
        n && !n.done && (e = a.return) && e.call(a);
      } finally {
        if (t) throw t.error;
      }
    }
    this.adapter.deregisterInteractionHandler("focus", this.focusHandler), this.adapter.deregisterInteractionHandler("blur", this.blurHandler), 
    this.adapter.isUnbounded() && this.adapter.deregisterResizeHandler(this.resizeHandler);
  }, MDCRippleFoundation.prototype.deregisterDeactivationHandlers = function() {
    var t, e;
    this.adapter.deregisterInteractionHandler("keyup", this.deactivateHandler);
    try {
      for (var a = i(c), n = a.next(); !n.done; n = a.next()) {
        var o = n.value;
        this.adapter.deregisterDocumentInteractionHandler(o, this.deactivateHandler);
      }
    } catch (e) {
      t = {
        error: e
      };
    } finally {
      try {
        n && !n.done && (e = a.return) && e.call(a);
      } finally {
        if (t) throw t.error;
      }
    }
  }, MDCRippleFoundation.prototype.removeCssVars = function() {
    var t = this, e = MDCRippleFoundation.strings;
    Object.keys(e).forEach((function(i) {
      0 === i.indexOf("VAR_") && t.adapter.updateCssVariable(e[i], null);
    }));
  }, MDCRippleFoundation.prototype.activateImpl = function(t) {
    var e = this;
    if (!this.adapter.isSurfaceDisabled()) {
      var i = this.activationState;
      if (!i.isActivated) {
        // Avoid reacting to follow-on events fired by touch device after an already-processed user interaction
        var a = this.previousActivationEvent;
        if (!(a && void 0 !== t && a.type !== t.type)) i.isActivated = !0, i.isProgrammatic = void 0 === t, 
        i.activationEvent = t, i.wasActivatedByPointer = !i.isProgrammatic && (void 0 !== t && ("mousedown" === t.type || "touchstart" === t.type || "pointerdown" === t.type)), 
        void 0 !== t && l.length > 0 && l.some((function(t) {
          return e.adapter.containsEventTarget(t);
        })) ? 
        // Immediately reset activation state, while preserving logic that prevents touch follow-on events
        this.resetActivationState() : (void 0 !== t && (l.push(t.target), this.registerDeactivationHandlers(t)), 
        i.wasElementMadeActive = this.checkElementMadeActive(t), i.wasElementMadeActive && this.animateActivation(), 
        requestAnimationFrame((function() {
          // Reset array on next frame after the current event has had a chance to bubble to prevent ancestor ripples
          l = [], i.wasElementMadeActive || void 0 === t || " " !== t.key && 32 !== t.keyCode || (
          // If space was pressed, try again within an rAF call to detect :active, because different UAs report
          // active states inconsistently when they're called within event handling code:
          // - https://bugs.chromium.org/p/chromium/issues/detail?id=635971
          // - https://bugzilla.mozilla.org/show_bug.cgi?id=1293741
          // We try first outside rAF to support Edge, which does not exhibit this problem, but will crash if a CSS
          // variable is set within a rAF callback for a submit button interaction (#2241).
          i.wasElementMadeActive = e.checkElementMadeActive(t), i.wasElementMadeActive && e.animateActivation()), 
          i.wasElementMadeActive || (
          // Reset activation state immediately if element was not made active.
          e.activationState = e.defaultActivationState());
        })));
      }
    }
  }, MDCRippleFoundation.prototype.checkElementMadeActive = function(t) {
    return void 0 === t || "keydown" !== t.type || this.adapter.isSurfaceActive();
  }, MDCRippleFoundation.prototype.animateActivation = function() {
    var t = this, e = MDCRippleFoundation.strings, i = e.VAR_FG_TRANSLATE_START, a = e.VAR_FG_TRANSLATE_END, n = MDCRippleFoundation.cssClasses, o = n.FG_DEACTIVATION, r = n.FG_ACTIVATION, s = MDCRippleFoundation.numbers.DEACTIVATION_TIMEOUT_MS;
    this.layoutInternal();
    var d = "", u = "";
    if (!this.adapter.isUnbounded()) {
      var p = this.getFgTranslationCoordinates(), c = p.startPoint, l = p.endPoint;
      d = c.x + "px, " + c.y + "px", u = l.x + "px, " + l.y + "px";
    }
    this.adapter.updateCssVariable(i, d), this.adapter.updateCssVariable(a, u), 
    // Cancel any ongoing activation/deactivation animations
    clearTimeout(this.activationTimer), clearTimeout(this.fgDeactivationRemovalTimer), 
    this.rmBoundedActivationClasses(), this.adapter.removeClass(o), 
    // Force layout in order to re-trigger the animation.
    this.adapter.computeBoundingRect(), this.adapter.addClass(r), this.activationTimer = setTimeout((function() {
      t.activationTimerCallback();
    }), s);
  }, MDCRippleFoundation.prototype.getFgTranslationCoordinates = function() {
    var t, e = this.activationState, i = e.activationEvent;
    return {
      startPoint: 
      // Center the element around the start point.
      t = {
        x: (t = e.wasActivatedByPointer ? function(t, e, i) {
          if (!t) return {
            x: 0,
            y: 0
          };
          var a, n, o = e.x, r = e.y, s = o + i.left, d = r + i.top;
          // Determine touch point relative to the ripple container.
          if ("touchstart" === t.type) {
            var u = t;
            a = u.changedTouches[0].pageX - s, n = u.changedTouches[0].pageY - d;
          } else {
            var p = t;
            a = p.pageX - s, n = p.pageY - d;
          }
          return {
            x: a,
            y: n
          };
        }(i, this.adapter.getWindowPageOffset(), this.adapter.computeBoundingRect()) : {
          x: this.frame.width / 2,
          y: this.frame.height / 2
        }).x - this.initialSize / 2,
        y: t.y - this.initialSize / 2
      },
      endPoint: {
        x: this.frame.width / 2 - this.initialSize / 2,
        y: this.frame.height / 2 - this.initialSize / 2
      }
    };
  }, MDCRippleFoundation.prototype.runDeactivationUXLogicIfReady = function() {
    var t = this, e = MDCRippleFoundation.cssClasses.FG_DEACTIVATION, i = this.activationState, a = i.hasDeactivationUXRun, n = i.isActivated;
    // This method is called both when a pointing device is released, and when the activation animation ends.
    // The deactivation animation should only run after both of those occur.
        (a || !n) && this.activationAnimationHasEnded && (this.rmBoundedActivationClasses(), 
    this.adapter.addClass(e), this.fgDeactivationRemovalTimer = setTimeout((function() {
      t.adapter.removeClass(e);
    }), u.FG_DEACTIVATION_MS));
  }, MDCRippleFoundation.prototype.rmBoundedActivationClasses = function() {
    var t = MDCRippleFoundation.cssClasses.FG_ACTIVATION;
    this.adapter.removeClass(t), this.activationAnimationHasEnded = !1, this.adapter.computeBoundingRect();
  }, MDCRippleFoundation.prototype.resetActivationState = function() {
    var t = this;
    this.previousActivationEvent = this.activationState.activationEvent, this.activationState = this.defaultActivationState(), 
    // Touch devices may fire additional events for the same interaction within a short time.
    // Store the previous event until it's safe to assume that subsequent events are for new interactions.
    setTimeout((function() {
      return t.previousActivationEvent = void 0;
    }), MDCRippleFoundation.numbers.TAP_DELAY_MS);
  }, MDCRippleFoundation.prototype.deactivateImpl = function() {
    var t = this, i = this.activationState;
    // This can happen in scenarios such as when you have a keyup event that blurs the element.
    if (i.isActivated) {
      var a = e({}, i);
      i.isProgrammatic ? (requestAnimationFrame((function() {
        t.animateDeactivation(a);
      })), this.resetActivationState()) : (this.deregisterDeactivationHandlers(), requestAnimationFrame((function() {
        t.activationState.hasDeactivationUXRun = !0, t.animateDeactivation(a), t.resetActivationState();
      })));
    }
  }, MDCRippleFoundation.prototype.animateDeactivation = function(t) {
    var e = t.wasActivatedByPointer, i = t.wasElementMadeActive;
    (e || i) && this.runDeactivationUXLogicIfReady();
  }, MDCRippleFoundation.prototype.layoutInternal = function() {
    var t = this;
    this.frame = this.adapter.computeBoundingRect();
    var e = Math.max(this.frame.height, this.frame.width);
    // Surface diameter is treated differently for unbounded vs. bounded ripples.
    // Unbounded ripple diameter is calculated smaller since the surface is expected to already be padded appropriately
    // to extend the hitbox, and the ripple is expected to meet the edges of the padded hitbox (which is typically
    // square). Bounded ripples, on the other hand, are fully expected to expand beyond the surface's longest diameter
    // (calculated based on the diagonal plus a constant padding), and are clipped at the surface's border via
    // `overflow: hidden`.
        this.maxRadius = this.adapter.isUnbounded() ? e : Math.sqrt(Math.pow(t.frame.width, 2) + Math.pow(t.frame.height, 2)) + MDCRippleFoundation.numbers.PADDING;
    // Ripple is sized as a fraction of the largest dimension of the surface, then scales up using a CSS scale transform
    var i = Math.floor(e * MDCRippleFoundation.numbers.INITIAL_ORIGIN_SCALE);
    // Unbounded ripple size should always be even number to equally center align.
        this.adapter.isUnbounded() && i % 2 != 0 ? this.initialSize = i - 1 : this.initialSize = i, 
    this.fgScale = "" + this.maxRadius / this.initialSize, this.updateLayoutCssVars();
  }, MDCRippleFoundation.prototype.updateLayoutCssVars = function() {
    var t = MDCRippleFoundation.strings, e = t.VAR_FG_SIZE, i = t.VAR_LEFT, a = t.VAR_TOP, n = t.VAR_FG_SCALE;
    this.adapter.updateCssVariable(e, this.initialSize + "px"), this.adapter.updateCssVariable(n, this.fgScale), 
    this.adapter.isUnbounded() && (this.unboundedCoords = {
      left: Math.round(this.frame.width / 2 - this.initialSize / 2),
      top: Math.round(this.frame.height / 2 - this.initialSize / 2)
    }, this.adapter.updateCssVariable(i, this.unboundedCoords.left + "px"), this.adapter.updateCssVariable(a, this.unboundedCoords.top + "px"));
  }, MDCRippleFoundation;
}(a), f = /** @class */ function(e) {
  function MDCRipple() {
    var t = null !== e && e.apply(this, arguments) || this;
    return t.disabled = !1, t;
  }
  return t(MDCRipple, e), MDCRipple.attachTo = function(t, e) {
    void 0 === e && (e = {
      isUnbounded: void 0
    });
    var i = new MDCRipple(t);
    // Only override unbounded behavior if option is explicitly specified
        return void 0 !== e.isUnbounded && (i.unbounded = e.isUnbounded), i;
  }, MDCRipple.createAdapter = function(t) {
    return {
      addClass: function(e) {
        return t.root.classList.add(e);
      },
      browserSupportsCssVars: function() {
        return function(t, e) {
          void 0 === e && (e = !1);
          var i, a = t.CSS;
          if ("boolean" == typeof r && !e) return r;
          if (!a || "function" != typeof a.supports) return !1;
          var n = a.supports("--css-vars", "yes"), o = a.supports("(--css-vars: yes)") && a.supports("color", "#00000000");
          // See: https://bugs.webkit.org/show_bug.cgi?id=154669
          // See: README section on Safari
                    return i = n || o, e || (r = i), i;
        }(window);
      },
      computeBoundingRect: function() {
        return t.root.getBoundingClientRect();
      },
      containsEventTarget: function(e) {
        return t.root.contains(e);
      },
      deregisterDocumentInteractionHandler: function(t, e) {
        return document.documentElement.removeEventListener(t, e, applyPassive());
      },
      deregisterInteractionHandler: function(e, i) {
        return t.root.removeEventListener(e, i, applyPassive());
      },
      deregisterResizeHandler: function(t) {
        return window.removeEventListener("resize", t);
      },
      getWindowPageOffset: function() {
        return {
          x: window.pageXOffset,
          y: window.pageYOffset
        };
      },
      isSurfaceActive: function() {
        return n(t.root, ":active");
      },
      isSurfaceDisabled: function() {
        return Boolean(t.disabled);
      },
      isUnbounded: function() {
        return Boolean(t.unbounded);
      },
      registerDocumentInteractionHandler: function(t, e) {
        return document.documentElement.addEventListener(t, e, applyPassive());
      },
      registerInteractionHandler: function(e, i) {
        return t.root.addEventListener(e, i, applyPassive());
      },
      registerResizeHandler: function(t) {
        return window.addEventListener("resize", t);
      },
      removeClass: function(e) {
        return t.root.classList.remove(e);
      },
      updateCssVariable: function(e, i) {
        return t.root.style.setProperty(e, i);
      }
    };
  }, Object.defineProperty(MDCRipple.prototype, "unbounded", {
    get: function() {
      return Boolean(this.isUnbounded);
    },
    set: function(t) {
      this.isUnbounded = Boolean(t), this.setUnbounded();
    },
    enumerable: !1,
    configurable: !0
  }), MDCRipple.prototype.activate = function() {
    this.foundation.activate();
  }, MDCRipple.prototype.deactivate = function() {
    this.foundation.deactivate();
  }, MDCRipple.prototype.layout = function() {
    this.foundation.layout();
  }, MDCRipple.prototype.getDefaultFoundation = function() {
    return new v(MDCRipple.createAdapter(this));
  }, MDCRipple.prototype.initialSyncWithDOM = function() {
    var t = this.root;
    this.isUnbounded = "mdcRippleIsUnbounded" in t.dataset;
  }, 
  /**
     * Closure Compiler throws an access control error when directly accessing a
     * protected or private property inside a getter/setter, like unbounded above.
     * By accessing the protected property inside a method, we solve that problem.
     * That's why this function exists.
     */
  MDCRipple.prototype.setUnbounded = function() {
    this.foundation.setUnbounded(Boolean(this.isUnbounded));
  }, MDCRipple;
}(o);

// Deactivation events registered on documentElement when a pointer-related down event occurs
export { f as M, v as a, applyPassive as b }

