/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
import { Component, h, Prop } from '@stencil/core';
export class BadgeComponent {
  constructor() {
    this.redBackground = false;
  }
  render() {
    return (h("span", { "data-test": "webcore.webcomponents.badge-component", class: `bci-portal-badge${this.value <= 0 ? '-hidden' : ''} ${this.redBackground ? 'bci-portal-badge-red' : ''} ` }, this.value));
  }
  static get is() { return "bci-portal-badge"; }
  static get originalStyleUrls() { return {
    "$": ["badge.component.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["badge.component.css"]
  }; }
  static get properties() { return {
    "value": {
      "type": "any",
      "mutable": true,
      "complexType": {
        "original": "number | string",
        "resolved": "number | string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "value",
      "reflect": false
    },
    "redBackground": {
      "type": "boolean",
      "mutable": true,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "red-background",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
}

