/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { Component, Host, h, Prop } from '@stencil/core';
export class BciIcon {
  constructor() {
    /**
     * Add the "bosch-ic-clickable" class if true
     */
    this.clickable = false;
  }
  render() {
    return (h(Host, { "data-test": "webcore.webcomponents.bci-icon" },
      h("span", { class: `bosch-ic bosch-ic-${this.name} ${this.clickable ? 'bosch-ic-clickable' : ''}` })));
  }
  static get is() { return "bci-icon"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["bci-icon.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["bci-icon.css"]
  }; }
  static get properties() { return {
    "name": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "BciIcons",
        "resolved": "string",
        "references": {
          "BciIcons": {
            "location": "import",
            "path": "./bci-icon.interface"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The name of the property without the bosch-ic prefix"
      },
      "attribute": "name",
      "reflect": false
    },
    "clickable": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Add the \"bosch-ic-clickable\" class if true"
      },
      "attribute": "clickable",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
}

