/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { Component, h, Host, Prop } from '@stencil/core';
export class BciTreelist {
  render() {
    if (this.listItems) {
      return (h(Host, null,
        h("div", { "data-test": "webcore.webcomponents.bci-treelist.tree-list", class: "tree-item" }, this.listItems.map((item) => (h("bci-treelist-item", { item: item }))))));
    }
    else {
      return (h(Host, null,
        h("slot", null)));
    }
  }
  static get is() { return "bci-treelist"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["bci-treelist.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["bci-treelist.css"]
  }; }
  static get properties() { return {
    "listItems": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "TreelistItem[]",
        "resolved": "TreelistItem[]",
        "references": {
          "TreelistItem": {
            "location": "import",
            "path": "./treelist-Item.interface"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
}

