/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
import { Component, h, Prop } from '@stencil/core';
import { format, setDay } from 'date-fns';
import state from '../../../../utils/locale-store';
import { DEFAULT_LOCALE, LOCALE_MAP } from '../../../../utils/localization';
export class WeekHeader {
  getWeekDays() {
    const locale = { locale: LOCALE_MAP[state.language || DEFAULT_LOCALE.language] };
    const weekdays = [];
    for (let i = 0; i < 7; i++) {
      weekdays.push(format(setDay(new Date(), i), 'EEE', locale));
    }
    return weekdays;
  }
  render() {
    const weekDays = this.getWeekDays();
    if (!this.sundayFirst) {
      const sunday = weekDays.shift();
      weekDays.push(sunday);
    }
    return (h("div", { "data-test": "webcore.webcomponents.week-header.bci-week-header.day", class: "bci-core-datepicker-week-container" }, weekDays.map((day) => (h("th", { class: "bci-core-datepicker-week-header" },
      h("span", null, day))))));
  }
  static get is() { return "bci-week-header"; }
  static get originalStyleUrls() { return {
    "$": ["week-header.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["week-header.css"]
  }; }
  static get properties() { return {
    "sundayFirst": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "sunday-first",
      "reflect": false
    }
  }; }
}

