/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
import { Component, Prop, h, Event, Host } from '@stencil/core';
export class HeaderIconLinkComponent {
  constructor() {
    this.url = '';
    this.text = '';
    this.external = false;
  }
  render() {
    return (h(Host, { "data-test": "webcore.webcomponents.header-icon-menu-link.component.navitem.list-item", class: "mdc-list-item", role: "menuitem", onClick: () => (this.external ? window.open(this.url, '_blank') : this.headerNavItemClicked.emit(this.url)) },
      h("span", { class: "mdc-list-item__text bci-portal-header-menu-list-item" }, this.text)));
  }
  static get is() { return "bci-portal-header-icon-link"; }
  static get originalStyleUrls() { return {
    "$": ["header-icon-menu-link.component.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["header-icon-menu-link.component.css"]
  }; }
  static get properties() { return {
    "url": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "url",
      "reflect": false,
      "defaultValue": "''"
    },
    "text": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "text",
      "reflect": false,
      "defaultValue": "''"
    },
    "external": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "external",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
  static get events() { return [{
      "method": "headerNavItemClicked",
      "name": "bci.portal.header.navItemClicked",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
}

