/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
import { Component, h, Prop } from '@stencil/core';
export class LoadingIndicatorComponent {
  constructor() {
    /** flag if the loader is loading or not */
    this.isLoading = true;
  }
  render() {
    return (h("div", { class: !this.isLoading ? 'bci-loading-indicator-hidden' : '' },
      h("div", { class: "bci-activity-indicator-container" },
        h("div", { class: "bci-content-container" }),
        h("div", { class: "bci-indicator-overlay" }))));
  }
  static get is() { return "bci-loading-indicator"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["loading-indicator.component.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["loading-indicator.component.css"]
  }; }
  static get properties() { return {
    "isLoading": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "flag if the loader is loading or not"
      },
      "attribute": "is-loading",
      "reflect": false,
      "defaultValue": "true"
    }
  }; }
}

