/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
export class TreeFilterService {
  constructor() {
    this._filter = '';
  }
  get filter() {
    return this._filter;
  }
  set filter(filter) {
    this._filter = filter.toLowerCase();
  }
  applyFilter(activeLevels) {
    if (this._filter === '') {
      return activeLevels;
    }
    const activeLevelsClone = [...activeLevels];
    const lastLevel = activeLevelsClone.pop();
    if (lastLevel === undefined) {
      return [];
    }
    const filteredLevel = Object.assign(Object.assign({}, lastLevel), { sections: lastLevel.sections.map((section) => (Object.assign(Object.assign({}, section), { items: section.items.filter((node) => node.label.toLowerCase().includes(this._filter)) }))) });
    return [...activeLevelsClone, filteredLevel];
  }
}

