/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
export class KeyObserver {
  constructor() {
    this.listeners = new Map();
    this.active = false;
  }
  addListener(key, callback) {
    this.listeners.set(key, callback);
    return this;
  }
  removeListener(key) {
    this.listeners.delete(key);
    return this;
  }
  notify(key) {
    var _a;
    if (!this.active) {
      return;
    }
    (_a = this.listeners.get(String(key))) === null || _a === void 0 ? void 0 : _a();
  }
}

