/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
import { Component, h, Prop, Event } from '@stencil/core';
export class NavigationSubmenuComponent {
  closeExpandedMenu() {
    this.navigationItemExpanded.emit(this.expandedNavItem);
  }
  render() {
    return (h("section", { class: "bci-portal-sidebar-sub-navigation-container" },
      h("div", { class: "bci-portal-navigation-item", "data-test": "webcore.webcomponents.navigation-submenu.close.div", onClick: () => this.closeExpandedMenu() },
        h("a", { title: this.expandedNavItem.title, class: "bci-portal-navigation-item-content" },
          h("span", { class: "bci-portal-navigation-item-icon-category bosch-ic bosch-ic-back-left" }),
          h("div", { class: "bci-portal-navigation-item-sub-header" },
            h("p", { class: "bci-portal-navigation-item-title" }, this.expandedNavItem.title)))),
      h("slot", null)));
  }
  static get is() { return "bci-portal-navigation-submenu"; }
  static get originalStyleUrls() { return {
    "$": ["navigation-submenu.component.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["navigation-submenu.component.css"]
  }; }
  static get properties() { return {
    "expandedNavItem": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "SidebarNavItem",
        "resolved": "SidebarNavItem",
        "references": {
          "SidebarNavItem": {
            "location": "import",
            "path": "../../../interfaces/navigation.interface"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
  static get events() { return [{
      "method": "navigationItemExpanded",
      "name": "bci.portal.navigation.itemExpanded",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "SidebarNavItem",
        "resolved": "SidebarNavItem",
        "references": {
          "SidebarNavItem": {
            "location": "import",
            "path": "../../../interfaces/navigation.interface"
          }
        }
      }
    }]; }
}

