/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { Component, Event, h, Prop } from '@stencil/core';
export class TableCardAction {
  onClickofActionButton() {
    this.actionClicked.emit(this.action);
  }
  render() {
    return (h("span", { class: 'bosch-ic-clickable' + (this.tooltip ? ' with-label' : ''), onClick: () => this.onClickofActionButton() },
      h("i", { class: 'bosch-ic ' + this.icon }),
      " ",
      h("slot", null),
      h("span", { class: "bci-tooltip" }, this.tooltip)));
  }
  static get is() { return "bci-table-card-action"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["table-card-action.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["table-card-action.css"]
  }; }
  static get properties() { return {
    "icon": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "icon",
      "reflect": false
    },
    "tooltip": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "tooltip",
      "reflect": false
    },
    "action": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Prop to define what the action is (add,delete,edit)"
      },
      "attribute": "action",
      "reflect": false
    }
  }; }
  static get events() { return [{
      "method": "actionClicked",
      "name": "actionClicked",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": "Event emitted onclick of icon"
      },
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      }
    }]; }
}

