/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { Component, h, Prop } from '@stencil/core';
export class TableCardEntry {
  render() {
    return (h("div", { class: "bci-table-column" },
      h("span", { class: "bci-column-name" }, this.entryTitle),
      h("span", { class: "bci-column-value" }, this.value)));
  }
  static get is() { return "bci-table-card-entry"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["table-card-entry.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["table-card-entry.css"]
  }; }
  static get properties() { return {
    "entryTitle": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "entry-title",
      "reflect": false
    },
    "value": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "value",
      "reflect": false
    }
  }; }
}

