/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { Component, h, Host, Prop, State, Watch } from '@stencil/core';
export class Item {
  constructor() {
    /** The string value of the item which will be emitter on click. By default set to ''.*/
    this.value = '';
    this.stateValue = '';
  }
  watchValueHandler(newValue) {
    this.stateValue = newValue;
  }
  componentDidLoad() {
    this.stateValue = this.value;
  }
  render() {
    return (h(Host, { class: "toolbar-item", "data-value": this.stateValue },
      h("slot", null)));
  }
  static get is() { return "bci-toolbar-item"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["item.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["item.css"]
  }; }
  static get properties() { return {
    "value": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The string value of the item which will be emitter on click. By default set to ''."
      },
      "attribute": "value",
      "reflect": false,
      "defaultValue": "''"
    }
  }; }
  static get states() { return {
    "stateValue": {}
  }; }
  static get watchers() { return [{
      "propName": "value",
      "methodName": "watchValueHandler"
    }]; }
}

