/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
/**
 * Copyright (C) 2021. Robert Bosch GmbH Copyright (C) 2021. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */
export class RecentSearchController {
  constructor(getRecentSearches, saveRecentSearches, recentSearchStackSize = 5) {
    this.getRecentSearches = getRecentSearches;
    this.saveRecentSearches = saveRecentSearches;
    this.recentSearchStackSize = recentSearchStackSize;
  }
  get recentSearches() {
    return this._recentSearches;
  }
  set recentSearches(recentSearches) {
    this._recentSearches = [...recentSearches];
  }
  addRecentSearch(recentSearch) {
    this.recentSearches = [recentSearch, ...(this._recentSearches || [])];
    this.recentSearches.splice(this.recentSearchStackSize);
    this.saveRecentSearches(this.recentSearches);
  }
  async setRecentSearches() {
    return this.getRecentSearches().then((res) => {
      return (this.recentSearches = [...(res || [])]);
    });
  }
}

