/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { p as proxyCustomElement, H, c as createEvent, h, f as forceUpdate, b as Host } from './p-6fc5b736.js';
import { d as isResponsiveMode, t as translate } from './p-9dead869.js';
import { d as setLocale } from './p-d4c86b19.js';
import { d as defineCustomElement$6 } from './p-325067e0.js';
import { d as defineCustomElement$5 } from './p-7aabaa02.js';
import { d as defineCustomElement$4 } from './p-bf702675.js';
import { d as defineCustomElement$3 } from './p-afedcbf5.js';
import { d as defineCustomElement$2 } from './p-43c2dbdf.js';

const facilitySelectorCss = "/*!\n *  Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */@font-face{font-family:\"Bosch-Sans\";font-weight:400;src:url(\"..//fonts/BoschSans-Regular.eot\");src:url(\"..//fonts/BoschSans-Regular.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Regular.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Regular.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Regular.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-RegularItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-RegularItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-RegularItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Regular.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Sans\";font-weight:300;src:url(\"..//fonts/BoschSans-Light.eot\");src:url(\"..//fonts/BoschSans-Light.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Light.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Light.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Light.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-LightItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-LightItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-LightItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Light.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Sans\";font-weight:500;src:url(\"..//fonts/BoschSans-Medium.eot\");src:url(\"..//fonts/BoschSans-Medium.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Medium.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Medium.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Medium.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-MediumItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-MediumItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-MediumItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Medium.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Sans\";font-weight:700;src:url(\"..//fonts/BoschSans-Bold.eot\");src:url(\"..//fonts/BoschSans-Bold.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Bold.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Bold.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Bold.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-BoldItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-BoldItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-BoldItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Bold.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Sans\";font-weight:900;src:url(\"..//fonts/BoschSans-Black.eot\");src:url(\"..//fonts/BoschSans-Black.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Black.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Black.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Black.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-BlackItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-BlackItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-BlackItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Black.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Ic\";font-style:normal;font-stretch:normal;font-weight:normal;src:url(\"..//fonts/Bosch-Icon.eot?mh5qa9\");src:url(\"..//fonts/Bosch-Icon.eot?mh5qa9#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/Bosch-Icon.ttf?mh5qa9\") format(\"truetype\"), url(\"..//fonts/Bosch-Icon.woff?mh5qa9\") format(\"woff\"), url(\"..//fonts/Bosch-Icon.svg?mh5qa9#Bosch-Icon\") format(\"svg\")}@font-face{font-family:\"Bosch-Sans-Condensed\";font-weight:300;src:url(\"..//fonts/BoschSansCond-Regular.otf\"), url(\"..//fonts/BoschSansCondensed-Regular.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSansCondensed-RegularItalic.ttf\") format(\"truetype\")}@font-face{font-family:\"Bosch-Sans-Condensed\";font-weight:700;src:url(\"..//fonts/BoschSansCond-Bold.otf\"), url(\"..//fonts/BoschSansCondensed-Bold.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSansCondensed-BoldItalic.ttf\") format(\"truetype\")}/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */.flex-column{display:flex;flex-direction:column;box-sizing:border-box}.flex-row{display:flex;flex-direction:row;box-sizing:border-box}.flex-none{flex:0 0 auto}.flex-grow{flex:1 1 100%;height:100%}.flex-layout-start-strech{place-content:stretch flex-start;align-items:stretch}.flex-layout-center-center{place-content:center;align-items:center}.flex-fill{width:100%;box-sizing:border-box;max-width:100%}.flex-row-wrap{flex-flow:row wrap;box-sizing:border-box;display:flex}.flex-row-wrap.grow{flex:1 1 100%;max-width:100%}.flex-center{display:flex;justify-content:center;align-items:center}.flex-space-between{display:flex;justify-content:space-between;align-items:center}/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */.clickable-element{transition:0.4s;cursor:pointer}.clickable-element:active,.clickable-element.active{color:#007bc0}.clickable-element:active:hover,.clickable-element:hover .clickable-element:focus{color:#9dc9ff}.clickable-element:disabled,.clickable-element.disabled{color:#a4abb3}.clickable-element:disabled:active,.clickable-element:disabled.active,.clickable-element:disabled:active:hover,.clickable-element:disabled:hover,.clickable-element.disabled:active,.clickable-element.disabled.active,.clickable-element.disabled:active:hover,.clickable-element.disabled:hover{color:#a4abb3}button.button-primary,button.button-default,input.button-primary,input.button-default{color:#ffffff;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0px 16px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto;background-color:#007bc0;background-size:100% 200%;border-width:0;border-color:transparent;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}button.button-primary:hover,button.button-primary:focus-visible,button.button-default:hover,button.button-default:focus-visible,input.button-primary:hover,input.button-primary:focus-visible,input.button-default:hover,input.button-default:focus-visible{background-color:#00629a;color:#ffffff;outline:0}button.button-primary:active,button.button-default:active,input.button-primary:active,input.button-default:active{background-color:#004975;color:#ffffff;outline:0}button.button-primary:disabled,button.button-primary.disabled,button.button-default:disabled,button.button-default.disabled,input.button-primary:disabled,input.button-primary.disabled,input.button-default:disabled,input.button-default.disabled{background-color:#c1c7cc;color:#656a6f;background-image:none;cursor:default}button.button-primary.button-lg,button.button-default.button-lg,input.button-primary.button-lg,input.button-default.button-lg{font-family:\"Bosch-Sans\";font-weight:400;font-size:20px;height:48px;padding:0 24px 0 24px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-primary.button-sm,button.button-default.button-sm,input.button-primary.button-sm,input.button-default.button-sm{font-family:\"Bosch-Sans\";font-weight:400;font-size:12px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-primary.button-xs,button.button-default.button-xs,input.button-primary.button-xs,input.button-default.button-xs{font-family:\"Bosch-Sans\";font-weight:400;font-size:10px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-primary:not(.mat-icon-button):has(mat-icon),button.button-default:not(.mat-icon-button):has(mat-icon),input.button-primary:not(.mat-icon-button):has(mat-icon),input.button-default:not(.mat-icon-button):has(mat-icon){padding:0px 16px 0px 14px}button.button-primary.mat-icon-button,button.button-default.mat-icon-button,input.button-primary.mat-icon-button,input.button-default.mat-icon-button{padding:12px}button.button-secondary,input.button-secondary{color:#007bc0;background-color:transparent;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0px 15px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto;border-width:1px;border-color:#007bc0;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}button.button-secondary:hover,button.button-secondary:focus-visible,input.button-secondary:hover,input.button-secondary:focus-visible{border-color:#004975;outline:0;color:#004975;background-color:#d1e4ff;border-width:1px;border-color:#004975;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}button.button-secondary:active,input.button-secondary:active{border-color:#004975;color:#004975;outline:0;background-color:#9dc9ff;border-width:1px;border-color:#004975;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}button.button-secondary:disabled,button.button-secondary.disabled,input.button-secondary:disabled,input.button-secondary.disabled{color:#979ea4;border-color:#979ea4;background-color:transparent;cursor:default}button.button-secondary.button-lg,input.button-secondary.button-lg{font-family:\"Bosch-Sans\";font-weight:400;font-size:20px;height:48px;padding:0 24px 0 24px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-secondary.button-sm,input.button-secondary.button-sm{font-family:\"Bosch-Sans\";font-weight:400;font-size:12px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-secondary.button-xs,input.button-secondary.button-xs{font-family:\"Bosch-Sans\";font-weight:400;font-size:10px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-secondary:not(.mat-icon-button):has(mat-icon),input.button-secondary:not(.mat-icon-button):has(mat-icon){padding:0 15px 0 13px}button.button-secondary.mat-icon-button,input.button-secondary.mat-icon-button{padding:11px}button.button-tertiary,input.button-tertiary{color:#007bc0;background-color:transparent;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0px 16px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto;border-style:none}button.button-tertiary:hover,button.button-tertiary:focus-visible,input.button-tertiary:hover,input.button-tertiary:focus-visible{outline:0;color:#00629a;background-color:#d1e4ff}button.button-tertiary:active,input.button-tertiary:active{color:#004975;background-color:#9dc9ff;outline:0}button.button-tertiary:disabled,button.button-tertiary.disabled,input.button-tertiary:disabled,input.button-tertiary.disabled{color:#979ea4;background-color:transparent;cursor:default}button.button-tertiary.button-lg,input.button-tertiary.button-lg{font-family:\"Bosch-Sans\";font-weight:400;font-size:20px;height:48px;padding:0 24px 0 24px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-tertiary.button-sm,input.button-tertiary.button-sm{font-family:\"Bosch-Sans\";font-weight:400;font-size:12px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-tertiary.button-xs,input.button-tertiary.button-xs{font-family:\"Bosch-Sans\";font-weight:400;font-size:10px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-tertiary:not(.mat-icon-button):has(mat-icon),input.button-tertiary:not(.mat-icon-button):has(mat-icon){padding:0px 16px 0px 14px}button.button-tertiary.mat-icon-button,input.button-tertiary.mat-icon-button{padding:12px}button.button-integrated,input.button-integrated{color:#000000;background-color:transparent;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0px 16px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto;border-style:none}button.button-integrated:hover,button.button-integrated:focus-visible,input.button-integrated:hover,input.button-integrated:focus-visible{color:#007bc0;outline:0}button.button-integrated:active,input.button-integrated:active{color:#00629a;outline:0}button.button-integrated:disabled,button.button-integrated.disabled,input.button-integrated:disabled,input.button-integrated.disabled{color:#979ea4 !important;background-color:transparent;cursor:default}button.button-integrated:not(.mat-icon-button):has(mat-icon),input.button-integrated:not(.mat-icon-button):has(mat-icon){padding:0px 16px 0px 14px}button.button-integrated.mat-icon-button,input.button-integrated.mat-icon-button{padding:12px}button.button-link,input.button-link{color:#007bc0;background-color:transparent;border:none;-webkit-box-shadow:none;box-shadow:none;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0 16px 0 16px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-link::after,input.button-link::after{position:absolute;font-family:\"Bosch-Ic\";font-style:normal;font-weight:normal;font-size:18px;content:\"\\e181\";-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}button.button-link:hover,button.button-link:focus-visible,input.button-link:hover,input.button-link:focus-visible{color:#00629a;text-decoration:underline;outline:0}button.button-link:active,input.button-link:active{color:#004975;text-decoration:underline}button.button-link.disabled,button.button-link[disabled],button.button-link fieldset[disabled],input.button-link.disabled,input.button-link[disabled],input.button-link fieldset[disabled]{color:#c1c7cc;text-decoration:none;-webkit-transition:none;-o-transition:none;transition:none}button.button-link.disabled::after,button.button-link[disabled]::after,button.button-link fieldset[disabled]::after,input.button-link.disabled::after,input.button-link[disabled]::after,input.button-link fieldset[disabled]::after{-webkit-transform:translate(0, 0);-ms-transform:translate(0, 0);-o-transform:translate(0, 0);transform:translate(0, 0)}button.button-link.button-lg,input.button-link.button-lg{font-family:\"Bosch-Sans\";font-weight:400;font-size:20px;height:48px;padding:0 24px 0 24px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-link.button-lg::after,input.button-link.button-lg::after{font-size:22px}button.button-link.button-sm,input.button-link.button-sm{font-family:\"Bosch-Sans\";font-weight:400;font-size:14px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-link.button-sm::after,input.button-link.button-sm::after{font-size:14px}button.button-link.no-arrow::after,input.button-link.no-arrow::after{content:\"\"}button.button-link:not(.mat-icon-button):has(mat-icon),input.button-link:not(.mat-icon-button):has(mat-icon){padding:0px 16px 0px 14px}button.button-link.mat-icon-button,input.button-link.mat-icon-button{padding:12px}button.button-block,input[type=submit].button-block,input[type=reset].button-block,input[type=button].button-block{display:block;width:100%}:host{position:relative;display:block;max-width:1200px;width:70vw}:host bci-facility-search-input,:host bci-column-input{width:100%;box-sizing:border-box}:host .bci-portal-facility-collapsible{position:absolute;z-index:10;width:100%;border:1px solid #e0e2e5;border-top:0;background-color:#ffffff;box-sizing:border-box}:host .bci-portal-facility-collapsible.collapsed{border:none}:host .bci-portal-save-button-container{text-align:right;border-top:1px solid #e0e2e5;padding:0 16px;display:flex;justify-content:space-between;align-items:center;padding:5px 10px 5px 0px;height:29px}:host .mdc-checkbox{width:24px}@media (max-width: 480px){:host bci-facility-recent-search{display:none}}.bci-portal-column-container{display:flex;flex-direction:row;flex-wrap:nowrap;overflow-x:auto;max-width:1200px;width:100%}.bci-portal-column-container .list-container{display:flex;flex-direction:row;flex-wrap:nowrap;overflow-x:auto}.bci-portal-column-container bci-column-list,.bci-portal-column-container bci-facility-search-result{width:300px}.bci-portal-column-container .responsive-container{width:100%;display:flex}.bci-portal-column-container .responsive-container .responsive-list{width:100%}.bci-portal-column-container .responsive-container .back-button{padding:0 12px;font-size:14px;cursor:pointer;height:48px;display:flex;align-items:center}.bci-portal-column-container .responsive-container .back-button .bosch-ic-back-left{margin-right:8px}.bci-portal-column-container .responsive-container bci-column-list{width:100%}";

const FacilitySelector = /*@__PURE__*/ proxyCustomElement(class extends H {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.save = createEvent(this, "save", 7);
    this.darkBackground = false;
    this.enableMultiSelection = false;
    this.displayRecentSearches = false;
    this.activeLevel = 0;
    this.columns = [];
    this.columnsExpanded = false;
    this.recentSearchesExpanded = false;
    this.searchString = '';
    this.ColumnSearchInputElement = () => (h("bci-facility-search-input", { searchString: this.searchString, darkBackground: this.darkBackground, isColumnExpanded: this.columnsExpanded, facilitySelectorController: this.facilitySelectorController, onSearch: (event) => this.handleSearch(event), onColumnInputExpanded: (event) => this.toggleColumnDisplay(event.detail), onBreadcrumbItemClicked: (event) => this.goToLevel(event.detail) }));
    this.ColumnListElement = ({ list, index }) => (h("bci-column-list", { list: list, selectedId: this.getSelectedItemAtLevel(index) ? this.getSelectedItemAtLevel(index).id : null, facilitySelectorController: this.facilitySelectorController, onColumnItemSelected: (event) => this.handleItemSelected(event, index), onColumnItemChecked: (event) => this.handleItemChecked(event, index) }));
    this.ColumnSearchResultElement = () => (h("bci-facility-search-result", { searchString: this.searchString, searchResults: this.searchResults, facilitySelectorController: this.facilitySelectorController, onSearchResultSelected: (event) => this.handleSearchResultSelected(event), onSearchResultChecked: (event) => this.handleSearchResultChecked(event) }));
    this.RecentSearchesElement = () => this.displayRecentSearches && (h("bci-facility-recent-search", { expanded: this.recentSearchesExpanded, recentSearchController: this.recentSearchController, onRecentSearchSelected: (event) => this.handleRecentSearchSelected(event) }));
  }
  onCheckedItemsSet() {
    if (!this.facilitySelectorController.isStateSet) {
      this.facilitySelectorController.setDefaultState(this.checkedItems);
    }
    else {
      this.facilitySelectorController.checkAll(this.checkedItems);
    }
  }
  async componentWillLoad() {
    await setLocale();
    this.initializeSelector();
  }
  componentDidRender() {
    const columnListElements = this.getColumnListElements();
    this.scrollIntoViewElement(columnListElements[columnListElements.length - 1]);
  }
  initializeSelector() {
    if (this.facilitySelectorController) {
      this.facilitySelectorController.initialize(this.checkedItems);
      this.facilitySelectorController.enableMultiSelection(this.enableMultiSelection);
      this.facilitySelectorController.onChange(() => {
        this.updateActiveLevel();
        this.updateColumns();
        this.updateChildElements();
      });
    }
  }
  getColumnListElements() {
    return this.el.shadowRoot.querySelectorAll('bci-column-list') || [];
  }
  getSearchInputElement() {
    return this.el.shadowRoot.querySelector('bci-facility-search-input');
  }
  getSearchResultsElement() {
    return this.el.shadowRoot.querySelector('bci-facility-search-result');
  }
  getColumnItemsAtLevel(level) {
    return this.facilitySelectorController.getColumnAtLevel(level) || [];
  }
  getSelectedItemAtLevel(level) {
    return this.facilitySelectorController.selectionState.getSelectedItemAtLevel(level);
  }
  updateActiveLevel() {
    this.activeLevel = (this.facilitySelectorController.getColumns() || []).length - 1;
  }
  updateColumns() {
    this.columns = [...(this.facilitySelectorController.getColumns() || [])] || [];
  }
  updateChildElements() {
    const columnListElement = this.getColumnListElements();
    const searchElement = this.getSearchInputElement();
    const searchResultsElement = this.getSearchResultsElement();
    if (columnListElement) {
      columnListElement.forEach((element) => element.markCheckedItems());
    }
    if (searchElement) {
      forceUpdate(searchElement);
    }
    if (searchResultsElement) {
      searchResultsElement.markCheckedItems();
    }
  }
  handleItemSelected({ detail }, levelIndex) {
    if (!detail || !detail.item) {
      return;
    }
    this.clearSearch();
    const { item, isSelectedOrChecked } = detail;
    if (isSelectedOrChecked) {
      this.facilitySelectorController.selectNode(item, levelIndex);
    }
    else {
      this.facilitySelectorController.deSelectNode(item, levelIndex);
    }
  }
  handleItemChecked({ detail }, levelIndex) {
    if (!detail || !detail.item) {
      return;
    }
    const { item, isSelectedOrChecked } = detail;
    if (isSelectedOrChecked) {
      this.facilitySelectorController.checkNode(item, levelIndex);
    }
    else {
      this.facilitySelectorController.uncheckNode(item, levelIndex);
    }
  }
  handleSearch({ detail: searchString }) {
    if (!searchString || !searchString.trim()) {
      this.clearSearch();
      return;
    }
    this.columnsExpanded = true;
    this.searchString = searchString.trim();
    this.facilitySelectorController
      .search({
      searchRoot: this.getSelectedItemAtLevel(this.activeLevel - 1),
      searchString: this.searchString,
    })
      .then((result) => {
      this.searchResults = result;
    });
  }
  handleSearchResultSelected({ detail }) {
    const selectedSearchResult = detail.item;
    const searchRoot = this.getSelectedItemAtLevel(this.activeLevel - 1);
    this.facilitySelectorController.selectSearchResult(selectedSearchResult, searchRoot).then(() => {
      this.clearSearch();
      this.updateColumns();
      this.updateChildElements();
      this.updateActiveLevel();
    });
  }
  handleSearchResultChecked({ detail }) {
    this.facilitySelectorController.checkSearchResult(detail.isSelectedOrChecked, detail.item);
  }
  handleRecentSearchSelected({ detail: recentSearchItem }) {
    this.reset();
    this.facilitySelectorController.selectRecentSeachItem(recentSearchItem);
  }
  handleSave() {
    if (this.displayRecentSearches && this.recentSearchController) {
      const checkedItemsByLevel = [];
      for (let i = 0; i < this.facilitySelectorController.selectionState.checkedItemPerLevel.length; i++) {
        checkedItemsByLevel.push(this.facilitySelectorController.selectionState.checkedItemPerLevel[i] || []);
      }
      this.recentSearchController.addRecentSearch({
        checkedItemsByLevel,
      });
    }
    this.clearSearch();
    this.toggleColumnDisplay(false, false);
    this.facilitySelectorController.updateDefaultState();
    this.save.emit(this.facilitySelectorController.selectionState.checkedItemList);
  }
  toggleColumnDisplay(expand, resetState = true) {
    this.columnsExpanded = expand;
    if (!expand && resetState) {
      this.facilitySelectorController.resetToDefaultState();
      this.clearSearch();
    }
  }
  goToLevel(level) {
    if (isResponsiveMode() && level >= 0 && this.facilitySelectorController.getColumns) {
      this.activeLevel = level;
    }
  }
  scrollIntoViewElement(element) {
    if (!element || !element.scrollIntoView) {
      return;
    }
    element.scrollIntoView({ behavior: 'smooth', block: 'nearest', inline: 'center' });
  }
  reset() {
    this.facilitySelectorController.reset();
    this.clearSearch();
  }
  clearSearch() {
    this.searchString = '';
    this.searchResults = null;
  }
  render() {
    return (h(Host, { class: this.darkBackground ? 'dark-background' : '' }, h(this.ColumnSearchInputElement, null), this.columnsExpanded && (h("div", { class: `bci-portal-facility-collapsible ${this.columnsExpanded ? '' : 'collapsed'}` }, h("div", { class: "bci-portal-column-container" }, isResponsiveMode() ? (h("div", { class: "responsive-container" }, h("div", { class: "responsive-list" }, !this.searchResults && this.activeLevel !== 0 && (h("div", { "data-test": "webcore.webcomponents.facility-selector.bci-portal-facility-back-button", class: "back-button", onClick: () => this.goToLevel(this.activeLevel - 1) }, h("span", { class: "bosch-ic bosch-ic-small bosch-ic-back-left bosch-ic-clickable" }), translate('back'))), h(this.ColumnListElement, { list: this.getColumnItemsAtLevel(this.activeLevel), index: this.activeLevel })), this.searchResults && h(this.ColumnSearchResultElement, null))) : (this.facilitySelectorController.hasColumns() && (h("div", { class: "list-container" }, this.columns.map((list, index) => this.searchResults && index === this.columns.length - 1 ? ('') : (h(this.ColumnListElement, { list: list, index: index }))), this.searchResults && h(this.ColumnSearchResultElement, null))))), h(this.RecentSearchesElement, null), h("div", { class: "bci-portal-save-button-container" }, h("button", { "data-test": "webcore.webcomponents.facility-selector.bci-portal-reset-button", class: "button-link no-arrow reset", onClick: () => this.reset() }, translate('reset')), h("button", { "data-test": "webcore.webcomponents.facility-selector.bci-portal-save-button", class: "button-link no-arrow save", onClick: () => this.handleSave() }, translate('save')))))));
  }
  get el() { return this; }
  static get watchers() { return {
    "checkedItems": ["onCheckedItemsSet"]
  }; }
  static get style() { return facilitySelectorCss; }
}, [1, "bci-facility-selector", {
    "checkedItems": [16],
    "darkBackground": [4, "dark-background"],
    "enableMultiSelection": [4, "enable-multi-selection"],
    "displayRecentSearches": [4, "display-recent-searches"],
    "facilitySelectorController": [16],
    "recentSearchController": [16],
    "activeLevel": [32],
    "columns": [32],
    "columnsExpanded": [32],
    "recentSearchesExpanded": [32],
    "searchString": [32],
    "searchResults": [32]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bci-facility-selector", "bci-column-list", "bci-facility-recent-search", "bci-facility-search-input", "bci-facility-search-result", "checkbox-input"];
  components.forEach(tagName => { switch (tagName) {
    case "bci-facility-selector":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, FacilitySelector);
      }
      break;
    case "bci-column-list":
      if (!customElements.get(tagName)) {
        defineCustomElement$6();
      }
      break;
    case "bci-facility-recent-search":
      if (!customElements.get(tagName)) {
        defineCustomElement$5();
      }
      break;
    case "bci-facility-search-input":
      if (!customElements.get(tagName)) {
        defineCustomElement$4();
      }
      break;
    case "bci-facility-search-result":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "checkbox-input":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
  } });
}

const BciFacilitySelector = FacilitySelector;
const defineCustomElement = defineCustomElement$1;

export { BciFacilitySelector, defineCustomElement };

