/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { p as proxyCustomElement, H, c as createEvent, h } from './p-6fc5b736.js';
import { d as setLocale } from './p-d4c86b19.js';

const linkComponentCss = "/*!\n *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */a{text-decoration:none;white-space:nowrap;cursor:pointer;line-height:18px;color:#000000;font-size:12px;font-weight:400}a:link{color:#000000}a:visited{color:#000000}a:hover{color:#007bc0;text-decoration-line:underline}a:active{color:#00629a;text-decoration-line:underline}";

const LinkComponent = /*@__PURE__*/ proxyCustomElement(class extends H {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.footerNavItemClicked = createEvent(this, "bci.portal.footer.navItemClicked", 7);
    this.external = false;
  }
  async componentWillLoad() {
    await setLocale();
  }
  render() {
    return this.external ? (h("a", { target: "_blank", href: this.url }, this.text)) : (h("a", { "data-test": "webcore.webcomponents.link.footer-nav.anchor", onClick: () => this.footerNavItemClicked.emit(this.url) }, this.text));
  }
  static get style() { return linkComponentCss; }
}, [1, "bci-portal-link", {
    "url": [1],
    "text": [1],
    "external": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bci-portal-link"];
  components.forEach(tagName => { switch (tagName) {
    case "bci-portal-link":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, LinkComponent);
      }
      break;
  } });
}

const BciPortalLink = LinkComponent;
const defineCustomElement = defineCustomElement$1;

export { BciPortalLink, defineCustomElement };

