/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { p as proxyCustomElement, H, h } from './p-6fc5b736.js';
import { t as translate } from './p-9dead869.js';
import { d as setLocale } from './p-d4c86b19.js';

const pageInfoComponentCss = "/*!\n *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */.bci-portal-page-info{width:100%;display:flex;align-items:center;flex-direction:column;justify-content:center;background:#ffffff;padding:56px}.bci-portal-page-info-hidden{display:none !important}.bci-portal-page-info-icon span::before{color:#595e62;font-size:56px}.bci-protal-page-info-text{word-wrap:break-word;color:#595e62;max-width:600px}";

const PageInfoComponent = /*@__PURE__*/ proxyCustomElement(class extends H {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  onErrorOccurred(event) {
    this.event = event;
  }
  onErrorResolved() {
    this.event = null;
  }
  async componentWillLoad() {
    await setLocale();
  }
  render() {
    return (h("div", { class: 'bci-portal-page-info ' + (!this.event ? 'bci-portal-page-info-hidden' : '') }, h("div", { class: "bci-portal-page-info-icon" }, h("span", { class: "bosch-ic bosch-ic-problem-frame" })), h("div", { class: "bci-protal-page-info-text" }, h("p", null, this.event != null ? translate(this.event.detail.title) : ''), this.event != null ? translate(this.event.detail.description) : '')));
  }
  static get style() { return pageInfoComponentCss; }
}, [1, "bci-portal-page-info", {
    "event": [32]
  }, [[8, "bci.portal.page-info.created", "onErrorOccurred"], [8, "bci.portal.page-info.resolved", "onErrorResolved"]]]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bci-portal-page-info"];
  components.forEach(tagName => { switch (tagName) {
    case "bci-portal-page-info":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, PageInfoComponent);
      }
      break;
  } });
}

const BciPortalPageInfo = PageInfoComponent;
const defineCustomElement = defineCustomElement$1;

export { BciPortalPageInfo, defineCustomElement };

