/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { p as proxyCustomElement, H, h, b as Host } from './p-6fc5b736.js';

const itemCss = "";

const Item = /*@__PURE__*/ proxyCustomElement(class extends H {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /** The string value of the item which will be emitter on click. By default set to ''.*/
    this.value = '';
    this.stateValue = '';
  }
  watchValueHandler(newValue) {
    this.stateValue = newValue;
  }
  componentDidLoad() {
    this.stateValue = this.value;
  }
  render() {
    return (h(Host, { class: "toolbar-item", "data-value": this.stateValue }, h("slot", null)));
  }
  static get watchers() { return {
    "value": ["watchValueHandler"]
  }; }
  static get style() { return itemCss; }
}, [1, "bci-toolbar-item", {
    "value": [1],
    "stateValue": [32]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bci-toolbar-item"];
  components.forEach(tagName => { switch (tagName) {
    case "bci-toolbar-item":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, Item);
      }
      break;
  } });
}

const BciToolbarItem = Item;
const defineCustomElement = defineCustomElement$1;

export { BciToolbarItem, defineCustomElement };

