/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { p as proxyCustomElement, H, c as createEvent, h } from './p-6fc5b736.js';

const navigationSubmenuComponentCss = "/*!\n *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */bci-portal-navigation-submenu{width:100%;overflow:hidden}.bci-portal-navigation-item-sub-header{margin-left:12px}.bci-portal-navigation-item-title{border-bottom:1px solid}";

const NavigationSubmenuComponent = /*@__PURE__*/ proxyCustomElement(class extends H {
  constructor() {
    super();
    this.__registerHost();
    this.navigationItemExpanded = createEvent(this, "bci.portal.navigation.itemExpanded", 7);
  }
  closeExpandedMenu() {
    this.navigationItemExpanded.emit(this.expandedNavItem);
  }
  render() {
    return (h("section", { class: "bci-portal-sidebar-sub-navigation-container" }, h("div", { class: "bci-portal-navigation-item", "data-test": "webcore.webcomponents.navigation-submenu.close.div", onClick: () => this.closeExpandedMenu() }, h("a", { title: this.expandedNavItem.title, class: "bci-portal-navigation-item-content" }, h("span", { class: "bci-portal-navigation-item-icon-category bosch-ic bosch-ic-back-left" }), h("div", { class: "bci-portal-navigation-item-sub-header" }, h("p", { class: "bci-portal-navigation-item-title" }, this.expandedNavItem.title)))), h("slot", null)));
  }
  static get style() { return navigationSubmenuComponentCss; }
}, [4, "bci-portal-navigation-submenu", {
    "expandedNavItem": [16]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bci-portal-navigation-submenu"];
  components.forEach(tagName => { switch (tagName) {
    case "bci-portal-navigation-submenu":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, NavigationSubmenuComponent);
      }
      break;
  } });
}

export { NavigationSubmenuComponent as N, defineCustomElement as d };

