/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { p as proxyCustomElement, H, c as createEvent, h } from './p-6fc5b736.js';
import { L as LOCALE_MAP, s as state, D as DEFAULT_LOCALE } from './p-d4c86b19.js';
import { f as format } from './p-98fe95a7.js';
import { s as setMonth } from './p-ec555305.js';

const monthHeaderCss = "/*!\n *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */.bci-core-month-header{display:flex;justify-content:space-between;align-items:center;color:#000000;text-align:center;border-bottom:1px solid #8a9097}.bci-core-month-header .month-header{display:flex;justify-content:center;align-items:center;height:48px;min-width:2em;font-size:16px;font-weight:400;margin-left:14px;color:#000000;cursor:pointer;outline:none}.bci-core-month-header .month-header:hover,.bci-core-month-header .month-header:focus{color:#007bc0}.bci-core-month-header .month-header:active{color:#00629a}.bci-core-month-header .month-header p{margin:0}.bci-core-month-header .month-header .open-arrow{margin-left:4px}.bci-core-month-header .month-header .open-arrow>i{display:inline-block;width:24px;aspect-ratio:1}.bci-core-month-header .month-header.opened{color:#007bc0}.bci-core-month-header .month-header.opened:hover,.bci-core-month-header .month-header.opened:focus{color:#00629a}.bci-core-month-header .month-header.opened .open-arrow{transform:rotate(180deg)}.bci-core-month-header div{display:flex}.bci-core-month-header span:not(.open-arrow){display:grid;place-items:center;width:48px;aspect-ratio:1;color:#000000;outline:none}.bci-core-month-header span:not(.open-arrow):not(.disabled){cursor:pointer}.bci-core-month-header span:not(.open-arrow):not(.disabled):hover,.bci-core-month-header span:not(.open-arrow):not(.disabled):focus{color:#007bc0}.bci-core-month-header span:not(.open-arrow):not(.disabled):active{color:#00629a}.bci-core-month-header span:not(.open-arrow).disabled{pointer-events:none;color:#c1c7cc}";

const MonthHeader = /*@__PURE__*/ proxyCustomElement(class extends H {
  constructor() {
    super();
    this.__registerHost();
    this.arrowClicked = createEvent(this, "arrowClicked", 7);
    this.toggleShowYearMonthSelection = createEvent(this, "toggleShowYearMonthSelection", 7);
  }
  handleMonthChange(newValue) {
    this.setFormattedMonth(newValue);
  }
  handleYearChange(newValue) {
    this.displayedYear = newValue;
  }
  componentWillLoad() {
    this.setFormattedMonth(this.month);
    this.displayedYear = this.year;
  }
  arrowClickHandler(arrowDirection) {
    this.arrowClicked.emit(arrowDirection);
  }
  handleKeyboardClick(event) {
    if ((event.key !== 'Enter' && event.key !== ' ') || event.defaultPrevented)
      return;
    event.target.click();
  }
  render() {
    return (h("div", { class: "bci-core-month-header" }, h("div", { "data-test": "webcore.webcomponents.month-header.yearMonthSelection", class: {
        'month-header': true,
        opened: !!this.yearMonthSelectionStep,
      }, tabIndex: 0, role: "button", "aria-label": `${!!this.yearMonthSelectionStep ? 'Close' : 'Open'} the Year/Month Selection`, onKeyDown: (ev) => this.handleKeyboardClick(ev), onClick: () => {
        this.toggleShowYearMonthSelection.emit({ newState: !!this.yearMonthSelectionStep ? false : true });
      } }, h("p", null, `${this.displayedMonth} ${this.displayedYear}` || 'Month Header'), h("span", { class: "open-arrow" }, h("i", { class: "bosch-ic bosch-ic-clickable bosch-ic-down" }))), h("div", null, h("span", { class: { 'left-arrow': true, disabled: this.yearMonthSelectionStep === 'month' }, role: "button", tabIndex: 0, "aria-label": `Show previous ${!!this.yearMonthSelectionStep ? '20 years' : 'month'}`, onKeyDown: (ev) => this.handleKeyboardClick(ev), onClick: () => this.arrowClickHandler({ direction: 'prev' }) }, h("i", { class: "bosch-ic bosch-ic-clickable bosch-ic-back-left", "data-test": "webcore.webcomponents.month-header.month-change-handler.span" })), h("span", { class: { 'right-arrow': true, disabled: this.yearMonthSelectionStep === 'month' }, role: "button", tabIndex: 0, "aria-label": `Show next ${!!this.yearMonthSelectionStep ? '20 years' : 'month'}`, onKeyDown: (ev) => this.handleKeyboardClick(ev), onClick: () => this.arrowClickHandler({ direction: 'next' }) }, h("i", { "data-test": "webcore.webcomponents.bci-core-month-header-month-change-header.next", class: "bosch-ic bosch-ic-clickable bosch-ic-forward-right" })))));
  }
  setFormattedMonth(value) {
    const locale = { locale: LOCALE_MAP[state.language || DEFAULT_LOCALE.language] };
    this.displayedMonth = format(setMonth(new Date(), value), 'MMMM', locale);
  }
  static get watchers() { return {
    "month": ["handleMonthChange"],
    "year": ["handleYearChange"]
  }; }
  static get style() { return monthHeaderCss; }
}, [0, "bci-month-header", {
    "year": [2],
    "month": [2],
    "yearMonthSelectionStep": [8, "year-month-selection-step"],
    "displayedMonth": [32],
    "displayedYear": [32]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bci-month-header"];
  components.forEach(tagName => { switch (tagName) {
    case "bci-month-header":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MonthHeader);
      }
      break;
  } });
}

export { MonthHeader as M, defineCustomElement as d };

