/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "./stencil-public-runtime";
import { CheckboxItem, CollectionType } from "./components/checkbox-collection/checkbox-collection.interface";
import { ColumnItemSelectedOrChecked, Facility, RecentSearchItem } from "./components/facility-selector/facility.interface";
import { FacilitySelectorController, RecentSearchController } from ".";
import { ArrowClickObject, DatesObject, DaySelectedObject, YearMonthSelectedObject } from "./components/datetime-picker/datepicker/datepicker.models";
import { DateTime, Template, TemplateGroup, TimeStamp } from "./components/datetime-picker/datetime-picker.interface";
import { DatePickerConfig, SelectionChanged, TemplateEvent, TimePickerConfig, TimePickerTimeFormat } from "./components/datetime-picker/model";
import { FormattingService } from "./components/datetime-picker/service";
import { DateService } from "./components/datetime-picker/service/date-service";
import { ViewModes } from "./components/bci-header/bci-header.interface";
import { BciIcons } from "./components/bci-icon/bci-icon.interface";
import { ModalDialogConfig } from "./components/modal-dialog/modal-dialog.interface";
import { InvalidPreselectionErrorEvent, MultiSelectorDataSource, NodeActiveChangedEvent, NodePath, NodeSelectionChangedEvent, RootNode, SelectionChangedEvent, SelectionFinishedEvent, SelectionMode } from "./components/multi-selector/model";
import { Level } from "./components/multi-selector/multi-selector-overlay/multi-selector-level/model/multi-selector-level";
import { LevelSection } from "./components/multi-selector/multi-selector-overlay/multi-selector-level-section/model/multi-selector-level-section";
import { ViewportClasses } from "./components/multi-selector/service/width-observer-service";
import { OverlayOptions } from "@spectrum-web-components/overlay";
import { PageEvent } from "./components/paginator/paginator.interface";
import { SidebarNavItem } from "./interfaces/navigation.interface";
import { MaximizedMode } from "./interfaces/utils.interface";
import { SidebarNavItem as SidebarNavItem1, User } from "./interfaces";
import { ExpanderIcon } from "./components/navigation/expander-icon";
import { CheckboxCheckedIndication, CheckboxIndication } from "./components/checkbox-input/checkbox-input.interface";
import { TimeSelectedObject } from "./components/datetime-picker/timepicker/timepicker.model";
import { TreelistItem } from "./components/bci-treelist/treelist-Item.interface";
export namespace Components {
    interface BciCard {
        /**
          * Color used for the tile header. Options are grey, green, blue, yellow, orange and red.  By default grey.
         */
        "headerColor": string;
    }
    interface BciCardIcon {
        /**
          * Icon to be displayed inside the tile icon element. By default Bosch-Ic-delete.s
         */
        "icon": string;
    }
    interface BciCardText {
        /**
          * Styles the text element like a title. By default set to false.
         */
        "isTitle": boolean;
        /**
          * Placeholder for the text element. By default empty string.
         */
        "label": string;
        /**
          * Styles the text element for large content. By default set to false.
         */
        "largeText": boolean;
        /**
          * Value of the text inside the text element. By default empty string.
         */
        "value": string;
    }
    interface BciCardView {
    }
    interface BciCheckboxCollection {
        "list": CheckboxItem[];
        "reset": () => Promise<void>;
        "setDefaultSelection": () => Promise<void>;
        "type": CollectionType;
    }
    interface BciColumnList {
        "facilitySelectorController": FacilitySelectorController;
        "list": Facility[];
        "markCheckedItems": () => Promise<void>;
        "selectedId": string;
    }
    interface BciContextMenu {
    }
    interface BciDatepicker {
        "bciDatepickerId": any;
        "datePickerInputObj": any;
        /**
          * Object to keep track of the currently selected date range
         */
        "datesObj": DatesObject;
        "formatDate": string;
        "maxDate": number;
        "minDate": number;
        "rangeDate": boolean;
        /**
          * Date that is currently selected
         */
        "selectedDate": string;
        /**
          * Month which the calendar should display.
         */
        "selectedMonth": number;
        /**
          * Year which the calendar should display.
         */
        "selectedYear": number;
        "sundayFirst": boolean;
        "timeZone": string;
        /**
          * The current day
         */
        "today": string;
    }
    interface BciDatetimeDialog {
        /**
          * Clears internal timer and resets selected template
         */
        "close": () => Promise<void>;
        /**
          * Closes the Year/Month Selection
         */
        "closeYearMonthSelection": () => Promise<void>;
        /**
          * Contains the settings for the date picker
         */
        "datePickerConfig": DatePickerConfig;
        /**
          * Pass through of the current time state
         */
        "datePickerInputObj": DateTime;
        /**
          * Optional - inject the DateService instance
         */
        "dateService": DateService;
        /**
          * This id reused within the children ids
         */
        "dateTimePickerId": string;
        /**
          * Optional - inject the FormattingService instance
         */
        "formatService": FormattingService;
        /**
          * Which parts of the datepicker should be hidden
         */
        "hide"?: 'calendar' | 'time';
        /**
          * Whether the "Templates"-Button should be disabled
         */
        "templatesDisabled": boolean;
        /**
          * Which templates should be displayed
         */
        "templatesList": Array<Template | TemplateGroup>;
        /**
          * Contains the settings for the time picker
         */
        "timePickerConfig": TimePickerConfig;
        /**
          * Handler for toggling the dialog
         */
        "toggleDialogHandler": () => void;
    }
    interface BciDatetimePicker {
        "darkBackground": boolean;
        "dateTime": DateTime;
        /**
          * Id of the datepicker.
         */
        "dateTimePickerId": string;
        /**
          * Whether the datepicker should be disabled.
         */
        "disabled": boolean;
        /**
          * Format of the date.
         */
        "formatDate": string;
        /**
          * Which parts of the datepicker should be hidden
          * @type  'calendar' | 'time'
         */
        "hide"?: 'calendar' | 'time';
        /**
          * Whether the timepicker should be hidden.
          * @deprecated Use hide property instead.
         */
        "hideTime": boolean;
        /**
          * Label of the datepicker input field.
         */
        "label": string;
        /**
          * The max date that should be selectable.
         */
        "maxDate": number;
        /**
          * The min date that should be selectable.
         */
        "minDate": number;
        /**
          * Placeholder of the datepicker input field.
         */
        "placeholder": string;
        /**
          * Whether a range should be selectable.
         */
        "rangeDateTime": boolean;
        /**
          * Function to reset the datepicker's selection
         */
        "resetSelection": () => Promise<void>;
        /**
          * Whether should be the first day of the week in the calendar.
         */
        "sundayFirst": boolean;
        /**
          * Whether the "Templates"-Button should be disabled.
         */
        "templatesDisabled": boolean;
        /**
          * A list of templates that are selectable. If there are no templates provided, the "Templates"-Button will not be shown.
         */
        "templatesList": Array<Template | TemplateGroup>;
        /**
          * please use timeFormat 'H:mm'(hours and minutes) or 'hh:mm a'(hours and minutes with AM/PM) or 'hh:mm:ss a(hours,minutes,seconds with AM/PM)',for the date range picker
         */
        "timeFormat": TimePickerTimeFormat;
        "timeStamp": TimeStamp;
        "timeZone": string;
        "toggle": () => Promise<void>;
    }
    interface BciFacilityRecentSearch {
        "expanded": boolean;
        "recentSearchController": RecentSearchController;
    }
    interface BciFacilitySearchInput {
        "darkBackground": boolean;
        "facilitySelectorController": FacilitySelectorController;
        "isColumnExpanded": boolean;
        "searchString": string;
    }
    interface BciFacilitySearchResult {
        "facilitySelectorController": FacilitySelectorController;
        "markCheckedItems": () => Promise<void>;
        "searchResults": Record<string, Facility[]>;
        "searchString": string;
    }
    interface BciFacilitySelector {
        "checkedItems": Facility[];
        "darkBackground": boolean;
        "displayRecentSearches": boolean;
        "enableMultiSelection": boolean;
        "facilitySelectorController": FacilitySelectorController;
        "recentSearchController": RecentSearchController;
    }
    interface BciHeader {
        /**
          * Feature toggle: If an Array with the breadcrumb link structure is set, the breadcrumb will be rendered.
         */
        "breadcrumbArray": any;
        /**
          * Control what the title of the header should be
         */
        "headerTitle": string;
        /**
          * Control the visible of the breadcrumb during iframe scrolling
         */
        "hideBreadcrumb": boolean;
        /**
          * Control header styling for different view modes
         */
        "mode": ViewModes;
        /**
          * Control if the settings icon should be visible
         */
        "showSettingsIcon": boolean;
    }
    interface BciIcon {
        /**
          * Add the "bosch-ic-clickable" class if true
         */
        "clickable": boolean;
        /**
          * The name of the property without the bosch-ic prefix
         */
        "name": BciIcons;
    }
    interface BciLoadingIndicator {
        /**
          * flag if the loader is loading or not
         */
        "isLoading": boolean;
    }
    interface BciModalDialog {
        /**
          * Closes the modal dialog.
         */
        "close": () => Promise<void>;
        /**
          * An optional configuration
         */
        "config": ModalDialogConfig;
        /**
          * An optional title
         */
        "dialogTitle": string;
        /**
          * Opens the modal dialog.
         */
        "open": () => Promise<void>;
    }
    interface BciMonthHeader {
        "month": number;
        "year": number;
        "yearMonthSelectionStep": any;
    }
    interface BciMultiSelector {
        /**
          * Mark this element to be shown on dark background (it will adapt styling). Default: false.
         */
        "darkBackground": boolean;
        /**
          * DataSource that provides function implementations to receive/call data content
         */
        "dataSource": MultiSelectorDataSource;
        /**
          * pre selection
         */
        "initialSelection": NodePath[];
        /**
          * Prevents going into fullscreen / responsive mode on low resolutions.
         */
        "preventFullscreen": boolean;
        /**
          * defines the mode of selection - if single, then is only 1 selection at a time possible (default multi)
         */
        "selectionMode": SelectionMode;
        /**
          * Enforce single column mode, normally only used for smaller screens / selectors.
         */
        "singleColumnMode": boolean;
    }
    interface BciMultiSelectorInput {
        /**
          * The available data sources.
         */
        "dataSources": RootNode[];
        /**
          * turning the input field into an readonly modus
         */
        "readonly"?: boolean;
        /**
          * text for the placeholder of the input field
         */
        "searchPlaceholder": string;
        /**
          * text for the input field
         */
        "searchValue": string;
        /**
          * The currently selected data source.
         */
        "selectedDataSource": RootNode;
        /**
          * The current selections.
         */
        "selections"?: NodePath[];
        /**
          * sets the cursor/focus on the input element
         */
        "setFocusOnInputField": () => Promise<void>;
    }
    interface BciMultiSelectorLevel {
        /**
          * The label of the back button
         */
        "backButtonLabel": string;
        /**
          * This string is highlighted in the labels
         */
        "highlight": string;
        /**
          * nodes that gonna be shown within one level depth of the tree
         */
        "level": Level;
    }
    interface BciMultiSelectorLevelSection {
        /**
          * This string is highlighted in the labels
         */
        "highlight": string;
        /**
          * section of a level
         */
        "section": LevelSection;
    }
    interface BciMultiSelectorOverlay {
        /**
          * rendered/shown levels on tree
         */
        "activeLevels": Level[];
        /**
          * The viewport logic is ignored if this property is set
         */
        "enforceViewport"?: ViewportClasses;
        /**
          * text that needs to be highlighted in the result list
         */
        "filterText": string;
        /**
          * title of the overlay header
         */
        "headerLabel": string;
        /**
          * show a loading spinner
         */
        "isLoading": boolean;
        /**
          * enable or disable resetSelectionButton
         */
        "resetSelectionButtonEnabled": boolean;
        /**
          * Show save button
         */
        "showSave": boolean;
    }
    interface BciMultiSelectorSearchFilter {
        /**
          * the default searchType
         */
        "defaultSearchType": RootNode;
        /**
          * the list of searchTypes to choose out of within the dropdown
         */
        "searchTypes"?: RootNode[];
    }
    interface BciMultiSelectorSearchLabel {
        /**
          * The selected Node Path is containing all nodes(starting from rootNode) leading to the selected Node(leaf)
         */
        "selections": NodePath[];
    }
    interface BciMultiSelectorTree {
        /**
          * rendered/shown levels on tree
         */
        "activeLevels": Level[];
        /**
          * text that needs to be highlighted in the result list
         */
        "filterText": string;
        /**
          * show a loading spinner
         */
        "isLoading": boolean;
    }
    interface BciOverlay {
        /**
          * Configuration
         */
        "config": OverlayOptions;
        /**
          * This will be shown in the dialog
         */
        "dialog"?: HTMLElement;
        /**
          * try to hide the overlay and return the current visibility state
         */
        "hide": () => Promise<boolean>;
        /**
          * The dialog will be positioned relative to this element
         */
        "host"?: HTMLElement;
        /**
          * try to show the overlay and return the current visibility state
         */
        "show": () => Promise<boolean>;
        /**
          * update the overlay, e.g. to fix positioning
         */
        "update": () => Promise<void>;
    }
    interface BciPaginator {
        /**
          * Set to true when used inside a dialog container to avoid overflow
         */
        "insideDialogContainer": boolean;
        /**
          * The length of the total number of items that are being paginated. Defaulted to 0.
         */
        "length": number;
        /**
          * The zero-based page index of the displayed list of items. Defaulted to 0.
         */
        "pageIndex": number;
        /**
          * If page index calculation is not needed then set to true
         */
        "pageIndexCalculationOff": boolean;
        /**
          * Number of items to display on a page. By default set to 10.
         */
        "pageSize": number;
        /**
          * The set of provided page size options to display to the user.
         */
        "pageSizeOptions": string;
        /**
          * If page size option is not needed
         */
        "showPageSizeSelector": boolean;
    }
    interface BciPortalBadge {
        "redBackground": boolean;
        "value": number | string;
    }
    interface BciPortalExpandToggle {
    }
    interface BciPortalFooter {
        /**
          * Copyright text
         */
        "copyrightLabel": string;
    }
    interface BciPortalHeader {
        "maximized": MaximizedMode;
        "navigationItems": SidebarNavItem[];
        "showMaximizedBurgerMenuIcon": boolean;
    }
    interface BciPortalHeaderBanner {
    }
    interface BciPortalHeaderIcon {
        "iconName": string;
        "text": string;
        "url": string;
    }
    interface BciPortalHeaderIconLink {
        "external": boolean;
        "text": string;
        "url": string;
    }
    interface BciPortalHeaderMaximizedBurgerIcon {
    }
    interface BciPortalHeaderMessageIcon {
        "dateFormat": string;
        "localStorageKey": string;
        "text": string;
    }
    interface BciPortalHeaderSearchIcon {
        "navigationItems": SidebarNavItem[];
    }
    interface BciPortalHeaderUserIcon {
        "searchableItems": Array<SidebarNavItem1>;
        "text": string;
        "userInfo": User;
    }
    interface BciPortalLink {
        "external": boolean;
        "text": string;
        "url": string;
    }
    interface BciPortalMessages {
        "dateFormat": string;
        "localStorageKey": string;
        "timeFormat": string;
    }
    interface BciPortalNavigation {
        "closed": boolean;
        /**
          * controls whether the bci.portal.navigation.itemClicked event is triggered upon startup or not
         */
        "emitItemClickOnStartup": boolean;
        /**
          * controls whether window path has hash navigations
         */
        "hashNavigation": boolean;
        "mainTitle": string;
        "navigationItems": SidebarNavItem[];
        "threeLevels": boolean;
        "useLogo": boolean;
    }
    interface BciPortalNavigationItem {
        "expanderIcon": ExpanderIcon;
        /**
          * controls whether window path has hash navigations
         */
        "hashNavigation": boolean;
        "item": SidebarNavItem;
        "navigationClosed": boolean;
    }
    interface BciPortalNavigationSubmenu {
        "expandedNavItem": SidebarNavItem;
    }
    interface BciPortalPageInfo {
    }
    interface BciPortalToaster {
    }
    interface BciTableCard {
        /**
          * prop for setting disabled state
         */
        "disabled": boolean;
        /**
          * prop for multiple selection
         */
        "isMultipleSelection": boolean;
        /**
          * prop for setting selection/focus state
         */
        "selected": boolean;
    }
    interface BciTableCardAction {
        /**
          * Prop to define what the action is (add,delete,edit)
         */
        "action": string;
        "icon": string;
        "tooltip": string;
    }
    interface BciTableCardEntry {
        "entryTitle": string;
        "value": any;
    }
    interface BciTemplate {
        /**
          * Clears internal timer and resets selected template
         */
        "reset": () => Promise<void>;
        /**
          * Which time frames should be displayed
         */
        "templatesList": Array<Template | TemplateGroup>;
        /**
          * Whether the templatesList should be visible. Using this prop instead of traditional conditional rendering to preserve the state within this component.
         */
        "visible": boolean;
    }
    interface BciTimepicker {
        "bciTimepickerId": string;
        "rangeTimePicker": boolean;
        "timeFormat": TimePickerTimeFormat;
        "timeInput": string;
        "timeTitle": string;
    }
    interface BciToolbar {
    }
    interface BciToolbarItem {
        /**
          * The string value of the item which will be emitter on click. By default set to ''.
         */
        "value": string;
    }
    interface BciToolbarSpacing {
    }
    interface BciTreelist {
        "listItems": TreelistItem[];
    }
    interface BciTreelistItem {
        "hasChildren": boolean;
        "item": TreelistItem;
        "itemIconName": string;
        "itemTitle": string;
    }
    interface BciWeekHeader {
        "sundayFirst": boolean;
    }
    interface BciWeekdays {
        "dateRestrictionObj": any;
        "datesObj": DatesObject;
        "daysInMonth": number;
        "formatDate": string;
        "lastDayOfMonth": Date;
        "month": number;
        "offset": number;
        "rangeDate": boolean;
        "selectedDate": string;
        "timeZone": string;
        "todaysDate": string;
        "year": number;
    }
    interface BciYearMonth {
        "dateObj": any;
        "maxDate": number;
        "minDate": number;
        "selectionStep": 'year' | 'month';
        "yearSelectionPageOffset": number;
    }
    interface CheckboxInput {
        /**
          * @deprecated used as ID for the checkbox input
         */
        "checkboxId": string;
        /**
          * @deprecated control's the checked state of the checkbox input
         */
        "checked": boolean;
        /**
          * @deprecated control's the indeterminate state of the checkbox input
         */
        "indeterminate": boolean;
        /**
          * control's the checkbox input state
         */
        "indication": CheckboxIndication;
    }
}
export interface BciCheckboxCollectionCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciCheckboxCollectionElement;
}
export interface BciColumnListCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciColumnListElement;
}
export interface BciDatetimeDialogCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciDatetimeDialogElement;
}
export interface BciDatetimePickerCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciDatetimePickerElement;
}
export interface BciFacilityRecentSearchCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciFacilityRecentSearchElement;
}
export interface BciFacilitySearchInputCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciFacilitySearchInputElement;
}
export interface BciFacilitySearchResultCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciFacilitySearchResultElement;
}
export interface BciFacilitySelectorCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciFacilitySelectorElement;
}
export interface BciHeaderCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciHeaderElement;
}
export interface BciMonthHeaderCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciMonthHeaderElement;
}
export interface BciMultiSelectorCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciMultiSelectorElement;
}
export interface BciMultiSelectorInputCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciMultiSelectorInputElement;
}
export interface BciMultiSelectorLevelCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciMultiSelectorLevelElement;
}
export interface BciMultiSelectorLevelSectionCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciMultiSelectorLevelSectionElement;
}
export interface BciMultiSelectorOverlayCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciMultiSelectorOverlayElement;
}
export interface BciMultiSelectorSearchFilterCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciMultiSelectorSearchFilterElement;
}
export interface BciMultiSelectorTreeCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciMultiSelectorTreeElement;
}
export interface BciPaginatorCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPaginatorElement;
}
export interface BciPortalHeaderCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPortalHeaderElement;
}
export interface BciPortalHeaderIconCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPortalHeaderIconElement;
}
export interface BciPortalHeaderIconLinkCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPortalHeaderIconLinkElement;
}
export interface BciPortalHeaderSearchIconCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPortalHeaderSearchIconElement;
}
export interface BciPortalLinkCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPortalLinkElement;
}
export interface BciPortalMessagesCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPortalMessagesElement;
}
export interface BciPortalNavigationCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPortalNavigationElement;
}
export interface BciPortalNavigationItemCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPortalNavigationItemElement;
}
export interface BciPortalNavigationSubmenuCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciPortalNavigationSubmenuElement;
}
export interface BciTableCardCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciTableCardElement;
}
export interface BciTableCardActionCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciTableCardActionElement;
}
export interface BciTemplateCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciTemplateElement;
}
export interface BciTimepickerCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciTimepickerElement;
}
export interface BciToolbarCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciToolbarElement;
}
export interface BciWeekdaysCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciWeekdaysElement;
}
export interface BciYearMonthCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLBciYearMonthElement;
}
export interface CheckboxInputCustomEvent<T> extends CustomEvent<T> {
    detail: T;
    target: HTMLCheckboxInputElement;
}
declare global {
    interface HTMLBciCardElement extends Components.BciCard, HTMLStencilElement {
    }
    var HTMLBciCardElement: {
        prototype: HTMLBciCardElement;
        new (): HTMLBciCardElement;
    };
    interface HTMLBciCardIconElement extends Components.BciCardIcon, HTMLStencilElement {
    }
    var HTMLBciCardIconElement: {
        prototype: HTMLBciCardIconElement;
        new (): HTMLBciCardIconElement;
    };
    interface HTMLBciCardTextElement extends Components.BciCardText, HTMLStencilElement {
    }
    var HTMLBciCardTextElement: {
        prototype: HTMLBciCardTextElement;
        new (): HTMLBciCardTextElement;
    };
    interface HTMLBciCardViewElement extends Components.BciCardView, HTMLStencilElement {
    }
    var HTMLBciCardViewElement: {
        prototype: HTMLBciCardViewElement;
        new (): HTMLBciCardViewElement;
    };
    interface HTMLBciCheckboxCollectionElement extends Components.BciCheckboxCollection, HTMLStencilElement {
    }
    var HTMLBciCheckboxCollectionElement: {
        prototype: HTMLBciCheckboxCollectionElement;
        new (): HTMLBciCheckboxCollectionElement;
    };
    interface HTMLBciColumnListElement extends Components.BciColumnList, HTMLStencilElement {
    }
    var HTMLBciColumnListElement: {
        prototype: HTMLBciColumnListElement;
        new (): HTMLBciColumnListElement;
    };
    interface HTMLBciContextMenuElement extends Components.BciContextMenu, HTMLStencilElement {
    }
    var HTMLBciContextMenuElement: {
        prototype: HTMLBciContextMenuElement;
        new (): HTMLBciContextMenuElement;
    };
    interface HTMLBciDatepickerElement extends Components.BciDatepicker, HTMLStencilElement {
    }
    var HTMLBciDatepickerElement: {
        prototype: HTMLBciDatepickerElement;
        new (): HTMLBciDatepickerElement;
    };
    interface HTMLBciDatetimeDialogElement extends Components.BciDatetimeDialog, HTMLStencilElement {
    }
    var HTMLBciDatetimeDialogElement: {
        prototype: HTMLBciDatetimeDialogElement;
        new (): HTMLBciDatetimeDialogElement;
    };
    interface HTMLBciDatetimePickerElement extends Components.BciDatetimePicker, HTMLStencilElement {
    }
    var HTMLBciDatetimePickerElement: {
        prototype: HTMLBciDatetimePickerElement;
        new (): HTMLBciDatetimePickerElement;
    };
    interface HTMLBciFacilityRecentSearchElement extends Components.BciFacilityRecentSearch, HTMLStencilElement {
    }
    var HTMLBciFacilityRecentSearchElement: {
        prototype: HTMLBciFacilityRecentSearchElement;
        new (): HTMLBciFacilityRecentSearchElement;
    };
    interface HTMLBciFacilitySearchInputElement extends Components.BciFacilitySearchInput, HTMLStencilElement {
    }
    var HTMLBciFacilitySearchInputElement: {
        prototype: HTMLBciFacilitySearchInputElement;
        new (): HTMLBciFacilitySearchInputElement;
    };
    interface HTMLBciFacilitySearchResultElement extends Components.BciFacilitySearchResult, HTMLStencilElement {
    }
    var HTMLBciFacilitySearchResultElement: {
        prototype: HTMLBciFacilitySearchResultElement;
        new (): HTMLBciFacilitySearchResultElement;
    };
    interface HTMLBciFacilitySelectorElement extends Components.BciFacilitySelector, HTMLStencilElement {
    }
    var HTMLBciFacilitySelectorElement: {
        prototype: HTMLBciFacilitySelectorElement;
        new (): HTMLBciFacilitySelectorElement;
    };
    interface HTMLBciHeaderElement extends Components.BciHeader, HTMLStencilElement {
    }
    var HTMLBciHeaderElement: {
        prototype: HTMLBciHeaderElement;
        new (): HTMLBciHeaderElement;
    };
    interface HTMLBciIconElement extends Components.BciIcon, HTMLStencilElement {
    }
    var HTMLBciIconElement: {
        prototype: HTMLBciIconElement;
        new (): HTMLBciIconElement;
    };
    interface HTMLBciLoadingIndicatorElement extends Components.BciLoadingIndicator, HTMLStencilElement {
    }
    var HTMLBciLoadingIndicatorElement: {
        prototype: HTMLBciLoadingIndicatorElement;
        new (): HTMLBciLoadingIndicatorElement;
    };
    interface HTMLBciModalDialogElement extends Components.BciModalDialog, HTMLStencilElement {
    }
    var HTMLBciModalDialogElement: {
        prototype: HTMLBciModalDialogElement;
        new (): HTMLBciModalDialogElement;
    };
    interface HTMLBciMonthHeaderElement extends Components.BciMonthHeader, HTMLStencilElement {
    }
    var HTMLBciMonthHeaderElement: {
        prototype: HTMLBciMonthHeaderElement;
        new (): HTMLBciMonthHeaderElement;
    };
    interface HTMLBciMultiSelectorElement extends Components.BciMultiSelector, HTMLStencilElement {
    }
    var HTMLBciMultiSelectorElement: {
        prototype: HTMLBciMultiSelectorElement;
        new (): HTMLBciMultiSelectorElement;
    };
    interface HTMLBciMultiSelectorInputElement extends Components.BciMultiSelectorInput, HTMLStencilElement {
    }
    var HTMLBciMultiSelectorInputElement: {
        prototype: HTMLBciMultiSelectorInputElement;
        new (): HTMLBciMultiSelectorInputElement;
    };
    interface HTMLBciMultiSelectorLevelElement extends Components.BciMultiSelectorLevel, HTMLStencilElement {
    }
    var HTMLBciMultiSelectorLevelElement: {
        prototype: HTMLBciMultiSelectorLevelElement;
        new (): HTMLBciMultiSelectorLevelElement;
    };
    interface HTMLBciMultiSelectorLevelSectionElement extends Components.BciMultiSelectorLevelSection, HTMLStencilElement {
    }
    var HTMLBciMultiSelectorLevelSectionElement: {
        prototype: HTMLBciMultiSelectorLevelSectionElement;
        new (): HTMLBciMultiSelectorLevelSectionElement;
    };
    interface HTMLBciMultiSelectorOverlayElement extends Components.BciMultiSelectorOverlay, HTMLStencilElement {
    }
    var HTMLBciMultiSelectorOverlayElement: {
        prototype: HTMLBciMultiSelectorOverlayElement;
        new (): HTMLBciMultiSelectorOverlayElement;
    };
    interface HTMLBciMultiSelectorSearchFilterElement extends Components.BciMultiSelectorSearchFilter, HTMLStencilElement {
    }
    var HTMLBciMultiSelectorSearchFilterElement: {
        prototype: HTMLBciMultiSelectorSearchFilterElement;
        new (): HTMLBciMultiSelectorSearchFilterElement;
    };
    interface HTMLBciMultiSelectorSearchLabelElement extends Components.BciMultiSelectorSearchLabel, HTMLStencilElement {
    }
    var HTMLBciMultiSelectorSearchLabelElement: {
        prototype: HTMLBciMultiSelectorSearchLabelElement;
        new (): HTMLBciMultiSelectorSearchLabelElement;
    };
    interface HTMLBciMultiSelectorTreeElement extends Components.BciMultiSelectorTree, HTMLStencilElement {
    }
    var HTMLBciMultiSelectorTreeElement: {
        prototype: HTMLBciMultiSelectorTreeElement;
        new (): HTMLBciMultiSelectorTreeElement;
    };
    interface HTMLBciOverlayElement extends Components.BciOverlay, HTMLStencilElement {
    }
    var HTMLBciOverlayElement: {
        prototype: HTMLBciOverlayElement;
        new (): HTMLBciOverlayElement;
    };
    interface HTMLBciPaginatorElement extends Components.BciPaginator, HTMLStencilElement {
    }
    var HTMLBciPaginatorElement: {
        prototype: HTMLBciPaginatorElement;
        new (): HTMLBciPaginatorElement;
    };
    interface HTMLBciPortalBadgeElement extends Components.BciPortalBadge, HTMLStencilElement {
    }
    var HTMLBciPortalBadgeElement: {
        prototype: HTMLBciPortalBadgeElement;
        new (): HTMLBciPortalBadgeElement;
    };
    interface HTMLBciPortalExpandToggleElement extends Components.BciPortalExpandToggle, HTMLStencilElement {
    }
    var HTMLBciPortalExpandToggleElement: {
        prototype: HTMLBciPortalExpandToggleElement;
        new (): HTMLBciPortalExpandToggleElement;
    };
    interface HTMLBciPortalFooterElement extends Components.BciPortalFooter, HTMLStencilElement {
    }
    var HTMLBciPortalFooterElement: {
        prototype: HTMLBciPortalFooterElement;
        new (): HTMLBciPortalFooterElement;
    };
    interface HTMLBciPortalHeaderElement extends Components.BciPortalHeader, HTMLStencilElement {
    }
    var HTMLBciPortalHeaderElement: {
        prototype: HTMLBciPortalHeaderElement;
        new (): HTMLBciPortalHeaderElement;
    };
    interface HTMLBciPortalHeaderBannerElement extends Components.BciPortalHeaderBanner, HTMLStencilElement {
    }
    var HTMLBciPortalHeaderBannerElement: {
        prototype: HTMLBciPortalHeaderBannerElement;
        new (): HTMLBciPortalHeaderBannerElement;
    };
    interface HTMLBciPortalHeaderIconElement extends Components.BciPortalHeaderIcon, HTMLStencilElement {
    }
    var HTMLBciPortalHeaderIconElement: {
        prototype: HTMLBciPortalHeaderIconElement;
        new (): HTMLBciPortalHeaderIconElement;
    };
    interface HTMLBciPortalHeaderIconLinkElement extends Components.BciPortalHeaderIconLink, HTMLStencilElement {
    }
    var HTMLBciPortalHeaderIconLinkElement: {
        prototype: HTMLBciPortalHeaderIconLinkElement;
        new (): HTMLBciPortalHeaderIconLinkElement;
    };
    interface HTMLBciPortalHeaderMaximizedBurgerIconElement extends Components.BciPortalHeaderMaximizedBurgerIcon, HTMLStencilElement {
    }
    var HTMLBciPortalHeaderMaximizedBurgerIconElement: {
        prototype: HTMLBciPortalHeaderMaximizedBurgerIconElement;
        new (): HTMLBciPortalHeaderMaximizedBurgerIconElement;
    };
    interface HTMLBciPortalHeaderMessageIconElement extends Components.BciPortalHeaderMessageIcon, HTMLStencilElement {
    }
    var HTMLBciPortalHeaderMessageIconElement: {
        prototype: HTMLBciPortalHeaderMessageIconElement;
        new (): HTMLBciPortalHeaderMessageIconElement;
    };
    interface HTMLBciPortalHeaderSearchIconElement extends Components.BciPortalHeaderSearchIcon, HTMLStencilElement {
    }
    var HTMLBciPortalHeaderSearchIconElement: {
        prototype: HTMLBciPortalHeaderSearchIconElement;
        new (): HTMLBciPortalHeaderSearchIconElement;
    };
    interface HTMLBciPortalHeaderUserIconElement extends Components.BciPortalHeaderUserIcon, HTMLStencilElement {
    }
    var HTMLBciPortalHeaderUserIconElement: {
        prototype: HTMLBciPortalHeaderUserIconElement;
        new (): HTMLBciPortalHeaderUserIconElement;
    };
    interface HTMLBciPortalLinkElement extends Components.BciPortalLink, HTMLStencilElement {
    }
    var HTMLBciPortalLinkElement: {
        prototype: HTMLBciPortalLinkElement;
        new (): HTMLBciPortalLinkElement;
    };
    interface HTMLBciPortalMessagesElement extends Components.BciPortalMessages, HTMLStencilElement {
    }
    var HTMLBciPortalMessagesElement: {
        prototype: HTMLBciPortalMessagesElement;
        new (): HTMLBciPortalMessagesElement;
    };
    interface HTMLBciPortalNavigationElement extends Components.BciPortalNavigation, HTMLStencilElement {
    }
    var HTMLBciPortalNavigationElement: {
        prototype: HTMLBciPortalNavigationElement;
        new (): HTMLBciPortalNavigationElement;
    };
    interface HTMLBciPortalNavigationItemElement extends Components.BciPortalNavigationItem, HTMLStencilElement {
    }
    var HTMLBciPortalNavigationItemElement: {
        prototype: HTMLBciPortalNavigationItemElement;
        new (): HTMLBciPortalNavigationItemElement;
    };
    interface HTMLBciPortalNavigationSubmenuElement extends Components.BciPortalNavigationSubmenu, HTMLStencilElement {
    }
    var HTMLBciPortalNavigationSubmenuElement: {
        prototype: HTMLBciPortalNavigationSubmenuElement;
        new (): HTMLBciPortalNavigationSubmenuElement;
    };
    interface HTMLBciPortalPageInfoElement extends Components.BciPortalPageInfo, HTMLStencilElement {
    }
    var HTMLBciPortalPageInfoElement: {
        prototype: HTMLBciPortalPageInfoElement;
        new (): HTMLBciPortalPageInfoElement;
    };
    interface HTMLBciPortalToasterElement extends Components.BciPortalToaster, HTMLStencilElement {
    }
    var HTMLBciPortalToasterElement: {
        prototype: HTMLBciPortalToasterElement;
        new (): HTMLBciPortalToasterElement;
    };
    interface HTMLBciTableCardElement extends Components.BciTableCard, HTMLStencilElement {
    }
    var HTMLBciTableCardElement: {
        prototype: HTMLBciTableCardElement;
        new (): HTMLBciTableCardElement;
    };
    interface HTMLBciTableCardActionElement extends Components.BciTableCardAction, HTMLStencilElement {
    }
    var HTMLBciTableCardActionElement: {
        prototype: HTMLBciTableCardActionElement;
        new (): HTMLBciTableCardActionElement;
    };
    interface HTMLBciTableCardEntryElement extends Components.BciTableCardEntry, HTMLStencilElement {
    }
    var HTMLBciTableCardEntryElement: {
        prototype: HTMLBciTableCardEntryElement;
        new (): HTMLBciTableCardEntryElement;
    };
    interface HTMLBciTemplateElement extends Components.BciTemplate, HTMLStencilElement {
    }
    var HTMLBciTemplateElement: {
        prototype: HTMLBciTemplateElement;
        new (): HTMLBciTemplateElement;
    };
    interface HTMLBciTimepickerElement extends Components.BciTimepicker, HTMLStencilElement {
    }
    var HTMLBciTimepickerElement: {
        prototype: HTMLBciTimepickerElement;
        new (): HTMLBciTimepickerElement;
    };
    interface HTMLBciToolbarElement extends Components.BciToolbar, HTMLStencilElement {
    }
    var HTMLBciToolbarElement: {
        prototype: HTMLBciToolbarElement;
        new (): HTMLBciToolbarElement;
    };
    interface HTMLBciToolbarItemElement extends Components.BciToolbarItem, HTMLStencilElement {
    }
    var HTMLBciToolbarItemElement: {
        prototype: HTMLBciToolbarItemElement;
        new (): HTMLBciToolbarItemElement;
    };
    interface HTMLBciToolbarSpacingElement extends Components.BciToolbarSpacing, HTMLStencilElement {
    }
    var HTMLBciToolbarSpacingElement: {
        prototype: HTMLBciToolbarSpacingElement;
        new (): HTMLBciToolbarSpacingElement;
    };
    interface HTMLBciTreelistElement extends Components.BciTreelist, HTMLStencilElement {
    }
    var HTMLBciTreelistElement: {
        prototype: HTMLBciTreelistElement;
        new (): HTMLBciTreelistElement;
    };
    interface HTMLBciTreelistItemElement extends Components.BciTreelistItem, HTMLStencilElement {
    }
    var HTMLBciTreelistItemElement: {
        prototype: HTMLBciTreelistItemElement;
        new (): HTMLBciTreelistItemElement;
    };
    interface HTMLBciWeekHeaderElement extends Components.BciWeekHeader, HTMLStencilElement {
    }
    var HTMLBciWeekHeaderElement: {
        prototype: HTMLBciWeekHeaderElement;
        new (): HTMLBciWeekHeaderElement;
    };
    interface HTMLBciWeekdaysElement extends Components.BciWeekdays, HTMLStencilElement {
    }
    var HTMLBciWeekdaysElement: {
        prototype: HTMLBciWeekdaysElement;
        new (): HTMLBciWeekdaysElement;
    };
    interface HTMLBciYearMonthElement extends Components.BciYearMonth, HTMLStencilElement {
    }
    var HTMLBciYearMonthElement: {
        prototype: HTMLBciYearMonthElement;
        new (): HTMLBciYearMonthElement;
    };
    interface HTMLCheckboxInputElement extends Components.CheckboxInput, HTMLStencilElement {
    }
    var HTMLCheckboxInputElement: {
        prototype: HTMLCheckboxInputElement;
        new (): HTMLCheckboxInputElement;
    };
    interface HTMLElementTagNameMap {
        "bci-card": HTMLBciCardElement;
        "bci-card-icon": HTMLBciCardIconElement;
        "bci-card-text": HTMLBciCardTextElement;
        "bci-card-view": HTMLBciCardViewElement;
        "bci-checkbox-collection": HTMLBciCheckboxCollectionElement;
        "bci-column-list": HTMLBciColumnListElement;
        "bci-context-menu": HTMLBciContextMenuElement;
        "bci-datepicker": HTMLBciDatepickerElement;
        "bci-datetime-dialog": HTMLBciDatetimeDialogElement;
        "bci-datetime-picker": HTMLBciDatetimePickerElement;
        "bci-facility-recent-search": HTMLBciFacilityRecentSearchElement;
        "bci-facility-search-input": HTMLBciFacilitySearchInputElement;
        "bci-facility-search-result": HTMLBciFacilitySearchResultElement;
        "bci-facility-selector": HTMLBciFacilitySelectorElement;
        "bci-header": HTMLBciHeaderElement;
        "bci-icon": HTMLBciIconElement;
        "bci-loading-indicator": HTMLBciLoadingIndicatorElement;
        "bci-modal-dialog": HTMLBciModalDialogElement;
        "bci-month-header": HTMLBciMonthHeaderElement;
        "bci-multi-selector": HTMLBciMultiSelectorElement;
        "bci-multi-selector-input": HTMLBciMultiSelectorInputElement;
        "bci-multi-selector-level": HTMLBciMultiSelectorLevelElement;
        "bci-multi-selector-level-section": HTMLBciMultiSelectorLevelSectionElement;
        "bci-multi-selector-overlay": HTMLBciMultiSelectorOverlayElement;
        "bci-multi-selector-search-filter": HTMLBciMultiSelectorSearchFilterElement;
        "bci-multi-selector-search-label": HTMLBciMultiSelectorSearchLabelElement;
        "bci-multi-selector-tree": HTMLBciMultiSelectorTreeElement;
        "bci-overlay": HTMLBciOverlayElement;
        "bci-paginator": HTMLBciPaginatorElement;
        "bci-portal-badge": HTMLBciPortalBadgeElement;
        "bci-portal-expand-toggle": HTMLBciPortalExpandToggleElement;
        "bci-portal-footer": HTMLBciPortalFooterElement;
        "bci-portal-header": HTMLBciPortalHeaderElement;
        "bci-portal-header-banner": HTMLBciPortalHeaderBannerElement;
        "bci-portal-header-icon": HTMLBciPortalHeaderIconElement;
        "bci-portal-header-icon-link": HTMLBciPortalHeaderIconLinkElement;
        "bci-portal-header-maximized-burger-icon": HTMLBciPortalHeaderMaximizedBurgerIconElement;
        "bci-portal-header-message-icon": HTMLBciPortalHeaderMessageIconElement;
        "bci-portal-header-search-icon": HTMLBciPortalHeaderSearchIconElement;
        "bci-portal-header-user-icon": HTMLBciPortalHeaderUserIconElement;
        "bci-portal-link": HTMLBciPortalLinkElement;
        "bci-portal-messages": HTMLBciPortalMessagesElement;
        "bci-portal-navigation": HTMLBciPortalNavigationElement;
        "bci-portal-navigation-item": HTMLBciPortalNavigationItemElement;
        "bci-portal-navigation-submenu": HTMLBciPortalNavigationSubmenuElement;
        "bci-portal-page-info": HTMLBciPortalPageInfoElement;
        "bci-portal-toaster": HTMLBciPortalToasterElement;
        "bci-table-card": HTMLBciTableCardElement;
        "bci-table-card-action": HTMLBciTableCardActionElement;
        "bci-table-card-entry": HTMLBciTableCardEntryElement;
        "bci-template": HTMLBciTemplateElement;
        "bci-timepicker": HTMLBciTimepickerElement;
        "bci-toolbar": HTMLBciToolbarElement;
        "bci-toolbar-item": HTMLBciToolbarItemElement;
        "bci-toolbar-spacing": HTMLBciToolbarSpacingElement;
        "bci-treelist": HTMLBciTreelistElement;
        "bci-treelist-item": HTMLBciTreelistItemElement;
        "bci-week-header": HTMLBciWeekHeaderElement;
        "bci-weekdays": HTMLBciWeekdaysElement;
        "bci-year-month": HTMLBciYearMonthElement;
        "checkbox-input": HTMLCheckboxInputElement;
    }
}
declare namespace LocalJSX {
    interface BciCard {
        /**
          * Color used for the tile header. Options are grey, green, blue, yellow, orange and red.  By default grey.
         */
        "headerColor"?: string;
    }
    interface BciCardIcon {
        /**
          * Icon to be displayed inside the tile icon element. By default Bosch-Ic-delete.s
         */
        "icon"?: string;
    }
    interface BciCardText {
        /**
          * Styles the text element like a title. By default set to false.
         */
        "isTitle"?: boolean;
        /**
          * Placeholder for the text element. By default empty string.
         */
        "label"?: string;
        /**
          * Styles the text element for large content. By default set to false.
         */
        "largeText"?: boolean;
        /**
          * Value of the text inside the text element. By default empty string.
         */
        "value"?: string;
    }
    interface BciCardView {
    }
    interface BciCheckboxCollection {
        "list"?: CheckboxItem[];
        "onMultiItemSelected"?: (event: BciCheckboxCollectionCustomEvent<any>) => void;
        "onSingleItemSelected"?: (event: BciCheckboxCollectionCustomEvent<any>) => void;
        "type"?: CollectionType;
    }
    interface BciColumnList {
        "facilitySelectorController"?: FacilitySelectorController;
        "list"?: Facility[];
        "onColumnItemChecked"?: (event: BciColumnListCustomEvent<ColumnItemSelectedOrChecked>) => void;
        "onColumnItemSelected"?: (event: BciColumnListCustomEvent<ColumnItemSelectedOrChecked>) => void;
        "selectedId"?: string;
    }
    interface BciContextMenu {
    }
    interface BciDatepicker {
        "bciDatepickerId"?: any;
        "datePickerInputObj"?: any;
        /**
          * Object to keep track of the currently selected date range
         */
        "datesObj"?: DatesObject;
        "formatDate"?: string;
        "maxDate"?: number;
        "minDate"?: number;
        "rangeDate"?: boolean;
        /**
          * Date that is currently selected
         */
        "selectedDate"?: string;
        /**
          * Month which the calendar should display.
         */
        "selectedMonth"?: number;
        /**
          * Year which the calendar should display.
         */
        "selectedYear"?: number;
        "sundayFirst"?: boolean;
        "timeZone"?: string;
        /**
          * The current day
         */
        "today"?: string;
    }
    interface BciDatetimeDialog {
        /**
          * Contains the settings for the date picker
         */
        "datePickerConfig"?: DatePickerConfig;
        /**
          * Pass through of the current time state
         */
        "datePickerInputObj"?: DateTime;
        /**
          * Optional - inject the DateService instance
         */
        "dateService"?: DateService;
        /**
          * This id reused within the children ids
         */
        "dateTimePickerId"?: string;
        /**
          * Optional - inject the FormattingService instance
         */
        "formatService"?: FormattingService;
        /**
          * Which parts of the datepicker should be hidden
         */
        "hide"?: 'calendar' | 'time';
        /**
          * Emits if any child value changes
         */
        "onSelectionChanged"?: (event: BciDatetimeDialogCustomEvent<SelectionChanged>) => void;
        /**
          * Whether the "Templates"-Button should be disabled
         */
        "templatesDisabled"?: boolean;
        /**
          * Which templates should be displayed
         */
        "templatesList"?: Array<Template | TemplateGroup>;
        /**
          * Contains the settings for the time picker
         */
        "timePickerConfig"?: TimePickerConfig;
        /**
          * Handler for toggling the dialog
         */
        "toggleDialogHandler"?: () => void;
    }
    interface BciDatetimePicker {
        "darkBackground"?: boolean;
        "dateTime"?: DateTime;
        /**
          * Id of the datepicker.
         */
        "dateTimePickerId"?: string;
        /**
          * Whether the datepicker should be disabled.
         */
        "disabled"?: boolean;
        /**
          * Format of the date.
         */
        "formatDate"?: string;
        /**
          * Which parts of the datepicker should be hidden
          * @type  'calendar' | 'time'
         */
        "hide"?: 'calendar' | 'time';
        /**
          * Whether the timepicker should be hidden.
          * @deprecated Use hide property instead.
         */
        "hideTime"?: boolean;
        /**
          * Label of the datepicker input field.
         */
        "label"?: string;
        /**
          * The max date that should be selectable.
         */
        "maxDate"?: number;
        /**
          * The min date that should be selectable.
         */
        "minDate"?: number;
        /**
          * Event emitted when the datetime picker dropdown is closed via the enter key, tab key on last input field. Value emitted is the string from the main input field
         */
        "onNewDateSelected"?: (event: BciDatetimePickerCustomEvent<DateTime>) => void;
        /**
          * Placeholder of the datepicker input field.
         */
        "placeholder"?: string;
        /**
          * Whether a range should be selectable.
         */
        "rangeDateTime"?: boolean;
        /**
          * Whether should be the first day of the week in the calendar.
         */
        "sundayFirst"?: boolean;
        /**
          * Whether the "Templates"-Button should be disabled.
         */
        "templatesDisabled"?: boolean;
        /**
          * A list of templates that are selectable. If there are no templates provided, the "Templates"-Button will not be shown.
         */
        "templatesList"?: Array<Template | TemplateGroup>;
        /**
          * please use timeFormat 'H:mm'(hours and minutes) or 'hh:mm a'(hours and minutes with AM/PM) or 'hh:mm:ss a(hours,minutes,seconds with AM/PM)',for the date range picker
         */
        "timeFormat"?: TimePickerTimeFormat;
        "timeStamp"?: TimeStamp;
        "timeZone"?: string;
    }
    interface BciFacilityRecentSearch {
        "expanded"?: boolean;
        "onRecentSearchSelected"?: (event: BciFacilityRecentSearchCustomEvent<RecentSearchItem>) => void;
        "recentSearchController"?: RecentSearchController;
    }
    interface BciFacilitySearchInput {
        "darkBackground"?: boolean;
        "facilitySelectorController"?: FacilitySelectorController;
        "isColumnExpanded"?: boolean;
        "onBreadcrumbItemClicked"?: (event: BciFacilitySearchInputCustomEvent<number>) => void;
        "onColumnInputExpanded"?: (event: BciFacilitySearchInputCustomEvent<boolean>) => void;
        "onSearch"?: (event: BciFacilitySearchInputCustomEvent<string>) => void;
        "searchString"?: string;
    }
    interface BciFacilitySearchResult {
        "facilitySelectorController"?: FacilitySelectorController;
        "onSearchResultChecked"?: (event: BciFacilitySearchResultCustomEvent<ColumnItemSelectedOrChecked>) => void;
        "onSearchResultSelected"?: (event: BciFacilitySearchResultCustomEvent<ColumnItemSelectedOrChecked>) => void;
        "searchResults"?: Record<string, Facility[]>;
        "searchString"?: string;
    }
    interface BciFacilitySelector {
        "checkedItems"?: Facility[];
        "darkBackground"?: boolean;
        "displayRecentSearches"?: boolean;
        "enableMultiSelection"?: boolean;
        "facilitySelectorController"?: FacilitySelectorController;
        "onSave"?: (event: BciFacilitySelectorCustomEvent<string[]>) => void;
        "recentSearchController"?: RecentSearchController;
    }
    interface BciHeader {
        /**
          * Feature toggle: If an Array with the breadcrumb link structure is set, the breadcrumb will be rendered.
         */
        "breadcrumbArray"?: any;
        /**
          * Control what the title of the header should be
         */
        "headerTitle"?: string;
        /**
          * Control the visible of the breadcrumb during iframe scrolling
         */
        "hideBreadcrumb"?: boolean;
        /**
          * Control header styling for different view modes
         */
        "mode"?: ViewModes;
        "onBci.portal.header.breadcrumbLinkClicked"?: (event: BciHeaderCustomEvent<any>) => void;
        "onBci.portal.header.closeFullscreenIconClicked"?: (event: BciHeaderCustomEvent<void>) => void;
        "onBci.portal.header.settingsIconClicked"?: (event: BciHeaderCustomEvent<void>) => void;
        /**
          * Control if the settings icon should be visible
         */
        "showSettingsIcon"?: boolean;
    }
    interface BciIcon {
        /**
          * Add the "bosch-ic-clickable" class if true
         */
        "clickable"?: boolean;
        /**
          * The name of the property without the bosch-ic prefix
         */
        "name"?: BciIcons;
    }
    interface BciLoadingIndicator {
        /**
          * flag if the loader is loading or not
         */
        "isLoading"?: boolean;
    }
    interface BciModalDialog {
        /**
          * An optional configuration
         */
        "config"?: ModalDialogConfig;
        /**
          * An optional title
         */
        "dialogTitle"?: string;
    }
    interface BciMonthHeader {
        "month"?: number;
        "onArrowClicked"?: (event: BciMonthHeaderCustomEvent<ArrowClickObject>) => void;
        "onToggleShowYearMonthSelection"?: (event: BciMonthHeaderCustomEvent<{ newState: boolean }>) => void;
        "year"?: number;
        "yearMonthSelectionStep"?: any;
    }
    interface BciMultiSelector {
        /**
          * Mark this element to be shown on dark background (it will adapt styling). Default: false.
         */
        "darkBackground"?: boolean;
        /**
          * DataSource that provides function implementations to receive/call data content
         */
        "dataSource"?: MultiSelectorDataSource;
        /**
          * pre selection
         */
        "initialSelection"?: NodePath[];
        /**
          * Emits all invalid elements when they are detected
         */
        "onInvalidSelection"?: (event: BciMultiSelectorCustomEvent<InvalidPreselectionErrorEvent>) => void;
        /**
          * Emits all selected elements and emits when any element selection was added/removed/changed
         */
        "onSelectionChanged"?: (event: BciMultiSelectorCustomEvent<SelectionChangedEvent>) => void;
        /**
          * Emits the final selection. It is triggered whenever user closes selector.
         */
        "onSelectionFinished"?: (event: BciMultiSelectorCustomEvent<SelectionFinishedEvent>) => void;
        /**
          * Prevents going into fullscreen / responsive mode on low resolutions.
         */
        "preventFullscreen"?: boolean;
        /**
          * defines the mode of selection - if single, then is only 1 selection at a time possible (default multi)
         */
        "selectionMode"?: SelectionMode;
        /**
          * Enforce single column mode, normally only used for smaller screens / selectors.
         */
        "singleColumnMode"?: boolean;
    }
    interface BciMultiSelectorInput {
        /**
          * The available data sources.
         */
        "dataSources"?: RootNode[];
        /**
          * emitted when the input onBlur is emitted
         */
        "onBlurInput"?: (event: BciMultiSelectorInputCustomEvent<void>) => void;
        /**
          * emitted when the input should be cleared
         */
        "onClearSearch"?: (event: BciMultiSelectorInputCustomEvent<void>) => void;
        /**
          * emitted when the input is focused
         */
        "onFocusInput"?: (event: BciMultiSelectorInputCustomEvent<void>) => void;
        /**
          * called every time the
         */
        "onSearchChange"?: (event: BciMultiSelectorInputCustomEvent<string>) => void;
        /**
          * emits on search type selection a new rootNode the multi-selector displays the tree for
         */
        "onSelectSearchType"?: (event: BciMultiSelectorInputCustomEvent<RootNode>) => void;
        /**
          * turning the input field into an readonly modus
         */
        "readonly"?: boolean;
        /**
          * text for the placeholder of the input field
         */
        "searchPlaceholder"?: string;
        /**
          * text for the input field
         */
        "searchValue"?: string;
        /**
          * The currently selected data source.
         */
        "selectedDataSource"?: RootNode;
        /**
          * The current selections.
         */
        "selections"?: NodePath[];
    }
    interface BciMultiSelectorLevel {
        /**
          * The label of the back button
         */
        "backButtonLabel"?: string;
        /**
          * This string is highlighted in the labels
         */
        "highlight"?: string;
        /**
          * nodes that gonna be shown within one level depth of the tree
         */
        "level"?: Level;
        /**
          * Event to notify, when back button was clicked
         */
        "onNavigateBack"?: (event: BciMultiSelectorLevelCustomEvent<void>) => void;
    }
    interface BciMultiSelectorLevelSection {
        /**
          * This string is highlighted in the labels
         */
        "highlight"?: string;
        /**
          * Event to notify when active state of element is changed.
         */
        "onNodeActiveChanged"?: (event: BciMultiSelectorLevelSectionCustomEvent<NodeActiveChangedEvent>) => void;
        /**
          * Event to notify, when checkbox of element in list get selected
         */
        "onNodeSelectionChanged"?: (event: BciMultiSelectorLevelSectionCustomEvent<NodeSelectionChangedEvent>) => void;
        /**
          * section of a level
         */
        "section"?: LevelSection;
    }
    interface BciMultiSelectorOverlay {
        /**
          * rendered/shown levels on tree
         */
        "activeLevels"?: Level[];
        /**
          * The viewport logic is ignored if this property is set
         */
        "enforceViewport"?: ViewportClasses;
        /**
          * text that needs to be highlighted in the result list
         */
        "filterText"?: string;
        /**
          * title of the overlay header
         */
        "headerLabel"?: string;
        /**
          * show a loading spinner
         */
        "isLoading"?: boolean;
        /**
          * Clear the search filed
         */
        "onClearSearch"?: (event: BciMultiSelectorOverlayCustomEvent<void>) => void;
        /**
          * `triggered on click on back button
         */
        "onNavigateBack"?: (event: BciMultiSelectorOverlayCustomEvent<void>) => void;
        /**
          * triggered when active state of a node has changed
         */
        "onNodeActiveChange"?: (event: BciMultiSelectorOverlayCustomEvent<NodeActiveChangedEvent>) => void;
        /**
          * Event includes all selected elements and emits when any element selection was added/removed/changed
         */
        "onNodeSelectionChange"?: (event: BciMultiSelectorOverlayCustomEvent<NodeSelectionChangedEvent>) => void;
        /**
          * Provides an event on saving the selection
         */
        "onSelectionFinished"?: (event: BciMultiSelectorOverlayCustomEvent<void>) => void;
        /**
          * reset of the selection
         */
        "onSelectionReset"?: (event: BciMultiSelectorOverlayCustomEvent<void>) => void;
        /**
          * enable or disable resetSelectionButton
         */
        "resetSelectionButtonEnabled"?: boolean;
        /**
          * Show save button
         */
        "showSave"?: boolean;
    }
    interface BciMultiSelectorSearchFilter {
        /**
          * the default searchType
         */
        "defaultSearchType"?: RootNode;
        /**
          * emits on search type click if it is disabled
         */
        "onClickDisabledSearchType"?: (event: BciMultiSelectorSearchFilterCustomEvent<void>) => void;
        /**
          * emits on search type selection a new rootNode the multi-selector displays the tree for
         */
        "onSelectSearchType"?: (event: BciMultiSelectorSearchFilterCustomEvent<RootNode>) => void;
        /**
          * the list of searchTypes to choose out of within the dropdown
         */
        "searchTypes"?: RootNode[];
    }
    interface BciMultiSelectorSearchLabel {
        /**
          * The selected Node Path is containing all nodes(starting from rootNode) leading to the selected Node(leaf)
         */
        "selections"?: NodePath[];
    }
    interface BciMultiSelectorTree {
        /**
          * rendered/shown levels on tree
         */
        "activeLevels"?: Level[];
        /**
          * text that needs to be highlighted in the result list
         */
        "filterText"?: string;
        /**
          * show a loading spinner
         */
        "isLoading"?: boolean;
        /**
          * triggered on backwards navigation (1 level backwards)
         */
        "onNavigateBack"?: (event: BciMultiSelectorTreeCustomEvent<void>) => void;
    }
    interface BciOverlay {
        /**
          * Configuration
         */
        "config"?: OverlayOptions;
        /**
          * This will be shown in the dialog
         */
        "dialog"?: HTMLElement;
        /**
          * The dialog will be positioned relative to this element
         */
        "host"?: HTMLElement;
    }
    interface BciPaginator {
        /**
          * Set to true when used inside a dialog container to avoid overflow
         */
        "insideDialogContainer"?: boolean;
        /**
          * The length of the total number of items that are being paginated. Defaulted to 0.
         */
        "length"?: number;
        /**
          * Event emitted when the paginator changes the page size or page index.
         */
        "onPage"?: (event: BciPaginatorCustomEvent<PageEvent>) => void;
        /**
          * The zero-based page index of the displayed list of items. Defaulted to 0.
         */
        "pageIndex"?: number;
        /**
          * If page index calculation is not needed then set to true
         */
        "pageIndexCalculationOff"?: boolean;
        /**
          * Number of items to display on a page. By default set to 10.
         */
        "pageSize"?: number;
        /**
          * The set of provided page size options to display to the user.
         */
        "pageSizeOptions"?: string;
        /**
          * If page size option is not needed
         */
        "showPageSizeSelector"?: boolean;
    }
    interface BciPortalBadge {
        "redBackground"?: boolean;
        "value"?: number | string;
    }
    interface BciPortalExpandToggle {
    }
    interface BciPortalFooter {
        /**
          * Copyright text
         */
        "copyrightLabel"?: string;
    }
    interface BciPortalHeader {
        "maximized"?: MaximizedMode;
        "navigationItems"?: SidebarNavItem[];
        "onBci.portal.header.settingsIconClicked"?: (event: BciPortalHeaderCustomEvent<any>) => void;
        "onBci.portal.navigation.itemClicked"?: (event: BciPortalHeaderCustomEvent<SidebarNavItem>) => void;
        "showMaximizedBurgerMenuIcon"?: boolean;
    }
    interface BciPortalHeaderBanner {
    }
    interface BciPortalHeaderIcon {
        "iconName"?: string;
        "onBci.portal.header.navItemClicked"?: (event: BciPortalHeaderIconCustomEvent<any>) => void;
        "text"?: string;
        "url"?: string;
    }
    interface BciPortalHeaderIconLink {
        "external"?: boolean;
        "onBci.portal.header.navItemClicked"?: (event: BciPortalHeaderIconLinkCustomEvent<any>) => void;
        "text"?: string;
        "url"?: string;
    }
    interface BciPortalHeaderMaximizedBurgerIcon {
    }
    interface BciPortalHeaderMessageIcon {
        "dateFormat"?: string;
        "localStorageKey"?: string;
        "text"?: string;
    }
    interface BciPortalHeaderSearchIcon {
        "navigationItems"?: SidebarNavItem[];
        "onBci.portal.header.navItemClicked"?: (event: BciPortalHeaderSearchIconCustomEvent<any>) => void;
    }
    interface BciPortalHeaderUserIcon {
        "searchableItems"?: Array<SidebarNavItem1>;
        "text"?: string;
        "userInfo"?: User;
    }
    interface BciPortalLink {
        "external"?: boolean;
        "onBci.portal.footer.navItemClicked"?: (event: BciPortalLinkCustomEvent<any>) => void;
        "text"?: string;
        "url"?: string;
    }
    interface BciPortalMessages {
        "dateFormat"?: string;
        "localStorageKey"?: string;
        "onBci.portal.header.navItemClicked"?: (event: BciPortalMessagesCustomEvent<any>) => void;
        "timeFormat"?: string;
    }
    interface BciPortalNavigation {
        "closed"?: boolean;
        /**
          * controls whether the bci.portal.navigation.itemClicked event is triggered upon startup or not
         */
        "emitItemClickOnStartup"?: boolean;
        /**
          * controls whether window path has hash navigations
         */
        "hashNavigation"?: boolean;
        "mainTitle"?: string;
        "navigationItems"?: SidebarNavItem[];
        "onBci.portal.navigation.itemClicked"?: (event: BciPortalNavigationCustomEvent<SidebarNavItem>) => void;
        "threeLevels"?: boolean;
        "useLogo"?: boolean;
    }
    interface BciPortalNavigationItem {
        "expanderIcon"?: ExpanderIcon;
        /**
          * controls whether window path has hash navigations
         */
        "hashNavigation"?: boolean;
        "item"?: SidebarNavItem;
        "navigationClosed"?: boolean;
        "onBci.portal.navigation.itemClicked"?: (event: BciPortalNavigationItemCustomEvent<SidebarNavItem>) => void;
        "onBci.portal.navigation.itemExpanded"?: (event: BciPortalNavigationItemCustomEvent<SidebarNavItem>) => void;
    }
    interface BciPortalNavigationSubmenu {
        "expandedNavItem"?: SidebarNavItem;
        "onBci.portal.navigation.itemExpanded"?: (event: BciPortalNavigationSubmenuCustomEvent<SidebarNavItem>) => void;
    }
    interface BciPortalPageInfo {
    }
    interface BciPortalToaster {
    }
    interface BciTableCard {
        /**
          * prop for setting disabled state
         */
        "disabled"?: boolean;
        /**
          * prop for multiple selection
         */
        "isMultipleSelection"?: boolean;
        /**
          * Event emitted if the checkbox input changes its value
         */
        "onCheckboxSelectionChange"?: (event: BciTableCardCustomEvent<CheckboxCheckedIndication>) => void;
        /**
          * prop for setting selection/focus state
         */
        "selected"?: boolean;
    }
    interface BciTableCardAction {
        /**
          * Prop to define what the action is (add,delete,edit)
         */
        "action"?: string;
        "icon"?: string;
        /**
          * Event emitted onclick of icon
         */
        "onActionClicked"?: (event: BciTableCardActionCustomEvent<string>) => void;
        "tooltip"?: string;
    }
    interface BciTableCardEntry {
        "entryTitle"?: string;
        "value"?: any;
    }
    interface BciTemplate {
        /**
          * Emits if the user clicks on the time range button
         */
        "onShowTimeRanges"?: (event: BciTemplateCustomEvent<void>) => void;
        /**
          * Emits whenever the value of a time frame changes
         */
        "onTemplateUpdate"?: (event: BciTemplateCustomEvent<TemplateEvent>) => void;
        /**
          * Which time frames should be displayed
         */
        "templatesList"?: Array<Template | TemplateGroup>;
        /**
          * Whether the templatesList should be visible. Using this prop instead of traditional conditional rendering to preserve the state within this component.
         */
        "visible"?: boolean;
    }
    interface BciTimepicker {
        "bciTimepickerId"?: string;
        "onUpdatedTime"?: (event: BciTimepickerCustomEvent<TimeSelectedObject>) => void;
        "rangeTimePicker"?: boolean;
        "timeFormat"?: TimePickerTimeFormat;
        "timeInput"?: string;
        "timeTitle"?: string;
    }
    interface BciToolbar {
        /**
          * Event emitted when any child is clicked of this container is clicked.
         */
        "onItemClick"?: (event: BciToolbarCustomEvent<string>) => void;
    }
    interface BciToolbarItem {
        /**
          * The string value of the item which will be emitter on click. By default set to ''.
         */
        "value"?: string;
    }
    interface BciToolbarSpacing {
    }
    interface BciTreelist {
        "listItems"?: TreelistItem[];
    }
    interface BciTreelistItem {
        "hasChildren"?: boolean;
        "item"?: TreelistItem;
        "itemIconName"?: string;
        "itemTitle"?: string;
    }
    interface BciWeekHeader {
        "sundayFirst"?: boolean;
    }
    interface BciWeekdays {
        "dateRestrictionObj"?: any;
        "datesObj"?: DatesObject;
        "daysInMonth"?: number;
        "formatDate"?: string;
        "lastDayOfMonth"?: Date;
        "month"?: number;
        "offset"?: number;
        /**
          * Event emitted for a range date selection. Listened to in dialog.tsx
         */
        "onRangeDateSelected"?: (event: BciWeekdaysCustomEvent<DaySelectedObject>) => void;
        /**
          * Event emitted for a single date selection. Listened to in dialog.tsx
         */
        "onSingleDateSelected"?: (event: BciWeekdaysCustomEvent<DaySelectedObject>) => void;
        "rangeDate"?: boolean;
        "selectedDate"?: string;
        "timeZone"?: string;
        "todaysDate"?: string;
        "year"?: number;
    }
    interface BciYearMonth {
        "dateObj"?: any;
        "maxDate"?: number;
        "minDate"?: number;
        /**
          * @emits new year or month
         */
        "onYearMonthSelected"?: (event: BciYearMonthCustomEvent<YearMonthSelectedObject>) => void;
        "selectionStep"?: 'year' | 'month';
        "yearSelectionPageOffset"?: number;
    }
    interface CheckboxInput {
        /**
          * @deprecated used as ID for the checkbox input
         */
        "checkboxId"?: string;
        /**
          * @deprecated control's the checked state of the checkbox input
         */
        "checked"?: boolean;
        /**
          * @deprecated control's the indeterminate state of the checkbox input
         */
        "indeterminate"?: boolean;
        /**
          * control's the checkbox input state
         */
        "indication"?: CheckboxIndication;
        /**
          * @deprecated emitted if the checkbox input changes its value
         */
        "onCheckedChange"?: (event: CheckboxInputCustomEvent<boolean>) => void;
        /**
          * emitted if the checkbox input changes its value
         */
        "onIndicationChange"?: (event: CheckboxInputCustomEvent<CheckboxCheckedIndication>) => void;
    }
    interface IntrinsicElements {
        "bci-card": BciCard;
        "bci-card-icon": BciCardIcon;
        "bci-card-text": BciCardText;
        "bci-card-view": BciCardView;
        "bci-checkbox-collection": BciCheckboxCollection;
        "bci-column-list": BciColumnList;
        "bci-context-menu": BciContextMenu;
        "bci-datepicker": BciDatepicker;
        "bci-datetime-dialog": BciDatetimeDialog;
        "bci-datetime-picker": BciDatetimePicker;
        "bci-facility-recent-search": BciFacilityRecentSearch;
        "bci-facility-search-input": BciFacilitySearchInput;
        "bci-facility-search-result": BciFacilitySearchResult;
        "bci-facility-selector": BciFacilitySelector;
        "bci-header": BciHeader;
        "bci-icon": BciIcon;
        "bci-loading-indicator": BciLoadingIndicator;
        "bci-modal-dialog": BciModalDialog;
        "bci-month-header": BciMonthHeader;
        "bci-multi-selector": BciMultiSelector;
        "bci-multi-selector-input": BciMultiSelectorInput;
        "bci-multi-selector-level": BciMultiSelectorLevel;
        "bci-multi-selector-level-section": BciMultiSelectorLevelSection;
        "bci-multi-selector-overlay": BciMultiSelectorOverlay;
        "bci-multi-selector-search-filter": BciMultiSelectorSearchFilter;
        "bci-multi-selector-search-label": BciMultiSelectorSearchLabel;
        "bci-multi-selector-tree": BciMultiSelectorTree;
        "bci-overlay": BciOverlay;
        "bci-paginator": BciPaginator;
        "bci-portal-badge": BciPortalBadge;
        "bci-portal-expand-toggle": BciPortalExpandToggle;
        "bci-portal-footer": BciPortalFooter;
        "bci-portal-header": BciPortalHeader;
        "bci-portal-header-banner": BciPortalHeaderBanner;
        "bci-portal-header-icon": BciPortalHeaderIcon;
        "bci-portal-header-icon-link": BciPortalHeaderIconLink;
        "bci-portal-header-maximized-burger-icon": BciPortalHeaderMaximizedBurgerIcon;
        "bci-portal-header-message-icon": BciPortalHeaderMessageIcon;
        "bci-portal-header-search-icon": BciPortalHeaderSearchIcon;
        "bci-portal-header-user-icon": BciPortalHeaderUserIcon;
        "bci-portal-link": BciPortalLink;
        "bci-portal-messages": BciPortalMessages;
        "bci-portal-navigation": BciPortalNavigation;
        "bci-portal-navigation-item": BciPortalNavigationItem;
        "bci-portal-navigation-submenu": BciPortalNavigationSubmenu;
        "bci-portal-page-info": BciPortalPageInfo;
        "bci-portal-toaster": BciPortalToaster;
        "bci-table-card": BciTableCard;
        "bci-table-card-action": BciTableCardAction;
        "bci-table-card-entry": BciTableCardEntry;
        "bci-template": BciTemplate;
        "bci-timepicker": BciTimepicker;
        "bci-toolbar": BciToolbar;
        "bci-toolbar-item": BciToolbarItem;
        "bci-toolbar-spacing": BciToolbarSpacing;
        "bci-treelist": BciTreelist;
        "bci-treelist-item": BciTreelistItem;
        "bci-week-header": BciWeekHeader;
        "bci-weekdays": BciWeekdays;
        "bci-year-month": BciYearMonth;
        "checkbox-input": CheckboxInput;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "bci-card": LocalJSX.BciCard & JSXBase.HTMLAttributes<HTMLBciCardElement>;
            "bci-card-icon": LocalJSX.BciCardIcon & JSXBase.HTMLAttributes<HTMLBciCardIconElement>;
            "bci-card-text": LocalJSX.BciCardText & JSXBase.HTMLAttributes<HTMLBciCardTextElement>;
            "bci-card-view": LocalJSX.BciCardView & JSXBase.HTMLAttributes<HTMLBciCardViewElement>;
            "bci-checkbox-collection": LocalJSX.BciCheckboxCollection & JSXBase.HTMLAttributes<HTMLBciCheckboxCollectionElement>;
            "bci-column-list": LocalJSX.BciColumnList & JSXBase.HTMLAttributes<HTMLBciColumnListElement>;
            "bci-context-menu": LocalJSX.BciContextMenu & JSXBase.HTMLAttributes<HTMLBciContextMenuElement>;
            "bci-datepicker": LocalJSX.BciDatepicker & JSXBase.HTMLAttributes<HTMLBciDatepickerElement>;
            "bci-datetime-dialog": LocalJSX.BciDatetimeDialog & JSXBase.HTMLAttributes<HTMLBciDatetimeDialogElement>;
            "bci-datetime-picker": LocalJSX.BciDatetimePicker & JSXBase.HTMLAttributes<HTMLBciDatetimePickerElement>;
            "bci-facility-recent-search": LocalJSX.BciFacilityRecentSearch & JSXBase.HTMLAttributes<HTMLBciFacilityRecentSearchElement>;
            "bci-facility-search-input": LocalJSX.BciFacilitySearchInput & JSXBase.HTMLAttributes<HTMLBciFacilitySearchInputElement>;
            "bci-facility-search-result": LocalJSX.BciFacilitySearchResult & JSXBase.HTMLAttributes<HTMLBciFacilitySearchResultElement>;
            "bci-facility-selector": LocalJSX.BciFacilitySelector & JSXBase.HTMLAttributes<HTMLBciFacilitySelectorElement>;
            "bci-header": LocalJSX.BciHeader & JSXBase.HTMLAttributes<HTMLBciHeaderElement>;
            "bci-icon": LocalJSX.BciIcon & JSXBase.HTMLAttributes<HTMLBciIconElement>;
            "bci-loading-indicator": LocalJSX.BciLoadingIndicator & JSXBase.HTMLAttributes<HTMLBciLoadingIndicatorElement>;
            "bci-modal-dialog": LocalJSX.BciModalDialog & JSXBase.HTMLAttributes<HTMLBciModalDialogElement>;
            "bci-month-header": LocalJSX.BciMonthHeader & JSXBase.HTMLAttributes<HTMLBciMonthHeaderElement>;
            "bci-multi-selector": LocalJSX.BciMultiSelector & JSXBase.HTMLAttributes<HTMLBciMultiSelectorElement>;
            "bci-multi-selector-input": LocalJSX.BciMultiSelectorInput & JSXBase.HTMLAttributes<HTMLBciMultiSelectorInputElement>;
            "bci-multi-selector-level": LocalJSX.BciMultiSelectorLevel & JSXBase.HTMLAttributes<HTMLBciMultiSelectorLevelElement>;
            "bci-multi-selector-level-section": LocalJSX.BciMultiSelectorLevelSection & JSXBase.HTMLAttributes<HTMLBciMultiSelectorLevelSectionElement>;
            "bci-multi-selector-overlay": LocalJSX.BciMultiSelectorOverlay & JSXBase.HTMLAttributes<HTMLBciMultiSelectorOverlayElement>;
            "bci-multi-selector-search-filter": LocalJSX.BciMultiSelectorSearchFilter & JSXBase.HTMLAttributes<HTMLBciMultiSelectorSearchFilterElement>;
            "bci-multi-selector-search-label": LocalJSX.BciMultiSelectorSearchLabel & JSXBase.HTMLAttributes<HTMLBciMultiSelectorSearchLabelElement>;
            "bci-multi-selector-tree": LocalJSX.BciMultiSelectorTree & JSXBase.HTMLAttributes<HTMLBciMultiSelectorTreeElement>;
            "bci-overlay": LocalJSX.BciOverlay & JSXBase.HTMLAttributes<HTMLBciOverlayElement>;
            "bci-paginator": LocalJSX.BciPaginator & JSXBase.HTMLAttributes<HTMLBciPaginatorElement>;
            "bci-portal-badge": LocalJSX.BciPortalBadge & JSXBase.HTMLAttributes<HTMLBciPortalBadgeElement>;
            "bci-portal-expand-toggle": LocalJSX.BciPortalExpandToggle & JSXBase.HTMLAttributes<HTMLBciPortalExpandToggleElement>;
            "bci-portal-footer": LocalJSX.BciPortalFooter & JSXBase.HTMLAttributes<HTMLBciPortalFooterElement>;
            "bci-portal-header": LocalJSX.BciPortalHeader & JSXBase.HTMLAttributes<HTMLBciPortalHeaderElement>;
            "bci-portal-header-banner": LocalJSX.BciPortalHeaderBanner & JSXBase.HTMLAttributes<HTMLBciPortalHeaderBannerElement>;
            "bci-portal-header-icon": LocalJSX.BciPortalHeaderIcon & JSXBase.HTMLAttributes<HTMLBciPortalHeaderIconElement>;
            "bci-portal-header-icon-link": LocalJSX.BciPortalHeaderIconLink & JSXBase.HTMLAttributes<HTMLBciPortalHeaderIconLinkElement>;
            "bci-portal-header-maximized-burger-icon": LocalJSX.BciPortalHeaderMaximizedBurgerIcon & JSXBase.HTMLAttributes<HTMLBciPortalHeaderMaximizedBurgerIconElement>;
            "bci-portal-header-message-icon": LocalJSX.BciPortalHeaderMessageIcon & JSXBase.HTMLAttributes<HTMLBciPortalHeaderMessageIconElement>;
            "bci-portal-header-search-icon": LocalJSX.BciPortalHeaderSearchIcon & JSXBase.HTMLAttributes<HTMLBciPortalHeaderSearchIconElement>;
            "bci-portal-header-user-icon": LocalJSX.BciPortalHeaderUserIcon & JSXBase.HTMLAttributes<HTMLBciPortalHeaderUserIconElement>;
            "bci-portal-link": LocalJSX.BciPortalLink & JSXBase.HTMLAttributes<HTMLBciPortalLinkElement>;
            "bci-portal-messages": LocalJSX.BciPortalMessages & JSXBase.HTMLAttributes<HTMLBciPortalMessagesElement>;
            "bci-portal-navigation": LocalJSX.BciPortalNavigation & JSXBase.HTMLAttributes<HTMLBciPortalNavigationElement>;
            "bci-portal-navigation-item": LocalJSX.BciPortalNavigationItem & JSXBase.HTMLAttributes<HTMLBciPortalNavigationItemElement>;
            "bci-portal-navigation-submenu": LocalJSX.BciPortalNavigationSubmenu & JSXBase.HTMLAttributes<HTMLBciPortalNavigationSubmenuElement>;
            "bci-portal-page-info": LocalJSX.BciPortalPageInfo & JSXBase.HTMLAttributes<HTMLBciPortalPageInfoElement>;
            "bci-portal-toaster": LocalJSX.BciPortalToaster & JSXBase.HTMLAttributes<HTMLBciPortalToasterElement>;
            "bci-table-card": LocalJSX.BciTableCard & JSXBase.HTMLAttributes<HTMLBciTableCardElement>;
            "bci-table-card-action": LocalJSX.BciTableCardAction & JSXBase.HTMLAttributes<HTMLBciTableCardActionElement>;
            "bci-table-card-entry": LocalJSX.BciTableCardEntry & JSXBase.HTMLAttributes<HTMLBciTableCardEntryElement>;
            "bci-template": LocalJSX.BciTemplate & JSXBase.HTMLAttributes<HTMLBciTemplateElement>;
            "bci-timepicker": LocalJSX.BciTimepicker & JSXBase.HTMLAttributes<HTMLBciTimepickerElement>;
            "bci-toolbar": LocalJSX.BciToolbar & JSXBase.HTMLAttributes<HTMLBciToolbarElement>;
            "bci-toolbar-item": LocalJSX.BciToolbarItem & JSXBase.HTMLAttributes<HTMLBciToolbarItemElement>;
            "bci-toolbar-spacing": LocalJSX.BciToolbarSpacing & JSXBase.HTMLAttributes<HTMLBciToolbarSpacingElement>;
            "bci-treelist": LocalJSX.BciTreelist & JSXBase.HTMLAttributes<HTMLBciTreelistElement>;
            "bci-treelist-item": LocalJSX.BciTreelistItem & JSXBase.HTMLAttributes<HTMLBciTreelistItemElement>;
            "bci-week-header": LocalJSX.BciWeekHeader & JSXBase.HTMLAttributes<HTMLBciWeekHeaderElement>;
            "bci-weekdays": LocalJSX.BciWeekdays & JSXBase.HTMLAttributes<HTMLBciWeekdaysElement>;
            "bci-year-month": LocalJSX.BciYearMonth & JSXBase.HTMLAttributes<HTMLBciYearMonthElement>;
            "checkbox-input": LocalJSX.CheckboxInput & JSXBase.HTMLAttributes<HTMLCheckboxInputElement>;
        }
    }
}

