/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { FormattingService } from '../service';
export interface InputData {
  dateStart: string | null;
  dateEnd: string | null;
  timeStart: string | null;
  timeEnd: string | null;
  valid: boolean;
}
export declare type InputDataValidity = Partial<Pick<InputData, 'dateEnd' | 'timeEnd'>> & Pick<InputData, 'valid'>;
export interface MatchFormatPair {
  match: string;
  fromFormat: string;
  atIndex: number;
}
export interface FormattingFactoryConfig {
  dateFormat: string;
  timeFormat: string;
  timeZone?: string;
}
export interface DateFactoryConfig {
  hideSeconds: boolean;
  rangeDateTime: boolean;
  formatService: FormattingService;
  minDate: number;
  maxDate: number;
}

