/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { EventEmitter } from '../../../stencil-public-runtime';
import { NodePath, RootNode } from '../model';
export declare class MultiSelectorInput {
  /** text for the input field */
  searchValue: string;
  /** text for the placeholder of the input field  */
  searchPlaceholder: string;
  /**
   * The available data sources.
   */
  dataSources: RootNode[];
  /**
   * The currently selected data source.
   */
  selectedDataSource: RootNode;
  /**
   * The current selections.
   */
  selections?: NodePath[];
  /** turning the input field into an readonly modus*/
  readonly?: boolean;
  /** called every time the  */
  searchChange: EventEmitter<string>;
  /** emitted when the input is focused */
  focusInput: EventEmitter<void>;
  /** emitted when the input onBlur is emitted */
  blurInput: EventEmitter<void>;
  /** emitted when the input should be cleared */
  clearSearch: EventEmitter<void>;
  /** emits on search type selection a new rootNode the multi-selector displays the tree for */
  selectSearchType: EventEmitter<RootNode>;
  private inputElement;
  onSearchValueChange(value: string): void;
  /** sets the cursor/focus on the input element */
  setFocusOnInputField(): Promise<void>;
  componentWillRender(): void;
  render(): any;
  private onInputHandler;
}

