/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
export declare type Callback = () => void;
export interface ViewportCallbacks {
  onVp1: Callback;
  onVp2: Callback;
  onVp3: Callback;
  onChange: (value: number) => void;
}
export declare type ViewportClasses = 'vp1' | 'vp2' | 'vp3';
export declare class WidthObserver {
  private element;
  private callbacks;
  private considerPaddings;
  private readonly breakpointVP1;
  private readonly breakpointVP2;
  private readonly containerPaddingForPhone;
  private readonly containerPaddingForTablet;
  private readonly desktopBreakpoint;
  private readonly tabletBreakpoint;
  private readonly resizeObserver;
  private _currentViewport?;
  private isObserving;
  constructor(element: HTMLElement, callbacks: Partial<ViewportCallbacks>, considerPaddings?: boolean);
  connect(): void;
  disconnect(): void;
  isConnected(): boolean;
  get currentViewport(): ViewportClasses | undefined;
  private updateViewport;
}

