/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { EventEmitter } from '../../stencil-public-runtime';
import { SidebarNavItem } from '../../interfaces/navigation.interface';
export declare class NavigationComponent {
  /**
   * controls whether window path has hash navigations
   */
  hashNavigation: boolean;
  closed: boolean;
  mainTitle: string;
  navigationItems: SidebarNavItem[];
  threeLevels: boolean;
  useLogo: boolean;
  /**
   * controls whether the bci.portal.navigation.itemClicked event is triggered upon startup or not
   */
  emitItemClickOnStartup: boolean;
  selectedNavItem?: SidebarNavItem;
  expandedNavItem?: SidebarNavItem;
  toggleNavigationAnimationActive: boolean;
  navigationItemClicked: EventEmitter<SidebarNavItem>;
  handleClickNavItemEvent(item: CustomEvent): void;
  handleExpandedNavItemEvent(event: CustomEvent): void;
  handleToggleNavigationEvent(event: CustomEvent): void;
  loadNavItem(): void;
  componentWillLoad(): void;
  /**
   * Check if SidebarNavItems are equal. Dynamic attributes are ignored.
   */
  private sidebarNavItemsEqual;
  /**
   * Detect which navigation item is expanded and set the expandedNavItem property if the expanded navigation
   * item has children. Otherwise a null will be set.
   */
  private detectExpandedNavItem;
  /**
   * Check if a child or any sub child navigation item is active.
   *
   * @param item SidebarNavItem
   */
  private hasActiveChildItem;
  private renderFlatItem;
  private renderThreeFoldMenu;
  render(): any;
  private toggleNavigation;
}

