/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
export declare const DEFAULT_LOCALE: {
  language: string;
  dateFormat: string;
  timeFormat: string;
};
export declare const LOCALE_MAP: {
  de: Locale;
  en: Locale;
  fr: Locale;
  tr: Locale;
  it: Locale;
  pl: Locale;
  pt: Locale;
  es: Locale;
  zh: Locale;
};
export declare const localization: {
  readonly showFooter: {
    readonly en: "Expand";
    readonly de: "Ausklappen";
    readonly es: "Ampliar";
    readonly it: "Espandi";
  };
  readonly hideFooter: {
    readonly en: "Collapse";
    readonly de: "Einklappen";
    readonly es: "Colapso";
    readonly it: "Crollo";
  };
  readonly messages: {
    readonly en: "Messages";
    readonly de: "Meldungen";
    readonly es: "Mensajes";
    readonly it: "Messaggi";
  };
  readonly messageFilters: {
    readonly en: "Filter and Sort";
    readonly de: "Filtern und Sortieren";
    readonly es: "Filtrar y clasificar";
    readonly it: "Filtra e Ordina";
  };
  readonly emptyMessageSearchResult: {
    readonly en: "There are no results for the selected filter criteria.";
    readonly de: "Für die gewählten Filterkriterien liegen keine Ergebnisse vor.";
    readonly es: "No hay resultados para los criterios de filtro seleccionados.";
    readonly it: "Non ci sono risultati per il criterio di filtro selezionato.";
  };
  readonly emptyMessageSearchFacility: {
    readonly en: "There are no facilities for the given search string.";
    readonly de: "Es gibt keine Einrichtungen zu dieser Suche";
    readonly it: "Non ci sono risultati per questa stringa di ricerca.";
  };
  readonly emptyMessageList: {
    readonly en: "There are no messages. Look here for new messages.";
    readonly de: "Es liegen keine Meldungen vor. Neue Meldungen sind hier zu finden.";
    readonly es: "No hay mensajes. Los nuevos mensajes se pueden encontrar aquí.";
    readonly it: "Non ci sono messaggi. Guarda qui per nuovi messaggi.";
  };
  readonly seeAllMessages: {
    readonly en: "View all messages";
    readonly de: "Alle Meldungen anzeigen";
    readonly es: "Ver todos los mensajes";
    readonly it: "Visualizza tutti i messaggi";
  };
  readonly today: {
    readonly en: "Today";
    readonly de: "Heute";
    readonly es: "Hoy";
    readonly it: "Oggi";
  };
  readonly yesterday: {
    readonly en: "Yesterday";
    readonly de: "Gestern";
    readonly es: "Ayer";
    readonly it: "Ieri";
  };
  readonly last: {
    readonly en: "Last";
    readonly de: "Letzter";
    readonly es: "Último";
    readonly it: "Ultimo";
  };
  readonly search: {
    readonly en: "Search";
    readonly de: "Suche";
    readonly es: "Buscar";
    readonly it: "Cerca";
  };
  readonly searchOrSelect: {
    readonly en: "Search or select";
    readonly de: "Suche or wähle aus";
    readonly es: "Buscar u seleccionar";
    readonly it: "Cerca o seleziona";
  };
  readonly searchType: {
    readonly en: "Search type";
    readonly de: "Suchtyp";
    readonly es: "Tipo de búsqueda";
    readonly it: "Tipo di ricerca";
  };
  readonly allTypes: {
    readonly en: "All message types";
    readonly de: "Alle Meldungstypen";
    readonly es: "Todos los tipos de mensajes";
    readonly it: "Tutti i tipi di messaggi";
  };
  readonly information: {
    readonly en: "Information";
    readonly de: "Information";
    readonly es: "Información";
    readonly it: "Informazioni";
  };
  readonly success: {
    readonly en: "Completed";
    readonly de: "Abgeschlossen";
    readonly es: "Completado";
    readonly it: "Completato";
  };
  readonly warning: {
    readonly en: "Warning";
    readonly de: "Warnung";
    readonly es: "Advertencia";
    readonly it: "Avviso";
  };
  readonly error: {
    readonly en: "Error";
    readonly de: "Fehler";
    readonly es: "Error";
    readonly it: "Errore";
  };
  readonly descending: {
    readonly en: "Descending";
    readonly de: "Absteigend";
    readonly es: "Descendiendo";
    readonly it: "Discendente";
  };
  readonly ascending: {
    readonly en: "Ascending";
    readonly de: "Aufsteigend";
    readonly es: "Ascendiendo";
    readonly it: "Ascendente";
  };
  readonly messageTypes: {
    readonly en: "Message types";
    readonly de: "Meldungstypen";
    readonly es: "Tipos de mensajes";
    readonly it: "Tipi di messaggi";
  };
  readonly showMoreDetails: {
    readonly en: "Show more";
    readonly de: "Mehr Details";
    readonly es: "Más detalles";
    readonly it: "Mostra di più";
  };
  readonly discardAll: {
    readonly en: "Delete all";
    readonly de: "Alle löschen";
    readonly es: "Borrar todo";
    readonly it: "Elimina tutti";
  };
  readonly entities: {
    readonly en: "Entries";
    readonly de: "Einträge";
    readonly es: "Entradas";
    readonly it: "Elementi";
  };
  readonly title: {
    readonly en: "Title";
    readonly de: "Titel";
    readonly es: "Título";
    readonly it: "Titolo";
  };
  readonly description: {
    readonly en: "Description";
    readonly de: "Beschreibung";
    readonly es: "Descripción";
    readonly it: "Descrizione";
  };
  readonly dateTime: {
    readonly en: "Date/time";
    readonly de: "Datum/Zeit";
    readonly es: "Fecha/Hora";
    readonly it: "Data/Ora";
  };
  readonly messageClass: {
    readonly en: "Category";
    readonly de: "Kategorie";
    readonly es: "Categoría";
    readonly it: "Categoria";
  };
  readonly goTo: {
    readonly en: "Go to";
    readonly de: "Gehe zu";
    readonly es: "Ir a";
    readonly it: "Vai a";
  };
  readonly close: {
    readonly en: "Close";
    readonly de: "Schließen";
    readonly es: "Cerrar";
    readonly it: "Chiudi";
  };
  readonly documentation: {
    readonly en: "Documentation";
    readonly de: "Dokumentation";
    readonly es: "Documentación";
    readonly it: "Documenti";
  };
  readonly didYouMean: {
    readonly en: "Suggestions";
    readonly de: "Vorschläge";
    readonly es: "Propuestas";
    readonly it: "Indicazioni";
  };
  readonly mostRelevant: {
    readonly en: "Matching results";
    readonly de: "Passende Ergebnisse";
    readonly es: "Resultados coincidentes";
    readonly it: "Risultati";
  };
  readonly dismiss: {
    readonly en: "Discard";
    readonly de: "Verwerfen";
    readonly es: "Descartar";
    readonly it: "Elimina";
  };
  readonly setDate: {
    readonly en: "Set date";
    readonly de: "Datum festlegen";
    readonly es: "Fijar fecha";
    readonly it: "Imposta data";
  };
  readonly setTime: {
    readonly en: "Set time";
    readonly de: "Zeit festlegen";
    readonly es: "Fijar hora";
    readonly it: "Imposta tempo";
  };
  readonly range: {
    readonly en: "Time span";
    readonly de: "Zeitraum";
    readonly es: "Período";
    readonly it: "Periodo";
  };
  readonly setDateTime: {
    readonly en: "Set date & time";
    readonly de: "Datum & Uhrzeit festlegen";
    readonly es: "Fijar la fecha y la hora";
    readonly it: "Imposta data e ora";
  };
  readonly setRange: {
    readonly en: "Set time span";
    readonly de: "Zeitraum festlegen";
    readonly es: "Establece el período";
    readonly it: "Imposta periodo";
  };
  readonly save: {
    readonly en: "Save";
    readonly de: "Speichern";
    readonly es: "Guardar";
    readonly it: "Salva";
  };
  readonly templates: {
    readonly en: "Templates";
    readonly de: "Vorlagen";
    readonly es: "Plantillas";
    readonly it: "Tempi";
  };
  readonly calendar: {
    readonly en: "Calendar";
    readonly de: "Kalendar";
    readonly es: "Calendario";
    readonly it: "Calendario";
  };
  readonly time: {
    readonly en: "Time";
    readonly de: "Uhrzeit";
    readonly es: "aeg";
    readonly it: "Ora";
  };
  readonly startTime: {
    readonly en: "Start Time";
    readonly de: "Startzeit";
    readonly es: "Start Time";
    readonly it: "Ora di inizio";
  };
  readonly endTime: {
    readonly en: "End Time";
    readonly de: "Endzeit";
    readonly es: "End Time";
    readonly it: "Ora di fine";
  };
  readonly listItemsPerPage: {
    readonly en: "Elements per page";
    readonly de: "Elemente pro Seite";
    readonly es: "Elementos por página";
    readonly it: "Elementi per pagina";
  };
  readonly recentSearch: {
    readonly en: "Recent searches";
    readonly de: "Letzte Suchanfragen";
    readonly es: "Búsquedas recientes";
    readonly it: "Ricerche recenti";
  };
  readonly back: {
    readonly en: "Back";
    readonly de: "Zurück";
    readonly es: "Atrás";
    readonly it: "Indietro";
  };
  readonly 'reset-selection': {
    readonly en: "Reset selection";
    readonly de: "Zurücksetzen";
    readonly es: "Resetear";
    readonly it: "Resetta selezione";
  };
  readonly reset: {
    readonly en: "Reset";
    readonly de: "Zurücksetzen";
    readonly es: "Resetear";
    readonly it: "Resetta";
  };
  readonly faclities: {
    readonly en: "Facilities";
    readonly de: "Einrichtungen";
    readonly es: "Equipos";
    readonly it: "Impianti";
  };
  readonly selectSomething: {
    readonly en: "Select {{search-type-label}}";
    readonly de: "{{search-type-label}} auswählen";
    readonly es: "Seleccione {search-type-label}}";
    readonly it: "Seleziona {{ricerca-tipo-label}}";
  };
  readonly noFilterResults: {
    readonly en: "No items to display.";
    readonly de: "Keine Elemente zum Anzeigen.";
    readonly es: "No hay artículos para mostrar.";
    readonly it: "Nessun elemento da visualizzare.";
  };
};

