/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { Logger } from './../interfaces/utils.interface';
import { localization } from './localization';
export declare function translate(key: keyof typeof localization): string;
export declare function translate(key: string): string;
/**
 * Format a timestamp according to the user's configured date format
 *
 * @param timestamp
 */
export declare function formatDate(timestamp: Date | number | null, dateFormat: string, timeFormat: string): string;
/**
 * TODO
 *
 * @param timestamp
 */
export declare function formatDateAsDayString(timestamp: Date | number, dateFormat?: string): string;
/**
 * Gets a new logger instance to log to the browser console.
 */
export declare function getLogger(): Logger;
/**
 * truncate a string in the middle, e.g. MyVeryLongString > MyV...ing
 * @param str
 * @param firstCharCount
 * @param endCharCount
 * @param dotCount
 */
export declare function truncateStringPortion(str: any, maxLength?: number, dotCount?: number): any;
/**
 * creates a date instance with specified parameters
 * @param dateInstance to use as basis
 * @param year year to set
 * @param month month so set
 * @param day day in month to set
 */
export declare function createDate(dateInstance: Date, year: number, month: number, day?: number): Date;
/**
 * creates a date instance with specified parameters
 * @param dateInstance to use as basis
 * @param hours hours to set
 * @param minutes minutes so set
 * @param seconds seconds to set
 */
export declare function createTime(dateInstance: Date, hours: number, minutes: number, seconds?: number): Date;
/**
 * flattens an array
 * @param array
 */
export declare function flattenArray<T>(array: T[][]): T[];
/**
 * Returns whether app is in responsive mode
 */
export declare function isResponsiveMode(): boolean;
export declare function timeFormatHasMeridiem(timeformat: any): any;
export declare function isHideSeconds(timeformat: any): any;
export declare function tap<T>(callback: (value: T) => void): (value: T) => T;

