module.exports = {
  prefix: 'tw-',
  corePlugins: [
    'alignContent',
    'alignItems',
    'alignSelf',
    'backgroundColor',
    'borderCollapse',
    'borderColor',
    'borderOpacity',
    'borderRadius',
    'borderSpacing',
    'borderStyle',
    'borderWidth',
    'cursor',
    'content',
    'display',
    'flex',
    'flexBasis',
    'flexDirection',
    'flexGrow',
    'flexShrink',
    'flexWrap',
    'fontSize',
    'fontStyle',
    'fontWeight',
    'gap',
    'gridAutoColumns',
    'gridAutoFlow',
    'gridAutoRows',
    'gridColumn',
    'gridColumnEnd',
    'gridColumnStart',
    'gridRow',
    'gridRowEnd',
    'gridRowStart',
    'gridTemplateColumns',
    'gridTemplateRows',
    'height',
    'inset',
    'justifyContent',
    'justifyItems',
    'justifySelf',
    'maxHeight',
    'maxWidth',
    'minHeight',
    'minWidth',
    'margin',
    'objectPosition',
    'order',
    'overflow',
    'padding',
    'position',
    'placeContent',
    'placeItems',
    'place-self',
    'textAlign',
    'textColor',
    'transform',
    'transform-origin',
    'translate',
    'visibility',
    'vertical-align',
    'width',
    'wordBreak',
    'rotate',
    'zIndex'
  ],
  theme: {
    screens: {
      // Extra small screen / phone
      'xxs': '320px',
      // Extra small screen / phone
      'xs': '480px',
      // Small screen / tablet
      'sm': '768px',
      // Medium screen / desktop
      'md': '992px',
      // Large screen / wide desktop
      'lg': '1280px',
    },
    borderWidth: {
      DEFAULT: '1px',
      0: '0',
      2: '2px',
    },
    spacing: {
      DEFAULT: '8px',
      0: '0px',
      2: '2px',
      4: '4px',
      12: '12px',
      16: '16px',
      24: '24px',
      32: '32px',
      48: '48px',
      56: '56px',
      64: '64px',
      92: '92px'
    },
    fontSize: {
      DEFAULT: '16px',
      'tiny': '10px',
      'small': '12px',
      'medium': '14px',
      'large': '24px',
      'x-large': '28px',
      'xx-large': '36px',
      'xxx-large': '48px',
      '6xl-large': '72px'
    },
    fontWeight: {
      DEFAULT: '400',
      'light': '300',
      'medium': '500',
      'strong': '700',
      'black': '900'
    },
    colors: {
      transparent: 'transparent', current: 'currentColor',
      black: '#000000', white: '#ffffff', bosch: { red: '#ed0007', green: '#00884a', grey: '#a4abb3' },
      red: {
        95: '#ffecec',
        90: '#ffd9d9',
        85: '#ffc6c6',
        80: '#ffb2b2',
        75: '#ff9d9d',
        70: '#ff8787',
        65: '#ff6e6f',
        60: '#ff5152',
        55: '#ff2124',
        50: '#ed0007',
        DEFAULT: '#ed0007',
        45: '#d50005',
        40: '#be0004',
        35: '#a80003',
        30: '#920002',
        25: '#7d0002',
        20: '#680001',
        15: '#540001',
        10: '#410000',
        '05': '#410000'
      },
      purple: {
        95: '#f7eef6',
        90: '#f0dcee',
        85: '#ebcae8',
        80: '#e8b6e3',
        75: '#e8b6e3',
        70: '#e48cdd',
        65: '#e472db',
        60: '#e552da',
        55: '#d543cb',
        50: '#c535bc',
        DEFAULT: '#c535bc',
        45: '#b12ea9',
        40: '#9e2896',
        35: '#8b2284',
        30: '#791d73',
        25: '#671761',
        20: '#551151',
        15: '#440c41',
        10: '#340731',
        '05': '#230421'
      },
      blue: {
        95: '#e8f1ff',
        90: '#d1e4ff',
        85: '#b8d6ff',
        80: '#9dc9ff',
        75: '#7ebdff',
        70: '#56b0ff',
        65: '#00a4fd',
        60: '#0096e8',
        55: '#0088d4',
        50: '#007bc0',
        DEFAULT: '#007bc0',
        45: '#006ead',
        40: '#00629a',
        35: '#005587',
        30: '#004975',
        25: '#003e64',
        20: '#003253',
        15: '#002742',
        10: '#001d33',
        '05': '#001222'
      },
      turquoise: {
        95: '#def5f3',
        90: '#b6ede8',
        85: '#a1dfdb',
        80: '#8dd2cd',
        75: '#79c5c0',
        70: '#66b8b2',
        65: '#54aba5',
        60: '#419e98',
        55: '#2e908b',
        50: '#18837e',
        DEFAULT: '#18837e',
        45: '#147671',
        40: '#116864',
        35: '#0e5b57',
        30: '#0a4f4b',
        25: '#07423f',
        20: '#053634',
        15: '#032b28',
        10: '#02201e',
        '05': '#011413'
      },
      green: {
        95: '#e2f5e7',
        90: '#b8efc9',
        85: '#9be4b3',
        80: '#86d7a2',
        75: '#72ca92',
        70: '#5ebd82',
        65: '#4ab073',
        60: '#37a264',
        55: '#219557',
        50: '#00884a',
        DEFAULT: '#00884a',
        45: '#007a42',
        40: '#006c3a',
        35: '#005f32',
        30: '#00512a',
        25: '#004523',
        20: '#00381b',
        15: '#002c14',
        10: '#00210e',
        '05': '#001507'
      },
      gray: {
        99: '#FBFBFB',
        95: '#eff1f2',
        90: '#e0e2e5',
        85: '#d0d4d8',
        80: '#c1c7cc',
        75: '#b2b9c0',
        70: '#a4abb3',
        65: '#979ea4',
        60: '#8a9097',
        55: '#7d8289',
        50: '#71767c',
        DEFAULT: '#71767c',
        45: '#656a6f',
        40: '#595e62',
        35: '#4e5256',
        30: '#43464a',
        25: '#383b3e',
        20: '#2e3033',
        15: '#232628',
        10: '#1a1c1d',
        '05': '#101112'
      },
      // No part of brand guide: use only for warnings
      yellow: {
        95: '#ffefd1',
        90: '#ffdf95',
        85: '#ffcf00',
        80: '#eec100',
        75: '#deb300',
        70: '#cda600',
        65: '#bd9900',
        60: '#ad8c00',
        55: '#9e7f00',
        50: '#8f7300',
        DEFAULT: '#8f7300',
        45: '#806700',
        40: '#725b00',
        35: '#644f00',
        30: '#564400',
        25: '#493900',
        20: '#3c2e00',
        15: '#2f2400',
        10: '#231a00',
        '05': '#171000'
      },
      signalYellow: {
        DEFAULT: '#ffcf00'
      } ,
      signalRed: {
        DEFAULT: '#ed0007'
      } ,
      signalGreen: {
        DEFAULT: '#00884a'
      }
    },
    fontFamily: { sans: 'boschsans' }
  }
};
