/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { r as n, c as e, h as o, H as c } from "./p-b4277e0d.js";

import { N as t } from "./p-3ee20d69.js";

/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */ var r;

!function(n) {
  n.Down = "bosch-ic-down", n.Right = "bosch-ic-forward-right";
}(r || (r = {}));

const b = class {
  constructor(o) {
    n(this, o), this.navigationItemClicked = e(this, "bci.portal.navigation.itemClicked", 7), 
    /**
     * controls whether window path has hash navigations
     */
    this.hashNavigation = !0, this.navigationItems = [], this.threeLevels = !1, this.useLogo = !1, 
    /**
     * controls whether the bci.portal.navigation.itemClicked event is triggered upon startup or not
     */
    this.emitItemClickOnStartup = !0, this.toggleNavigationAnimationActive = !1;
  }
  handleClickNavItemEvent(n) {
    var e;
    // updates the selected item. This is most likely not directly required and depends how quickly the
    // page reloads. History events are processed on the items itself e.g. updating states.
        this.selectedNavItem = null !== (e = (new t).setActiveNavigationByPath(n.detail.path, this.navigationItems)) && void 0 !== e ? e : void 0, 
    this.navigationItems.filter((e => this.sidebarNavItemsEqual(e, n.detail))).length > 0 && (this.expandedNavItem = void 0);
    (window.innerWidth || document.body.offsetWidth) <= 768 && this.toggleNavigation(!0);
  }
  handleExpandedNavItemEvent(n) {
    const e = this.navigationItems.find((e => this.sidebarNavItemsEqual(e, n.detail)));
    if (!e) return;
    if (this.closed && this.expandedNavItem && this.sidebarNavItemsEqual(this.expandedNavItem, e)) return this.toggleNavigation(!1);
    this.toggleNavigation(!1);
    const o = !this.expandedNavItem || this.expandedNavItem && !this.sidebarNavItemsEqual(e, this.expandedNavItem);
    this.expandedNavItem = o ? e : void 0;
  }
  handleToggleNavigationEvent(n) {
    this.closed = n.detail && void 0 !== n.detail.closed ? n.detail.closed : !this.closed, 
    this.toggleNavigationAnimationActive = !0, 
    // send resize event after animation time is over
    setTimeout((() => {
      window.dispatchEvent(new CustomEvent("resize"));
    }), 200);
  }
  loadNavItem() {
    var n;
    // Sets the selected item mainly required after reloading the page.
        Array.isArray(this.navigationItems) && this.navigationItems.length > 0 && (this.selectedNavItem = null !== (n = (new t).setActiveNavigationByPath(`${window.location.pathname}${window.location.hash || ""}`, this.navigationItems)) && void 0 !== n ? n : void 0, 
    this.detectExpandedNavItem(), this.selectedNavItem && this.emitItemClickOnStartup && this.navigationItemClicked.emit(this.selectedNavItem));
  }
  componentWillLoad() {
    this.loadNavItem();
  }
  /**
   * Check if SidebarNavItems are equal. Dynamic attributes are ignored.
   */  sidebarNavItemsEqual(n, e) {
    return n.title === e.title && n.path === e.path;
  }
  /**
   * Detect which navigation item is expanded and set the expandedNavItem property if the expanded navigation
   * item has children. Otherwise a null will be set.
   */  detectExpandedNavItem() {
    const n = this.navigationItems.find((n => n.expanded));
    this.expandedNavItem = n && n.children && n.children.length > 0 ? n : void 0;
  }
  /**
   * Check if a child or any sub child navigation item is active.
   *
   * @param item SidebarNavItem
   */  hasActiveChildItem(n) {
    return !(!n.active || !n.children) && n.children.some((n => this.hasActiveChildItem(n)));
  }
  renderFlatItem(n, e = !this.threeLevels) {
    const c = !e && this.hasActiveChildItem(n) ? "bci-portal-navigation-item-active" : "", t = e ? r.Down : r.Right;
    return o("bci-portal-navigation-item", {
      hashNavigation: this.hashNavigation,
      "data-test": "webcore.webcomponents.navigation.component.bci-portal-navigation-item.navigation-close",
      class: c,
      item: n,
      expanderIcon: t,
      navigationClosed: this.closed
    }, e && n.children && n.children.map((n => o("bci-portal-navigation-item", {
      hashNavigation: this.hashNavigation,
      item: n
    }))));
  }
  renderThreeFoldMenu() {
    var n, e, c;
    return o("bci-portal-navigation-submenu", {
      expandedNavItem: this.expandedNavItem
    }, o("div", null, null !== (c = null === (e = null === (n = this.expandedNavItem) || void 0 === n ? void 0 : n.children) || void 0 === e ? void 0 : e.map((n => this.renderFlatItem(n, !0)))) && void 0 !== c ? c : ""));
  }
  render() {
    return o(c, {
      class: {
        "bci-portal-sidebar-navigation-host-closed": this.closed
      }
    }, o("div", {
      class: "bci-portal-sidebar-navigation" + (this.closed ? " bci-portal-sidebar-navigation-closed" : " bci-portal-sidebar-navigation-open") + (this.toggleNavigationAnimationActive ? " bci-portal-sidebar-navigation-transition" : "")
    }, o("section", {
      class: "bci-portal-sidebar-navigation-container"
    }, o("header", {
      class: "bci-portal-sidebar-header"
    }, o("h1", {
      class: "bci-portal-sidebar-header-title"
    }, this.useLogo ? o("img", {
      class: "bci-portal-logo"
    }) : this.mainTitle), o("div", {
      class: "bci-portal-burger burger",
      "data-test": "webcore.webcomponents.navigation.toggle.div",
      onClick: () => this.toggleNavigation()
    }, o("div", {
      class: "bci-portal-burger-line bci-portal-burger-top"
    }), o("div", {
      class: "bci-portal-burger-line bci-portal-burger-middle"
    }), o("div", {
      class: "bci-portal-burger-line bci-portal-burger-bottom"
    }))), o("section", {
      class: "bci-portal-sidebar-navigation-container" + (this.threeLevels ? " bci-portal-sidebar-navigation-container-three-level-mode" : "")
    }, o("div", {
      "data-test": "webcore.webcomponents.navigation.component.bci-portal-navigation-list.expanded-nav-item",
      class: "bci-portal-navigation-list" + (this.threeLevels && this.expandedNavItem ? " bci-portal-navigation-list-closed" : "")
    }, [ 0, 1, 2, 3, 4, 5 ].map((() => o("div", {
      class: "bci-portal-navigation-item-placeholder" + (Array.isArray(this.navigationItems) && 0 !== this.navigationItems.length ? " hidden" : "")
    }, o("div", {
      class: "icon-placeholder"
    }), o("div", {
      class: "text-placeholder"
    })))), Array.isArray(this.navigationItems) && this.navigationItems.filter((n => !n.hidden)).map((n => this.renderFlatItem(n)))), this.threeLevels && this.expandedNavItem && this.expandedNavItem.children && this.renderThreeFoldMenu()), o("section", {
      class: "bci-portal-sidebar-navigation-footer " + (this.closed ? "hide" : "")
    }, o("div", null, "Powered by Nexeed from"), o("div", {
      class: "bci-portal-bosch-logo"
    })))));
  }
  toggleNavigation(n = !this.closed) {
    window.dispatchEvent(new CustomEvent("bci.portal.navigation.toggle", {
      detail: {
        closed: n
      }
    }));
  }
  static get watchers() {
    return {
      navigationItems: [ "loadNavItem" ]
    };
  }
};

b.style = '/*!\n *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/** Bosch primary button mixins */\n/** Bosch secondary button mixins */\n/** Bosch tertiary button mixins */\n/** Bosch integrated button mixins */\n/** Bosch value modificator button mixins */\n/** Bosch link button */\n/** Block Buttons */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/** Bosch primary button mixins */\n/** Bosch secondary button mixins */\n/** Bosch tertiary button mixins */\n/** Bosch integrated button mixins */\n/** Bosch value modificator button mixins */\n/** Bosch link button */\n/** Block Buttons */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n@font-face {\n  font-family: var(--bci-global-font-family);\n  font-weight: 400;\n  src: url("..//fonts/BoschSans-Regular.eot");\n  /* IE9 Compat Modes */\n  src: url("..//fonts/BoschSans-Regular.eot?#iefix") format("embedded-opentype"), url("..//fonts/BoschSans-Regular.woff2") format("woff2"), url("..//fonts/BoschSans-Regular.woff") format("woff"), url("..//fonts/BoschSans-Regular.ttf") format("truetype"), url("..//fonts/BoschSans-RegularItalic.woff2") format("woff2"), url("..//fonts/BoschSans-RegularItalic.woff") format("woff"), url("..//fonts/BoschSans-RegularItalic.ttf") format("truetype"), url("..//fonts/BoschSans-Regular.svg#svgFontName") format("svg");\n  /* Legacy iOS */\n}\n@font-face {\n  font-family: var(--bci-global-font-family);\n  font-weight: 300;\n  src: url("..//fonts/BoschSans-Light.eot");\n  /* IE9 Compat Modes */\n  src: url("..//fonts/BoschSans-Light.eot?#iefix") format("embedded-opentype"), url("..//fonts/BoschSans-Light.woff2") format("woff2"), url("..//fonts/BoschSans-Light.woff") format("woff"), url("..//fonts/BoschSans-Light.ttf") format("truetype"), url("..//fonts/BoschSans-LightItalic.woff2") format("woff2"), url("..//fonts/BoschSans-LightItalic.woff") format("woff"), url("..//fonts/BoschSans-LightItalic.ttf") format("truetype"), url("..//fonts/BoschSans-Light.svg#svgFontName") format("svg");\n  /* Legacy iOS */\n}\n@font-face {\n  font-family: var(--bci-global-font-family);\n  font-weight: 500;\n  src: url("..//fonts/BoschSans-Medium.eot");\n  /* IE9 Compat Modes */\n  src: url("..//fonts/BoschSans-Medium.eot?#iefix") format("embedded-opentype"), url("..//fonts/BoschSans-Medium.woff2") format("woff2"), url("..//fonts/BoschSans-Medium.woff") format("woff"), url("..//fonts/BoschSans-Medium.ttf") format("truetype"), url("..//fonts/BoschSans-MediumItalic.woff2") format("woff2"), url("..//fonts/BoschSans-MediumItalic.woff") format("woff"), url("..//fonts/BoschSans-MediumItalic.ttf") format("truetype"), url("..//fonts/BoschSans-Medium.svg#svgFontName") format("svg");\n  /* Legacy iOS */\n}\n@font-face {\n  font-family: var(--bci-global-font-family);\n  font-weight: 700;\n  src: url("..//fonts/BoschSans-Bold.eot");\n  /* IE9 Compat Modes */\n  src: url("..//fonts/BoschSans-Bold.eot?#iefix") format("embedded-opentype"), url("..//fonts/BoschSans-Bold.woff2") format("woff2"), url("..//fonts/BoschSans-Bold.woff") format("woff"), url("..//fonts/BoschSans-Bold.ttf") format("truetype"), url("..//fonts/BoschSans-BoldItalic.woff2") format("woff2"), url("..//fonts/BoschSans-BoldItalic.woff") format("woff"), url("..//fonts/BoschSans-BoldItalic.ttf") format("truetype"), url("..//fonts/BoschSans-Bold.svg#svgFontName") format("svg");\n  /* Legacy iOS */\n}\n@font-face {\n  font-family: var(--bci-global-font-family);\n  font-weight: 900;\n  src: url("..//fonts/BoschSans-Black.eot");\n  /* IE9 Compat Modes */\n  src: url("..//fonts/BoschSans-Black.eot?#iefix") format("embedded-opentype"), url("..//fonts/BoschSans-Black.woff2") format("woff2"), url("..//fonts/BoschSans-Black.woff") format("woff"), url("..//fonts/BoschSans-Black.ttf") format("truetype"), url("..//fonts/BoschSans-BlackItalic.woff2") format("woff2"), url("..//fonts/BoschSans-BlackItalic.woff") format("woff"), url("..//fonts/BoschSans-BlackItalic.ttf") format("truetype"), url("..//fonts/BoschSans-Black.svg#svgFontName") format("svg");\n  /* Legacy iOS */\n}\n@font-face {\n  font-family: "Bosch-Ic";\n  font-style: normal;\n  font-stretch: normal;\n  font-weight: normal;\n  src: url("..//fonts/Bosch-Icon.eot?mh5qa9");\n  src: url("..//fonts/Bosch-Icon.eot?mh5qa9#iefix") format("embedded-opentype"), url("..//fonts/Bosch-Icon.ttf?mh5qa9") format("truetype"), url("..//fonts/Bosch-Icon.woff?mh5qa9") format("woff"), url("..//fonts/Bosch-Icon.svg?mh5qa9#Bosch-Icon") format("svg");\n}\n@font-face {\n  font-family: "Bosch-Sans-Condensed";\n  font-weight: 300;\n  src: url("..//fonts/BoschSansCond-Regular.otf"), url("..//fonts/BoschSansCondensed-Regular.ttf") format("truetype"), url("..//fonts/BoschSansCondensed-RegularItalic.ttf") format("truetype");\n}\n@font-face {\n  font-family: "Bosch-Sans-Condensed";\n  font-weight: 700;\n  src: url("..//fonts/BoschSansCond-Bold.otf"), url("..//fonts/BoschSansCondensed-Bold.ttf") format("truetype"), url("..//fonts/BoschSansCondensed-BoldItalic.ttf") format("truetype");\n}\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/** Bosch primary button mixins */\n/** Bosch secondary button mixins */\n/** Bosch tertiary button mixins */\n/** Bosch integrated button mixins */\n/** Bosch value modificator button mixins */\n/** Bosch link button */\n/** Block Buttons */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/** Bosch primary button mixins */\n/** Bosch secondary button mixins */\n/** Bosch tertiary button mixins */\n/** Bosch integrated button mixins */\n/** Bosch value modificator button mixins */\n/** Bosch link button */\n/** Block Buttons */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n.flex-column {\n  display: flex;\n  flex-direction: column;\n  box-sizing: border-box;\n}\n\n.flex-row {\n  display: flex;\n  flex-direction: row;\n  box-sizing: border-box;\n}\n\n.flex-none {\n  flex: 0 0 auto;\n}\n\n.flex-grow {\n  flex: 1 1 100%;\n  height: 100%;\n}\n\n.flex-layout-start-strech {\n  place-content: stretch flex-start;\n  align-items: stretch;\n}\n\n.flex-layout-center-center {\n  place-content: center;\n  align-items: center;\n}\n\n.flex-fill {\n  width: 100%;\n  box-sizing: border-box;\n  max-width: 100%;\n}\n\n.flex-row-wrap {\n  flex-flow: row wrap;\n  box-sizing: border-box;\n  display: flex;\n}\n.flex-row-wrap.grow {\n  flex: 1 1 100%;\n  max-width: 100%;\n}\n\n.flex-center {\n  display: flex;\n  justify-content: center;\n  align-items: center;\n}\n\n.flex-space-between {\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n}\n\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\nbody {\n  margin: 0;\n  display: flex;\n  flex-direction: column;\n}\n\nmain,\n* {\n  font-family: var(--bci-global-font-family);\n}\n\n::selection,\n::-moz-selection {\n  background-color: #007bc0;\n}\n\na::-moz-selection {\n  color: #ffffff;\n}\n\n.lead {\n  margin-bottom: 24px;\n  font-size: 18px;\n  font-weight: 300;\n  line-height: 1.4;\n}\n@media (min-width: 768px) {\n  .lead {\n    font-size: 24px;\n  }\n}\n\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n.bosch-ic,\n.Bosch-Ic {\n  line-height: 1;\n  /*Changed to move little up when icon is used with text*/\n  vertical-align: middle;\n  /*Changed to middle when icon is used with texts*/\n  /* Better Font Rendering =========== */\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n.bosch-ic:before,\n.Bosch-Ic:before {\n  font-family: "Bosch-Ic";\n  font-style: normal;\n  font-weight: normal;\n  font-size: 24px;\n  vertical-align: middle;\n}\n\n.bosch-ic-large,\n.Bosch-Ic-Large {\n  line-height: 1;\n  /*Changed to move little up when icon is used with text*/\n  vertical-align: middle;\n  /*Changed to middle when icon is used with texts*/\n  /* Better Font Rendering =========== */\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n.bosch-ic-large:before,\n.Bosch-Ic-Large:before {\n  font-family: "Bosch-Ic";\n  font-style: normal;\n  font-weight: normal;\n  font-size: 28px;\n  vertical-align: middle;\n}\n\n.bosch-ic-medium,\n.Bosch-Ic-Medium {\n  line-height: 1;\n  /*Changed to move little up when icon is used with text*/\n  vertical-align: middle;\n  /*Changed to middle when icon is used with texts*/\n  /* Better Font Rendering =========== */\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n.bosch-ic-medium:before,\n.Bosch-Ic-Medium:before {\n  font-family: "Bosch-Ic";\n  font-style: normal;\n  font-weight: normal;\n  font-size: 24px;\n  vertical-align: middle;\n}\n\n.bosch-ic-normal,\n.Bosch-Ic-Normal {\n  line-height: 1;\n  /*Changed to move little up when icon is used with text*/\n  vertical-align: middle;\n  /*Changed to middle when icon is used with texts*/\n  /* Better Font Rendering =========== */\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n.bosch-ic-normal:before,\n.Bosch-Ic-Normal:before {\n  font-family: "Bosch-Ic";\n  font-style: normal;\n  font-weight: normal;\n  font-size: 20px;\n  vertical-align: middle;\n}\n\n.bosch-ic-small,\n.Bosch-Ic-Small {\n  line-height: 1;\n  /*Changed to move little up when icon is used with text*/\n  vertical-align: middle;\n  /*Changed to middle when icon is used with texts*/\n  /* Better Font Rendering =========== */\n  -webkit-font-smoothing: antialiased;\n  -moz-osx-font-smoothing: grayscale;\n}\n.bosch-ic-small:before,\n.Bosch-Ic-Small:before {\n  font-family: "Bosch-Ic";\n  font-style: normal;\n  font-weight: normal;\n  font-size: 16px;\n  vertical-align: middle;\n}\n\n.Bosch-Ic-Disabled,\n.bosch-ic-disabled,\n.Bosch-Ic-Disabled:hover,\n.bosch-ic-disabled:hover,\n.Bosch-Ic[disabled],\n.bosch-ic[disabled],\n.Bosch-Ic[disabled]:hover,\n.bosch-ic[disabled]:hover {\n  cursor: not-allowed;\n  color: #d0d4d8;\n}\n.Bosch-Ic-Disabled:hover,\n.bosch-ic-disabled:hover,\n.Bosch-Ic-Disabled:hover:hover,\n.bosch-ic-disabled:hover:hover,\n.Bosch-Ic[disabled]:hover,\n.bosch-ic[disabled]:hover,\n.Bosch-Ic[disabled]:hover:hover,\n.bosch-ic[disabled]:hover:hover {\n  color: #d0d4d8;\n}\n\n.bosch-ic-clickable,\n.Bosch-Ic-Clickable {\n  cursor: pointer;\n}\n.bosch-ic-clickable:disabled, .bosch-ic-clickable.disabled,\n.Bosch-Ic-Clickable:disabled,\n.Bosch-Ic-Clickable.disabled {\n  color: #a4abb3;\n  cursor: not-allowed;\n}\n\n.bosch-ic-activated,\n.Bosch-Ic-Activated {\n  color: #007bc0;\n}\n\n.bosch-ic-3d-print:before {\n  content: "\\e085";\n}\n\n.bosch-ic-a-to-b:before {\n  content: "\\e086";\n}\n\n.bosch-ic-add:before {\n  content: "\\e087";\n}\n\n.bosch-ic-address-consumer-data:before {\n  content: "\\e088";\n}\n\n.bosch-ic-adress-book:before {\n  content: "\\e089";\n}\n\n.bosch-ic-agility:before {\n  content: "\\e08a";\n}\n\n.bosch-ic-alarm-clock:before {\n  content: "\\e08b";\n}\n\n.bosch-ic-ambulance:before {\n  content: "\\e08c";\n}\n\n.bosch-ic-analysis:before {\n  content: "\\e08d";\n}\n\n.bosch-ic-anchor:before {\n  content: "\\e08e";\n}\n\n.bosch-ic-arrow-down:before {\n  content: "\\e08f";\n}\n\n.bosch-ic-arrow-left:before {\n  content: "\\e090";\n}\n\n.bosch-ic-arrow-left-down:before {\n  content: "\\e091";\n}\n\n.bosch-ic-arrow-left-up:before {\n  content: "\\e092";\n}\n\n.bosch-ic-arrow-right:before {\n  content: "\\e093";\n}\n\n.bosch-ic-arrow-right-down:before {\n  content: "\\e094";\n}\n\n.bosch-ic-arrow-right-up:before {\n  content: "\\e095";\n}\n\n.bosch-ic-arrow-turn-left:before {\n  content: "\\e096";\n}\n\n.bosch-ic-arrow-turn-right:before {\n  content: "\\e097";\n}\n\n.bosch-ic-arrow-up:before {\n  content: "\\e098";\n}\n\n.bosch-ic-arrows:before {\n  content: "\\e099";\n}\n\n.bosch-ic-arrows-x-y-z:before {\n  content: "\\e09a";\n}\n\n.bosch-ic-artificial-intelligence:before {\n  content: "\\e09b";\n}\n\n.bosch-ic-assembly-line:before {\n  content: "\\e09c";\n}\n\n.bosch-ic-atom:before {\n  content: "\\e09d";\n}\n\n.bosch-ic-augmented-reality:before {\n  content: "\\e09e";\n}\n\n.bosch-ic-autobod:before {\n  content: "\\e09f";\n}\n\n.bosch-ic-back-left:before {\n  content: "\\e0a0";\n}\n\n.bosch-ic-back-left-double:before {\n  content: "\\e0a1";\n}\n\n.bosch-ic-bar-chart:before {\n  content: "\\e0a2";\n}\n\n.bosch-ic-bar-chart-double:before {\n  content: "\\e0a3";\n}\n\n.bosch-ic-battery-0:before {\n  content: "\\e0a4";\n}\n\n.bosch-ic-battery-1:before {\n  content: "\\e0a5";\n}\n\n.bosch-ic-battery-2:before {\n  content: "\\e0a6";\n}\n\n.bosch-ic-battery-3:before {\n  content: "\\e0a7";\n}\n\n.bosch-ic-battery-4:before {\n  content: "\\e0a8";\n}\n\n.bosch-ic-battery-fail:before {\n  content: "\\e0a9";\n}\n\n.bosch-ic-battery-li-ion:before {\n  content: "\\e0aa";\n}\n\n.bosch-ic-battery-loading:before {\n  content: "\\e0ab";\n}\n\n.bosch-ic-bed:before {\n  content: "\\e0ac";\n}\n\n.bosch-ic-bicycle:before {\n  content: "\\e0ad";\n}\n\n.bosch-ic-bicycle-e:before {\n  content: "\\e0ae";\n}\n\n.bosch-ic-blog:before {\n  content: "\\e0af";\n}\n\n.bosch-ic-bluetooth:before {\n  content: "\\e0b0";\n}\n\n.bosch-ic-bluetooth-le:before {\n  content: "\\e0b1";\n}\n\n.bosch-ic-board-speaker:before {\n  content: "\\e0b2";\n}\n\n.bosch-ic-boiler-connected:before {\n  content: "\\e0b3";\n}\n\n.bosch-ic-book:before {\n  content: "\\e0b4";\n}\n\n.bosch-ic-bookmark:before {\n  content: "\\e0b5";\n}\n\n.bosch-ic-bookmark-add:before {\n  content: "\\e0b6";\n}\n\n.bosch-ic-bookmark-check:before {\n  content: "\\e0b7";\n}\n\n.bosch-ic-bookmark-delete:before {\n  content: "\\e0b8";\n}\n\n.bosch-ic-books:before {\n  content: "\\e0b9";\n}\n\n.bosch-ic-bookshelf:before {\n  content: "\\e0ba";\n}\n\n.bosch-ic-box:before {\n  content: "\\e0bb";\n}\n\n.bosch-ic-box-closed:before {\n  content: "\\e0bc";\n}\n\n.bosch-ic-box-delivery:before {\n  content: "\\e0bd";\n}\n\n.bosch-ic-box-delivery-connected:before {\n  content: "\\e0be";\n}\n\n.bosch-ic-brake-disk:before {\n  content: "\\e0bf";\n}\n\n.bosch-ic-briefcase:before {\n  content: "\\e0c0";\n}\n\n.bosch-ic-broom:before {\n  content: "\\e0c1";\n}\n\n.bosch-ic-broom-cloud-dirt:before {\n  content: "\\e0c2";\n}\n\n.bosch-ic-brush:before {\n  content: "\\e0c3";\n}\n\n.bosch-ic-bug:before {\n  content: "\\e0c4";\n}\n\n.bosch-ic-building:before {\n  content: "\\e0c5";\n}\n\n.bosch-ic-cactus:before {\n  content: "\\e0c6";\n}\n\n.bosch-ic-calculate:before {\n  content: "\\e0c7";\n}\n\n.bosch-ic-calendar:before {\n  content: "\\e0c8";\n}\n\n.bosch-ic-calendar-add:before {\n  content: "\\e0c9";\n}\n\n.bosch-ic-calendar-settings:before {\n  content: "\\e0ca";\n}\n\n.bosch-ic-call:before {\n  content: "\\e0cb";\n}\n\n.bosch-ic-call-add:before {\n  content: "\\e0cc";\n}\n\n.bosch-ic-call-remove:before {\n  content: "\\e0cd";\n}\n\n.bosch-ic-call-sos:before {\n  content: "\\e0ce";\n}\n\n.bosch-ic-call-team:before {\n  content: "\\e0cf";\n}\n\n.bosch-ic-call-wifi:before {\n  content: "\\e0d0";\n}\n\n.bosch-ic-camera:before {\n  content: "\\e0d1";\n}\n\n.bosch-ic-camera-switch:before {\n  content: "\\e0d2";\n}\n\n.bosch-ic-car:before {\n  content: "\\e0d3";\n}\n\n.bosch-ic-car-clock:before {\n  content: "\\e0d4";\n}\n\n.bosch-ic-car-connected:before {\n  content: "\\e0d5";\n}\n\n.bosch-ic-car-locator:before {\n  content: "\\e0d6";\n}\n\n.bosch-ic-car-mechanic:before {\n  content: "\\e0d7";\n}\n\n.bosch-ic-car-rental:before {\n  content: "\\e0d8";\n}\n\n.bosch-ic-car-seat-connected:before {\n  content: "\\e0d9";\n}\n\n.bosch-ic-car-side:before {\n  content: "\\e0da";\n}\n\n.bosch-ic-car-side-user:before {\n  content: "\\e0db";\n}\n\n.bosch-ic-cart:before {\n  content: "\\e0dc";\n}\n\n.bosch-ic-certificate:before {\n  content: "\\e0dd";\n}\n\n.bosch-ic-certificate-pki:before {\n  content: "\\e0de";\n}\n\n.bosch-ic-change:before {\n  content: "\\e0df";\n}\n\n.bosch-ic-chart-bar:before {\n  content: "\\e0e0";\n}\n\n.bosch-ic-chart-check:before {\n  content: "\\e0e1";\n}\n\n.bosch-ic-chart-dummy:before {\n  content: "\\e0e2";\n}\n\n.bosch-ic-chart-line:before {\n  content: "\\e0e3";\n}\n\n.bosch-ic-chat:before {\n  content: "\\e0e4";\n}\n\n.bosch-ic-chat-add:before {\n  content: "\\e0e5";\n}\n\n.bosch-ic-chat-question-answer:before {\n  content: "\\e0e6";\n}\n\n.bosch-ic-chat-remove:before {\n  content: "\\e0e7";\n}\n\n.bosch-ic-checklist:before {\n  content: "\\e0e8";\n}\n\n.bosch-ic-checkmark:before {\n  content: "\\e0e9";\n}\n\n.bosch-ic-chip:before {\n  content: "\\e0ea";\n}\n\n.bosch-ic-circle-segment:before {\n  content: "\\e0eb";\n}\n\n.bosch-ic-clear-all:before {\n  content: "\\e0ec";\n}\n\n.bosch-ic-clipboard:before {\n  content: "\\e0ed";\n}\n\n.bosch-ic-clipboard-list:before {\n  content: "\\e0ee";\n}\n\n.bosch-ic-clock:before {\n  content: "\\e0ef";\n}\n\n.bosch-ic-close:before {\n  content: "\\e0f0";\n}\n\n.bosch-ic-close-all:before {\n  content: "\\e0f1";\n}\n\n.bosch-ic-cloud:before {\n  content: "\\e0f2";\n}\n\n.bosch-ic-cloud-co2:before {\n  content: "\\e0f3";\n}\n\n.bosch-ic-cloud-download:before {\n  content: "\\e0f4";\n}\n\n.bosch-ic-cloud-nox:before {\n  content: "\\e0f5";\n}\n\n.bosch-ic-cloud-upload:before {\n  content: "\\e0f6";\n}\n\n.bosch-ic-club-arm-chair:before {\n  content: "\\e0f7";\n}\n\n.bosch-ic-coffee-break:before {\n  content: "\\e0f8";\n}\n\n.bosch-ic-coin-currency:before {\n  content: "\\e0f9";\n}\n\n.bosch-ic-coin-dollar:before {\n  content: "\\e0fa";\n}\n\n.bosch-ic-colorpicker:before {\n  content: "\\e0fb";\n}\n\n.bosch-ic-colors:before {\n  content: "\\e0fc";\n}\n\n.bosch-ic-command:before {\n  content: "\\e0fd";\n}\n\n.bosch-ic-communicator:before {\n  content: "\\e0fe";\n}\n\n.bosch-ic-compare:before {\n  content: "\\e0ff";\n}\n\n.bosch-ic-components:before {\n  content: "\\e100";\n}\n\n.bosch-ic-components-available:before {\n  content: "\\e101";\n}\n\n.bosch-ic-components-reservation:before {\n  content: "\\e102";\n}\n\n.bosch-ic-concierge-bell:before {\n  content: "\\e103";\n}\n\n.bosch-ic-configuration:before {\n  content: "\\e104";\n}\n\n.bosch-ic-confirmation:before {\n  content: "\\e105";\n}\n\n.bosch-ic-connection-off:before {\n  content: "\\e106";\n}\n\n.bosch-ic-connection-on:before {\n  content: "\\e107";\n}\n\n.bosch-ic-connectivity:before {\n  content: "\\e108";\n}\n\n.bosch-ic-construction:before {\n  content: "\\e109";\n}\n\n.bosch-ic-consumer-goods:before {\n  content: "\\e10a";\n}\n\n.bosch-ic-contract:before {\n  content: "\\e10b";\n}\n\n.bosch-ic-copy:before {\n  content: "\\e10c";\n}\n\n.bosch-ic-cube:before {\n  content: "\\e10d";\n}\n\n.bosch-ic-cube-arrows:before {\n  content: "\\e10e";\n}\n\n.bosch-ic-cube-filled:before {\n  content: "\\e10f";\n}\n\n.bosch-ic-cube-shock:before {\n  content: "\\e110";\n}\n\n.bosch-ic-cube-stacked:before {\n  content: "\\e111";\n}\n\n.bosch-ic-customerservice:before {\n  content: "\\e112";\n}\n\n.bosch-ic-cutlery:before {\n  content: "\\e113";\n}\n\n.bosch-ic-damper:before {\n  content: "\\e114";\n}\n\n.bosch-ic-danger-flash:before {\n  content: "\\e115";\n}\n\n.bosch-ic-data-loss:before {\n  content: "\\e116";\n}\n\n.bosch-ic-dealer-details:before {\n  content: "\\e117";\n}\n\n.bosch-ic-delete:before {\n  content: "\\e118";\n}\n\n.bosch-ic-delivery:before {\n  content: "\\e119";\n}\n\n.bosch-ic-denied:before {\n  content: "\\e11a";\n}\n\n.bosch-ic-desktop:before {\n  content: "\\e11b";\n}\n\n.bosch-ic-desktop-application-2d:before {\n  content: "\\e11c";\n}\n\n.bosch-ic-desktop-application-3d:before {\n  content: "\\e11d";\n}\n\n.bosch-ic-development:before {\n  content: "\\e11e";\n}\n\n.bosch-ic-devices:before {\n  content: "\\e11f";\n}\n\n.bosch-ic-devices-mobile:before {\n  content: "\\e120";\n}\n\n.bosch-ic-directory:before {\n  content: "\\e121";\n}\n\n.bosch-ic-dna:before {\n  content: "\\e122";\n}\n\n.bosch-ic-do-not-disturb:before {\n  content: "\\e123";\n}\n\n.bosch-ic-document:before {\n  content: "\\e124";\n}\n\n.bosch-ic-document-add:before {\n  content: "\\e125";\n}\n\n.bosch-ic-document-arrow-down:before {\n  content: "\\e126";\n}\n\n.bosch-ic-document-arrow-up:before {\n  content: "\\e127";\n}\n\n.bosch-ic-document-audio:before {\n  content: "\\e128";\n}\n\n.bosch-ic-document-check:before {\n  content: "\\e129";\n}\n\n.bosch-ic-document-cloud:before {\n  content: "\\e12a";\n}\n\n.bosch-ic-document-copy:before {\n  content: "\\e12b";\n}\n\n.bosch-ic-document-delete:before {\n  content: "\\e12c";\n}\n\n.bosch-ic-document-doc:before {\n  content: "\\e12d";\n}\n\n.bosch-ic-document-edit:before {\n  content: "\\e12e";\n}\n\n.bosch-ic-document-error:before {\n  content: "\\e12f";\n}\n\n.bosch-ic-document-locked:before {\n  content: "\\e130";\n}\n\n.bosch-ic-document-log:before {\n  content: "\\e131";\n}\n\n.bosch-ic-document-one:before {\n  content: "\\e132";\n}\n\n.bosch-ic-document-pdf:before {\n  content: "\\e133";\n}\n\n.bosch-ic-document-plain:before {\n  content: "\\e134";\n}\n\n.bosch-ic-document-plain-add:before {\n  content: "\\e135";\n}\n\n.bosch-ic-document-plain-delete:before {\n  content: "\\e136";\n}\n\n.bosch-ic-document-ppt:before {\n  content: "\\e137";\n}\n\n.bosch-ic-document-pub:before {\n  content: "\\e138";\n}\n\n.bosch-ic-document-rtf:before {\n  content: "\\e139";\n}\n\n.bosch-ic-document-save-to:before {\n  content: "\\e13a";\n}\n\n.bosch-ic-document-search:before {\n  content: "\\e13b";\n}\n\n.bosch-ic-document-settings:before {\n  content: "\\e13c";\n}\n\n.bosch-ic-document-test:before {\n  content: "\\e13d";\n}\n\n.bosch-ic-document-text:before {\n  content: "\\e13e";\n}\n\n.bosch-ic-document-txt:before {\n  content: "\\e13f";\n}\n\n.bosch-ic-document-vsd:before {\n  content: "\\e140";\n}\n\n.bosch-ic-document-xls:before {\n  content: "\\e141";\n}\n\n.bosch-ic-document-xml:before {\n  content: "\\e142";\n}\n\n.bosch-ic-document-zip:before {\n  content: "\\e143";\n}\n\n.bosch-ic-dome:before {\n  content: "\\e144";\n}\n\n.bosch-ic-door:before {\n  content: "\\e145";\n}\n\n.bosch-ic-door-sensor:before {\n  content: "\\e146";\n}\n\n.bosch-ic-down:before {\n  content: "\\e147";\n}\n\n.bosch-ic-down-double:before {\n  content: "\\e148";\n}\n\n.bosch-ic-download:before {\n  content: "\\e149";\n}\n\n.bosch-ic-drag-handle:before {\n  content: "\\e14a";\n}\n\n.bosch-ic-dragdrop:before {\n  content: "\\e14b";\n}\n\n.bosch-ic-drop:before {\n  content: "\\e14c";\n}\n\n.bosch-ic-e-charging:before {\n  content: "\\e14d";\n}\n\n.bosch-ic-e-mobility:before {\n  content: "\\e14e";\n}\n\n.bosch-ic-ear-off-disabled-light:before {\n  content: "\\e14f";\n}\n\n.bosch-ic-ear-on:before {\n  content: "\\e150";\n}\n\n.bosch-ic-eco-system:before {\n  content: "\\e151";\n}\n\n.bosch-ic-edit:before {\n  content: "\\e152";\n}\n\n.bosch-ic-education:before {\n  content: "\\e153";\n}\n\n.bosch-ic-efficiency:before {\n  content: "\\e154";\n}\n\n.bosch-ic-elevator:before {\n  content: "\\e155";\n}\n\n.bosch-ic-elevator-alarm:before {\n  content: "\\e156";\n}\n\n.bosch-ic-elevator-cloud:before {\n  content: "\\e157";\n}\n\n.bosch-ic-elevator-headset:before {\n  content: "\\e158";\n}\n\n.bosch-ic-elevator-service:before {\n  content: "\\e159";\n}\n\n.bosch-ic-emergency-exit:before {\n  content: "\\e15a";\n}\n\n.bosch-ic-emoji-happy:before {\n  content: "\\e15b";\n}\n\n.bosch-ic-emoji-neutral:before {\n  content: "\\e15c";\n}\n\n.bosch-ic-emoji-sad:before {\n  content: "\\e15d";\n}\n\n.bosch-ic-emoji-super-happy:before {\n  content: "\\e15e";\n}\n\n.bosch-ic-emoji-very-sad:before {\n  content: "\\e15f";\n}\n\n.bosch-ic-eu-energy-label:before {\n  content: "\\e160";\n}\n\n.bosch-ic-excavator:before {\n  content: "\\e161";\n}\n\n.bosch-ic-exit:before {\n  content: "\\e163";\n}\n\n.bosch-ic-expansion-arrows:before {\n  content: "\\e164";\n}\n\n.bosch-ic-explosion:before {\n  content: "\\e165";\n}\n\n.bosch-ic-export:before {\n  content: "\\e166";\n}\n\n.bosch-ic-externallink:before {\n  content: "\\e167";\n}\n\n.bosch-ic-fast-forward:before {\n  content: "\\e168";\n}\n\n.bosch-ic-faucet:before {\n  content: "\\e169";\n}\n\n.bosch-ic-favorites:before {\n  content: "\\e16a";\n}\n\n.bosch-ic-fax:before {\n  content: "\\e16b";\n}\n\n.bosch-ic-female:before {\n  content: "\\e16c";\n}\n\n.bosch-ic-film:before {\n  content: "\\e16d";\n}\n\n.bosch-ic-filter:before {\n  content: "\\e16e";\n}\n\n.bosch-ic-filter-success:before {\n  content: "\\e16f";\n}\n\n.bosch-ic-fingerprint:before {\n  content: "\\e170";\n}\n\n.bosch-ic-fire:before {\n  content: "\\e171";\n}\n\n.bosch-ic-fire-emergency:before {\n  content: "\\e172";\n}\n\n.bosch-ic-fireworks:before {\n  content: "\\e173";\n}\n\n.bosch-ic-first-aid:before {\n  content: "\\e174";\n}\n\n.bosch-ic-first-aid-cross:before {\n  content: "\\e175";\n}\n\n.bosch-ic-fit-to-sceen:before {\n  content: "\\e176";\n}\n\n.bosch-ic-flag:before {\n  content: "\\e177";\n}\n\n.bosch-ic-flash:before {\n  content: "\\e178";\n}\n\n.bosch-ic-flask:before {\n  content: "\\e179";\n}\n\n.bosch-ic-flexpress:before {\n  content: "\\e17a";\n}\n\n.bosch-ic-folder:before {\n  content: "\\e17b";\n}\n\n.bosch-ic-folder-download:before {\n  content: "\\e17c";\n}\n\n.bosch-ic-folder-open:before {\n  content: "\\e17d";\n}\n\n.bosch-ic-folder-upload:before {\n  content: "\\e17e";\n}\n\n.bosch-ic-fork-lift:before {\n  content: "\\e17f";\n}\n\n.bosch-ic-fork-lift-locator:before {\n  content: "\\e180";\n}\n\n.bosch-ic-forward-right:before {\n  content: "\\e181";\n}\n\n.bosch-ic-forward-right-double:before {\n  content: "\\e182";\n}\n\n.bosch-ic-full-empty:before {\n  content: "\\e183";\n}\n\n.bosch-ic-fullscreen:before {\n  content: "\\e184";\n}\n\n.bosch-ic-fullscreen-arrows:before {\n  content: "\\e185";\n}\n\n.bosch-ic-fullscreen-exit:before {\n  content: "\\e186";\n}\n\n.bosch-ic-g-arrow-down:before {\n  content: "\\e187";\n}\n\n.bosch-ic-g-arrow-up:before {\n  content: "\\e188";\n}\n\n.bosch-ic-generator:before {\n  content: "\\e189";\n}\n\n.bosch-ic-gift:before {\n  content: "\\e18a";\n}\n\n.bosch-ic-glance:before {\n  content: "\\e18b";\n}\n\n.bosch-ic-glas-plate:before {\n  content: "\\e18c";\n}\n\n.bosch-ic-globe:before {\n  content: "\\e18d";\n}\n\n.bosch-ic-globe-arrow:before {\n  content: "\\e18e";\n}\n\n.bosch-ic-glossary:before {\n  content: "\\e18f";\n}\n\n.bosch-ic-grid-view:before {\n  content: "\\e190";\n}\n\n.bosch-ic-hammer:before {\n  content: "\\e191";\n}\n\n.bosch-ic-hand:before {\n  content: "\\e192";\n}\n\n.bosch-ic-hand-motion:before {\n  content: "\\e193";\n}\n\n.bosch-ic-hand-motion-off-disabled-light:before {\n  content: "\\e194";\n}\n\n.bosch-ic-handlewithcare:before {\n  content: "\\e195";\n}\n\n.bosch-ic-handover-add:before {\n  content: "\\e196";\n}\n\n.bosch-ic-handover-check:before {\n  content: "\\e197";\n}\n\n.bosch-ic-handover-remove:before {\n  content: "\\e198";\n}\n\n.bosch-ic-hanger:before {\n  content: "\\e199";\n}\n\n.bosch-ic-health:before {\n  content: "\\e19a";\n}\n\n.bosch-ic-heart:before {\n  content: "\\e19b";\n}\n\n.bosch-ic-history:before {\n  content: "\\e19c";\n}\n\n.bosch-ic-home:before {\n  content: "\\e19d";\n}\n\n.bosch-ic-home-locator:before {\n  content: "\\e19e";\n}\n\n.bosch-ic-hourglass:before {\n  content: "\\e19f";\n}\n\n.bosch-ic-hydrant:before {\n  content: "\\e1a0";\n}\n\n.bosch-ic-ice:before {\n  content: "\\e1a1";\n}\n\n.bosch-ic-imagery:before {\n  content: "\\e1a2";\n}\n\n.bosch-ic-imagery-add:before {\n  content: "\\e1a3";\n}\n\n.bosch-ic-imagery-remove:before {\n  content: "\\e1a4";\n}\n\n.bosch-ic-import:before {\n  content: "\\e1a5";\n}\n\n.bosch-ic-imprint:before {\n  content: "\\e1a6";\n}\n\n.bosch-ic-impulse:before {\n  content: "\\e1a7";\n}\n\n.bosch-ic-industry:before {\n  content: "\\e1a8";\n}\n\n.bosch-ic-industry-clock:before {\n  content: "\\e1a9";\n}\n\n.bosch-ic-industry-connected:before {\n  content: "\\e1aa";\n}\n\n.bosch-ic-info:before {\n  content: "\\e1ab";\n}\n\n.bosch-ic-info-i:before {\n  content: "\\e1ac";\n}\n\n.bosch-ic-interval:before {\n  content: "\\e1ad";\n}\n\n.bosch-ic-it-device:before {\n  content: "\\e1ae";\n}\n\n.bosch-ic-jewel:before {\n  content: "\\e1af";\n}\n\n.bosch-ic-keyboard:before {\n  content: "\\e1b0";\n}\n\n.bosch-ic-label:before {\n  content: "\\e1b1";\n}\n\n.bosch-ic-laptop:before {\n  content: "\\e1b2";\n}\n\n.bosch-ic-laser:before {\n  content: "\\e1b3";\n}\n\n.bosch-ic-layout:before {\n  content: "\\e1b4";\n}\n\n.bosch-ic-leaf:before {\n  content: "\\e1b5";\n}\n\n.bosch-ic-led:before {\n  content: "\\e1b6";\n}\n\n.bosch-ic-brick:before {\n  content: "\\e1b7";\n}\n\n.bosch-ic-brick-slanting-1:before {\n  content: "\\e1b8";\n}\n\n.bosch-ic-brick-slanting-2:before {\n  content: "\\e1b9";\n}\n\n.bosch-ic-less-minimize:before {\n  content: "\\e1ba";\n}\n\n.bosch-ic-lightbulb:before {\n  content: "\\e1bb";\n}\n\n.bosch-ic-lightbulb-off:before {\n  content: "\\e1bc";\n}\n\n.bosch-ic-line-chart:before {\n  content: "\\e1bd";\n}\n\n.bosch-ic-link:before {\n  content: "\\e1be";\n}\n\n.bosch-ic-link-broken:before {\n  content: "\\e1bf";\n}\n\n.bosch-ic-list-view:before {\n  content: "\\e1c0";\n}\n\n.bosch-ic-list-view-mobile:before {\n  content: "\\e1c1";\n}\n\n.bosch-ic-livechat:before {\n  content: "\\e1c2";\n}\n\n.bosch-ic-locator:before {\n  content: "\\e1c3";\n}\n\n.bosch-ic-locator-ip-connected:before {\n  content: "\\e1c4";\n}\n\n.bosch-ic-locator-ip-disconnected:before {\n  content: "\\e1c5";\n}\n\n.bosch-ic-locator-spot:before {\n  content: "\\e1c6";\n}\n\n.bosch-ic-locator-spot-check:before {\n  content: "\\e1c7";\n}\n\n.bosch-ic-lock-closed:before {\n  content: "\\e1c8";\n}\n\n.bosch-ic-lock-open:before {\n  content: "\\e1c9";\n}\n\n.bosch-ic-login:before {\n  content: "\\e1ca";\n}\n\n.bosch-ic-logistics:before {\n  content: "\\e1cb";\n}\n\n.bosch-ic-logout:before {\n  content: "\\e1cc";\n}\n\n.bosch-ic-machine:before {\n  content: "\\e1cd";\n}\n\n.bosch-ic-magnet:before {\n  content: "\\e1ce";\n}\n\n.bosch-ic-mail:before {\n  content: "\\e1cf";\n}\n\n.bosch-ic-mail-forward:before {\n  content: "\\e1d0";\n}\n\n.bosch-ic-mail-open:before {\n  content: "\\e1d1";\n}\n\n.bosch-ic-mail-out:before {\n  content: "\\e1d2";\n}\n\n.bosch-ic-mail-reply:before {\n  content: "\\e1d3";\n}\n\n.bosch-ic-male:before {\n  content: "\\e1d4";\n}\n\n.bosch-ic-map:before {\n  content: "\\e1d5";\n}\n\n.bosch-ic-material-add:before {\n  content: "\\e1d6";\n}\n\n.bosch-ic-material-check:before {\n  content: "\\e1d7";\n}\n\n.bosch-ic-material-remove:before {\n  content: "\\e1d8";\n}\n\n.bosch-ic-maximize:before {\n  content: "\\e1d9";\n}\n\n.bosch-ic-mechanic:before {\n  content: "\\e1da";\n}\n\n.bosch-ic-megaphone:before {\n  content: "\\e1db";\n}\n\n.bosch-ic-message:before {\n  content: "\\e1dc";\n}\n\n.bosch-ic-mic:before {\n  content: "\\e1dd";\n}\n\n.bosch-ic-microphone:before {\n  content: "\\e1de";\n}\n\n.bosch-ic-microphone-classic:before {\n  content: "\\e1df";\n}\n\n.bosch-ic-minimize:before {\n  content: "\\e1e0";\n}\n\n.bosch-ic-money-currency:before {\n  content: "\\e1e1";\n}\n\n.bosch-ic-money-dollar:before {\n  content: "\\e1e2";\n}\n\n.bosch-ic-moneybag-currency:before {\n  content: "\\e1e3";\n}\n\n.bosch-ic-moneybag-dollar:before {\n  content: "\\e1e4";\n}\n\n.bosch-ic-monument:before {\n  content: "\\e1e5";\n}\n\n.bosch-ic-moon:before {\n  content: "\\e1e6";\n}\n\n.bosch-ic-motorcycle:before {\n  content: "\\e1e7";\n}\n\n.bosch-ic-motorcycle-side-car:before {\n  content: "\\e1e8";\n}\n\n.bosch-ic-motorcycle-side:before {\n  content: "\\e1e9";\n}\n\n.bosch-ic-mouse:before {\n  content: "\\e1ea";\n}\n\n.bosch-ic-mouse-left:before {\n  content: "\\e1eb";\n}\n\n.bosch-ic-mouse-right:before {\n  content: "\\e1ec";\n}\n\n.bosch-ic-mouth:before {\n  content: "\\e1ed";\n}\n\n.bosch-ic-my-product:before {\n  content: "\\e1ee";\n}\n\n.bosch-ic-new-way-work:before {\n  content: "\\e1ef";\n}\n\n.bosch-ic-newsletter:before {\n  content: "\\e1f0";\n}\n\n.bosch-ic-newspaper:before {\n  content: "\\e1f1";\n}\n\n.bosch-ic-nose:before {\n  content: "\\e1f2";\n}\n\n.bosch-ic-notepad:before {\n  content: "\\e1f3";\n}\n\n.bosch-ic-notepad-edit:before {\n  content: "\\e1f4";\n}\n\n.bosch-ic-notification:before {\n  content: "\\e1f5";\n}\n\n.bosch-ic-notification-active:before {\n  content: "\\e1f6";\n}\n\n.bosch-ic-notification-add:before {\n  content: "\\e1f7";\n}\n\n.bosch-ic-notification-remove:before {\n  content: "\\e1f8";\n}\n\n.bosch-ic-oil-car:before {\n  content: "\\e1f9";\n}\n\n.bosch-ic-omnichannel:before {\n  content: "\\e1fa";\n}\n\n.bosch-ic-options:before {\n  content: "\\e1fb";\n}\n\n.bosch-ic-origami-boat:before {\n  content: "\\e1fc";\n}\n\n.bosch-ic-pallete-car:before {\n  content: "\\e1fd";\n}\n\n.bosch-ic-pallete-car-connected:before {\n  content: "\\e1fe";\n}\n\n.bosch-ic-panel:before {\n  content: "\\e1ff";\n}\n\n.bosch-ic-paperclip:before {\n  content: "\\e200";\n}\n\n.bosch-ic-paperplane:before {\n  content: "\\e201";\n}\n\n.bosch-ic-parking:before {\n  content: "\\e202";\n}\n\n.bosch-ic-pause:before {\n  content: "\\e203";\n}\n\n.bosch-ic-payment:before {\n  content: "\\e204";\n}\n\n.bosch-ic-people:before {\n  content: "\\e205";\n}\n\n.bosch-ic-petrol-station:before {\n  content: "\\e206";\n}\n\n.bosch-ic-piggybank:before {\n  content: "\\e207";\n}\n\n.bosch-ic-pin-classic:before {\n  content: "\\e208";\n}\n\n.bosch-ic-pin-modern:before {\n  content: "\\e209";\n}\n\n.bosch-ic-plane-side:before {\n  content: "\\e20a";\n}\n\n.bosch-ic-play:before {\n  content: "\\e20b";\n}\n\n.bosch-ic-plug-12v:before {\n  content: "\\e20c";\n}\n\n.bosch-ic-podium-speaker:before {\n  content: "\\e20d";\n}\n\n.bosch-ic-police:before {\n  content: "\\e20e";\n}\n\n.bosch-ic-poop:before {\n  content: "\\e20f";\n}\n\n.bosch-ic-post-it:before {\n  content: "\\e210";\n}\n\n.bosch-ic-postal-code:before {\n  content: "\\e211";\n}\n\n.bosch-ic-power:before {\n  content: "\\e212";\n}\n\n.bosch-ic-print:before {\n  content: "\\e213";\n}\n\n.bosch-ic-prototyping:before {\n  content: "\\e214";\n}\n\n.bosch-ic-puzzle:before {\n  content: "\\e215";\n}\n\n.bosch-ic-quad:before {\n  content: "\\e216";\n}\n\n.bosch-ic-question:before {\n  content: "\\e217";\n}\n\n.bosch-ic-radar:before {\n  content: "\\e218";\n}\n\n.bosch-ic-radio:before {\n  content: "\\e219";\n}\n\n.bosch-ic-radiotower:before {\n  content: "\\e21a";\n}\n\n.bosch-ic-redirect:before {\n  content: "\\e21b";\n}\n\n.bosch-ic-redo:before {\n  content: "\\e21c";\n}\n\n.bosch-ic-reference:before {\n  content: "\\e21d";\n}\n\n.bosch-ic-refresh:before {\n  content: "\\e21e";\n}\n\n.bosch-ic-refresh-cloud:before {\n  content: "\\e21f";\n}\n\n.bosch-ic-registration:before {\n  content: "\\e220";\n}\n\n.bosch-ic-remote:before {\n  content: "\\e221";\n}\n\n.bosch-ic-reset:before {\n  content: "\\e222";\n}\n\n.bosch-ic-resolution:before {\n  content: "\\e223";\n}\n\n.bosch-ic-robot:before {\n  content: "\\e224";\n}\n\n.bosch-ic-robot-connected:before {\n  content: "\\e225";\n}\n\n.bosch-ic-robothead:before {\n  content: "\\e226";\n}\n\n.bosch-ic-rocket:before {\n  content: "\\e227";\n}\n\n.bosch-ic-rotation:before {\n  content: "\\e228";\n}\n\n.bosch-ic-rotation-360:before {\n  content: "\\e229";\n}\n\n.bosch-ic-rotation-x-left:before {\n  content: "\\e22a";\n}\n\n.bosch-ic-rotation-x-right:before {\n  content: "\\e22b";\n}\n\n.bosch-ic-rotation-y-down:before {\n  content: "\\e22c";\n}\n\n.bosch-ic-rotation-y-up:before {\n  content: "\\e22d";\n}\n\n.bosch-ic-route:before {\n  content: "\\e22e";\n}\n\n.bosch-ic-ruler:before {\n  content: "\\e22f";\n}\n\n.bosch-ic-ruler-pen:before {\n  content: "\\e230";\n}\n\n.bosch-ic-satellite:before {\n  content: "\\e231";\n}\n\n.bosch-ic-save:before {\n  content: "\\e232";\n}\n\n.bosch-ic-scale:before {\n  content: "\\e233";\n}\n\n.bosch-ic-scissors:before {\n  content: "\\e234";\n}\n\n.bosch-ic-search:before {\n  content: "\\e235";\n}\n\n.bosch-ic-security:before {\n  content: "\\e236";\n}\n\n.bosch-ic-security-check:before {\n  content: "\\e237";\n}\n\n.bosch-ic-security-user:before {\n  content: "\\e238";\n}\n\n.bosch-ic-sensor:before {\n  content: "\\e239";\n}\n\n.bosch-ic-server:before {\n  content: "\\e23a";\n}\n\n.bosch-ic-server-expansion:before {\n  content: "\\e23b";\n}\n\n.bosch-ic-server-rate:before {\n  content: "\\e23c";\n}\n\n.bosch-ic-service-agent:before {\n  content: "\\e23d";\n}\n\n.bosch-ic-service-time:before {\n  content: "\\e23e";\n}\n\n.bosch-ic-settings:before {\n  content: "\\e23f";\n}\n\n.bosch-ic-settings-arrows:before {\n  content: "\\e240";\n}\n\n.bosch-ic-settings-connected:before {\n  content: "\\e241";\n}\n\n.bosch-ic-share:before {\n  content: "\\e242";\n}\n\n.bosch-ic-shield-stop:before {\n  content: "\\e243";\n}\n\n.bosch-ic-ship:before {\n  content: "\\e244";\n}\n\n.bosch-ic-ship-side:before {\n  content: "\\e245";\n}\n\n.bosch-ic-shoppingcart:before {\n  content: "\\e246";\n}\n\n.bosch-ic-shoppingcart-add:before {\n  content: "\\e247";\n}\n\n.bosch-ic-shoppingcart-switch:before {\n  content: "\\e248";\n}\n\n.bosch-ic-signal-full:before {\n  content: "\\e249";\n}\n\n.bosch-ic-signal-half:before {\n  content: "\\e24a";\n}\n\n.bosch-ic-signal-lost:before {\n  content: "\\e24b";\n}\n\n.bosch-ic-signpost:before {\n  content: "\\e24c";\n}\n\n.bosch-ic-simcard:before {\n  content: "\\e24d";\n}\n\n.bosch-ic-skyscraper:before {\n  content: "\\e24e";\n}\n\n.bosch-ic-smartcity:before {\n  content: "\\e24f";\n}\n\n.bosch-ic-smarthome:before {\n  content: "\\e250";\n}\n\n.bosch-ic-smartphone:before {\n  content: "\\e251";\n}\n\n.bosch-ic-smartphone-acoustic:before {\n  content: "\\e252";\n}\n\n.bosch-ic-smartphone-arrow-right:before {\n  content: "\\e253";\n}\n\n.bosch-ic-smartphone-arrows-x-y-z:before {\n  content: "\\e254";\n}\n\n.bosch-ic-smartphone-clock:before {\n  content: "\\e255";\n}\n\n.bosch-ic-smartphone-cloud:before {\n  content: "\\e256";\n}\n\n.bosch-ic-smartphone-loading-wheel:before {\n  content: "\\e257";\n}\n\n.bosch-ic-smartphone-smashed:before {\n  content: "\\e258";\n}\n\n.bosch-ic-smartphone-vibration:before {\n  content: "\\e259";\n}\n\n.bosch-ic-smartphone-z:before {\n  content: "\\e25a";\n}\n\n.bosch-ic-smartwatch-connected:before {\n  content: "\\e25b";\n}\n\n.bosch-ic-spare-parts:before {\n  content: "\\e25c";\n}\n\n.bosch-ic-spark-plug:before {\n  content: "\\e25d";\n}\n\n.bosch-ic-speaker-acoustic:before {\n  content: "\\e25e";\n}\n\n.bosch-ic-speedometer:before {\n  content: "\\e25f";\n}\n\n.bosch-ic-stadium:before {\n  content: "\\e260";\n}\n\n.bosch-ic-stairs:before {\n  content: "\\e261";\n}\n\n.bosch-ic-stamp:before {\n  content: "\\e262";\n}\n\n.bosch-ic-standby:before {\n  content: "\\e263";\n}\n\n.bosch-ic-steering-wheel:before {\n  content: "\\e264";\n}\n\n.bosch-ic-steering-wheel-connected:before {\n  content: "\\e265";\n}\n\n.bosch-ic-steering-wheel-hands:before {\n  content: "\\e266";\n}\n\n.bosch-ic-steps:before {\n  content: "\\e267";\n}\n\n.bosch-ic-stethoscope:before {\n  content: "\\e268";\n}\n\n.bosch-ic-stop:before {\n  content: "\\e269";\n}\n\n.bosch-ic-stopwatch:before {\n  content: "\\e26a";\n}\n\n.bosch-ic-storage-local:before {\n  content: "\\e26b";\n}\n\n.bosch-ic-structure:before {\n  content: "\\e26c";\n}\n\n.bosch-ic-subtitles:before {\n  content: "\\e26d";\n}\n\n.bosch-ic-subtitles-off-light:before {\n  content: "\\e26e";\n}\n\n.bosch-ic-summary:before {\n  content: "\\e26f";\n}\n\n.bosch-ic-sun:before {\n  content: "\\e270";\n}\n\n.bosch-ic-sun-half-filled:before {\n  content: "\\e271";\n}\n\n.bosch-ic-sunshade-table:before {\n  content: "\\e272";\n}\n\n.bosch-ic-surveillance:before {\n  content: "\\e273";\n}\n\n.bosch-ic-table-chairs:before {\n  content: "\\e274";\n}\n\n.bosch-ic-tablet:before {\n  content: "\\e275";\n}\n\n.bosch-ic-team:before {\n  content: "\\e276";\n}\n\n.bosch-ic-team-lightbulb:before {\n  content: "\\e277";\n}\n\n.bosch-ic-technical-service:before {\n  content: "\\e278";\n}\n\n.bosch-ic-temperature:before {\n  content: "\\e279";\n}\n\n.bosch-ic-temperature-high:before {\n  content: "\\e27a";\n}\n\n.bosch-ic-temperature-low:before {\n  content: "\\e27b";\n}\n\n.bosch-ic-theater:before {\n  content: "\\e27c";\n}\n\n.bosch-ic-thumb-down:before {\n  content: "\\e27d";\n}\n\n.bosch-ic-thumb-up:before {\n  content: "\\e27e";\n}\n\n.bosch-ic-ticket:before {\n  content: "\\e27f";\n}\n\n.bosch-ic-touch:before {\n  content: "\\e280";\n}\n\n.bosch-ic-touch-sos:before {\n  content: "\\e281";\n}\n\n.bosch-ic-towing-truck:before {\n  content: "\\e282";\n}\n\n.bosch-ic-train:before {\n  content: "\\e283";\n}\n\n.bosch-ic-train-side:before {\n  content: "\\e284";\n}\n\n.bosch-ic-transport-movements:before {\n  content: "\\e285";\n}\n\n.bosch-ic-transscript:before {\n  content: "\\e286";\n}\n\n.bosch-ic-transscript-off:before {\n  content: "\\e287";\n}\n\n.bosch-ic-transscript-on:before {\n  content: "\\e288";\n}\n\n.bosch-ic-tree:before {\n  content: "\\e289";\n}\n\n.bosch-ic-tricycle:before {\n  content: "\\e28a";\n}\n\n.bosch-ic-trolley-empty:before {\n  content: "\\e28b";\n}\n\n.bosch-ic-trolley-filled-box:before {\n  content: "\\e28c";\n}\n\n.bosch-ic-trolly-filled-files:before {\n  content: "\\e28d";\n}\n\n.bosch-ic-trophy:before {\n  content: "\\e28e";\n}\n\n.bosch-ic-truck:before {\n  content: "\\e28f";\n}\n\n.bosch-ic-tuktuk:before {\n  content: "\\e290";\n}\n\n.bosch-ic-tune:before {\n  content: "\\e291";\n}\n\n.bosch-ic-typography:before {\n  content: "\\e292";\n}\n\n.bosch-ic-ui:before {\n  content: "\\e293";\n}\n\n.bosch-ic-umbrella:before {\n  content: "\\e294";\n}\n\n.bosch-ic-undo:before {\n  content: "\\e295";\n}\n\n.bosch-ic-up:before {\n  content: "\\e296";\n}\n\n.bosch-ic-up-double:before {\n  content: "\\e297";\n}\n\n.bosch-ic-up-down:before {\n  content: "\\e298";\n}\n\n.bosch-ic-upload:before {\n  content: "\\e299";\n}\n\n.bosch-ic-usb:before {\n  content: "\\e29a";\n}\n\n.bosch-ic-user:before {\n  content: "\\e29b";\n}\n\n.bosch-ic-user-advanced:before {\n  content: "\\e29c";\n}\n\n.bosch-ic-user-beginner:before {\n  content: "\\e29d";\n}\n\n.bosch-ic-user-desktop:before {\n  content: "\\e29e";\n}\n\n.bosch-ic-user-down:before {\n  content: "\\e29f";\n}\n\n.bosch-ic-user-falling:before {\n  content: "\\e2a0";\n}\n\n.bosch-ic-user-hand:before {\n  content: "\\e2a1";\n}\n\n.bosch-ic-user-hand-stop:before {\n  content: "\\e2a2";\n}\n\n.bosch-ic-user-professional:before {\n  content: "\\e2a3";\n}\n\n.bosch-ic-user-run:before {\n  content: "\\e2a4";\n}\n\n.bosch-ic-user-share:before {\n  content: "\\e2a5";\n}\n\n.bosch-ic-user-voice:before {\n  content: "\\e2a6";\n}\n\n.bosch-ic-user-walk:before {\n  content: "\\e2a7";\n}\n\n.bosch-ic-video:before {\n  content: "\\e2a8";\n}\n\n.bosch-ic-video-disabled-light:before {\n  content: "\\e2a9";\n}\n\n.bosch-ic-video-record:before {\n  content: "\\e2aa";\n}\n\n.bosch-ic-virtual-reality:before {\n  content: "\\e2ab";\n}\n\n.bosch-ic-volume-disabled:before {\n  content: "\\e2ac";\n}\n\n.bosch-ic-volume-high:before {\n  content: "\\e2ad";\n}\n\n.bosch-ic-volume-low:before {\n  content: "\\e2ae";\n}\n\n.bosch-ic-volume-off-light:before {\n  content: "\\e2af";\n}\n\n.bosch-ic-wand:before {\n  content: "\\e2b0";\n}\n\n.bosch-ic-badge-checkmark:before {\n  content: "\\e3ee";\n}\n\n.bosch-ic-watch-off-disabled-light:before {\n  content: "\\e2b2";\n}\n\n.bosch-ic-watch-on:before {\n  content: "\\e2b3";\n}\n\n.bosch-ic-water-shower:before {\n  content: "\\e2b4";\n}\n\n.bosch-ic-welcome:before {\n  content: "\\e2b5";\n}\n\n.bosch-ic-wellness:before {\n  content: "\\e2b6";\n}\n\n.bosch-ic-wheelchair:before {\n  content: "\\e2b7";\n}\n\n.bosch-ic-whistle:before {\n  content: "\\e2b8";\n}\n\n.bosch-ic-wide-angled-arrow:before {\n  content: "\\e2b9";\n}\n\n.bosch-ic-wifi:before {\n  content: "\\e2ba";\n}\n\n.bosch-ic-window-analysis:before {\n  content: "\\e2bb";\n}\n\n.bosch-ic-window-browser:before {\n  content: "\\e2bc";\n}\n\n.bosch-ic-window-console:before {\n  content: "\\e2bd";\n}\n\n.bosch-ic-window-gaussian-view:before {\n  content: "\\e2be";\n}\n\n.bosch-ic-window-info:before {\n  content: "\\e2bf";\n}\n\n.bosch-ic-window-new:before {\n  content: "\\e2c0";\n}\n\n.bosch-ic-window-resize:before {\n  content: "\\e2c1";\n}\n\n.bosch-ic-window-scaling-view:before {\n  content: "\\e2c2";\n}\n\n.bosch-ic-window-shuffle:before {\n  content: "\\e2c3";\n}\n\n.bosch-ic-window-statistic:before {\n  content: "\\e2c4";\n}\n\n.bosch-ic-wishlist:before {\n  content: "\\e2c5";\n}\n\n.bosch-ic-work-order:before {\n  content: "\\e2c6";\n}\n\n.bosch-ic-worldwideweb:before {\n  content: "\\e2c7";\n}\n\n.bosch-ic-wrench:before {\n  content: "\\e2c8";\n}\n\n.bosch-ic-zoom-in:before {\n  content: "\\e2c9";\n}\n\n.bosch-ic-zoom-out:before {\n  content: "\\e2ca";\n}\n\n.bosch-ic-scooter:before {\n  content: "\\e2cb";\n}\n\n.bosch-ic-cars-traffic:before {\n  content: "\\e2cc";\n}\n\n.bosch-ic-arm-chair:before {\n  content: "\\e2cd";\n}\n\n.bosch-ic-car-phone:before {\n  content: "\\e2ce";\n}\n\n.bosch-ic-box-lightbulb:before {\n  content: "\\e2cf";\n}\n\n.bosch-ic-chair-officedesk:before {\n  content: "\\e2d0";\n}\n\n.bosch-ic-calendar-clock:before {\n  content: "\\e2d1";\n}\n\n.bosch-ic-document-cv:before {\n  content: "\\e2d2";\n}\n\n.bosch-ic-user-run-bag:before {\n  content: "\\e2d3";\n}\n\n.bosch-ic-brake-disk-spray:before {\n  content: "\\e2d4";\n}\n\n.bosch-ic-circle-abs:before {\n  content: "\\e2d5";\n}\n\n.bosch-ic-bright-down:before {\n  content: "\\e2d6";\n}\n\n.bosch-ic-bright-up:before {\n  content: "\\e2d7";\n}\n\n.bosch-ic-fan:before {\n  content: "\\e2d8";\n}\n\n.bosch-ic-sun-moon:before {\n  content: "\\e2d9";\n}\n\n.bosch-ic-lightbulb-attention:before {\n  content: "\\e2da";\n}\n\n.bosch-ic-settings-attention:before {\n  content: "\\e2db";\n}\n\n.bosch-ic-danger-hazards:before {\n  content: "\\e2dc";\n}\n\n.bosch-ic-windshield-spray:before {\n  content: "\\e2dd";\n}\n\n.bosch-ic-windshield-heat:before {\n  content: "\\e2de";\n}\n\n.bosch-ic-light-drop:before {\n  content: "\\e2df";\n}\n\n.bosch-ic-starter:before {\n  content: "\\e2e0";\n}\n\n.bosch-ic-turbo:before {\n  content: "\\e2e1";\n}\n\n.bosch-ic-settings-lock:before {\n  content: "\\e2e2";\n}\n\n.bosch-ic-settings-n:before {\n  content: "\\e2e3";\n}\n\n.bosch-ic-light-beam-high:before {\n  content: "\\e2e4";\n}\n\n.bosch-ic-light-beam-low:before {\n  content: "\\e2e5";\n}\n\n.bosch-ic-glas:before {\n  content: "\\e2e6";\n}\n\n.bosch-ic-shirt-ice:before {\n  content: "\\e2e7";\n}\n\n.bosch-ic-helmet-fan:before {\n  content: "\\e2e8";\n}\n\n.bosch-ic-notification-arrow:before {\n  content: "\\e2e9";\n}\n\n.bosch-ic-steering-wheel-arrow:before {\n  content: "\\e2ea";\n}\n\n.bosch-ic-circle-arrow:before {\n  content: "\\e2eb";\n}\n\n.bosch-ic-tempomat-pit:before {\n  content: "\\e2ec";\n}\n\n.bosch-ic-radiator-fan-spray:before {\n  content: "\\e2ed";\n}\n\n.bosch-ic-boost-down:before {\n  content: "\\e2ee";\n}\n\n.bosch-ic-boost-up:before {\n  content: "\\e2ef";\n}\n\n.bosch-ic-circle-lock:before {\n  content: "\\e2f0";\n}\n\n.bosch-ic-mp-down:before {\n  content: "\\e2f1";\n}\n\n.bosch-ic-mp-up:before {\n  content: "\\e2f2";\n}\n\n.bosch-ic-tc-down:before {\n  content: "\\e2f3";\n}\n\n.bosch-ic-tc-up:before {\n  content: "\\e2f4";\n}\n\n.bosch-ic-danger-arrow-attention:before {\n  content: "\\e2f5";\n}\n\n.bosch-ic-user-remove:before {\n  content: "\\e2f6";\n}\n\n.bosch-ic-user-add:before {\n  content: "\\e2f7";\n}\n\n.bosch-ic-post-it-collection:before {\n  content: "\\e2f8";\n}\n\n.bosch-ic-horn:before {\n  content: "\\e2f9";\n}\n\n.bosch-ic-desktop-notification:before {\n  content: "\\e2fa";\n}\n\n.bosch-ic-router:before {\n  content: "\\e2fb";\n}\n\n.bosch-ic-berry:before {\n  content: "\\e2fc";\n}\n\n.bosch-ic-chat-language:before {\n  content: "\\e2fd";\n}\n\n.bosch-ic-game-controller:before {\n  content: "\\e2fe";\n}\n\n.bosch-ic-user-brain:before {\n  content: "\\e2ff";\n}\n\n.bosch-ic-mouth-finger:before {\n  content: "\\e300";\n}\n\n.bosch-ic-excavator-shovel:before {\n  content: "\\e301";\n}\n\n.bosch-ic-ear-in:before {\n  content: "\\e302";\n}\n\n.bosch-ic-ear-out:before {\n  content: "\\e303";\n}\n\n.bosch-ic-lion:before {\n  content: "\\e304";\n}\n\n.bosch-ic-car-convertible:before {\n  content: "\\e305";\n}\n\n.bosch-ic-car-sports:before {\n  content: "\\e306";\n}\n\n.bosch-ic-bear:before {\n  content: "\\e307";\n}\n\n.bosch-ic-pot:before {\n  content: "\\e308";\n}\n\n.bosch-ic-bed-double:before {\n  content: "\\e309";\n}\n\n.bosch-ic-air-hot:before {\n  content: "\\e30a";\n}\n\n.bosch-ic-air-ice:before {\n  content: "\\e30b";\n}\n\n.bosch-ic-air-leaf:before {\n  content: "\\e30c";\n}\n\n.bosch-ic-air-purifier-0:before {\n  content: "\\e30d";\n}\n\n.bosch-ic-air-purifier-1:before {\n  content: "\\e30e";\n}\n\n.bosch-ic-air-purifier-2:before {\n  content: "\\e30f";\n}\n\n.bosch-ic-air-purifier-3:before {\n  content: "\\e310";\n}\n\n.bosch-ic-air:before {\n  content: "\\e311";\n}\n\n.bosch-ic-fan-off-disabled-bold:before {\n  content: "\\e312";\n}\n\n.bosch-ic-ice-off-disabled-bold:before {\n  content: "\\e313";\n}\n\n.bosch-ic-faucet-boost:before {\n  content: "\\e314";\n}\n\n.bosch-ic-faucet-mode:before {\n  content: "\\e315";\n}\n\n.bosch-ic-faucet-off-disabled-bold:before {\n  content: "\\e316";\n}\n\n.bosch-ic-faucet-schedule:before {\n  content: "\\e317";\n}\n\n.bosch-ic-fuel-cell:before {\n  content: "\\e318";\n}\n\n.bosch-ic-heating-floor-off-disabled-bold:before {\n  content: "\\e319";\n}\n\n.bosch-ic-heating-floor:before {\n  content: "\\e31a";\n}\n\n.bosch-ic-heating-radiator-boost:before {\n  content: "\\e31b";\n}\n\n.bosch-ic-heating-radiator-mode:before {\n  content: "\\e31c";\n}\n\n.bosch-ic-heating-radiator-off-disabled-bold:before {\n  content: "\\e31d";\n}\n\n.bosch-ic-heating-radiator-schedule:before {\n  content: "\\e31e";\n}\n\n.bosch-ic-leaf-simple:before {\n  content: "\\e31f";\n}\n\n.bosch-ic-oil-barrel:before {\n  content: "\\e320";\n}\n\n.bosch-ic-water-bathtub:before {\n  content: "\\e321";\n}\n\n.bosch-ic-water-dishwash:before {\n  content: "\\e322";\n}\n\n.bosch-ic-water-handwash:before {\n  content: "\\e323";\n}\n\n.bosch-ic-water-hot:before {\n  content: "\\e324";\n}\n\n.bosch-ic-water-ice:before {\n  content: "\\e325";\n}\n\n.bosch-ic-water-leaf:before {\n  content: "\\e326";\n}\n\n.bosch-ic-water-ladder:before {\n  content: "\\e327";\n}\n\n.bosch-ic-water-purifier-0:before {\n  content: "\\e328";\n}\n\n.bosch-ic-water-purifier-1:before {\n  content: "\\e329";\n}\n\n.bosch-ic-water-purifier-2:before {\n  content: "\\e32a";\n}\n\n.bosch-ic-water-purifier-3:before {\n  content: "\\e32b";\n}\n\n.bosch-ic-water-shower-boost:before {\n  content: "\\e32c";\n}\n\n.bosch-ic-water-shower-mode:before {\n  content: "\\e32d";\n}\n\n.bosch-ic-water-shower-off-disabled-bold:before {\n  content: "\\e32e";\n}\n\n.bosch-ic-water-shower-schedule:before {\n  content: "\\e32f";\n}\n\n.bosch-ic-water:before {\n  content: "\\e330";\n}\n\n.bosch-ic-chart-bar-drop:before {\n  content: "\\e331";\n}\n\n.bosch-ic-chart-bar-fire:before {\n  content: "\\e332";\n}\n\n.bosch-ic-chart-bar-flash:before {\n  content: "\\e333";\n}\n\n.bosch-ic-chart-bar-oil:before {\n  content: "\\e334";\n}\n\n.bosch-ic-drop-minus:before {\n  content: "\\e335";\n}\n\n.bosch-ic-drop-plus:before {\n  content: "\\e336";\n}\n\n.bosch-ic-fan-minus:before {\n  content: "\\e337";\n}\n\n.bosch-ic-fan-plus:before {\n  content: "\\e338";\n}\n\n.bosch-ic-home-drops-0:before {\n  content: "\\e339";\n}\n\n.bosch-ic-home-drops-1:before {\n  content: "\\e33a";\n}\n\n.bosch-ic-home-drops-2:before {\n  content: "\\e33b";\n}\n\n.bosch-ic-home-drops-3:before {\n  content: "\\e33c";\n}\n\n.bosch-ic-home-temperature-in:before {\n  content: "\\e33d";\n}\n\n.bosch-ic-home-temperature-out:before {\n  content: "\\e33e";\n}\n\n.bosch-ic-home-user-in:before {\n  content: "\\e33f";\n}\n\n.bosch-ic-ice-minus:before {\n  content: "\\e340";\n}\n\n.bosch-ic-ice-plus:before {\n  content: "\\e341";\n}\n\n.bosch-ic-chimney-sweeper:before {\n  content: "\\e342";\n}\n\n.bosch-ic-menu-up:before {\n  content: "\\e343";\n}\n\n.bosch-ic-security-ice:before {\n  content: "\\e344";\n}\n\n.bosch-ic-security-legionella:before {\n  content: "\\e345";\n}\n\n.bosch-ic-trolley-case:before {\n  content: "\\e346";\n}\n\n.bosch-ic-sun-minus:before {\n  content: "\\e347";\n}\n\n.bosch-ic-sun-plug:before {\n  content: "\\e348";\n}\n\n.bosch-ic-sun-plus:before {\n  content: "\\e349";\n}\n\n.bosch-ic-touch-pit:before {\n  content: "\\e34a";\n}\n\n.bosch-ic-temperature-current:before {\n  content: "\\e34b";\n}\n\n.bosch-ic-temperature-set:before {\n  content: "\\e34c";\n}\n\n.bosch-ic-teddy-bear:before {\n  content: "\\e34d";\n}\n\n.bosch-ic-document-svg:before {\n  content: "\\e34e";\n}\n\n.bosch-ic-back-menu:before {\n  content: "\\e34f";\n}\n\n.bosch-ic-car-arrows:before {\n  content: "\\e350";\n}\n\n.bosch-ic-wrench-cloud:before {\n  content: "\\e351";\n}\n\n.bosch-ic-weather-cloud-sun:before {\n  content: "\\e352";\n}\n\n.bosch-ic-weather-cloudy:before {\n  content: "\\e353";\n}\n\n.bosch-ic-weather-gale:before {\n  content: "\\e354";\n}\n\n.bosch-ic-weather-mist:before {\n  content: "\\e355";\n}\n\n.bosch-ic-weather-moon-cloud:before {\n  content: "\\e356";\n}\n\n.bosch-ic-weather-rain-snow:before {\n  content: "\\e357";\n}\n\n.bosch-ic-weather-rain-thunder:before {\n  content: "\\e358";\n}\n\n.bosch-ic-weather-rain:before {\n  content: "\\e359";\n}\n\n.bosch-ic-weather-snow:before {\n  content: "\\e35a";\n}\n\n.bosch-ic-weather-thunder:before {\n  content: "\\e35b";\n}\n\n.bosch-ic-weather-wind:before {\n  content: "\\e35c";\n}\n\n.bosch-ic-plane-start:before {\n  content: "\\e35d";\n}\n\n.bosch-ic-plane-land:before {\n  content: "\\e35e";\n}\n\n.bosch-ic-graph-power:before {\n  content: "\\e35f";\n}\n\n.bosch-ic-floorplan:before {\n  content: "\\e360";\n}\n\n.bosch-ic-clock-pause:before {\n  content: "\\e361";\n}\n\n.bosch-ic-clock-start:before {\n  content: "\\e362";\n}\n\n.bosch-ic-clock-stop:before {\n  content: "\\e363";\n}\n\n.bosch-ic-computer-retro:before {\n  content: "\\e364";\n}\n\n.bosch-ic-smartphone-retro:before {\n  content: "\\e365";\n}\n\n.bosch-ic-wood:before {\n  content: "\\e366";\n}\n\n.bosch-ic-solid-fuel:before {\n  content: "\\e367";\n}\n\n.bosch-ic-appliance-fan:before {\n  content: "\\e368";\n}\n\n.bosch-ic-appliance-flame:before {\n  content: "\\e369";\n}\n\n.bosch-ic-appliance-ice:before {\n  content: "\\e36a";\n}\n\n.bosch-ic-appliance-oil:before {\n  content: "\\e36b";\n}\n\n.bosch-ic-appliance-solid-fuel:before {\n  content: "\\e36c";\n}\n\n.bosch-ic-appliance-sun-ice:before {\n  content: "\\e36d";\n}\n\n.bosch-ic-appliance-sun:before {\n  content: "\\e36e";\n}\n\n.bosch-ic-appliance-wood:before {\n  content: "\\e36f";\n}\n\n.bosch-ic-appliance-air-leaf:before {\n  content: "\\e370";\n}\n\n.bosch-ic-appliance-water-air:before {\n  content: "\\e371";\n}\n\n.bosch-ic-appliance-water-leaf:before {\n  content: "\\e372";\n}\n\n.bosch-ic-appliance-water-oil:before {\n  content: "\\e373";\n}\n\n.bosch-ic-appliance-water:before {\n  content: "\\e374";\n}\n\n.bosch-ic-appliance-heat-pump-air:before {\n  content: "\\e375";\n}\n\n.bosch-ic-appliance-heat-pump-ground:before {\n  content: "\\e376";\n}\n\n.bosch-ic-appliance-heat-pump-water:before {\n  content: "\\e377";\n}\n\n.bosch-ic-appliance-plug-air:before {\n  content: "\\e378";\n}\n\n.bosch-ic-appliance-plug-fuel-cell:before {\n  content: "\\e379";\n}\n\n.bosch-ic-appliance-plug-leaf:before {\n  content: "\\e37a";\n}\n\n.bosch-ic-appliance-plug-water-air:before {\n  content: "\\e37b";\n}\n\n.bosch-ic-thermostat-connected-c:before {\n  content: "\\e37c";\n}\n\n.bosch-ic-thermostat-connected-f:before {\n  content: "\\e37d";\n}\n\n.bosch-ic-image-gallery:before {\n  content: "\\e37e";\n}\n\n.bosch-ic-arrows-caution:before {\n  content: "\\e37f";\n}\n\n.bosch-ic-arrows-diagonal-disabled-bold:before {\n  content: "\\e380";\n}\n\n.bosch-ic-back-left-end:before {\n  content: "\\e381";\n}\n\n.bosch-ic-back-right-end:before {\n  content: "\\e382";\n}\n\n.bosch-ic-bar-chart-search:before {\n  content: "\\e383";\n}\n\n.bosch-ic-batch:before {\n  content: "\\e384";\n}\n\n.bosch-ic-calendar-remove:before {\n  content: "\\e385";\n}\n\n.bosch-ic-call-bluetooth:before {\n  content: "\\e386";\n}\n\n.bosch-ic-call-deny:before {\n  content: "\\e387";\n}\n\n.bosch-ic-call-settings:before {\n  content: "\\e388";\n}\n\n.bosch-ic-caution-sign-clock:before {\n  content: "\\e389";\n}\n\n.bosch-ic-caution-sign-list:before {\n  content: "\\e38a";\n}\n\n.bosch-ic-core-data:before {\n  content: "\\e38b";\n}\n\n.bosch-ic-cursor-connected:before {\n  content: "\\e38c";\n}\n\n.bosch-ic-cursor:before {\n  content: "\\e38d";\n}\n\n.bosch-ic-dmc-code:before {\n  content: "\\e38e";\n}\n\n.bosch-ic-find-id:before {\n  content: "\\e38f";\n}\n\n.bosch-ic-globe-search:before {\n  content: "\\e390";\n}\n\n.bosch-ic-interface:before {\n  content: "\\e391";\n}\n\n.bosch-ic-material-add-manually:before {\n  content: "\\e392";\n}\n\n.bosch-ic-material-list:before {\n  content: "\\e393";\n}\n\n.bosch-ic-material-remove-manually:before {\n  content: "\\e394";\n}\n\n.bosch-ic-material:before {\n  content: "\\e395";\n}\n\n.bosch-ic-menu-checkmark:before {\n  content: "\\e396";\n}\n\n.bosch-ic-qr-code:before {\n  content: "\\e397";\n}\n\n.bosch-ic-sort-alphabetically:before {\n  content: "\\e398";\n}\n\n.bosch-ic-unpin-classic-disabled-bold:before {\n  content: "\\e399";\n}\n\n.bosch-ic-unpin-modern-disabled-bold:before {\n  content: "\\e39a";\n}\n\n.bosch-ic-window-search:before {\n  content: "\\e39b";\n}\n\n.bosch-ic-cloud-clock:before {\n  content: "\\e39c";\n}\n\n.bosch-ic-concierge:before {\n  content: "\\e39d";\n}\n\n.bosch-ic-heating-radiator:before {\n  content: "\\e39e";\n}\n\n.bosch-ic-home-user-out:before {\n  content: "\\e39f";\n}\n\n.bosch-ic-hot:before {\n  content: "\\e3a0";\n}\n\n.bosch-ic-screen-service:before {\n  content: "\\e3a1";\n}\n\n.bosch-ic-sun-ice:before {\n  content: "\\e3a2";\n}\n\n.bosch-ic-sun-off-disabled-bold:before {\n  content: "\\e3a3";\n}\n\n.bosch-ic-tractor:before {\n  content: "\\e3a4";\n}\n\n.bosch-ic-video-recorder-digital:before {\n  content: "\\e3a5";\n}\n\n.bosch-ic-windshield-wiper:before {\n  content: "\\e3a6";\n}\n\n.bosch-ic-weather-snow-thunder:before {\n  content: "\\e3a7";\n}\n\n.bosch-ic-electricity-pylon:before {\n  content: "\\e3a8";\n}\n\n.bosch-ic-box-questionmark:before {\n  content: "\\e3a9";\n}\n\n.bosch-ic-rainbow:before {\n  content: "\\e3aa";\n}\n\n.bosch-ic-medal:before {\n  content: "\\e3ab";\n}\n\n.bosch-ic-wheel:before {\n  content: "\\e3ac";\n}\n\n.bosch-ic-borescope-connected:before {\n  content: "\\e3ad";\n}\n\n.bosch-ic-filter-delete:before {\n  content: "\\e3ae";\n}\n\n.bosch-ic-filter-add:before {\n  content: "\\e3af";\n}\n\n.bosch-ic-man:before {\n  content: "\\e3b0";\n}\n\n.bosch-ic-woman:before {\n  content: "\\e3b1";\n}\n\n.bosch-ic-fridge:before {\n  content: "\\e3b2";\n}\n\n.bosch-ic-battery-car:before {\n  content: "\\e3b3";\n}\n\n.bosch-ic-bag-escalator:before {\n  content: "\\e3b4";\n}\n\n.bosch-ic-shopping-bags:before {\n  content: "\\e3b5";\n}\n\n.bosch-ic-car-steering-left:before {\n  content: "\\e3b6";\n}\n\n.bosch-ic-car-steering-right:before {\n  content: "\\e3b7";\n}\n\n.bosch-ic-thumb-up-down:before {\n  content: "\\e3b8";\n}\n\n.bosch-ic-user-run-detection:before {\n  content: "\\e3b9";\n}\n\n.bosch-ic-bank:before {\n  content: "\\e3ba";\n}\n\n.bosch-ic-transportation:before {\n  content: "\\e3bb";\n}\n\n.bosch-ic-government:before {\n  content: "\\e3bc";\n}\n\n.bosch-ic-user-music:before {\n  content: "\\e3bd";\n}\n\n.bosch-ic-bus:before {\n  content: "\\e3be";\n}\n\n.bosch-ic-car-euro:before {\n  content: "\\e3bf";\n}\n\n.bosch-ic-bag:before {\n  content: "\\e3c0";\n}\n\n.bosch-ic-plate-tetrapack:before {\n  content: "\\e3c1";\n}\n\n.bosch-ic-hospital:before {\n  content: "\\e3c2";\n}\n\n.bosch-ic-desktop-structure:before {\n  content: "\\e3c3";\n}\n\n.bosch-ic-frog-head:before {\n  content: "\\e3c4";\n}\n\n.bosch-ic-sportboat:before {\n  content: "\\e3c5";\n}\n\n.bosch-ic-yacht:before {\n  content: "\\e3c6";\n}\n\n.bosch-ic-leaf-tilia:before {\n  content: "\\e3c7";\n}\n\n.bosch-ic-music:before {\n  content: "\\e3c8";\n}\n\n.bosch-ic-oil-lamp:before {\n  content: "\\e3c9";\n}\n\n.bosch-ic-windshield-wiper-rear:before {\n  content: "\\e3ca";\n}\n\n.bosch-ic-dongle-connected:before {\n  content: "\\e3cb";\n}\n\n.bosch-ic-slate:before {\n  content: "\\e3cc";\n}\n\n.bosch-ic-appliance-heat-pump-exhaust:before {\n  content: "\\e3cd";\n}\n\n.bosch-ic-alert-list:before {\n  content: "\\e3ce";\n}\n\n.bosch-ic-arrow-left-end-frame:before {\n  content: "\\e3cf";\n}\n\n.bosch-ic-arrow-right-end-frame:before {\n  content: "\\e3d0";\n}\n\n.bosch-ic-shape-ellipse:before {\n  content: "\\e3d1";\n}\n\n.bosch-ic-shape-rectangle:before {\n  content: "\\e3d2";\n}\n\n.bosch-ic-wishlist-add:before {\n  content: "\\e3d3";\n}\n\n.bosch-ic-smartphone-disabled-light:before {\n  content: "\\e3d4";\n}\n\n.bosch-ic-airbag:before {\n  content: "\\e3d5";\n}\n\n.bosch-ic-compass:before {\n  content: "\\e3d6";\n}\n\n.bosch-ic-turbine-wind:before {\n  content: "\\e3d7";\n}\n\n.bosch-ic-arrows-diagonal-disabled-light:before {\n  content: "\\e3d8";\n}\n\n.bosch-ic-ear-off-disabled-bold:before {\n  content: "\\e3d9";\n}\n\n.bosch-ic-fan-off-disabled-light:before {\n  content: "\\e3da";\n}\n\n.bosch-ic-faucet-off-disabled-light:before {\n  content: "\\e3db";\n}\n\n.bosch-ic-hand-motion-off-disabled-bold:before {\n  content: "\\e3dc";\n}\n\n.bosch-ic-heating-floor-off-disabled-light:before {\n  content: "\\e3dd";\n}\n\n.bosch-ic-heating-radiator-off-disabled-light:before {\n  content: "\\e3de";\n}\n\n.bosch-ic-ice-off-disabled-light:before {\n  content: "\\e3df";\n}\n\n.bosch-ic-smartphone-disabled-bold:before {\n  content: "\\e3e0";\n}\n\n.bosch-ic-subtitles-off-bold:before {\n  content: "\\e3e1";\n}\n\n.bosch-ic-sun-off-disabled-light:before {\n  content: "\\e3e2";\n}\n\n.bosch-ic-video-disabled-bold:before {\n  content: "\\e3e3";\n}\n\n.bosch-ic-volume-off-bold:before {\n  content: "\\e3e4";\n}\n\n.bosch-ic-watch-off-disabled-bold:before {\n  content: "\\e3e5";\n}\n\n.bosch-ic-water-shower-off-disabled-light:before {\n  content: "\\e3e6";\n}\n\n.bosch-ic-3d-frame-play:before {\n  content: "\\e3e7";\n}\n\n.bosch-ic-alert-error-checkmark:before {\n  content: "\\e3e8";\n}\n\n.bosch-ic-arrow-up-frame-check:before {\n  content: "\\e3e9";\n}\n\n.bosch-ic-arrow-up-frame-error:before {\n  content: "\\e3ea";\n}\n\n.bosch-ic-arrows-checkmark:before {\n  content: "\\e3eb";\n}\n\n.bosch-ic-assembly-line-settings:before {\n  content: "\\e3ec";\n}\n\n.bosch-ic-augmented-reality-player:before {\n  content: "\\e3ed";\n}\n\n.bosch-ic-bar-chart-kappa:before {\n  content: "\\e3ef";\n}\n\n.bosch-ic-bar-chart-search-detail:before {\n  content: "\\e3f0";\n}\n\n.bosch-ic-barcode-checkmark:before {\n  content: "\\e3f1";\n}\n\n.bosch-ic-barcode-scan-bulb:before {\n  content: "\\e3f2";\n}\n\n.bosch-ic-barcode:before {\n  content: "\\e3f3";\n}\n\n.bosch-ic-binary:before {\n  content: "\\e3f4";\n}\n\n.bosch-ic-book-lightbulb:before {\n  content: "\\e3f5";\n}\n\n.bosch-ic-box-arrow-down:before {\n  content: "\\e3f6";\n}\n\n.bosch-ic-box-delivery-checkmark:before {\n  content: "\\e3f7";\n}\n\n.bosch-ic-globe-checkmark:before {\n  content: "\\e3f8";\n}\n\n.bosch-ic-calendar-boxes:before {\n  content: "\\e3f9";\n}\n\n.bosch-ic-calendar-service:before {\n  content: "\\e3fa";\n}\n\n.bosch-ic-camera-processor:before {\n  content: "\\e3fb";\n}\n\n.bosch-ic-camera-settings:before {\n  content: "\\e3fc";\n}\n\n.bosch-ic-chart-line-checkmark:before {\n  content: "\\e3fd";\n}\n\n.bosch-ic-checklist-stack:before {\n  content: "\\e3fe";\n}\n\n.bosch-ic-checkmark-frame-minimum:before {\n  content: "\\e3ff";\n}\n\n.bosch-ic-checkmark-frame-tripple:before {\n  content: "\\e400";\n}\n\n.bosch-ic-clipboard-checkmark:before {\n  content: "\\e401";\n}\n\n.bosch-ic-clipboard-list-parts:before {\n  content: "\\e402";\n}\n\n.bosch-ic-clipboard-settings:before {\n  content: "\\e403";\n}\n\n.bosch-ic-computer-tower-box:before {\n  content: "\\e404";\n}\n\n.bosch-ic-connectivity-lock:before {\n  content: "\\e405";\n}\n\n.bosch-ic-counter-current:before {\n  content: "\\e406";\n}\n\n.bosch-ic-counter-target:before {\n  content: "\\e407";\n}\n\n.bosch-ic-cube-checkmark:before {\n  content: "\\e408";\n}\n\n.bosch-ic-cube-play:before {\n  content: "\\e409";\n}\n\n.bosch-ic-timeline-settings:before {\n  content: "\\e40a";\n}\n\n.bosch-ic-timeline-view:before {\n  content: "\\e40b";\n}\n\n.bosch-ic-timeline:before {\n  content: "\\e40c";\n}\n\n.bosch-ic-delivery-checkmark:before {\n  content: "\\e40d";\n}\n\n.bosch-ic-desktop-application-3d-play:before {\n  content: "\\e40e";\n}\n\n.bosch-ic-desktop-apps-download:before {\n  content: "\\e40f";\n}\n\n.bosch-ic-desktop-dashboard:before {\n  content: "\\e410";\n}\n\n.bosch-ic-desktop-graph-checkmark:before {\n  content: "\\e411";\n}\n\n.bosch-ic-desktop-graph-search:before {\n  content: "\\e412";\n}\n\n.bosch-ic-desktop-graph:before {\n  content: "\\e413";\n}\n\n.bosch-ic-development-kit:before {\n  content: "\\e414";\n}\n\n.bosch-ic-directory-cloud-settings:before {\n  content: "\\e415";\n}\n\n.bosch-ic-directory-cloud:before {\n  content: "\\e416";\n}\n\n.bosch-ic-directory-settings:before {\n  content: "\\e417";\n}\n\n.bosch-ic-document-clock-cycle:before {\n  content: "\\e418";\n}\n\n.bosch-ic-document-code-stack:before {\n  content: "\\e419";\n}\n\n.bosch-ic-document-dat-edit:before {\n  content: "\\e41a";\n}\n\n.bosch-ic-document-ohd-arrow-down:before {\n  content: "\\e41b";\n}\n\n.bosch-ic-dolphin:before {\n  content: "\\e41c";\n}\n\n.bosch-ic-energy-management:before {\n  content: "\\e41d";\n}\n\n.bosch-ic-eraser:before {\n  content: "\\e41e";\n}\n\n.bosch-ic-folder-broom:before {\n  content: "\\e41f";\n}\n\n.bosch-ic-folder-check-broom:before {\n  content: "\\e420";\n}\n\n.bosch-ic-folder-checkmark:before {\n  content: "\\e421";\n}\n\n.bosch-ic-folder-oes-check:before {\n  content: "\\e422";\n}\n\n.bosch-ic-folder-open-service:before {\n  content: "\\e423";\n}\n\n.bosch-ic-folder-reload:before {\n  content: "\\e424";\n}\n\n.bosch-ic-hand-command:before {\n  content: "\\e425";\n}\n\n.bosch-ic-heating-start:before {\n  content: "\\e426";\n}\n\n.bosch-ic-hierarchy-refresh:before {\n  content: "\\e427";\n}\n\n.bosch-ic-hierarchy-search:before {\n  content: "\\e428";\n}\n\n.bosch-ic-hierarchy-settings:before {\n  content: "\\e429";\n}\n\n.bosch-ic-hierarchy:before {\n  content: "\\e42a";\n}\n\n.bosch-ic-hmi-desktop-settings:before {\n  content: "\\e42b";\n}\n\n.bosch-ic-human-machine-interface:before {\n  content: "\\e42c";\n}\n\n.bosch-ic-keys-user-access:before {\n  content: "\\e42d";\n}\n\n.bosch-ic-keys:before {\n  content: "\\e42e";\n}\n\n.bosch-ic-label-edit:before {\n  content: "\\e42f";\n}\n\n.bosch-ic-line-arrow-checkmark:before {\n  content: "\\e430";\n}\n\n.bosch-ic-link-checkmark:before {\n  content: "\\e431";\n}\n\n.bosch-ic-lock-closed-checkmark:before {\n  content: "\\e432";\n}\n\n.bosch-ic-lock-open-checkmark:before {\n  content: "\\e433";\n}\n\n.bosch-ic-material-search:before {\n  content: "\\e434";\n}\n\n.bosch-ic-objects-search:before {\n  content: "\\e435";\n}\n\n.bosch-ic-objects:before {\n  content: "\\e436";\n}\n\n.bosch-ic-plan-a-to-b:before {\n  content: "\\e437";\n}\n\n.bosch-ic-plan-chart:before {\n  content: "\\e438";\n}\n\n.bosch-ic-print-send:before {\n  content: "\\e439";\n}\n\n.bosch-ic-refresh-analysis:before {\n  content: "\\e43a";\n}\n\n.bosch-ic-remote-desktop-add:before {\n  content: "\\e43b";\n}\n\n.bosch-ic-rfid-checkmark:before {\n  content: "\\e43c";\n}\n\n.bosch-ic-rfid-tag:before {\n  content: "\\e43d";\n}\n\n.bosch-ic-sequence-checkmark:before {\n  content: "\\e43e";\n}\n\n.bosch-ic-server-arrow-up:before {\n  content: "\\e43f";\n}\n\n.bosch-ic-server-arrows:before {\n  content: "\\e440";\n}\n\n.bosch-ic-server-settings:before {\n  content: "\\e441";\n}\n\n.bosch-ic-server-share:before {\n  content: "\\e442";\n}\n\n.bosch-ic-settings-editor:before {\n  content: "\\e443";\n}\n\n.bosch-ic-survey-checkmark:before {\n  content: "\\e444";\n}\n\n.bosch-ic-target-dart:before {\n  content: "\\e445";\n}\n\n.bosch-ic-target-view:before {\n  content: "\\e446";\n}\n\n.bosch-ic-target:before {\n  content: "\\e447";\n}\n\n.bosch-ic-thickness-selection:before {\n  content: "\\e448";\n}\n\n.bosch-ic-toolbox-checkmark:before {\n  content: "\\e449";\n}\n\n.bosch-ic-toolbox:before {\n  content: "\\e44a";\n}\n\n.bosch-ic-translate:before {\n  content: "\\e44b";\n}\n\n.bosch-ic-tune-vertical-checkmark:before {\n  content: "\\e44c";\n}\n\n.bosch-ic-wand-user-add:before {\n  content: "\\e44d";\n}\n\n.bosch-ic-wand-user-settings:before {\n  content: "\\e44e";\n}\n\n.bosch-ic-wand-user:before {\n  content: "\\e44f";\n}\n\n.bosch-ic-window-globe:before {\n  content: "\\e450";\n}\n\n.bosch-ic-wrench-change:before {\n  content: "\\e451";\n}\n\n.bosch-ic-clock-24-7:before {\n  content: "\\e452";\n}\n\n.bosch-ic-eagle:before {\n  content: "\\e453";\n}\n\n.bosch-ic-fluorescent-light:before {\n  content: "\\e454";\n}\n\n.bosch-ic-home-cloud-0:before {\n  content: "\\e455";\n}\n\n.bosch-ic-home-cloud-1:before {\n  content: "\\e456";\n}\n\n.bosch-ic-home-cloud-2:before {\n  content: "\\e457";\n}\n\n.bosch-ic-home-cloud-3:before {\n  content: "\\e458";\n}\n\n.bosch-ic-home-shadow:before {\n  content: "\\e459";\n}\n\n.bosch-ic-motorcycle-sport:before {\n  content: "\\e45a";\n}\n\n.bosch-ic-smartphone-connected:before {\n  content: "\\e45b";\n}\n\n.bosch-ic-usb-stick:before {\n  content: "\\e45c";\n}\n\n.bosch-ic-user-setting:before {\n  content: "\\e45d";\n}\n\n.bosch-ic-timeline-clock:before {\n  content: "\\e45e";\n}\n\n.bosch-ic-alarm-fire:before {\n  content: "\\e45f";\n}\n\n.bosch-ic-emergency-front:before {\n  content: "\\e460";\n}\n\n.bosch-ic-transporter-front:before {\n  content: "\\e461";\n}\n\n.bosch-ic-truck-front:before {\n  content: "\\e462";\n}\n\n.bosch-ic-unpin-classic-disabled-light:before {\n  content: "\\e463";\n}\n\n.bosch-ic-unpin-modern-disabled-light:before {\n  content: "\\e464";\n}\n\n.bosch-ic-smartphone-ban:before {\n  content: "\\e465";\n}\n\n.bosch-ic-helmet:before {\n  content: "\\e466";\n}\n\n.bosch-ic-gate-closed:before {\n  content: "\\e467";\n}\n\n.bosch-ic-fence:before {\n  content: "\\e468";\n}\n\n.bosch-ic-desktop-apps:before {\n  content: "\\e469";\n}\n\n.bosch-ic-candle:before {\n  content: "\\e46a";\n}\n\n.bosch-ic-abort-frame:before {\n  content: "\\e886";\n}\n\n.bosch-ic-arrow-down-frame:before {\n  content: "\\e887";\n}\n\n.bosch-ic-arrow-left-down-frame:before {\n  content: "\\e888";\n}\n\n.bosch-ic-arrow-left-frame:before {\n  content: "\\e889";\n}\n\n.bosch-ic-arrow-left-up-frame:before {\n  content: "\\e88a";\n}\n\n.bosch-ic-arrow-right-down-frame:before {\n  content: "\\e88b";\n}\n\n.bosch-ic-arrow-right-frame:before {\n  content: "\\e88c";\n}\n\n.bosch-ic-arrow-right-up-frame:before {\n  content: "\\e88d";\n}\n\n.bosch-ic-arrow-up-frame:before {\n  content: "\\e88e";\n}\n\n.bosch-ic-asiapacific-frame:before {\n  content: "\\e88f";\n}\n\n.bosch-ic-cash-frame:before {\n  content: "\\e890";\n}\n\n.bosch-ic-checkmark-frame:before {\n  content: "\\e891";\n}\n\n.bosch-ic-copyright-frame:before {\n  content: "\\e892";\n}\n\n.bosch-ic-download-frame:before {\n  content: "\\e893";\n}\n\n.bosch-ic-europe-frame:before {\n  content: "\\e894";\n}\n\n.bosch-ic-lock-closed-frame:before {\n  content: "\\e895";\n}\n\n.bosch-ic-lock-open-frame:before {\n  content: "\\e896";\n}\n\n.bosch-ic-my-brand-frame:before {\n  content: "\\e897";\n}\n\n.bosch-ic-northamerica-frame:before {\n  content: "\\e898";\n}\n\n.bosch-ic-problem-frame:before {\n  content: "\\e899";\n}\n\n.bosch-ic-promotion-frame:before {\n  content: "\\e89a";\n}\n\n.bosch-ic-question-frame:before {\n  content: "\\e89b";\n}\n\n.bosch-ic-share-frame:before {\n  content: "\\e89c";\n}\n\n.bosch-ic-southamerica-frame:before {\n  content: "\\e89d";\n}\n\n.bosch-ic-start-play-frame:before {\n  content: "\\e89e";\n}\n\n.bosch-ic-upload-frame:before {\n  content: "\\e89f";\n}\n\n.bosch-ic-world-frame:before {\n  content: "\\e8a0";\n}\n\n.bosch-ic-add-frame:before {\n  content: "\\e8a1";\n}\n\n.bosch-ic-call-deny-frame:before {\n  content: "\\e8a2";\n}\n\n.bosch-ic-call-frame:before {\n  content: "\\e8a3";\n}\n\n.bosch-ic-fast-backward-frame:before {\n  content: "\\e8a4";\n}\n\n.bosch-ic-fast-forward-frame:before {\n  content: "\\e8a5";\n}\n\n.bosch-ic-skip-backward-frame:before {\n  content: "\\e8a6";\n}\n\n.bosch-ic-skip-fast-backward-frame:before {\n  content: "\\e8a7";\n}\n\n.bosch-ic-skip-fast-forward-frame:before {\n  content: "\\e8a8";\n}\n\n.bosch-ic-skip-forward-frame:before {\n  content: "\\e8a9";\n}\n\n.bosch-ic-subtract-frame:before {\n  content: "\\e8aa";\n}\n\n.bosch-ic-facebook-frame:before {\n  content: "\\ea87";\n}\n\n.bosch-ic-googleplus-frame:before {\n  content: "\\ea88";\n}\n\n.bosch-ic-instagram-frame:before {\n  content: "\\ea89";\n}\n\n.bosch-ic-lineapp-frame:before {\n  content: "\\ea8a";\n}\n\n.bosch-ic-linkedin-frame:before {\n  content: "\\ea8b";\n}\n\n.bosch-ic-pinterest-frame:before {\n  content: "\\ea8c";\n}\n\n.bosch-ic-snapchat-frame:before {\n  content: "\\ea8d";\n}\n\n.bosch-ic-tumblr-frame:before {\n  content: "\\ea8e";\n}\n\n.bosch-ic-twitter-frame:before {\n  content: "\\ea8f";\n}\n\n.bosch-ic-vimeo-frame:before {\n  content: "\\ea90";\n}\n\n.bosch-ic-wechat-frame:before {\n  content: "\\ea91";\n}\n\n.bosch-ic-weibo-frame:before {\n  content: "\\ea92";\n}\n\n.bosch-ic-whatsapp-frame:before {\n  content: "\\ea93";\n}\n\n.bosch-ic-xing-frame:before {\n  content: "\\ea94";\n}\n\n.bosch-ic-youku-frame:before {\n  content: "\\ea95";\n}\n\n.bosch-ic-youtube-frame:before {\n  content: "\\ea96";\n}\n\n.bosch-ic-vk-frame:before {\n  content: "\\ea97";\n}\n\n.bosch-ic-skype-frame:before {\n  content: "\\ea98";\n}\n\n.bosch-ic-alert-error-filled:before {\n  content: "\\eb08";\n}\n\n.bosch-ic-alert-error:before {\n  content: "\\eb09";\n}\n\n.bosch-ic-alert-success-filled:before {\n  content: "\\eb0a";\n}\n\n.bosch-ic-alert-success:before {\n  content: "\\eb0b";\n}\n\n.bosch-ic-alert-warning-filled:before {\n  content: "\\eb0c";\n}\n\n.bosch-ic-alert-warning:before {\n  content: "\\eb0d";\n}\n\n.bosch-ic-chart-oee:before {\n  content: "\\e46b";\n}\n\n.bosch-ic-cycletime-eighth:before {\n  content: "\\e46c";\n}\n\n.bosch-ic-cycletime-quarter:before {\n  content: "\\e46d";\n}\n\n.bosch-ic-gateway:before {\n  content: "\\e46e";\n}\n\n.bosch-ic-heatmap:before {\n  content: "\\e46f";\n}\n\n.bosch-ic-laptop-checklist:before {\n  content: "\\e470";\n}\n\n.bosch-ic-molecule:before {\n  content: "\\e471";\n}\n\n.bosch-ic-robot-settings:before {\n  content: "\\e472";\n}\n\n.bosch-ic-sensor-cable:before {\n  content: "\\e473";\n}\n\n.bosch-ic-tank-layers:before {\n  content: "\\e474";\n}\n\n.bosch-ic-window-settings:before {\n  content: "\\e475";\n}\n\n.bosch-ic-heatmap-independent:before {\n  content: "\\e476";\n}\n\n.bosch-ic-dumble:before {\n  content: "\\e477";\n}\n\n.bosch-ic-truck-wash:before {\n  content: "\\e478";\n}\n\n.bosch-ic-smart-sensor:before {\n  content: "\\e479";\n}\n\n.bosch-ic-audio-add:before {\n  content: "\\e47a";\n}\n\n.bosch-ic-audio-checked:before {\n  content: "\\e47b";\n}\n\n.bosch-ic-audio-play:before {\n  content: "\\e47c";\n}\n\n.bosch-ic-audio-remove:before {\n  content: "\\e47d";\n}\n\n.bosch-ic-image-gallery-checked:before {\n  content: "\\e47e";\n}\n\n.bosch-ic-imagery-checked:before {\n  content: "\\e47f";\n}\n\n.bosch-ic-image-gallery-remove:before {\n  content: "\\e480";\n}\n\n.bosch-ic-recording:before {\n  content: "\\e481";\n}\n\n.bosch-ic-stop-frame:before {\n  content: "\\e482";\n}\n\n.bosch-ic-roof:before {\n  content: "\\e483";\n}\n\n.bosch-ic-projection-interactive:before {\n  content: "\\e484";\n}\n\n.bosch-ic-bridge:before {\n  content: "\\e485";\n}\n\n.bosch-ic-box-arrows:before {\n  content: "\\e486";\n}\n\n.bosch-ic-chart-line-fit:before {\n  content: "\\e487";\n}\n\n.bosch-ic-chart-line-compress:before {\n  content: "\\e488";\n}\n\n.bosch-ic-ciss:before {\n  content: "\\e489";\n}\n\n.bosch-ic-scd:before {\n  content: "\\e48a";\n}\n\n.bosch-ic-vci:before {\n  content: "\\e48b";\n}\n\n.bosch-ic-access-controller:before {\n  content: "\\e48c";\n}\n\n.bosch-ic-card-reader:before {\n  content: "\\e48d";\n}\n\n.bosch-ic-table:before {\n  content: "\\e48e";\n}\n\n.bosch-ic-replace:before {\n  content: "\\e48f";\n}\n\n.bosch-ic-chart-topflop-organized-horizontal:before {\n  content: "\\e490";\n}\n\n.bosch-ic-chart-topflop-random-horizontal:before {\n  content: "\\e491";\n}\n\n.bosch-ic-chart-topflop-organized-vertical:before {\n  content: "\\e492";\n}\n\n.bosch-ic-chart-topflop-random-vertical:before {\n  content: "\\e493";\n}\n\n.bosch-ic-ois:before {\n  content: "\\e494";\n}\n\n.bosch-ic-cloud-refresh-locked:before {\n  content: "\\e495";\n}\n\n.bosch-ic-car-bluetooth:before {\n  content: "\\e496";\n}\n\n.bosch-ic-camera-trainer:before {\n  content: "\\e497";\n}\n\n.bosch-ic-magnifier-moving:before {\n  content: "\\e498";\n}\n\n.bosch-ic-absolute-orientation:before {\n  content: "\\e499";\n}\n\n.bosch-ic-accelerometer:before {\n  content: "\\e49a";\n}\n\n.bosch-ic-imu:before {\n  content: "\\e49b";\n}\n\n.bosch-ic-gyroscope:before {\n  content: "\\e49c";\n}\n\n.bosch-ic-magneotmeter:before {\n  content: "\\e49d";\n}\n\n.bosch-ic-battery-car-1:before {\n  content: "\\e49e";\n}\n\n.bosch-ic-battery-car-2:before {\n  content: "\\e49f";\n}\n\n.bosch-ic-battery-car-3:before {\n  content: "\\e4a0";\n}\n\n.bosch-ic-battery-car-charging:before {\n  content: "\\e4a1";\n}\n\n.bosch-ic-battery-car-defective:before {\n  content: "\\e4a2";\n}\n\n.bosch-ic-truck-crane:before {\n  content: "\\e4a3";\n}\n\n.bosch-ic-train-diesel:before {\n  content: "\\e4a4";\n}\n\n.bosch-ic-snowmobile:before {\n  content: "\\e4a5";\n}\n\n.bosch-ic-riding-mower:before {\n  content: "\\e4a6";\n}\n\n.bosch-ic-motorcycle-small:before {\n  content: "\\e4a7";\n}\n\n.bosch-ic-mining-truck:before {\n  content: "\\e4a8";\n}\n\n.bosch-ic-lawnmower:before {\n  content: "\\e4a9";\n}\n\n.bosch-ic-jetski:before {\n  content: "\\e4aa";\n}\n\n.bosch-ic-golf-caddy:before {\n  content: "\\e4ab";\n}\n\n.bosch-ic-generator-electric:before {\n  content: "\\e4ac";\n}\n\n.bosch-ic-garbage-truck:before {\n  content: "\\e4ad";\n}\n\n.bosch-ic-fork-lift-big:before {\n  content: "\\e4ae";\n}\n\n.bosch-ic-engine-small:before {\n  content: "\\e4af";\n}\n\n.bosch-ic-engine-big:before {\n  content: "\\e4b0";\n}\n\n.bosch-ic-coach:before {\n  content: "\\e4b1";\n}\n\n.bosch-ic-chainsaw:before {\n  content: "\\e4b2";\n}\n\n.bosch-ic-car-van:before {\n  content: "\\e4b3";\n}\n\n.bosch-ic-car-suv:before {\n  content: "\\e4b4";\n}\n\n.bosch-ic-car-race:before {\n  content: "\\e4b5";\n}\n\n.bosch-ic-car-old:before {\n  content: "\\e4b6";\n}\n\n.bosch-ic-car-camping-van:before {\n  content: "\\e4b7";\n}\n\n.bosch-ic-car-camper:before {\n  content: "\\e4b8";\n}\n\n.bosch-ic-bus-side:before {\n  content: "\\e4b9";\n}\n\n.bosch-ic-book-info:before {\n  content: "\\e4ba";\n}\n\n.bosch-ic-gears:before {\n  content: "\\e4bb";\n}\n\n.bosch-ic-shark:before {\n  content: "\\e4bc";\n}\n\n.bosch-ic-mountaintop:before {\n  content: "\\e4bd";\n}\n\n.bosch-ic-baby:before {\n  content: "\\e4be";\n}\n\n.bosch-ic-coffee-bean:before {\n  content: "\\e4bf";\n}\n\n.bosch-ic-coffee-beans:before {\n  content: "\\e4c0";\n}\n\n.bosch-ic-skull:before {\n  content: "\\e4c1";\n}\n\n.bosch-ic-stroller:before {\n  content: "\\e4c2";\n}\n\n.bosch-ic-glasses:before {\n  content: "\\e4c3";\n}\n\n.bosch-ic-detergent:before {\n  content: "\\e4c4";\n}\n\n.bosch-ic-washing-machine:before {\n  content: "\\e4c5";\n}\n\n.bosch-ic-sdcard:before {\n  content: "\\e4c6";\n}\n\n.bosch-ic-water-connectivity:before {\n  content: "\\e4c7";\n}\n\n.bosch-ic-server-connectivity:before {\n  content: "\\e4c8";\n}\n\n.bosch-ic-presentation-speaker:before {\n  content: "\\e4c9";\n}\n\n.bosch-ic-chart-bar-arrow:before {\n  content: "\\e4ca";\n}\n\n.bosch-ic-book-connectivity:before {\n  content: "\\e4cb";\n}\n\n.bosch-ic-route-focus:before {\n  content: "\\e4cc";\n}\n\n.bosch-ic-bicycle-helmet:before {\n  content: "\\e4cd";\n}\n\n.bosch-ic-cookie:before {\n  content: "\\e4ce";\n}\n\n.bosch-ic-glass-wine:before {\n  content: "\\e4cf";\n}\n\n.bosch-ic-cup-small:before {\n  content: "\\e4d0";\n}\n\n.bosch-ic-cup-large:before {\n  content: "\\e4d1";\n}\n\n.bosch-ic-bowl:before {\n  content: "\\e4d2";\n}\n\n.bosch-ic-glass-small:before {\n  content: "\\e4d3";\n}\n\n.bosch-ic-ice-bottle:before {\n  content: "\\e4d4";\n}\n\n.bosch-ic-cup-plate-drop:before {\n  content: "\\e4d5";\n}\n\n.bosch-ic-plate:before {\n  content: "\\e4d6";\n}\n\n.bosch-ic-cup-plate:before {\n  content: "\\e4d7";\n}\n\n.bosch-ic-bubbles:before {\n  content: "\\e4d8";\n}\n\n.bosch-ic-button-start-stop:before {\n  content: "\\e4d9";\n}\n\n.bosch-ic-elevator-freight-max:before {\n  content: "\\e4da";\n}\n\n.bosch-ic-elevator-freight:before {\n  content: "\\e4db";\n}\n\n.bosch-ic-elevator-persons:before {\n  content: "\\e4dc";\n}\n\n.bosch-ic-embed:before {\n  content: "\\e4dd";\n}\n\n.bosch-ic-female-male:before {\n  content: "\\e4de";\n}\n\n.bosch-ic-fork-knife-spoon:before {\n  content: "\\e4df";\n}\n\n.bosch-ic-global-entrepreneur:before {\n  content: "\\e4e0";\n}\n\n.bosch-ic-arrows-left-right-checkmark:before {\n  content: "\\e4e1";\n}\n\n.bosch-ic-automatic-mode:before {\n  content: "\\e4e2";\n}\n\n.bosch-ic-babybottle:before {\n  content: "\\e4e3";\n}\n\n.bosch-ic-barcode-scan:before {\n  content: "\\e4e4";\n}\n\n.bosch-ic-barcode-scanner:before {\n  content: "\\e4e5";\n}\n\n.bosch-ic-cash-frame-rupee:before {\n  content: "\\e4e6";\n}\n\n.bosch-ic-chart-heat-curve:before {\n  content: "\\e4e7";\n}\n\n.bosch-ic-compressor:before {\n  content: "\\e4e8";\n}\n\n.bosch-ic-cubes:before {\n  content: "\\e4e9";\n}\n\n.bosch-ic-highway:before {\n  content: "\\e4ea";\n}\n\n.bosch-ic-industry-workers:before {\n  content: "\\e4eb";\n}\n\n.bosch-ic-industry-workers-connected:before {\n  content: "\\e4ec";\n}\n\n.bosch-ic-machine-station-control:before {\n  content: "\\e4ed";\n}\n\n.bosch-ic-map-city:before {\n  content: "\\e4ee";\n}\n\n.bosch-ic-ordernumber:before {\n  content: "\\e4ef";\n}\n\n.bosch-ic-shirt-business:before {\n  content: "\\e4f0";\n}\n\n.bosch-ic-shirt-casual:before {\n  content: "\\e4f1";\n}\n\n.bosch-ic-suitcase:before {\n  content: "\\e4f2";\n}\n\n.bosch-ic-weather-cloud-sun-sensor:before {\n  content: "\\e4f3";\n}\n\n.bosch-ic-window-code:before {\n  content: "\\e4f4";\n}\n\n.bosch-ic-wrench-warning:before {\n  content: "\\e4f5";\n}\n\n.bosch-ic-arrow-circle-a:before {\n  content: "\\e4f6";\n}\n\n.bosch-ic-arrows-agility:before {\n  content: "\\e4f7";\n}\n\n.bosch-ic-arrows-collapse-object:before {\n  content: "\\e4f8";\n}\n\n.bosch-ic-arrows-expand-object:before {\n  content: "\\e4f9";\n}\n\n.bosch-ic-arrows-left-right:before {\n  content: "\\e4fa";\n}\n\n.bosch-ic-fan-heat:before {\n  content: "\\e4fb";\n}\n\n.bosch-ic-battery-car-arrows-circle:before {\n  content: "\\e4fc";\n}\n\n.bosch-ic-battery-car-clock:before {\n  content: "\\e4fd";\n}\n\n.bosch-ic-battery-vibration:before {\n  content: "\\e4fe";\n}\n\n.bosch-ic-belt-elastic:before {\n  content: "\\e4ff";\n}\n\n.bosch-ic-bicycle-e-arrow-away:before {\n  content: "\\e500";\n}\n\n.bosch-ic-bicycle-e-arrow-towards:before {\n  content: "\\e501";\n}\n\n.bosch-ic-brake-decoupled-power:before {\n  content: "\\e502";\n}\n\n.bosch-ic-brake-i-booster:before {\n  content: "\\e503";\n}\n\n.bosch-ic-brake-system-esp:before {\n  content: "\\e504";\n}\n\n.bosch-ic-brake-system-integrated:before {\n  content: "\\e505";\n}\n\n.bosch-ic-brake-vacuum-booster:before {\n  content: "\\e506";\n}\n\n.bosch-ic-capacity:before {\n  content: "\\e507";\n}\n\n.bosch-ic-car-beam-length:before {\n  content: "\\e508";\n}\n\n.bosch-ic-car-smartphone-locator:before {\n  content: "\\e509";\n}\n\n.bosch-ic-chart-pie:before {\n  content: "\\e50a";\n}\n\n.bosch-ic-chess-jumper:before {\n  content: "\\e50b";\n}\n\n.bosch-ic-clock-time-off:before {\n  content: "\\e50c";\n}\n\n.bosch-ic-clock-time-on:before {\n  content: "\\e50d";\n}\n\n.bosch-ic-coin:before {\n  content: "\\e50e";\n}\n\n.bosch-ic-connection-off-settings:before {\n  content: "\\e50f";\n}\n\n.bosch-ic-connection-on-settings:before {\n  content: "\\e510";\n}\n\n.bosch-ic-control-unit:before {\n  content: "\\e511";\n}\n\n.bosch-ic-customer:before {\n  content: "\\e512";\n}\n\n.bosch-ic-engine:before {\n  content: "\\e513";\n}\n\n.bosch-ic-filter-air:before {\n  content: "\\e514";\n}\n\n.bosch-ic-filter-cabin-carbon:before {\n  content: "\\e515";\n}\n\n.bosch-ic-filter-cabin:before {\n  content: "\\e516";\n}\n\n.bosch-ic-filter-cooling-water:before {\n  content: "\\e517";\n}\n\n.bosch-ic-filter-denox-cover:before {\n  content: "\\e518";\n}\n\n.bosch-ic-filter-denox:before {\n  content: "\\e519";\n}\n\n.bosch-ic-filter-element-compensation-sealing:before {\n  content: "\\e51a";\n}\n\n.bosch-ic-filter-element-compensation:before {\n  content: "\\e51b";\n}\n\n.bosch-ic-filter-element:before {\n  content: "\\e51c";\n}\n\n.bosch-ic-filter-oil:before {\n  content: "\\e51d";\n}\n\n.bosch-ic-filter-petrol:before {\n  content: "\\e51e";\n}\n\n.bosch-ic-filter-prefilter:before {\n  content: "\\e51f";\n}\n\n.bosch-ic-fireplace:before {\n  content: "\\e520";\n}\n\n.bosch-ic-flash-plus:before {\n  content: "\\e521";\n}\n\n.bosch-ic-globe-worldwideweb:before {\n  content: "\\e522";\n}\n\n.bosch-ic-glow-control-unit:before {\n  content: "\\e523";\n}\n\n.bosch-ic-glow-plug:before {\n  content: "\\e524";\n}\n\n.bosch-ic-hand-cloth:before {\n  content: "\\e525";\n}\n\n.bosch-ic-leaf-plus:before {\n  content: "\\e526";\n}\n\n.bosch-ic-machine-warning:before {\n  content: "\\e527";\n}\n\n.bosch-ic-measuring-jug:before {\n  content: "\\e528";\n}\n\n.bosch-ic-plug-play:before {\n  content: "\\e529";\n}\n\n.bosch-ic-refresh-checkmark:before {\n  content: "\\e52a";\n}\n\n.bosch-ic-replacement-filament:before {\n  content: "\\e52b";\n}\n\n.bosch-ic-screw:before {\n  content: "\\e52c";\n}\n\n.bosch-ic-seat-belt:before {\n  content: "\\e52d";\n}\n\n.bosch-ic-steering-wheel-hands-automated:before {\n  content: "\\e52e";\n}\n\n.bosch-ic-sun-ice-parking:before {\n  content: "\\e52f";\n}\n\n.bosch-ic-syringe-change-needle:before {\n  content: "\\e530";\n}\n\n.bosch-ic-syringe-change:before {\n  content: "\\e531";\n}\n\n.bosch-ic-syringe:before {\n  content: "\\e532";\n}\n\n.bosch-ic-thread-diameter:before {\n  content: "\\e533";\n}\n\n.bosch-ic-tool-extraction:before {\n  content: "\\e534";\n}\n\n.bosch-ic-transporter-car-front:before {\n  content: "\\e535";\n}\n\n.bosch-ic-truck-car-motorcycle:before {\n  content: "\\e536";\n}\n\n.bosch-ic-truck-car:before {\n  content: "\\e537";\n}\n\n.bosch-ic-truck-logistics-box:before {\n  content: "\\e538";\n}\n\n.bosch-ic-truck-transporter:before {\n  content: "\\e539";\n}\n\n.bosch-ic-watch-on-warning:before {\n  content: "\\e53a";\n}\n\n.bosch-ic-wrench-calibrate:before {\n  content: "\\e53b";\n}\n\n.bosch-ic-wrench-dummy:before {\n  content: "\\e53c";\n}\n\n.bosch-ic-wrench-tightening-torque:before {\n  content: "\\e53d";\n}\n\n.bosch-ic-wrench-width-across-flats:before {\n  content: "\\e53e";\n}\n\n.bosch-ic-user-arm-bandage:before {\n  content: "\\e53f";\n}\n\n.bosch-ic-user-eye-blind:before {\n  content: "\\e540";\n}\n\n.bosch-ic-user-ear-deaf:before {\n  content: "\\e541";\n}\n\n.bosch-ic-user-car-distracted:before {\n  content: "\\e542";\n}\n\n.bosch-ic-user-mouth-mute:before {\n  content: "\\e543";\n}\n\n.bosch-ic-user-ear-blocked:before {\n  content: "\\e544";\n}\n\n.bosch-ic-user-bavarian:before {\n  content: "\\e545";\n}\n\n.bosch-ic-user-ear-loud:before {\n  content: "\\e546";\n}\n\n.bosch-ic-user-walk-crutch:before {\n  content: "\\e547";\n}\n\n.bosch-ic-user-mouth-speechless:before {\n  content: "\\e548";\n}\n\n.bosch-ic-user-arm-baby:before {\n  content: "\\e549";\n}\n\n.bosch-ic-user-arm-missing:before {\n  content: "\\e54a";\n}\n\n.bosch-ic-user-eye-eyepatch:before {\n  content: "\\e54b";\n}\n\n.bosch-ic-user-strapped:before {\n  content: "\\e54c";\n}\n\n.bosch-ic-cleaning-agent:before {\n  content: "\\e54d";\n}\n\n.bosch-ic-cup-plate-dirty:before {\n  content: "\\e54e";\n}\n\n.bosch-ic-cup-plate-private:before {\n  content: "\\e54f";\n}\n\n.bosch-ic-rubbish-apple:before {\n  content: "\\e550";\n}\n\n.bosch-ic-rubbish-fish:before {\n  content: "\\e551";\n}\n\n.bosch-ic-rubbish-organic-bin:before {\n  content: "\\e552";\n}\n\n.bosch-ic-rubbish-paper:before {\n  content: "\\e553";\n}\n\n.bosch-ic-rubbish-paper-bin:before {\n  content: "\\e554";\n}\n\n.bosch-ic-rubbish-residual-bin:before {\n  content: "\\e555";\n}\n\n.bosch-ic-shower:before {\n  content: "\\e556";\n}\n\n.bosch-ic-shower-female:before {\n  content: "\\e557";\n}\n\n.bosch-ic-shower-male:before {\n  content: "\\e558";\n}\n\n.bosch-ic-wardrobe-female:before {\n  content: "\\e559";\n}\n\n.bosch-ic-wardrobe-male:before {\n  content: "\\e55a";\n}\n\n.bosch-ic-car-top:before {\n  content: "\\e55b";\n}\n\n.bosch-ic-label-info:before {\n  content: "\\e55c";\n}\n\n.bosch-ic-perspective-view:before {\n  content: "\\e55d";\n}\n\n.bosch-ic-road:before {\n  content: "\\e55e";\n}\n\n.bosch-ic-screen-split-horizontal:before {\n  content: "\\e55f";\n}\n\n.bosch-ic-screen-split-vertical:before {\n  content: "\\e560";\n}\n\n.bosch-ic-screenshot-frame:before {\n  content: "\\e561";\n}\n\n.bosch-ic-sensor-lidar:before {\n  content: "\\e562";\n}\n\n.bosch-ic-tram:before {\n  content: "\\e563";\n}\n\n.bosch-ic-video-360-degrees:before {\n  content: "\\e564";\n}\n\n.bosch-ic-belt-groove-drives:before {\n  content: "\\e565";\n}\n\n.bosch-ic-bottle-champagne:before {\n  content: "\\e566";\n}\n\n.bosch-ic-box-falling:before {\n  content: "\\e567";\n}\n\n.bosch-ic-box-falling-off-disabled-bold:before {\n  content: "\\e568";\n}\n\n.bosch-ic-box-falling-off-disabled-light:before {\n  content: "\\e569";\n}\n\n.bosch-ic-brake-pedal:before {\n  content: "\\e56a";\n}\n\n.bosch-ic-car-front-light-inside:before {\n  content: "\\e56b";\n}\n\n.bosch-ic-car-licence-plate-light:before {\n  content: "\\e56c";\n}\n\n.bosch-ic-car-side-light-back:before {\n  content: "\\e56d";\n}\n\n.bosch-ic-car-side-light-front:before {\n  content: "\\e56e";\n}\n\n.bosch-ic-light-fog-warning:before {\n  content: "\\e56f";\n}\n\n.bosch-ic-prism:before {\n  content: "\\e570";\n}\n\n.bosch-ic-turnstile:before {\n  content: "\\e571";\n}\n\n.bosch-ic-turnstile-open-in-and-outbound:before {\n  content: "\\e572";\n}\n\n.bosch-ic-turnstile-open-inbound:before {\n  content: "\\e573";\n}\n\n.bosch-ic-turnstile-open-outbound:before {\n  content: "\\e574";\n}\n\n.bosch-ic-uwb:before {\n  content: "\\e575";\n}\n\n.bosch-ic-heat-reduce-active:before {\n  content: "\\e576";\n}\n\n.bosch-ic-heat-reduce-passive:before {\n  content: "\\e577";\n}\n\n.bosch-ic-hourglass-add:before {\n  content: "\\e578";\n}\n\n.bosch-ic-light-fog:before {\n  content: "\\e579";\n}\n\n.bosch-ic-car-turn-signal:before {\n  content: "\\e57a";\n}\n\n.bosch-ic-car-turn-signal-left:before {\n  content: "\\e57b";\n}\n\n.bosch-ic-car-turn-signal-right:before {\n  content: "\\e57c";\n}\n\n.bosch-ic-light-rear:before {\n  content: "\\e57d";\n}\n\n.bosch-ic-car-top-turn-signal-front:before {\n  content: "\\e57e";\n}\n\n.bosch-ic-car-top-turn-signal-back:before {\n  content: "\\e57f";\n}\n\n.bosch-ic-ccu-cm:before {\n  content: "\\e580";\n}\n\n.bosch-ic-lung:before {\n  content: "\\e581";\n}\n\n.bosch-ic-head-speaking-voice:before {\n  content: "\\e582";\n}\n\n.bosch-ic-car-motorcycle:before {\n  content: "\\e583";\n}\n\n.bosch-ic-car-turn-signal-side:before {\n  content: "\\e584";\n}\n\n.bosch-ic-car-light-parking:before {\n  content: "\\e585";\n}\n\n.bosch-ic-phoenix:before {\n  content: "\\e586";\n}\n\n.bosch-ic-sensor-air-quality:before {\n  content: "\\e587";\n}\n\n.bosch-ic-weather-station:before {\n  content: "\\e588";\n}\n\n.bosch-ic-watering-can:before {\n  content: "\\e589";\n}\n\n.bosch-ic-propeller:before {\n  content: "\\e58a";\n}\n\n.bosch-ic-temperature-fluctuating:before {\n  content: "\\e58b";\n}\n\n.bosch-ic-stove-top:before {\n  content: "\\e58c";\n}\n\n.bosch-ic-socket:before {\n  content: "\\e58d";\n}\n\n.bosch-ic-siren:before {\n  content: "\\e58e";\n}\n\n.bosch-ic-sensor-water:before {\n  content: "\\e58f";\n}\n\n.bosch-ic-user-run-sensor-motion:before {\n  content: "\\e590";\n}\n\n.bosch-ic-robot-lawnmower:before {\n  content: "\\e591";\n}\n\n.bosch-ic-robot-cleaning:before {\n  content: "\\e592";\n}\n\n.bosch-ic-oven:before {\n  content: "\\e593";\n}\n\n.bosch-ic-loudspeaker:before {\n  content: "\\e594";\n}\n\n.bosch-ic-keypad:before {\n  content: "\\e595";\n}\n\n.bosch-ic-shape-circle-square:before {\n  content: "\\e596";\n}\n\n.bosch-ic-garage:before {\n  content: "\\e597";\n}\n\n.bosch-ic-fume-hood:before {\n  content: "\\e598";\n}\n\n.bosch-ic-freezer:before {\n  content: "\\e599";\n}\n\n.bosch-ic-food-processor:before {\n  content: "\\e59a";\n}\n\n.bosch-ic-floorplan-rooms:before {\n  content: "\\e59b";\n}\n\n.bosch-ic-dryer-tumble:before {\n  content: "\\e59c";\n}\n\n.bosch-ic-dryer:before {\n  content: "\\e59d";\n}\n\n.bosch-ic-door-window:before {\n  content: "\\e59e";\n}\n\n.bosch-ic-door-lock:before {\n  content: "\\e59f";\n}\n\n.bosch-ic-door-bell:before {\n  content: "\\e5a0";\n}\n\n.bosch-ic-dishwasher:before {\n  content: "\\e5a1";\n}\n\n.bosch-ic-dimmer:before {\n  content: "\\e5a2";\n}\n\n.bosch-ic-detector-smoke:before {\n  content: "\\e5a3";\n}\n\n.bosch-ic-detector-presence:before {\n  content: "\\e5a4";\n}\n\n.bosch-ic-cooking:before {\n  content: "\\e5a5";\n}\n\n.bosch-ic-coffee-maschine:before {\n  content: "\\e5a6";\n}\n\n.bosch-ic-camera-indoor:before {\n  content: "\\e5a7";\n}\n\n.bosch-ic-broom-clean:before {\n  content: "\\e5a8";\n}\n\n.bosch-ic-blinds:before {\n  content: "\\e5a9";\n}\n\n.bosch-ic-bicycle-e-flash:before {\n  content: "\\e5aa";\n}\n\n.bosch-ic-finger-domino-trigger:before {\n  content: "\\e5ab";\n}\n\n.bosch-ic-automation-start:before {\n  content: "\\e5ac";\n}\n\n.bosch-ic-automation:before {\n  content: "\\e5ad";\n}\n\n.bosch-ic-sensor-multifunctional:before {\n  content: "\\e5ae";\n}\n\n.bosch-ic-plane-top:before {\n  content: "\\e5af";\n}\n\n.bosch-ic-shape-square-overlapping:before {\n  content: "\\e5b0";\n}\n\n.bosch-ic-square-overlapping:before {\n  content: "\\e5b1";\n}\n\n.bosch-ic-battery-car-14v:before {\n  content: "\\e5b2";\n}\n\n.bosch-ic-calibration:before {\n  content: "\\e5b3";\n}\n\n.bosch-ic-structure-can-bus:before {\n  content: "\\e5b4";\n}\n\n.bosch-ic-gears-direction-arrows:before {\n  content: "\\e5b5";\n}\n\n.bosch-ic-car-limousine:before {\n  content: "\\e5b6";\n}\n\n.bosch-ic-molecule-gas:before {\n  content: "\\e5b7";\n}\n\n.bosch-ic-money-euro:before {\n  content: "\\e5b8";\n}\n\n.bosch-ic-revolution-rpm:before {\n  content: "\\e5b9";\n}\n\n.bosch-ic-rikscha-e:before {\n  content: "\\e5ba";\n}\n\n.bosch-ic-sensor-circle:before {\n  content: "\\e5bb";\n}\n\n.bosch-ic-speedometer-high:before {\n  content: "\\e5bc";\n}\n\n.bosch-ic-steering-wheel-arrows:before {\n  content: "\\e5bd";\n}\n\n.bosch-ic-tablet-checklist:before {\n  content: "\\e5be";\n}\n\n.bosch-ic-petrol-charging-station-hybrid:before {\n  content: "\\e5bf";\n}\n\n.bosch-ic-weather-cloud-sun-rain-snow:before {\n  content: "\\e5c0";\n}\n\n.bosch-ic-light-half:before {\n  content: "\\e5c1";\n}\n\n.bosch-ic-video-sensor:before {\n  content: "\\e5c2";\n}\n\n.bosch-ic-binary-desktop:before {\n  content: "\\e5c3";\n}\n\n.bosch-ic-truck-delivery:before {\n  content: "\\e5c4";\n}\n\n.bosch-ic-van-delivery:before {\n  content: "\\e5c5";\n}\n\n.bosch-ic-fullscreen-user:before {\n  content: "\\e5c6";\n}\n\n.bosch-ic-user-helmet-motorcycle:before {\n  content: "\\e5c7";\n}\n\n.bosch-ic-user-hand-disabled-light:before {\n  content: "\\e5c8";\n}\n\n.bosch-ic-user-hand-disabled-bold:before {\n  content: "\\e5c9";\n}\n\n.bosch-ic-link-connected:before {\n  content: "\\e5ca";\n}\n\n.bosch-ic-gate-open:before {\n  content: "\\e5cb";\n}\n\n.bosch-ic-box-checkmark:before {\n  content: "\\e5cc";\n}\n\n.bosch-ic-box-place:before {\n  content: "\\e5cd";\n}\n\n.bosch-ic-logistics-dock:before {\n  content: "\\e5ce";\n}\n\n.bosch-ic-barcode-scan-logistics:before {\n  content: "\\e5cf";\n}\n\n.bosch-ic-locator-tracking:before {\n  content: "\\e5d0";\n}\n\n.bosch-ic-car-light-trunk:before {\n  content: "\\e5d1";\n}\n\n.bosch-ic-car-light-glove-compartment:before {\n  content: "\\e5d2";\n}\n\n.bosch-ic-car-light-dashboard:before {\n  content: "\\e5d3";\n}\n\n.bosch-ic-fire-leaf:before {\n  content: "\\e5d4";\n}\n\n.bosch-ic-laptop-hacker:before {\n  content: "\\e5d5";\n}\n\n.bosch-ic-hands-drops:before {\n  content: "\\e5d6";\n}\n\n.bosch-ic-team-disabled-bold:before {\n  content: "\\e5d7";\n}\n\n.bosch-ic-team-disabled-light:before {\n  content: "\\e5d8";\n}\n\n.bosch-ic-user-head-arm:before {\n  content: "\\e5d9";\n}\n\n.bosch-ic-user-head-hand-disabled-bold:before {\n  content: "\\e5da";\n}\n\n.bosch-ic-user-head-hand-disabled-light:before {\n  content: "\\e5db";\n}\n\n.bosch-ic-welcome-disabled-bold:before {\n  content: "\\e5dc";\n}\n\n.bosch-ic-welcome-disabled-light:before {\n  content: "\\e5dd";\n}\n\n.bosch-ic-female-male-arrows:before {\n  content: "\\e5de";\n}\n\n.bosch-ic-broccoli:before {\n  content: "\\e5df";\n}\n\n.bosch-ic-chicken:before {\n  content: "\\e5e0";\n}\n\n.bosch-ic-cow:before {\n  content: "\\e5e1";\n}\n\n.bosch-ic-deer:before {\n  content: "\\e5e2";\n}\n\n.bosch-ic-fish:before {\n  content: "\\e5e3";\n}\n\n.bosch-ic-garlic:before {\n  content: "\\e5e4";\n}\n\n.bosch-ic-hotpepper:before {\n  content: "\\e5e5";\n}\n\n.bosch-ic-pig:before {\n  content: "\\e5e6";\n}\n\n.bosch-ic-rabbit:before {\n  content: "\\e5e7";\n}\n\n.bosch-ic-sheep:before {\n  content: "\\e5e8";\n}\n\n.bosch-ic-shell:before {\n  content: "\\e5e9";\n}\n\n.bosch-ic-shrimp:before {\n  content: "\\e5ea";\n}\n\n.bosch-ic-car-seat:before {\n  content: "\\e5eb";\n}\n\n.bosch-ic-car-seat-steering-wheel:before {\n  content: "\\e5ec";\n}\n\n.bosch-ic-car-side-arrow-back:before {\n  content: "\\e5ed";\n}\n\n.bosch-ic-car-side-arrow-front:before {\n  content: "\\e5ee";\n}\n\n.bosch-ic-car-steering-left-disabled-bold:before {\n  content: "\\e5ef";\n}\n\n.bosch-ic-car-steering-left-disabled-light:before {\n  content: "\\e5f0";\n}\n\n.bosch-ic-car-steering-left-lle:before {\n  content: "\\e5f1";\n}\n\n.bosch-ic-car-steering-left-lle-disabled-bold:before {\n  content: "\\e5f2";\n}\n\n.bosch-ic-car-steering-left-lle-disabled-light:before {\n  content: "\\e5f3";\n}\n\n.bosch-ic-car-steering-right-disabled-bold:before {\n  content: "\\e5f4";\n}\n\n.bosch-ic-car-steering-right-disabled-light:before {\n  content: "\\e5f5";\n}\n\n.bosch-ic-car-steering-right-rle:before {\n  content: "\\e5f6";\n}\n\n.bosch-ic-car-steering-right-rle-disabled-bold:before {\n  content: "\\e5f7";\n}\n\n.bosch-ic-car-steering-right-rle-disabled-light:before {\n  content: "\\e5f8";\n}\n\n.bosch-ic-cars-traffic-left-right:before {\n  content: "\\e5f9";\n}\n\n.bosch-ic-configuration-wrench:before {\n  content: "\\e5fa";\n}\n\n.bosch-ic-hook:before {\n  content: "\\e5fb";\n}\n\n.bosch-ic-hook-arrows:before {\n  content: "\\e5fc";\n}\n\n.bosch-ic-hook-arrows-wiperblade:before {\n  content: "\\e5fd";\n}\n\n.bosch-ic-hook-disabled-bold:before {\n  content: "\\e5fe";\n}\n\n.bosch-ic-hook-disabled-light:before {\n  content: "\\e5ff";\n}\n\n.bosch-ic-info-i-frame-add:before {\n  content: "\\e600";\n}\n\n.bosch-ic-search-number:before {\n  content: "\\e601";\n}\n\n.bosch-ic-search-number-add:before {\n  content: "\\e602";\n}\n\n.bosch-ic-set:before {\n  content: "\\e603";\n}\n\n.bosch-ic-speedometer-speed-high:before {\n  content: "\\e604";\n}\n\n.bosch-ic-windshield-wiper-clean:before {\n  content: "\\e605";\n}\n\n.bosch-ic-windshield-wiper-double:before {\n  content: "\\e606";\n}\n\n.bosch-ic-wiper-adapter:before {\n  content: "\\e607";\n}\n\n.bosch-ic-wiper-blade:before {\n  content: "\\e608";\n}\n\n.bosch-ic-wiper-blade-arrow:before {\n  content: "\\e609";\n}\n\n.bosch-ic-wiper-blade-eco:before {\n  content: "\\e60a";\n}\n\n.bosch-ic-wiper-blade-mm:before {\n  content: "\\e60b";\n}\n\n.bosch-ic-wiper-blade-mm-arrows:before {\n  content: "\\e60c";\n}\n\n.bosch-ic-wiper-blade-spoiler:before {\n  content: "\\e60d";\n}\n\n.bosch-ic-wiper-blade-twin:before {\n  content: "\\e60e";\n}\n\n.bosch-ic-wiper-flatblade:before {\n  content: "\\e60f";\n}\n\n.bosch-ic-wiper-flatblade-aeroeco:before {\n  content: "\\e610";\n}\n\n.bosch-ic-wiper-flatblade-aerofit:before {\n  content: "\\e611";\n}\n\n.bosch-ic-wiper-flatblade-aerotwin:before {\n  content: "\\e612";\n}\n\n.bosch-ic-wiper-flatblade-arrow:before {\n  content: "\\e613";\n}\n\n.bosch-ic-wiper-flatblade-mm:before {\n  content: "\\e614";\n}\n\n.bosch-ic-wiper-flatblade-mm-arrows:before {\n  content: "\\e615";\n}\n\n.bosch-ic-wiper-rubber:before {\n  content: "\\e616";\n}\n\n.bosch-ic-address-control-system:before {\n  content: "\\e617";\n}\n\n.bosch-ic-balcony:before {\n  content: "\\e618";\n}\n\n.bosch-ic-battery-car-45-degree-arrow:before {\n  content: "\\e619";\n}\n\n.bosch-ic-boiler-warning:before {\n  content: "\\e61a";\n}\n\n.bosch-ic-book-wrench:before {\n  content: "\\e61b";\n}\n\n.bosch-ic-car-driver-passenger-arrows:before {\n  content: "\\e61c";\n}\n\n.bosch-ic-car-licence-plate:before {\n  content: "\\e61d";\n}\n\n.bosch-ic-car-side-arrow-back-tires:before {\n  content: "\\e61e";\n}\n\n.bosch-ic-car-side-arrow-front-tires:before {\n  content: "\\e61f";\n}\n\n.bosch-ic-car-side-half-arrow-back:before {\n  content: "\\e620";\n}\n\n.bosch-ic-car-steering-left-arrow:before {\n  content: "\\e621";\n}\n\n.bosch-ic-car-steering-left-passenger-arrow:before {\n  content: "\\e622";\n}\n\n.bosch-ic-car-steering-right-arrow:before {\n  content: "\\e623";\n}\n\n.bosch-ic-car-steering-right-passenger-arrow:before {\n  content: "\\e624";\n}\n\n.bosch-ic-chess-board-transparency:before {\n  content: "\\e625";\n}\n\n.bosch-ic-cloud-locked:before {\n  content: "\\e626";\n}\n\n.bosch-ic-conference-system:before {\n  content: "\\e627";\n}\n\n.bosch-ic-cycletime-quarter-arrows-interval:before {\n  content: "\\e628";\n}\n\n.bosch-ic-desktop-connectivity:before {\n  content: "\\e629";\n}\n\n.bosch-ic-hierarchy-checkmark:before {\n  content: "\\e62a";\n}\n\n.bosch-ic-home-office:before {\n  content: "\\e62b";\n}\n\n.bosch-ic-home-semi-detached-house:before {\n  content: "\\e62c";\n}\n\n.bosch-ic-kitchen:before {\n  content: "\\e62d";\n}\n\n.bosch-ic-lambda-arrows-length:before {\n  content: "\\e62e";\n}\n\n.bosch-ic-lambda-oxygen:before {\n  content: "\\e62f";\n}\n\n.bosch-ic-lambda-sensor-cores:before {\n  content: "\\e630";\n}\n\n.bosch-ic-panel-control:before {\n  content: "\\e631";\n}\n\n.bosch-ic-prison:before {\n  content: "\\e632";\n}\n\n.bosch-ic-prison-cell:before {\n  content: "\\e633";\n}\n\n.bosch-ic-radio-broadcasting:before {\n  content: "\\e634";\n}\n\n.bosch-ic-robot-body:before {\n  content: "\\e635";\n}\n\n.bosch-ic-robot-body-arrow:before {\n  content: "\\e636";\n}\n\n.bosch-ic-skyscraper-danger:before {\n  content: "\\e637";\n}\n\n.bosch-ic-skyscraper-flat:before {\n  content: "\\e638";\n}\n\n.bosch-ic-skyscraper-flat-floor-low:before {\n  content: "\\e639";\n}\n\n.bosch-ic-skyscraper-flat-floor-middle:before {\n  content: "\\e63a";\n}\n\n.bosch-ic-skyscraper-flat-floor-top:before {\n  content: "\\e63b";\n}\n\n.bosch-ic-skyscraper-flat-semi-detached:before {\n  content: "\\e63c";\n}\n\n.bosch-ic-skyscraper-locked:before {\n  content: "\\e63d";\n}\n\n.bosch-ic-skyscraper-settings:before {\n  content: "\\e63e";\n}\n\n.bosch-ic-team-signpost:before {\n  content: "\\e63f";\n}\n\n.bosch-ic-toaster-hand-warning:before {\n  content: "\\e640";\n}\n\n.bosch-ic-user-arrows-heart:before {\n  content: "\\e641";\n}\n\n.bosch-ic-user-graduate-chat:before {\n  content: "\\e642";\n}\n\n.bosch-ic-user-head-mask:before {\n  content: "\\e643";\n}\n\n.bosch-ic-warehouse:before {\n  content: "\\e644";\n}\n\n.bosch-ic-world-paperplane:before {\n  content: "\\e645";\n}\n\n.bosch-ic-aperture:before {\n  content: "\\e646";\n}\n\n.bosch-ic-hook-wiperblade-arrows:before {\n  content: "\\e647";\n}\n\n.bosch-ic-image-remove:before {\n  content: "\\e648";\n}\n\n.bosch-ic-image-checked:before {\n  content: "\\e649";\n}\n\n.bosch-ic-user-setting:before {\n  content: "\\e45d";\n}\n\n.bosch-ic-apartment-in-house-terraced:before {\n  content: "\\e64b";\n}\n\n.bosch-ic-apartment-in-house:before {\n  content: "\\e64c";\n}\n\n.bosch-ic-appliance-heat-pump-leaf-add:before {\n  content: "\\e64d";\n}\n\n.bosch-ic-appliance-heat-pump-leaf-reload:before {\n  content: "\\e64e";\n}\n\n.bosch-ic-appliance-heat-pump-oil-refresh:before {\n  content: "\\e64f";\n}\n\n.bosch-ic-appliance-water-drop:before {\n  content: "\\e650";\n}\n\n.bosch-ic-appliance-water-sun:before {\n  content: "\\e651";\n}\n\n.bosch-ic-brake-pedal-thumb-up:before {\n  content: "\\e652";\n}\n\n.bosch-ic-call-plus:before {\n  content: "\\e653";\n}\n\n.bosch-ic-battery-car-3-plug:before {\n  content: "\\e654";\n}\n\n.bosch-ic-cloud-share:before {\n  content: "\\e655";\n}\n\n.bosch-ic-crankshaft:before {\n  content: "\\e656";\n}\n\n.bosch-ic-detector-motion:before {\n  content: "\\e657";\n}\n\n.bosch-ic-device-analog:before {\n  content: "\\e658";\n}\n\n.bosch-ic-device-digital:before {\n  content: "\\e659";\n}\n\n.bosch-ic-externallink-landscape:before {\n  content: "\\e65a";\n}\n\n.bosch-ic-gears-interlocked-arrow:before {\n  content: "\\e65b";\n}\n\n.bosch-ic-gearshift-reverse-gear:before {\n  content: "\\e65c";\n}\n\n.bosch-ic-glove:before {\n  content: "\\e65d";\n}\n\n.bosch-ic-hand-warranty:before {\n  content: "\\e65e";\n}\n\n.bosch-ic-heating-floor-radiator:before {\n  content: "\\e65f";\n}\n\n.bosch-ic-home-appliance-heat-pump-air-in:before {\n  content: "\\e660";\n}\n\n.bosch-ic-home-appliance-heat-pump-air-out:before {\n  content: "\\e661";\n}\n\n.bosch-ic-lightbulb-gear:before {\n  content: "\\e662";\n}\n\n.bosch-ic-line-open-closed:before {\n  content: "\\e663";\n}\n\n.bosch-ic-road-disabled-bold:before {\n  content: "\\e664";\n}\n\n.bosch-ic-road-disabled-light:before {\n  content: "\\e665";\n}\n\n.bosch-ic-shower-drop-1:before {\n  content: "\\e666";\n}\n\n.bosch-ic-shower-drop-2:before {\n  content: "\\e667";\n}\n\n.bosch-ic-shower-drop-3:before {\n  content: "\\e668";\n}\n\n.bosch-ic-shower-drop-4:before {\n  content: "\\e669";\n}\n\n.bosch-ic-sinus-curve:before {\n  content: "\\e66a";\n}\n\n.bosch-ic-team-3:before {\n  content: "\\e66b";\n}\n\n.bosch-ic-team-4:before {\n  content: "\\e66c";\n}\n\n.bosch-ic-team-5:before {\n  content: "\\e66d";\n}\n\n.bosch-ic-test-tube:before {\n  content: "\\e66e";\n}\n\n.bosch-ic-truck-car-motorcycle-arrows:before {\n  content: "\\e66f";\n}\n\n.bosch-ic-weather-cloud-dust:before {\n  content: "\\e670";\n}\n\n.bosch-ic-windshield-wiper-double-parallel-left:before {\n  content: "\\e671";\n}\n\n.bosch-ic-windshield-wiper-double-parallel-right:before {\n  content: "\\e672";\n}\n\n.bosch-ic-world-pin:before {\n  content: "\\e673";\n}\n\n.bosch-ic-sign-warning-slope:before {\n  content: "\\e674";\n}\n\n.bosch-ic-facebook:before {\n  content: "\\ea99";\n}\n\n.bosch-ic-google-frame:before {\n  content: "\\ea9a";\n}\n\n.bosch-ic-google:before {\n  content: "\\ea9b";\n}\n\n.bosch-ic-googleplus:before {\n  content: "\\ea9c";\n}\n\n.bosch-ic-instagram:before {\n  content: "\\ea9d";\n}\n\n.bosch-ic-lineapp:before {\n  content: "\\ea9e";\n}\n\n.bosch-ic-linkedin:before {\n  content: "\\ea9f";\n}\n\n.bosch-ic-pinterest:before {\n  content: "\\eaa0";\n}\n\n.bosch-ic-skype:before {\n  content: "\\eaa1";\n}\n\n.bosch-ic-snapchat:before {\n  content: "\\eaa2";\n}\n\n.bosch-ic-tumblr:before {\n  content: "\\eaa3";\n}\n\n.bosch-ic-twitter:before {\n  content: "\\eaa4";\n}\n\n.bosch-ic-vimeo:before {\n  content: "\\eaa5";\n}\n\n.bosch-ic-vk:before {\n  content: "\\eaa6";\n}\n\n.bosch-ic-wechat:before {\n  content: "\\eaa7";\n}\n\n.bosch-ic-weibo:before {\n  content: "\\eaa8";\n}\n\n.bosch-ic-whatsapp:before {\n  content: "\\eaa9";\n}\n\n.bosch-ic-xing:before {\n  content: "\\eaaa";\n}\n\n.bosch-ic-youku:before {\n  content: "\\eaab";\n}\n\n.bosch-ic-youtube:before {\n  content: "\\eaac";\n}\n\n.bosch-ic-alert-info-filled:before {\n  content: "\\eb0e";\n}\n\n.bosch-ic-alert-info:before {\n  content: "\\eb0f";\n}\n\n.bosch-ic-info-i-frame:before {\n  content: "\\e8ab";\n}\n\n.bosch-ic-stop-frame1:before {\n  content: "\\e8ac";\n}\n\n.bosch-ic-arrow-up-frame-error1:before {\n  content: "\\e8ad";\n}\n\n.bosch-ic-arrow-up-frame-check1:before {\n  content: "\\e8ae";\n}\n\n.bosch-ic-arrow-left-end-frame1:before {\n  content: "\\e8af";\n}\n\n.bosch-ic-arrow-right-end-frame1:before {\n  content: "\\e8b0";\n}\n\n.bosch-ic-badge-checkmark:before {\n  content: "\\e3ee";\n}\n\n.bosch-ic-warranty:before {\n  content: "\\e2b1";\n}\n\n.bosch-ic-bond-laser:before {\n  content: "\\e675";\n}\n\n.bosch-ic-bond-ribbon-thick:before {\n  content: "\\e676";\n}\n\n.bosch-ic-bond-ribbon-thin:before {\n  content: "\\e677";\n}\n\n.bosch-ic-bond-wire-thick:before {\n  content: "\\e678";\n}\n\n.bosch-ic-bond-wire-thin:before {\n  content: "\\e679";\n}\n\n.bosch-ic-clamp-connection-insulation:before {\n  content: "\\e67a";\n}\n\n.bosch-ic-clamp-connection-stamping-grid:before {\n  content: "\\e67b";\n}\n\n.bosch-ic-clinching:before {\n  content: "\\e67c";\n}\n\n.bosch-ic-connector:before {\n  content: "\\e67d";\n}\n\n.bosch-ic-connector-potting:before {\n  content: "\\e67e";\n}\n\n.bosch-ic-element-damping:before {\n  content: "\\e67f";\n}\n\n.bosch-ic-element-pressure-compensation:before {\n  content: "\\e680";\n}\n\n.bosch-ic-flanging:before {\n  content: "\\e681";\n}\n\n.bosch-ic-gap-pad:before {\n  content: "\\e682";\n}\n\n.bosch-ic-heat-sink:before {\n  content: "\\e683";\n}\n\n.bosch-ic-hook-clipsing:before {\n  content: "\\e684";\n}\n\n.bosch-ic-interconnection-board-to-board:before {\n  content: "\\e685";\n}\n\n.bosch-ic-labyrinth-geometry:before {\n  content: "\\e686";\n}\n\n.bosch-ic-lacquering-pcb:before {\n  content: "\\e687";\n}\n\n.bosch-ic-magnetic-rotor:before {\n  content: "\\e688";\n}\n\n.bosch-ic-magnetic-switch:before {\n  content: "\\e689";\n}\n\n.bosch-ic-pin-pressfit:before {\n  content: "\\e68a";\n}\n\n.bosch-ic-power-contact:before {\n  content: "\\e68b";\n}\n\n.bosch-ic-rivet:before {\n  content: "\\e68c";\n}\n\n.bosch-ic-seal-ring:before {\n  content: "\\e68d";\n}\n\n.bosch-ic-sealing-cipg:before {\n  content: "\\e68e";\n}\n\n.bosch-ic-sealing-solid:before {\n  content: "\\e68f";\n}\n\n.bosch-ic-sealing-tongue-groove:before {\n  content: "\\e690";\n}\n\n.bosch-ic-shrinking-arrows-circle:before {\n  content: "\\e691";\n}\n\n.bosch-ic-solder-selective:before {\n  content: "\\e692";\n}\n\n.bosch-ic-spring-mechanical:before {\n  content: "\\e693";\n}\n\n.bosch-ic-staking-hot-air:before {\n  content: "\\e694";\n}\n\n.bosch-ic-stitching:before {\n  content: "\\e695";\n}\n\n.bosch-ic-thermal-inlay:before {\n  content: "\\e696";\n}\n\n.bosch-ic-thermal-via:before {\n  content: "\\e697";\n}\n\n.bosch-ic-tube:before {\n  content: "\\e698";\n}\n\n.bosch-ic-tube-gapfiller:before {\n  content: "\\e699";\n}\n\n.bosch-ic-tube-gelling:before {\n  content: "\\e69a";\n}\n\n.bosch-ic-tube-gluing:before {\n  content: "\\e69b";\n}\n\n.bosch-ic-tube-thermal-adhesive:before {\n  content: "\\e69c";\n}\n\n.bosch-ic-tube-underfill:before {\n  content: "\\e69d";\n}\n\n.bosch-ic-welding-laser:before {\n  content: "\\e69e";\n}\n\n.bosch-ic-welding-resistance:before {\n  content: "\\e69f";\n}\n\n.bosch-ic-welding-ultrasonic:before {\n  content: "\\e6a0";\n}\n\n.bosch-ic-air-condition-cassette:before {\n  content: "\\e6a1";\n}\n\n.bosch-ic-air-condition-ceiling:before {\n  content: "\\e6a2";\n}\n\n.bosch-ic-air-condition-convertible:before {\n  content: "\\e6a3";\n}\n\n.bosch-ic-air-condition-duct:before {\n  content: "\\e6a4";\n}\n\n.bosch-ic-air-condition-floor:before {\n  content: "\\e6a5";\n}\n\n.bosch-ic-air-condition-outdoor:before {\n  content: "\\e6a6";\n}\n\n.bosch-ic-air-condition-outdoor-hp:before {\n  content: "\\e6a7";\n}\n\n.bosch-ic-air-condition-outdoor-hr:before {\n  content: "\\e6a8";\n}\n\n.bosch-ic-air-condition-swing-horizontal:before {\n  content: "\\e6a9";\n}\n\n.bosch-ic-air-condition-swing-vertical:before {\n  content: "\\e6aa";\n}\n\n.bosch-ic-air-condition-wall:before {\n  content: "\\e6ab";\n}\n\n.bosch-ic-angle-curvature-motorcycle:before {\n  content: "\\e6ac";\n}\n\n.bosch-ic-appliance-hot:before {\n  content: "\\e6ad";\n}\n\n.bosch-ic-appliance-water-hot:before {\n  content: "\\e6ae";\n}\n\n.bosch-ic-appliances-hot:before {\n  content: "\\e6af";\n}\n\n.bosch-ic-arrows-left-right-a:before {\n  content: "\\e6b0";\n}\n\n.bosch-ic-arrows-left-right-exchange:before {\n  content: "\\e6b1";\n}\n\n.bosch-ic-arrows-left-right-exchange-unit:before {\n  content: "\\e6b2";\n}\n\n.bosch-ic-arrows-left-right-ice:before {\n  content: "\\e6b3";\n}\n\n.bosch-ic-assembly-line-robot:before {\n  content: "\\e6b4";\n}\n\n.bosch-ic-back-left-small:before {\n  content: "\\e6b5";\n}\n\n.bosch-ic-bacteria:before {\n  content: "\\e6b6";\n}\n\n.bosch-ic-battery-car-drop-leakage-proof:before {\n  content: "\\e6b7";\n}\n\n.bosch-ic-battery-car-hourglass:before {\n  content: "\\e6b8";\n}\n\n.bosch-ic-brake-disk-arrow:before {\n  content: "\\e6b9";\n}\n\n.bosch-ic-brake-disk-compound:before {\n  content: "\\e6ba";\n}\n\n.bosch-ic-building-religious-church:before {\n  content: "\\e6bb";\n}\n\n.bosch-ic-calendar-sheet:before {\n  content: "\\e6bc";\n}\n\n.bosch-ic-caliper:before {\n  content: "\\e6bd";\n}\n\n.bosch-ic-car-middle-arrow:before {\n  content: "\\e6be";\n}\n\n.bosch-ic-checkmark-bold:before {\n  content: "\\e6bf";\n}\n\n.bosch-ic-close-small:before {\n  content: "\\e6c0";\n}\n\n.bosch-ic-data-center:before {\n  content: "\\e6c1";\n}\n\n.bosch-ic-dot:before {\n  content: "\\e6c2";\n}\n\n.bosch-ic-down-small:before {\n  content: "\\e6c3";\n}\n\n.bosch-ic-e-call:before {\n  content: "\\e6c4";\n}\n\n.bosch-ic-fire-extinguisher:before {\n  content: "\\e6c5";\n}\n\n.bosch-ic-fire-off-bold:before {\n  content: "\\e6c6";\n}\n\n.bosch-ic-fire-off-light:before {\n  content: "\\e6c7";\n}\n\n.bosch-ic-forward-right-small:before {\n  content: "\\e6c8";\n}\n\n.bosch-ic-health-warning:before {\n  content: "\\e6c9";\n}\n\n.bosch-ic-ignition-coil-pencil:before {\n  content: "\\e6ca";\n}\n\n.bosch-ic-ignition-condensor:before {\n  content: "\\e6cb";\n}\n\n.bosch-ic-ignition-contact-set:before {\n  content: "\\e6cc";\n}\n\n.bosch-ic-ignition-distributor-cap:before {\n  content: "\\e6cd";\n}\n\n.bosch-ic-ignition-distributor-rotor:before {\n  content: "\\e6ce";\n}\n\n.bosch-ic-ignition-module:before {\n  content: "\\e6cf";\n}\n\n.bosch-ic-less-minimize-bold:before {\n  content: "\\e6d0";\n}\n\n.bosch-ic-leaf-plus-boost:before {\n  content: "\\e6d1";\n}\n\n.bosch-ic-sensor-dynamic:before {\n  content: "\\e6d2";\n}\n\n.bosch-ic-sensor-radar:before {\n  content: "\\e6d3";\n}\n\n.bosch-ic-up-small:before {\n  content: "\\e6d4";\n}\n\n.bosch-ic-water-ladder-off-bold:before {\n  content: "\\e6d5";\n}\n\n.bosch-ic-water-ladder-off-light:before {\n  content: "\\e6d6";\n}\n\n.bosch-ic-nose-desodorize:before {\n  content: "\\e6d7";\n}\n\n.bosch-ic-nose-fine-dust:before {\n  content: "\\e6d8";\n}\n\n.bosch-ic-smartcity-camera:before {\n  content: "\\e6d9";\n}\n\n.bosch-ic-heating-underfloor:before {\n  content: "\\e6da";\n}\n\n.bosch-ic-drill-bit:before {\n  content: "\\e6db";\n}\n\n.bosch-ic-parameter-process:before {\n  content: "\\e6dc";\n}\n\n.bosch-ic-car-side-plug-flash:before {\n  content: "\\e6dd";\n}\n\n.bosch-ic-car-side-plug-engine-flash:before {\n  content: "\\e6de";\n}\n\n.bosch-ic-car-side-engine-flash:before {\n  content: "\\e6df";\n}\n\n.bosch-ic-car-side-hydrogen-flash:before {\n  content: "\\e6e0";\n}\n\n.bosch-ic-car-side-engine:before {\n  content: "\\e6e1";\n}\n\n.bosch-ic-tunnel:before {\n  content: "\\e6e2";\n}\n\n.bosch-ic-stadium-sport:before {\n  content: "\\e6e3";\n}\n\n.bosch-ic-refinery-oil:before {\n  content: "\\e6e4";\n}\n\n.bosch-ic-power-plants:before {\n  content: "\\e6e5";\n}\n\n.bosch-ic-hammer-chisel:before {\n  content: "\\e6e6";\n}\n\n.bosch-ic-glass-cocktail:before {\n  content: "\\e6e7";\n}\n\n.bosch-ic-traffic-light:before {\n  content: "\\e6e8";\n}\n\n.bosch-ic-vehicle-off-road:before {\n  content: "\\e6e9";\n}\n\n.bosch-ic-tablet-finger:before {\n  content: "\\e6ea";\n}\n\n.bosch-ic-scooter-kick:before {\n  content: "\\e6eb";\n}\n\n.bosch-ic-handlebar-motorcycle:before {\n  content: "\\e6ec";\n}\n\n.bosch-ic-display-motorcycle:before {\n  content: "\\e6ed";\n}\n\n.bosch-ic-case-label-product:before {\n  content: "\\e6ee";\n}\n\n.bosch-ic-case-label:before {\n  content: "\\e6ef";\n}\n\n.bosch-ic-product-falling:before {\n  content: "\\e6f0";\n}\n\n.bosch-ic-product-checkmark:before {\n  content: "\\e6f1";\n}\n\n.bosch-ic-product-broken:before {\n  content: "\\e6f2";\n}\n\n.bosch-ic-lightbulb-halogen-rays-bright:before {\n  content: "\\e6f3";\n}\n\n.bosch-ic-lightbulb-halogen-rays:before {\n  content: "\\e6f4";\n}\n\n.bosch-ic-lamp-gas-discharge-rays:before {\n  content: "\\e6f5";\n}\n\n.bosch-ic-home-lightbulb-off-disabled-bold:before {\n  content: "\\e6f6";\n}\n\n.bosch-ic-home-lightbulb-off-disabled-light:before {\n  content: "\\e6f7";\n}\n\n.bosch-ic-fork-lift-boxes:before {\n  content: "\\e6f8";\n}\n\n.bosch-ic-harbour-ship-cargo:before {\n  content: "\\e6f9";\n}\n\n.bosch-ic-rollercoaster:before {\n  content: "\\e6fa";\n}\n\n.bosch-ic-sound-off-light:before {\n  content: "\\e6fb";\n}\n\n.bosch-ic-sound-off-bold:before {\n  content: "\\e6fc";\n}\n\n.bosch-ic-car-door:before {\n  content: "\\e6fd";\n}\n\n.bosch-ic-car-door-tailgate:before {\n  content: "\\e6fe";\n}\n\n.bosch-ic-car-door-split-rear:before {\n  content: "\\e6ff";\n}\n\n.bosch-ic-car-door-rear:before {\n  content: "\\e700";\n}\n\n.bosch-ic-drill-driver-cordless:before {\n  content: "\\e701";\n}\n\n.bosch-ic-virus:before {\n  content: "\\e702";\n}\n\n.bosch-ic-ice-temperature:before {\n  content: "\\e703";\n}\n\n.bosch-ic-sensor-ultrasonic:before {\n  content: "\\e704";\n}\n\n.bosch-ic-user-artificial-intelligence:before {\n  content: "\\e705";\n}\n\n.bosch-ic-detector-leak:before {\n  content: "\\e706";\n}\n\n.bosch-ic-car-seat-add:before {\n  content: "\\e707";\n}\n\n.bosch-ic-car-shuttle-robo:before {\n  content: "\\e708";\n}\n\n.bosch-ic-caravan:before {\n  content: "\\e709";\n}\n\n.bosch-ic-user-water-swimming:before {\n  content: "\\e70a";\n}\n\n.bosch-ic-square-add:before {\n  content: "\\e70b";\n}\n\n.bosch-ic-map-zoom-in:before {\n  content: "\\e70c";\n}\n\n.bosch-ic-map-arrow-pop-out:before {\n  content: "\\e70d";\n}\n\n.bosch-ic-home-user-in-error:before {\n  content: "\\e70e";\n}\n\n.bosch-ic-home-arrow-right-in-denied:before {\n  content: "\\e70f";\n}\n\n.bosch-ic-home-arrow-right-in-check:before {\n  content: "\\e710";\n}\n\n.bosch-ic-home-arrow-right-in:before {\n  content: "\\e711";\n}\n\n.bosch-ic-home-arrow-left-out:before {\n  content: "\\e712";\n}\n\n.bosch-ic-file-error:before {\n  content: "\\e713";\n}\n\n.bosch-ic-dealer-details-missing:before {\n  content: "\\e714";\n}\n\n.bosch-ic-dealer-details-check:before {\n  content: "\\e715";\n}\n\n.bosch-ic-components-add:before {\n  content: "\\e716";\n}\n\n.bosch-ic-machine-cell:before {\n  content: "\\e717";\n}\n\n.bosch-ic-wheel-rim-clean:before {\n  content: "\\e718";\n}\n\n.bosch-ic-gas-can:before {\n  content: "\\e719";\n}\n\n.bosch-ic-steps-locator:before {\n  content: "\\e71a";\n}\n\n.bosch-ic-panel-control-manual:before {\n  content: "\\e71b";\n}\n\n.bosch-ic-socket-europe:before {\n  content: "\\e71c";\n}\n\n.bosch-ic-tripod:before {\n  content: "\\e71d";\n}\n\n.bosch-ic-document-dxf:before {\n  content: "\\e71e";\n}\n\n.bosch-ic-document-dwg:before {\n  content: "\\e71f";\n}\n\n.bosch-ic-hook-wiperblade:before {\n  content: "\\e720";\n}\n\n.bosch-ic-traffic-cone:before {\n  content: "\\e721";\n}\n\n.bosch-ic-folder-locked:before {\n  content: "\\e722";\n}\n\n.bosch-ic-package-self-service:before {\n  content: "\\e723";\n}\n\n.bosch-ic-drop-ice:before {\n  content: "\\e724";\n}\n\n.bosch-ic-lamp-gas-discharge:before {\n  content: "\\e725";\n}\n\n.bosch-ic-home-basement:before {\n  content: "\\e726";\n}\n\n.bosch-ic-link-edit:before {\n  content: "\\e727";\n}\n\n.bosch-ic-table-header-add:before {\n  content: "\\e728";\n}\n\n.bosch-ic-table-column-add-after:before {\n  content: "\\e729";\n}\n\n.bosch-ic-table-row-add-above:before {\n  content: "\\e72a";\n}\n\n.bosch-ic-table-column-add-before:before {\n  content: "\\e72b";\n}\n\n.bosch-ic-table-row-add-below:before {\n  content: "\\e72c";\n}\n\n.bosch-ic-table-cells-split:before {\n  content: "\\e72d";\n}\n\n.bosch-ic-table-cells-merge:before {\n  content: "\\e72e";\n}\n\n.bosch-ic-table-row-delete:before {\n  content: "\\e72f";\n}\n\n.bosch-ic-text-indent-arrow:before {\n  content: "\\e730";\n}\n\n.bosch-ic-text-outdent-arrow:before {\n  content: "\\e731";\n}\n\n.bosch-ic-car-side-flash:before {\n  content: "\\e732";\n}\n\n.bosch-ic-battery-plug-flash:before {\n  content: "\\e733";\n}\n\n.bosch-ic-car-chip:before {\n  content: "\\e734";\n}\n\n.bosch-ic-car-cloud-upload:before {\n  content: "\\e735";\n}\n\n.bosch-ic-circle-parking:before {\n  content: "\\e736";\n}\n\n.bosch-ic-engine-battery-flash:before {\n  content: "\\e737";\n}\n\n.bosch-ic-engine-battery-flash-plug:before {\n  content: "\\e738";\n}\n\n.bosch-ic-engine-combustion:before {\n  content: "\\e739";\n}\n\n.bosch-ic-user-head-scan:before {\n  content: "\\e73a";\n}\n\n.bosch-ic-bluetooth-off-disabled-bold:before {\n  content: "\\e73b";\n}\n\n.bosch-ic-bluetooth-off-disabled-light:before {\n  content: "\\e73c";\n}\n\n.bosch-ic-communicator-off-disabled-bold:before {\n  content: "\\e73d";\n}\n\n.bosch-ic-communicator-off-disabled-light:before {\n  content: "\\e73e";\n}\n\n.bosch-ic-connectivity-off-disabled-bold:before {\n  content: "\\e73f";\n}\n\n.bosch-ic-connectivity-off-disabled-light:before {\n  content: "\\e740";\n}\n\n.bosch-ic-globe-off-disabled-bold:before {\n  content: "\\e741";\n}\n\n.bosch-ic-globe-off-disabled-light:before {\n  content: "\\e742";\n}\n\n.bosch-ic-lamp-led:before {\n  content: "\\e743";\n}\n\n.bosch-ic-wifi-off-disabled-bold:before {\n  content: "\\e744";\n}\n\n.bosch-ic-wifi-off-disabled-light:before {\n  content: "\\e745";\n}\n\n.bosch-ic-wheel-vehicle:before {\n  content: "\\e746";\n}\n\n.bosch-ic-ignition-cable:before {\n  content: "\\e747";\n}\n\n.bosch-ic-ignition-coil:before {\n  content: "\\e748";\n}\n\n.bosch-ic-ignition-distributor:before {\n  content: "\\e749";\n}\n\n.bosch-ic-microphone-classic-off-disabled-light:before {\n  content: "\\e74a";\n}\n\n.bosch-ic-microphone-classic-off-disabled-bold:before {\n  content: "\\e74b";\n}\n\n.bosch-ic-cloud-refresh:before {\n  content: "\\e74c";\n}\n\n.bosch-ic-ignition-coil-module:before {\n  content: "\\e74d";\n}\n\n.bosch-ic-bluetooth-frame:before {\n  content: "\\e8b1";\n}\n\n.bosch-ic-bluetooth-frame-error:before {\n  content: "\\e8b2";\n}\n\n.bosch-ic-ece-ccc-frame:before {\n  content: "\\e8b3";\n}\n\n.bosch-ic-ms-teams:before {\n  content: "\\eaad";\n}\n\n.bosch-ic-ms-teams-frame:before {\n  content: "\\eaae";\n}\n\n.bosch-ic-mold:before {\n  content: "\\f0000";\n}\n\n.bosch-ic-battery-car-cranking-power-high:before {\n  content: "\\f0001";\n}\n\n.bosch-ic-brake-disk-spray-can-coated:before {\n  content: "\\f0002";\n}\n\n.bosch-ic-car-top-arrows-left-front-right-back:before {\n  content: "\\f0003";\n}\n\n.bosch-ic-car-top-arrows-left-back-right-front:before {\n  content: "\\f0004";\n}\n\n.bosch-ic-car-top-arrows-front:before {\n  content: "\\f0005";\n}\n\n.bosch-ic-car-top-arrows-back-front-left-right:before {\n  content: "\\f0006";\n}\n\n.bosch-ic-car-top-arrows-back:before {\n  content: "\\f0007";\n}\n\n.bosch-ic-car-top-arrow-right:before {\n  content: "\\f0008";\n}\n\n.bosch-ic-car-top-arrow-left:before {\n  content: "\\f0009";\n}\n\n.bosch-ic-car-top-arrow-front-right:before {\n  content: "\\f000a";\n}\n\n.bosch-ic-car-top-arrow-front-left:before {\n  content: "\\f000b";\n}\n\n.bosch-ic-car-top-arrow-back-right:before {\n  content: "\\f000c";\n}\n\n.bosch-ic-car-top-arrow-back-left:before {\n  content: "\\f000d";\n}\n\n.bosch-ic-watermelon:before {\n  content: "\\f000e";\n}\n\n.bosch-ic-wind-vane-moderate:before {\n  content: "\\f000f";\n}\n\n.bosch-ic-radioactive:before {\n  content: "\\f0010";\n}\n\n.bosch-ic-heating-underfloor-off-bold:before {\n  content: "\\f0011";\n}\n\n.bosch-ic-heating-underfloor-off-light:before {\n  content: "\\f0012";\n}\n\n.bosch-ic-goat:before {\n  content: "\\f0013";\n}\n\n.bosch-ic-fire-hose:before {\n  content: "\\f0014";\n}\n\n.bosch-ic-user-run-arrow:before {\n  content: "\\f0015";\n}\n\n.bosch-ic-store:before {\n  content: "\\f0016";\n}\n\n.bosch-ic-user-work-dig:before {\n  content: "\\f0017";\n}\n\n.bosch-ic-car-top-arrow-angle-right:before {\n  content: "\\f0018";\n}\n\n.bosch-ic-control-unit-ecu:before {\n  content: "\\f0019";\n}\n\n.bosch-ic-cigarette:before {\n  content: "\\f001a";\n}\n\n.bosch-ic-structure-line:before {\n  content: "\\f001b";\n}\n\n.bosch-ic-product-database-table:before {\n  content: "\\f001c";\n}\n\n.bosch-ic-bicycle-e-remote-led:before {\n  content: "\\f001d";\n}\n\n.bosch-ic-bicycle-e-drive-unit:before {\n  content: "\\f001e";\n}\n\n.bosch-ic-bicycle-e-drive-unit-individual-support:before {\n  content: "\\f001f";\n}\n\n.bosch-ic-nm-arrow-circle:before {\n  content: "\\f0020";\n}\n\n.bosch-ic-tree-path:before {\n  content: "\\f0021";\n}\n\n.bosch-ic-bicycle-e-wheel-arrows:before {\n  content: "\\f0022";\n}\n\n.bosch-ic-tune-vertical:before {\n  content: "\\f0023";\n}\n\n.bosch-ic-sound-professional:before {\n  content: "\\f0024";\n}\n\n.bosch-ic-plane-top-headset:before {\n  content: "\\f0025";\n}\n\n.bosch-ic-desktop-user-headset:before {\n  content: "\\f0026";\n}\n\n.bosch-ic-user-service:before {\n  content: "\\f0027";\n}\n\n.bosch-ic-audio-commercial:before {\n  content: "\\f0028";\n}\n\n.bosch-ic-loudspeaker-portable-note:before {\n  content: "\\f0029";\n}\n\n.bosch-ic-audio-loudspeaker-public:before {\n  content: "\\f002a";\n}\n\n.bosch-ic-items-lost-questionmark:before {\n  content: "\\f002b";\n}\n\n.bosch-ic-hand-pull:before {\n  content: "\\f002c";\n}\n\n.bosch-ic-steering-wheel-hand-horn:before {\n  content: "\\f002d";\n}\n\n.bosch-ic-car-chassis:before {\n  content: "\\f002e";\n}\n\n.bosch-ic-steering-system:before {\n  content: "\\f002f";\n}\n\n.bosch-ic-wheel-suspension:before {\n  content: "\\f0030";\n}\n\n.bosch-ic-car-body-side:before {\n  content: "\\f0031";\n}\n\n.bosch-ic-address-consumer-data-upright:before {\n  content: "\\f0032";\n}\n\n.bosch-ic-weather-wind-rain:before {\n  content: "\\f0033";\n}\n\n.bosch-ic-weather-rain-warning:before {\n  content: "\\f0034";\n}\n\n.bosch-ic-user-check:before {\n  content: "\\f0035";\n}\n\n.bosch-ic-user-warning:before {\n  content: "\\f0036";\n}\n\n.bosch-ic-black-white-stars-circle:before {\n  content: "\\f0037";\n}\n\n.bosch-ic-team-warning:before {\n  content: "\\f0038";\n}\n\n.bosch-ic-black-white-circle:before {\n  content: "\\f0039";\n}\n\n.bosch-ic-suitcase-small:before {\n  content: "\\f003a";\n}\n\n.bosch-ic-suitcase-small-remove:before {\n  content: "\\f003b";\n}\n\n.bosch-ic-home-arrow-out:before {\n  content: "\\f003c";\n}\n\n.bosch-ic-home-arrow-in:before {\n  content: "\\f003d";\n}\n\n.bosch-ic-document-copy-check:before {\n  content: "\\f003e";\n}\n\n.bosch-ic-ring-infrared:before {\n  content: "\\f003f";\n}\n\n.bosch-ic-spirit-level:before {\n  content: "\\f0040";\n}\n\n.bosch-ic-drill-driver-check:before {\n  content: "\\f0041";\n}\n\n.bosch-ic-desktop-led:before {\n  content: "\\f0042";\n}\n\n.bosch-ic-desktop-black-white:before {\n  content: "\\f0043";\n}\n\n.bosch-ic-desktop-warning:before {\n  content: "\\f0044";\n}\n\n.bosch-ic-fire-wall:before {\n  content: "\\f0045";\n}\n\n.bosch-ic-onroad-car-top:before {\n  content: "\\f0046";\n}\n\n.bosch-ic-onroad-suv-top:before {\n  content: "\\f0047";\n}\n\n.bosch-ic-onroad-truck-top:before {\n  content: "\\f0048";\n}\n\n.bosch-ic-weather-rain-ip44:before {\n  content: "\\f0049";\n}\n\n.bosch-ic-weather-rain-ip65:before {\n  content: "\\f004a";\n}\n\n.bosch-ic-weather-rain-ip66:before {\n  content: "\\f004b";\n}\n\n.bosch-ic-weather-rain-ip68:before {\n  content: "\\f004c";\n}\n\n.bosch-ic-weather-rain-ip67:before {\n  content: "\\f004d";\n}\n\n.bosch-ic-user-masking:before {\n  content: "\\f004e";\n}\n\n.bosch-ic-address-consumer-data-dual:before {\n  content: "\\f004f";\n}\n\n.bosch-ic-user-framed:before {\n  content: "\\f0050";\n}\n\n.bosch-ic-user-counting-1:before {\n  content: "\\f0051";\n}\n\n.bosch-ic-square-kx-uhd:before {\n  content: "\\f0052";\n}\n\n.bosch-ic-square-qvga:before {\n  content: "\\f0053";\n}\n\n.bosch-ic-square-vga:before {\n  content: "\\f0054";\n}\n\n.bosch-ic-square-xmp:before {\n  content: "\\f0055";\n}\n\n.bosch-ic-square-xxxp:before {\n  content: "\\f0056";\n}\n\n.bosch-ic-angle-arrows-across:before {\n  content: "\\f0057";\n}\n\n.bosch-ic-angle:before {\n  content: "\\f0058";\n}\n\n.bosch-ic-angle-arrow-up:before {\n  content: "\\f0059";\n}\n\n.bosch-ic-angle-view-wide:before {\n  content: "\\f005a";\n}\n\n.bosch-ic-chat-language-selection:before {\n  content: "\\f005b";\n}\n\n.bosch-ic-smartphone-app:before {\n  content: "\\f005c";\n}\n\n.bosch-ic-commissioning-remote:before {\n  content: "\\f005d";\n}\n\n.bosch-ic-user-run-detection-pir:before {\n  content: "\\f005e";\n}\n\n.bosch-ic-field-in-motion:before {\n  content: "\\f005f";\n}\n\n.bosch-ic-building-integration-system:before {\n  content: "\\f0060";\n}\n\n.bosch-ic-desktop-mamangement:before {\n  content: "\\f0061";\n}\n\n.bosch-ic-desktop-management-camera:before {\n  content: "\\f0062";\n}\n\n.bosch-ic-screwdriver-check:before {\n  content: "\\f0063";\n}\n\n.bosch-ic-screwdriver:before {\n  content: "\\f0064";\n}\n\n.bosch-ic-desktop-hand-touch:before {\n  content: "\\f0065";\n}\n\n.bosch-ic-user-robot-head:before {\n  content: "\\f0066";\n}\n\n.bosch-ic-gear-circles-elements:before {\n  content: "\\f0067";\n}\n\n.bosch-ic-gears-3:before {\n  content: "\\f0068";\n}\n\n.bosch-ic-door-address-consumer-data:before {\n  content: "\\f0069";\n}\n\n.bosch-ic-lock-closed-128bit:before {\n  content: "\\f006a";\n}\n\n.bosch-ic-lock-closed-connected-wps:before {\n  content: "\\f006b";\n}\n\n.bosch-ic-battery-arrow-right:before {\n  content: "\\f006c";\n}\n\n.bosch-ic-connector-bnc:before {\n  content: "\\f006d";\n}\n\n.bosch-ic-tower-connection-cdma:before {\n  content: "\\f006e";\n}\n\n.bosch-ic-tower-connection-gprs:before {\n  content: "\\f006f";\n}\n\n.bosch-ic-tritech:before {\n  content: "\\f0070";\n}\n\n.bosch-ic-quad-sensor-two:before {\n  content: "\\f0071";\n}\n\n.bosch-ic-dynamic-range-hdr:before {\n  content: "\\f0072";\n}\n\n.bosch-ic-dynamic-range-wdr:before {\n  content: "\\f0073";\n}\n\n.bosch-ic-battery-thumb-up-arrow-right:before {\n  content: "\\f0074";\n}\n\n.bosch-ic-screwdriver-thumb-up:before {\n  content: "\\f0075";\n}\n\n.bosch-ic-thumb-up-arrow-up:before {\n  content: "\\f0076";\n}\n\n.bosch-ic-core-data-sql:before {\n  content: "\\f0077";\n}\n\n.bosch-ic-frequency-869:before {\n  content: "\\f0078";\n}\n\n.bosch-ic-coins:before {\n  content: "\\f0079";\n}\n\n.bosch-ic-frames-60:before {\n  content: "\\f007a";\n}\n\n.bosch-ic-hand-card:before {\n  content: "\\f007b";\n}\n\n.bosch-ic-microphone-plugabble:before {\n  content: "\\f007c";\n}\n\n.bosch-ic-video-h264:before {\n  content: "\\f007d";\n}\n\n.bosch-ic-video-hd:before {\n  content: "\\f007e";\n}\n\n.bosch-ic-video-mpeg:before {\n  content: "\\f007f";\n}\n\n.bosch-ic-video-hd-4k:before {\n  content: "\\f0080";\n}\n\n.bosch-ic-video-hd-720:before {\n  content: "\\f0081";\n}\n\n.bosch-ic-lasso:before {\n  content: "\\f0082";\n}\n\n.bosch-ic-lasso-remove:before {\n  content: "\\f0083";\n}\n\n.bosch-ic-battery-car-3-clock:before {\n  content: "\\f0084";\n}\n\n.bosch-ic-battery-car-agm:before {\n  content: "\\f0085";\n}\n\n.bosch-ic-battery-car-flash:before {\n  content: "\\f0086";\n}\n\n.bosch-ic-filter-binary:before {\n  content: "\\f0087";\n}\n\n.bosch-ic-speedometer-bitrate-reduce:before {\n  content: "\\f0088";\n}\n\n.bosch-ic-voting:before {\n  content: "\\f0089";\n}\n\n.bosch-ic-voting-dual:before {\n  content: "\\f008a";\n}\n\n.bosch-ic-sound-pressure-level-90:before {\n  content: "\\f008b";\n}\n\n.bosch-ic-sound-pressure-level-88:before {\n  content: "\\f008c";\n}\n\n.bosch-ic-sound-pressure-level-80:before {\n  content: "\\f008d";\n}\n\n.bosch-ic-power-rated-20:before {\n  content: "\\f008e";\n}\n\n.bosch-ic-labyrinth-geometry-integration:before {\n  content: "\\f008f";\n}\n\n.bosch-ic-head-speaking-voice-2:before {\n  content: "\\f0090";\n}\n\n.bosch-ic-volume-microphone:before {\n  content: "\\f0091";\n}\n\n.bosch-ic-user-walk-route:before {\n  content: "\\f0092";\n}\n\n.bosch-ic-user-walk-line-crossing:before {\n  content: "\\f0093";\n}\n\n.bosch-ic-user-walk-line-count:before {\n  content: "\\f0094";\n}\n\n.bosch-ic-fullscreen-arrows-circle:before {\n  content: "\\f0095";\n}\n\n.bosch-ic-field-arrows-counter-flow:before {\n  content: "\\f0096";\n}\n\n.bosch-ic-field-arrows-directed-flow:before {\n  content: "\\f0097";\n}\n\n.bosch-ic-user-birds-eye-count-12:before {\n  content: "\\f0098";\n}\n\n.bosch-ic-field-user-count-12:before {\n  content: "\\f0099";\n}\n\n.bosch-ic-field-user-falling:before {\n  content: "\\f009a";\n}\n\n.bosch-ic-field-user-loitering-arrow:before {\n  content: "\\f009b";\n}\n\n.bosch-ic-field-user-similarity:before {\n  content: "\\f009c";\n}\n\n.bosch-ic-field-user-walk:before {\n  content: "\\f009d";\n}\n\n.bosch-ic-field-user-walk-arrow-behind:before {\n  content: "\\f009e";\n}\n\n.bosch-ic-field-user-walk-arrow-in-front:before {\n  content: "\\f009f";\n}\n\n.bosch-ic-field-users:before {\n  content: "\\f00a0";\n}\n\n.bosch-ic-shock-resistant:before {\n  content: "\\f00a1";\n}\n\n.bosch-ic-bus-sdi:before {\n  content: "\\f00a2";\n}\n\n.bosch-ic-bus-sdi2:before {\n  content: "\\f00a3";\n}\n\n.bosch-ic-folder-ip-net:before {\n  content: "\\f00a4";\n}\n\n.bosch-ic-globe-iscsi:before {\n  content: "\\f00a5";\n}\n\n.bosch-ic-offline-www:before {\n  content: "\\f00a6";\n}\n\n.bosch-ic-opc:before {\n  content: "\\f00a7";\n}\n\n.bosch-ic-osdp:before {\n  content: "\\f00a8";\n}\n\n.bosch-ic-settings-connected-ptrz:before {\n  content: "\\f00a9";\n}\n\n.bosch-ic-raid:before {\n  content: "\\f00aa";\n}\n\n.bosch-ic-lsn:before {\n  content: "\\f00ab";\n}\n\n.bosch-ic-pointbus:before {\n  content: "\\f00ac";\n}\n\n.bosch-ic-male-count-12:before {\n  content: "\\f00ad";\n}\n\n.bosch-ic-circle-point-record:before {\n  content: "\\f00ae";\n}\n\n.bosch-ic-plug-poe:before {\n  content: "\\f00af";\n}\n\n.bosch-ic-ir-distribution:before {\n  content: "\\f00b0";\n}\n\n.bosch-ic-ir-range:before {\n  content: "\\f00b1";\n}\n\n.bosch-ic-connectivity-it:before {\n  content: "\\f00b2";\n}\n\n.bosch-ic-music-note-plus:before {\n  content: "\\f00b3";\n}\n\n.bosch-ic-music-note-plus-two:before {\n  content: "\\f00b4";\n}\n\n.bosch-ic-chat-language-chn:before {\n  content: "\\f00b5";\n}\n\n.bosch-ic-microphone-high-directive:before {\n  content: "\\f00b6";\n}\n\n.bosch-ic-document-copy-rg-gf:before {\n  content: "\\f00b7";\n}\n\n.bosch-ic-document-copy-cdq:before {\n  content: "\\f00b8";\n}\n\n.bosch-ic-document-copy-cgp:before {\n  content: "\\f00b9";\n}\n\n.bosch-ic-folder-add:before {\n  content: "\\f00ba";\n}\n\n.bosch-ic-user-tie:before {\n  content: "\\f00bb";\n}\n\n.bosch-ic-pill:before {\n  content: "\\f00bc";\n}\n\n.bosch-ic-sonotrode:before {\n  content: "\\f00bd";\n}\n\n.bosch-ic-user-thumb-up:before {\n  content: "\\f00be";\n}\n\n.bosch-ic-architecture:before {\n  content: "\\f00bf";\n}\n\n.bosch-ic-clamping-area-arrows:before {\n  content: "\\f00c0";\n}\n\n.bosch-ic-clamping-rib:before {\n  content: "\\f00c1";\n}\n\n.bosch-ic-connection-plug-in:before {\n  content: "\\f00c2";\n}\n\n.bosch-ic-connection-plug-in-electrical:before {\n  content: "\\f00c3";\n}\n\n.bosch-ic-connection-plug-in-socket:before {\n  content: "\\f00c4";\n}\n\n.bosch-ic-connector-shield-emc:before {\n  content: "\\f00c5";\n}\n\n.bosch-ic-foil-flex:before {\n  content: "\\f00c6";\n}\n\n.bosch-ic-grid-fan:before {\n  content: "\\f00c7";\n}\n\n.bosch-ic-screw-nut:before {\n  content: "\\f00c8";\n}\n\n.bosch-ic-sealing-groove:before {\n  content: "\\f00c9";\n}\n\n.bosch-ic-sealing-tongue-groove-flash:before {\n  content: "\\f00ca";\n}\n\n.bosch-ic-solder:before {\n  content: "\\f00cb";\n}\n\n.bosch-ic-solder-selective-ssl:before {\n  content: "\\f00cc";\n}\n\n.bosch-ic-solder-selective-thrs:before {\n  content: "\\f00cd";\n}\n\n.bosch-ic-tuner-box:before {\n  content: "\\f00ce";\n}\n\n.bosch-ic-water-cooling-arrow-up:before {\n  content: "\\f00cf";\n}\n\n.bosch-ic-generic-device-connected:before {\n  content: "\\f00d0";\n}\n\n.bosch-ic-home-sun-flash:before {\n  content: "\\f00d1";\n}\n\n.bosch-ic-home-sun-wrench:before {\n  content: "\\f00d2";\n}\n\n.bosch-ic-temperature-lock:before {\n  content: "\\f00d3";\n}\n\n.bosch-ic-solder-method-smd:before {\n  content: "\\f00d4";\n}\n\n.bosch-ic-pins:before {\n  content: "\\f00d5";\n}\n\n.bosch-ic-connector-housing:before {\n  content: "\\f00d6";\n}\n\n.bosch-ic-antenna-cover-arrow-up:before {\n  content: "\\f00d7";\n}\n\n.bosch-ic-angle-open-horizontal-130:before {\n  content: "\\f00d8";\n}\n\n.bosch-ic-angle-open-vertical-130:before {\n  content: "\\f00d9";\n}\n\n.bosch-ic-angle-open-vertical-90:before {\n  content: "\\f00da";\n}\n\n.bosch-ic-angle-open-horizontal-145:before {\n  content: "\\f00db";\n}\n\n.bosch-ic-steering-system-steer-by-wire:before {\n  content: "\\f00dc";\n}\n\n.bosch-ic-tune-vertical-music-note:before {\n  content: "\\f00dd";\n}\n\n.bosch-ic-hammer-movement:before {\n  content: "\\f00de";\n}\n\n.bosch-ic-drill-drive-percent-35:before {\n  content: "\\f00df";\n}\n\n.bosch-ic-country-switzerland:before {\n  content: "\\f00e0";\n}\n\n.bosch-ic-speedlimit-revoking:before {\n  content: "\\f00e1";\n}\n\n.bosch-ic-speedlimit-80-revoking:before {\n  content: "\\f00e2";\n}\n\n.bosch-ic-speedlimit-80-dirty:before {\n  content: "\\f00e3";\n}\n\n.bosch-ic-battery-car-mf:before {\n  content: "\\f00e4";\n}\n\n.bosch-ic-access-controller-2:before {\n  content: "\\f00e5";\n}\n\n.bosch-ic-access-controller-arrow-up:before {\n  content: "\\f00e6";\n}\n\n.bosch-ic-access-controller-points-set:before {\n  content: "\\f00e7";\n}\n\n.bosch-ic-analog-value:before {\n  content: "\\f00e8";\n}\n\n.bosch-ic-analog-value-arrow-in:before {\n  content: "\\f00e9";\n}\n\n.bosch-ic-analog-value-arrow-out:before {\n  content: "\\f00ea";\n}\n\n.bosch-ic-binary-value:before {\n  content: "\\f00eb";\n}\n\n.bosch-ic-binary-value-arrow-in:before {\n  content: "\\f00ec";\n}\n\n.bosch-ic-binary-value-arrow-out:before {\n  content: "\\f00ed";\n}\n\n.bosch-ic-calendar-date-single:before {\n  content: "\\f00ee";\n}\n\n.bosch-ic-calendar-date-weekend:before {\n  content: "\\f00ef";\n}\n\n.bosch-ic-calendar-view:before {\n  content: "\\f00f0";\n}\n\n.bosch-ic-chart-average:before {\n  content: "\\f00f1";\n}\n\n.bosch-ic-chart-line-arrows-up:before {\n  content: "\\f00f2";\n}\n\n.bosch-ic-configuration-points-set:before {\n  content: "\\f00f3";\n}\n\n.bosch-ic-data-points-set:before {\n  content: "\\f00f4";\n}\n\n.bosch-ic-document-points-set:before {\n  content: "\\f00f5";\n}\n\n.bosch-ic-multistate-value:before {\n  content: "\\f00f6";\n}\n\n.bosch-ic-multistate-value-arrow-in:before {\n  content: "\\f00f7";\n}\n\n.bosch-ic-multistate-value-arrow-out:before {\n  content: "\\f00f8";\n}\n\n.bosch-ic-structure-bacnet:before {\n  content: "\\f00f9";\n}\n\n.bosch-ic-structure-sbus:before {\n  content: "\\f00fa";\n}\n\n.bosch-ic-team-arrows-in:before {\n  content: "\\f00fb";\n}\n\n.bosch-ic-import-points-set:before {\n  content: "\\f00fc";\n}\n\n.bosch-ic-image-points-set:before {\n  content: "\\f00fd";\n}\n\n.bosch-ic-circuit-hydraulic:before {\n  content: "\\f00fe";\n}\n\n.bosch-ic-structure-area:before {\n  content: "\\f00ff";\n}\n\n.bosch-ic-structure-calculate:before {\n  content: "\\f0100";\n}\n\n.bosch-ic-structure-clipboard:before {\n  content: "\\f0101";\n}\n\n.bosch-ic-structure-collection:before {\n  content: "\\f0102";\n}\n\n.bosch-ic-structure-components:before {\n  content: "\\f0103";\n}\n\n.bosch-ic-structure-device:before {\n  content: "\\f0104";\n}\n\n.bosch-ic-structure-dragdrop:before {\n  content: "\\f0105";\n}\n\n.bosch-ic-structure-floor:before {\n  content: "\\f0106";\n}\n\n.bosch-ic-structure-organization:before {\n  content: "\\f0107";\n}\n\n.bosch-ic-structure-questionmark:before {\n  content: "\\f0108";\n}\n\n.bosch-ic-structure-settings:before {\n  content: "\\f0109";\n}\n\n.bosch-ic-structure-skyscraper:before {\n  content: "\\f010a";\n}\n\n.bosch-ic-structure-window-console:before {\n  content: "\\f010b";\n}\n\n.bosch-ic-structure-wrench:before {\n  content: "\\f010c";\n}\n\n.bosch-ic-car-pickup:before {\n  content: "\\f010d";\n}\n\n.bosch-ic-desktop-team:before {\n  content: "\\f010e";\n}\n\n.bosch-ic-keyboard-arrow-enter-return:before {\n  content: "\\f010f";\n}\n\n.bosch-ic-keyboard-arrow-left:before {\n  content: "\\f0110";\n}\n\n.bosch-ic-keyboard-arrow-right-tab:before {\n  content: "\\f0111";\n}\n\n.bosch-ic-keyboard-capslock:before {\n  content: "\\f0112";\n}\n\n.bosch-ic-keyboard-shift:before {\n  content: "\\f0113";\n}\n\n.bosch-ic-keyboard-space:before {\n  content: "\\f0114";\n}\n\n.bosch-ic-bluetooth-le-off-disabled-light:before {\n  content: "\\f0115";\n}\n\n.bosch-ic-structure-label-edit:before {\n  content: "\\f0116";\n}\n\n.bosch-ic-structure-server:before {\n  content: "\\f0117";\n}\n\n.bosch-ic-truck-box:before {\n  content: "\\f0118";\n}\n\n.bosch-ic-imagery-off-disabled-light:before {\n  content: "\\f0119";\n}\n\n.bosch-ic-imagery-off-disabled-bold:before {\n  content: "\\f011a";\n}\n\n.bosch-ic-plan-floorplan-edit:before {\n  content: "\\f011b";\n}\n\n.bosch-ic-desktop-building-ruler-pen:before {\n  content: "\\f011c";\n}\n\n.bosch-ic-conference-system-connected:before {\n  content: "\\f011d";\n}\n\n.bosch-ic-receiver-pocket-headphones:before {\n  content: "\\f011e";\n}\n\n.bosch-ic-conference-system-microphone:before {\n  content: "\\f011f";\n}\n\n.bosch-ic-user-carry-box:before {\n  content: "\\f0120";\n}\n\n.bosch-ic-user-handcart:before {\n  content: "\\f0121";\n}\n\n.bosch-ic-user-carry-box-2:before {\n  content: "\\f0122";\n}\n\n.bosch-ic-locator-error:before {\n  content: "\\f0123";\n}\n\n.bosch-ic-locator-offline:before {\n  content: "\\f0124";\n}\n\n.bosch-ic-locator-refresh:before {\n  content: "\\f0125";\n}\n\n.bosch-ic-chart-bar-plug-arrow-up:before {\n  content: "\\f0126";\n}\n\n.bosch-ic-clipboard-search-leaf:before {\n  content: "\\f0127";\n}\n\n.bosch-ic-handover-leaf:before {\n  content: "\\f0128";\n}\n\n.bosch-ic-home-sun-plug:before {\n  content: "\\f0129";\n}\n\n.bosch-ic-lightbulb-plug-leaf:before {\n  content: "\\f012a";\n}\n\n.bosch-ic-wheel-water-plug:before {\n  content: "\\f012b";\n}\n\n.bosch-ic-windmill-plug:before {\n  content: "\\f012c";\n}\n\n.bosch-ic-windmill-plug-sun-water:before {\n  content: "\\f012d";\n}\n\n.bosch-ic-scale-co2:before {\n  content: "\\f012e";\n}\n\n.bosch-ic-certificat-co2:before {\n  content: "\\f012f";\n}\n\n.bosch-ic-car-crash:before {\n  content: "\\f0130";\n}\n\n.bosch-ic-headphones:before {\n  content: "\\f0131";\n}\n\n.bosch-ic-music-note:before {\n  content: "\\f0132";\n}\n\n.bosch-ic-clef-treble:before {\n  content: "\\f0133";\n}\n\n.bosch-ic-clef-bass:before {\n  content: "\\f0134";\n}\n\n.bosch-ic-volume:before {\n  content: "\\f0135";\n}\n\n.bosch-ic-volume-increase:before {\n  content: "\\f0136";\n}\n\n.bosch-ic-head-speach-speaking:before {\n  content: "\\f0137";\n}\n\n.bosch-ic-head-speaking-request:before {\n  content: "\\f0138";\n}\n\n.bosch-ic-tetragon-priority:before {\n  content: "\\f0139";\n}\n\n.bosch-ic-head-respond-speaking:before {\n  content: "\\f013a";\n}\n\n.bosch-ic-head-respond-request:before {\n  content: "\\f013b";\n}\n\n.bosch-ic-hand-stop:before {\n  content: "\\f013c";\n}\n\n.bosch-ic-layers-stack:before {\n  content: "\\f013d";\n}\n\n.bosch-ic-puzzle-binary:before {\n  content: "\\f013e";\n}\n\n.bosch-ic-sdcard-micro:before {\n  content: "\\f013f";\n}\n\n.bosch-ic-reader-card:before {\n  content: "\\f0140";\n}\n\n.bosch-ic-reader-user-recognition-face:before {\n  content: "\\f0141";\n}\n\n.bosch-ic-detector-point-type:before {\n  content: "\\f0142";\n}\n\n.bosch-ic-manual-call-point:before {\n  content: "\\f0143";\n}\n\n.bosch-ic-gun-magnifier:before {\n  content: "\\f0144";\n}\n\n.bosch-ic-interface-module:before {\n  content: "\\f0145";\n}\n\n.bosch-ic-fire-detector-automatic:before {\n  content: "\\f0146";\n}\n\n.bosch-ic-fire-brigade-emergency:before {\n  content: "\\f0147";\n}\n\n.bosch-ic-volume-siren-device:before {\n  content: "\\f0148";\n}\n\n.bosch-ic-user-reception:before {\n  content: "\\f0149";\n}\n\n.bosch-ic-shredder-machine:before {\n  content: "\\f014a";\n}\n\n.bosch-ic-badge-clean:before {\n  content: "\\f014b";\n}\n\n.bosch-ic-parking-assistance:before {\n  content: "\\f014c";\n}\n\n.bosch-ic-laptop-questionmark:before {\n  content: "\\f014d";\n}\n\n.bosch-ic-security-lock:before {\n  content: "\\f014e";\n}\n\n.bosch-ic-battery-car-12v:before {\n  content: "\\f014f";\n}\n\n.bosch-ic-car-far-propagation:before {\n  content: "\\f0150";\n}\n\n.bosch-ic-car-wide-propagation:before {\n  content: "\\f0151";\n}\n\n.bosch-ic-ear-sound:before {\n  content: "\\f0152";\n}\n\n.bosch-ic-umbrella-drops:before {\n  content: "\\f0153";\n}\n\n.bosch-ic-horn-arrows-in:before {\n  content: "\\f0154";\n}\n\n.bosch-ic-video-bell:before {\n  content: "\\f0155";\n}\n\n.bosch-ic-steering-wheel-arrows-up:before {\n  content: "\\f0156";\n}\n\n.bosch-ic-circle-full:before {\n  content: "\\f0157";\n}\n\n.bosch-ic-circle-half:before {\n  content: "\\f0158";\n}\n\n.bosch-ic-circle-quarter:before {\n  content: "\\f0159";\n}\n\n.bosch-ic-circle-quarter-three:before {\n  content: "\\f015a";\n}\n\n.bosch-ic-appliance-flame-arrow:before {\n  content: "\\f015b";\n}\n\n.bosch-ic-appliance-flame-arrow-bold:before {\n  content: "\\f015c";\n}\n\n.bosch-ic-appliance-flame-disabled-bold:before {\n  content: "\\f015d";\n}\n\n.bosch-ic-appliance-flame-disabled-light:before {\n  content: "\\f015e";\n}\n\n.bosch-ic-appliance-flame-plus:before {\n  content: "\\f015f";\n}\n\n.bosch-ic-appliance-flame-plus-bold:before {\n  content: "\\f0160";\n}\n\n.bosch-ic-flash-minus-bold:before {\n  content: "\\f0161";\n}\n\n.bosch-ic-flash-minus:before {\n  content: "\\f0162";\n}\n\n.bosch-ic-flash-off:before {\n  content: "\\f0163";\n}\n\n.bosch-ic-flash-plus-bold:before {\n  content: "\\f0164";\n}\n\n.bosch-ic-flash-smart-grid:before {\n  content: "\\f0165";\n}\n\n.bosch-ic-signal-high:before {\n  content: "\\f0166";\n}\n\n.bosch-ic-signal-low:before {\n  content: "\\f0167";\n}\n\n.bosch-ic-signal-very-low:before {\n  content: "\\f0168";\n}\n\n.bosch-ic-5g:before {\n  content: "\\f0169";\n}\n\n.bosch-ic-sun-photovoltaic:before {\n  content: "\\f016a";\n}\n\n.bosch-ic-inverter:before {\n  content: "\\f016b";\n}\n\n.bosch-ic-car-arrow-down:before {\n  content: "\\f016c";\n}\n\n.bosch-ic-car-distance:before {\n  content: "\\f016d";\n}\n\n.bosch-ic-car-sensor:before {\n  content: "\\f016e";\n}\n\n.bosch-ic-car-sensor-environment:before {\n  content: "\\f016f";\n}\n\n.bosch-ic-car-sensor-front:before {\n  content: "\\f0170";\n}\n\n.bosch-ic-streets-locator:before {\n  content: "\\f0171";\n}\n\n.bosch-ic-truck-distance:before {\n  content: "\\f0172";\n}\n\n.bosch-ic-warning-user-walk:before {\n  content: "\\f0173";\n}\n\n.bosch-ic-parking-check:before {\n  content: "\\f0174";\n}\n\n.bosch-ic-dremel:before {\n  content: "\\f0175";\n}\n\n.bosch-ic-allergens:before {\n  content: "\\f0176";\n}\n\n.bosch-ic-money-currency-coins:before {\n  content: "\\f0177";\n}\n\n.bosch-ic-hydrogen-small:before {\n  content: "\\f0178";\n}\n\n.bosch-ic-hydrogen-large:before {\n  content: "\\f0179";\n}\n\n.bosch-ic-shoppingcart-remove:before {\n  content: "\\f017a";\n}\n\n.bosch-ic-chimney-sweeper-disabled-light:before {\n  content: "\\f017b";\n}\n\n.bosch-ic-chimney-sweeper-disabled-bold:before {\n  content: "\\f017c";\n}\n\n.bosch-ic-car-waves:before {\n  content: "\\f017d";\n}\n\n.bosch-ic-360-degrees-arrow:before {\n  content: "\\f017e";\n}\n\n.bosch-ic-clock-info:before {\n  content: "\\f017f";\n}\n\n.bosch-ic-truck-front-disabled-bold:before {\n  content: "\\f0180";\n}\n\n.bosch-ic-truck-front-disabled-light:before {\n  content: "\\f0181";\n}\n\n.bosch-ic-box-closed-list:before {\n  content: "\\f0182";\n}\n\n.bosch-ic-battery-car-exchange:before {\n  content: "\\f0183";\n}\n\n.bosch-ic-guitar:before {\n  content: "\\f0184";\n}\n\n.bosch-ic-actuator-by-wire:before {\n  content: "\\f0185";\n}\n\n.bosch-ic-guitar-electric:before {\n  content: "\\f0186";\n}\n\n.bosch-ic-format-align-center:before {\n  content: "\\f0187";\n}\n\n.bosch-ic-format-align-justify:before {\n  content: "\\f0188";\n}\n\n.bosch-ic-format-align-right:before {\n  content: "\\f0189";\n}\n\n.bosch-ic-format-checklist:before {\n  content: "\\f018a";\n}\n\n.bosch-ic-format-italic:before {\n  content: "\\f018b";\n}\n\n.bosch-ic-format-ordered-list:before {\n  content: "\\f018c";\n}\n\n.bosch-ic-format-strike:before {\n  content: "\\f018d";\n}\n\n.bosch-ic-format-underline:before {\n  content: "\\f018e";\n}\n\n.bosch-ic-format-align-left:before {\n  content: "\\f018f";\n}\n\n.bosch-ic-format-fill-drop:before {\n  content: "\\f0190";\n}\n\n.bosch-ic-format-color-a:before {\n  content: "\\f0191";\n}\n\n.bosch-ic-format-bold-b:before {\n  content: "\\f0192";\n}\n\n.bosch-ic-fly:before {\n  content: "\\f0193";\n}\n\n.bosch-ic-paw:before {\n  content: "\\f0194";\n}\n\n.bosch-ic-desktop-video-response-fast:before {\n  content: "\\f0195";\n}\n\n.bosch-ic-user-walk-weather-rain:before {\n  content: "\\f0196";\n}\n\n.bosch-ic-brake-pedal-plug:before {\n  content: "\\f0197";\n}\n\n.bosch-ic-detector-motion-range-down-view:before {\n  content: "\\f0198";\n}\n\n.bosch-ic-detector-motion-range-long:before {\n  content: "\\f0199";\n}\n\n.bosch-ic-monitor-tiled:before {\n  content: "\\f019a";\n}\n\n.bosch-ic-radar-doppler:before {\n  content: "\\f019b";\n}\n\n.bosch-ic-radioactive-disabled-light:before {\n  content: "\\f019c";\n}\n\n.bosch-ic-radioactive-disabled-bold:before {\n  content: "\\f019d";\n}\n\n.bosch-ic-bug-disabled-light:before {\n  content: "\\f019e";\n}\n\n.bosch-ic-bug-disabled-bold:before {\n  content: "\\f019f";\n}\n\n.bosch-ic-fly-disabled-light:before {\n  content: "\\f01a0";\n}\n\n.bosch-ic-fly-disabled-bold:before {\n  content: "\\f01a1";\n}\n\n.bosch-ic-puzzle-2:before {\n  content: "\\f01a2";\n}\n\n.bosch-ic-camera-lenses-multi-images:before {\n  content: "\\f01a3";\n}\n\n.bosch-ic-detector-spray:before {\n  content: "\\f01a4";\n}\n\n.bosch-ic-weather-rain-ip56:before {\n  content: "\\f01a5";\n}\n\n.bosch-ic-document-log-start:before {\n  content: "\\f01a6";\n}\n\n.bosch-ic-document-log-stop:before {\n  content: "\\f01a7";\n}\n\n.bosch-ic-document-3d-pdf:before {\n  content: "\\f01a8";\n}\n\n.bosch-ic-document-ifc:before {\n  content: "\\f01a9";\n}\n\n.bosch-ic-document-rfa:before {\n  content: "\\f01aa";\n}\n\n.bosch-ic-document-stp:before {\n  content: "\\f01ab";\n}\n\n.bosch-ic-recycle-arrows-pap20-frame:before {\n  content: "\\e8b4";\n}\n\n.bosch-ic-umbrella-drops-frame:before {\n  content: "\\e8b5";\n}\n\n.bosch-ic-arrows-this-side-up-frame:before {\n  content: "\\e8b6";\n}\n\n.bosch-ic-glass-wine-frame:before {\n  content: "\\e8b7";\n}\n\n.bosch-ic-pb-frame:before {\n  content: "\\e8b8";\n}\n\n.bosch-ic-pb-frame-disabled-bold:before {\n  content: "\\e8b9";\n}\n\n.bosch-ic-pb-frame-disabled-light:before {\n  content: "\\e8ba";\n}\n\n.bosch-ic-mode-frame:before {\n  content: "\\e8bb";\n}\n\n.bosch-ic-uv-frame-disabled-bold:before {\n  content: "\\e8bc";\n}\n\n.bosch-ic-uv-frame-disabled-light:before {\n  content: "\\e8bd";\n}\n\n.bosch-ic-fan-frame:before {\n  content: "\\e8be";\n}\n\n.bosch-ic-flash-frame:before {\n  content: "\\e8bf";\n}\n\n.bosch-ic-kakao:before {\n  content: "\\eaaf";\n}\n\n.bosch-ic-kakao-frame:before {\n  content: "\\eab0";\n}\n\n.bosch-ic-naver:before {\n  content: "\\eab1";\n}\n\n.bosch-ic-naver-frame:before {\n  content: "\\eab2";\n}\n\n.bosch-ic-tencent:before {\n  content: "\\eab3";\n}\n\n.bosch-ic-tencent-frame:before {\n  content: "\\eab4";\n}\n\n.bosch-ic-wordpress:before {\n  content: "\\eab5";\n}\n\n.bosch-ic-wordpress-frame:before {\n  content: "\\eab6";\n}\n\n.bosch-ic-mini-program-frame:before {\n  content: "\\eab7";\n}\n\n.bosch-ic-mini-program:before {\n  content: "\\eab8";\n}\n\n.bosch-ic-tiktok:before {\n  content: "\\eab9";\n}\n\n.bosch-ic-tiktok-frame:before {\n  content: "\\eaba";\n}\n\n.bosch-ic-glassdoor:before {\n  content: "\\eabb";\n}\n\n.bosch-ic-glassdoor-frame:before {\n  content: "\\eabc";\n}\n\n.bosch-ic-git-hub:before {\n  content: "\\eabd";\n}\n\n.bosch-ic-git-hub-frame:before {\n  content: "\\eabe";\n}\n\n.bosch-ic-online-www:before {\n  content: "\\f01ac";\n}\n\n.bosch-ic-bluetooth-connected:before {\n  content: "\\f01ad";\n}\n\n.bosch-ic-connected-tools:before {\n  content: "\\f01ae";\n}\n\n.bosch-ic-badge-arrow-kickback:before {\n  content: "\\f01af";\n}\n\n.bosch-ic-copy-paste:before {\n  content: "\\f01b0";\n}\n\n.bosch-ic-volleyball:before {\n  content: "\\f01b1";\n}\n\n.bosch-ic-car-top-trailer:before {\n  content: "\\f01b2";\n}\n\n.bosch-ic-mountain:before {\n  content: "\\f01b3";\n}\n\n.bosch-ic-battery-car-oil-lamp:before {\n  content: "\\f01b4";\n}\n\n.bosch-ic-battery-car-efb:before {\n  content: "\\f01b5";\n}\n\n.bosch-ic-battery-car-ams:before {\n  content: "\\f01b6";\n}\n\n.bosch-ic-battery-car-ag:before {\n  content: "\\f01b7";\n}\n\n.bosch-ic-display-fuel-saving:before {\n  content: "\\f01b8";\n}\n\n.bosch-ic-circle-parking-arrows:before {\n  content: "\\f01b9";\n}\n\n.bosch-ic-unicorn-head:before {\n  content: "\\f01ba";\n}\n\n.bosch-ic-car-parking-automated:before {\n  content: "\\f01bb";\n}\n\n.bosch-ic-lunchboard:before {\n  content: "\\f01bc";\n}\n\n.bosch-ic-tetrapack:before {\n  content: "\\f01bd";\n}\n\n.bosch-ic-recycle-arrows:before {\n  content: "\\f01be";\n}\n\n.bosch-ic-stairs-arrow-up:before {\n  content: "\\f01bf";\n}\n\n.bosch-ic-stairs-arrow-down:before {\n  content: "\\f01c0";\n}\n\n.bosch-ic-industry-car-arrow:before {\n  content: "\\f01c1";\n}\n\n.bosch-ic-sensor-throttle-position:before {\n  content: "\\f01c2";\n}\n\n.bosch-ic-sensor-knock:before {\n  content: "\\f01c3";\n}\n\n.bosch-ic-sensor-air-mass-meter:before {\n  content: "\\f01c4";\n}\n\n.bosch-ic-sensor-pressure:before {\n  content: "\\f01c5";\n}\n\n.bosch-ic-sensor-temperature:before {\n  content: "\\f01c6";\n}\n\n.bosch-ic-sensor-speed-rpm:before {\n  content: "\\f01c7";\n}\n\n.bosch-ic-desktop-user-software-clock:before {\n  content: "\\f01c8";\n}\n\n.bosch-ic-book-service-wrench-add:before {\n  content: "\\f01c9";\n}\n\n.bosch-ic-book-service-wrench:before {\n  content: "\\f01ca";\n}\n\n.bosch-ic-bicycle-e-drive-unit-individual-support-off-light:before {\n  content: "\\f01cb";\n}\n\n.bosch-ic-bicycle-e-drive-unit-individual-support-off-bold:before {\n  content: "\\f01cc";\n}\n\n.bosch-ic-circle-parking-disabled-bold:before {\n  content: "\\f01cd";\n}\n\n.bosch-ic-circle-parking-disabled-light:before {\n  content: "\\f01ce";\n}\n\n.bosch-ic-interval-30sec:before {\n  content: "\\f01cf";\n}\n\n.bosch-ic-truck-front-light-inside:before {\n  content: "\\f01d0";\n}\n\n.bosch-ic-software-tex:before {\n  content: "\\f01d1";\n}\n\n.bosch-ic-fire-arrow-circle:before {\n  content: "\\f01d2";\n}\n\n.bosch-ic-heating-underfloor-circle-global-off:before {\n  content: "\\f01d3";\n}\n\n.bosch-ic-heating-radiator-circle-global-off:before {\n  content: "\\f01d4";\n}\n\n.bosch-ic-faucet-circle-global-off:before {\n  content: "\\f01d5";\n}\n\n.bosch-ic-moon-stars-starlight:before {\n  content: "\\f01d6";\n}\n\n.bosch-ic-tube-thumb-up:before {\n  content: "\\f01d7";\n}\n\n.bosch-ic-detector-microwave:before {\n  content: "\\f01d8";\n}\n\n.bosch-ic-user-headset-thumb-up:before {\n  content: "\\f01d9";\n}\n\n.bosch-ic-cloud-battery:before {\n  content: "\\f01da";\n}\n\n.bosch-ic-temperature-arrow-up-increase:before {\n  content: "\\f01db";\n}\n\n.bosch-ic-temperature-arrow-down-decrease:before {\n  content: "\\f01dc";\n}\n\n.bosch-ic-moneybag-dollar-chart-double:before {\n  content: "\\f01dd";\n}\n\n.bosch-ic-locator-remove:before {\n  content: "\\f01de";\n}\n\n.bosch-ic-square-remove:before {\n  content: "\\f01df";\n}\n\n.bosch-ic-sun-hdr:before {\n  content: "\\f01e0";\n}\n\n.bosch-ic-moon-stars-circle:before {\n  content: "\\f01e1";\n}\n\n.bosch-ic-temperature-user-detection:before {\n  content: "\\f01e2";\n}\n\n.bosch-ic-wrench-thumb-up:before {\n  content: "\\f01e3";\n}\n\n.bosch-ic-ring-infrared-ir:before {\n  content: "\\f01e4";\n}\n\n.bosch-ic-play-back-arrow:before {\n  content: "\\f01e5";\n}\n\n.bosch-ic-ignition-off:before {\n  content: "\\f01e6";\n}\n\n.bosch-ic-arrow-up-down:before {\n  content: "\\f01e7";\n}\n\n.bosch-ic-arrow-left-right:before {\n  content: "\\f01e8";\n}\n\n.bosch-ic-number-0-bold:before {\n  content: "\\f01e9";\n}\n\n.bosch-ic-number-1-bold:before {\n  content: "\\f01ea";\n}\n\n.bosch-ic-number-2-bold:before {\n  content: "\\f01eb";\n}\n\n.bosch-ic-number-3-bold:before {\n  content: "\\f01ec";\n}\n\n.bosch-ic-number-4-bold:before {\n  content: "\\f01ed";\n}\n\n.bosch-ic-number-5-bold:before {\n  content: "\\f01ee";\n}\n\n.bosch-ic-number-6-bold:before {\n  content: "\\f01ef";\n}\n\n.bosch-ic-number-7-bold:before {\n  content: "\\f01f0";\n}\n\n.bosch-ic-number-8-bold:before {\n  content: "\\f01f1";\n}\n\n.bosch-ic-number-9-bold:before {\n  content: "\\f01f2";\n}\n\n.bosch-ic-e-charging-plug-dc:before {\n  content: "\\f01f3";\n}\n\n.bosch-ic-e-charging-plug-ac-dc:before {\n  content: "\\f01f4";\n}\n\n.bosch-ic-angle-view-wide-monitor:before {\n  content: "\\f01f5";\n}\n\n.bosch-ic-settings-range-ptrz:before {\n  content: "\\f01f6";\n}\n\n.bosch-ic-puzzle-video-integration:before {\n  content: "\\f01f7";\n}\n\n.bosch-ic-number-0-regular:before {\n  content: "\\f01f8";\n}\n\n.bosch-ic-number-1-regular:before {\n  content: "\\f01f9";\n}\n\n.bosch-ic-number-2-regular:before {\n  content: "\\f01fa";\n}\n\n.bosch-ic-number-3-regular:before {\n  content: "\\f01fb";\n}\n\n.bosch-ic-number-4-regular:before {\n  content: "\\f01fc";\n}\n\n.bosch-ic-number-5-regular:before {\n  content: "\\f01fd";\n}\n\n.bosch-ic-number-6-regular:before {\n  content: "\\f01fe";\n}\n\n.bosch-ic-number-7-regular:before {\n  content: "\\f01ff";\n}\n\n.bosch-ic-number-8-regular:before {\n  content: "\\f0200";\n}\n\n.bosch-ic-number-9-regular:before {\n  content: "\\f0201";\n}\n\n.bosch-ic-import-beep:before {\n  content: "\\f0202";\n}\n\n.bosch-ic-file-questionmark:before {\n  content: "\\f0203";\n}\n\n.bosch-ic-file-dollar:before {\n  content: "\\f0204";\n}\n\n.bosch-ic-document-reporting:before {\n  content: "\\f0205";\n}\n\n.bosch-ic-box-questionmark1:before {\n  content: "\\f0206";\n}\n\n.bosch-ic-chat-faq:before {\n  content: "\\f0207";\n}\n\n.bosch-ic-wishlist-filled:before {\n  content: "\\f0208";\n}\n\n.bosch-ic-wishlist-half-filled:before {\n  content: "\\f0209";\n}\n\n.bosch-ic-glove-work:before {\n  content: "\\f020a";\n}\n\n.bosch-ic-lightbulb-halogen-hand-disabled-bold:before {\n  content: "\\f020b";\n}\n\n.bosch-ic-lightbulb-halogen-hand-disabled-light:before {\n  content: "\\f020c";\n}\n\n.bosch-ic-lightbulb-halogen-cracked-disabled-bold:before {\n  content: "\\f020d";\n}\n\n.bosch-ic-lightbulb-halogen-cracked-disabled-light:before {\n  content: "\\f020e";\n}\n\n.bosch-ic-lightbulb-halogen-cracked:before {\n  content: "\\f020f";\n}\n\n.bosch-ic-drops:before {\n  content: "\\f0210";\n}\n\n.bosch-ic-drops-disabled-bold:before {\n  content: "\\f0211";\n}\n\n.bosch-ic-drops-disabled-light:before {\n  content: "\\f0212";\n}\n\n.bosch-ic-temperature-heat:before {\n  content: "\\f0213";\n}\n\n.bosch-ic-allen-key:before {\n  content: "\\f0214";\n}\n\n.bosch-ic-aperture-closed:before {\n  content: "\\f0215";\n}\n\n.bosch-ic-appliance-heat-pump-leaf-connected:before {\n  content: "\\f0216";\n}\n\n.bosch-ic-badge-flash:before {\n  content: "\\f0217";\n}\n\n.bosch-ic-battery-car-1-plug-warning:before {\n  content: "\\f0218";\n}\n\n.bosch-ic-battery-car-3-automatic-mode:before {\n  content: "\\f0219";\n}\n\n.bosch-ic-battery-car-3-ice:before {\n  content: "\\f021a";\n}\n\n.bosch-ic-battery-car-memory-function:before {\n  content: "\\f021b";\n}\n\n.bosch-ic-battery-polarity-reverse-warning:before {\n  content: "\\f021c";\n}\n\n.bosch-ic-book-questionmark:before {\n  content: "\\f021d";\n}\n\n.bosch-ic-book-service-wrench-refresh:before {\n  content: "\\f021e";\n}\n\n.bosch-ic-box-arrow-up:before {\n  content: "\\f021f";\n}\n\n.bosch-ic-box-arrows-up-down:before {\n  content: "\\f0220";\n}\n\n.bosch-ic-camera-optic-sensor:before {\n  content: "\\f0221";\n}\n\n.bosch-ic-car-cloud-software:before {\n  content: "\\f0222";\n}\n\n.bosch-ic-car-gear-technology:before {\n  content: "\\f0223";\n}\n\n.bosch-ic-car-street:before {\n  content: "\\f0224";\n}\n\n.bosch-ic-chip-sensor:before {\n  content: "\\f0225";\n}\n\n.bosch-ic-circle-blank:before {\n  content: "\\f0226";\n}\n\n.bosch-ic-detector-point-type-replace:before {\n  content: "\\f0227";\n}\n\n.bosch-ic-document-x:before {\n  content: "\\f0228";\n}\n\n.bosch-ic-drag-handle-arrows-up-down:before {\n  content: "\\f0229";\n}\n\n.bosch-ic-electrolyzer:before {\n  content: "\\f022a";\n}\n\n.bosch-ic-exhaust-pipe:before {\n  content: "\\f022b";\n}\n\n.bosch-ic-flower-focus-near:before {\n  content: "\\f022c";\n}\n\n.bosch-ic-fuel-pump-electric:before {\n  content: "\\f022d";\n}\n\n.bosch-ic-gear-dollar:before {\n  content: "\\f022e";\n}\n\n.bosch-ic-gloves-work:before {\n  content: "\\f022f";\n}\n\n.bosch-ic-handlewithcare-globe:before {\n  content: "\\f0230";\n}\n\n.bosch-ic-handlewithcare-user:before {\n  content: "\\f0231";\n}\n\n.bosch-ic-hard-disk:before {\n  content: "\\f0232";\n}\n\n.bosch-ic-hierarchy-child:before {\n  content: "\\f0233";\n}\n\n.bosch-ic-hierarchy-parent:before {\n  content: "\\f0234";\n}\n\n.bosch-ic-hydraulic-connection-leaking-drops:before {\n  content: "\\f0235";\n}\n\n.bosch-ic-hydraulic-connection-off:before {\n  content: "\\f0236";\n}\n\n.bosch-ic-hydraulic-connection-on:before {\n  content: "\\f0237";\n}\n\n.bosch-ic-light-beam:before {\n  content: "\\f0238";\n}\n\n.bosch-ic-map5000:before {\n  content: "\\f0239";\n}\n\n.bosch-ic-module-anti-blocking-system:before {\n  content: "\\f023a";\n}\n\n.bosch-ic-module-ecg:before {\n  content: "\\f023b";\n}\n\n.bosch-ic-module-ecg-suction:before {\n  content: "\\f023c";\n}\n\n.bosch-ic-module-navigation:before {\n  content: "\\f023d";\n}\n\n.bosch-ic-power-supply-unit-plug:before {\n  content: "\\f023e";\n}\n\n.bosch-ic-security-street:before {\n  content: "\\f023f";\n}\n\n.bosch-ic-server-single:before {\n  content: "\\f0240";\n}\n\n.bosch-ic-skip-backward:before {\n  content: "\\f0241";\n}\n\n.bosch-ic-skip-forward:before {\n  content: "\\f0242";\n}\n\n.bosch-ic-speedometer-instrument-cluster:before {\n  content: "\\f0243";\n}\n\n.bosch-ic-system-radar-connected:before {\n  content: "\\f0244";\n}\n\n.bosch-ic-truck-dump:before {\n  content: "\\f0245";\n}\n\n.bosch-ic-truck-loader:before {\n  content: "\\f0246";\n}\n\n.bosch-ic-user-head-twin-digital:before {\n  content: "\\f0247";\n}\n\n.bosch-ic-wind-vane-strong:before {\n  content: "\\f0248";\n}\n\n.bosch-ic-wind-vane-weak:before {\n  content: "\\f0249";\n}\n\n.bosch-ic-windshield-crack:before {\n  content: "\\f024a";\n}\n\n.bosch-ic-common-rail:before {\n  content: "\\f024b";\n}\n\n.bosch-ic-common-rail-injector-cri1-cri2:before {\n  content: "\\f024c";\n}\n\n.bosch-ic-common-rail-injector-crii3:before {\n  content: "\\f024d";\n}\n\n.bosch-ic-common-rail-injector-cril3:before {\n  content: "\\f024e";\n}\n\n.bosch-ic-common-rail-injector-crin4-2:before {\n  content: "\\f024f";\n}\n\n.bosch-ic-common-rail-injector-crin123:before {\n  content: "\\f0250";\n}\n\n.bosch-ic-conventional-pump-a:before {\n  content: "\\f0251";\n}\n\n.bosch-ic-conventional-pump-b:before {\n  content: "\\f0252";\n}\n\n.bosch-ic-edc-inline-injection-pump-pes6p:before {\n  content: "\\f0253";\n}\n\n.bosch-ic-edc-inline-injection-pump-pes6h:before {\n  content: "\\f0254";\n}\n\n.bosch-ic-nozzle-holder:before {\n  content: "\\f0255";\n}\n\n.bosch-ic-unit-injector:before {\n  content: "\\f0256";\n}\n\n.bosch-ic-qr-code-scan:before {\n  content: "\\f0257";\n}\n\n.bosch-ic-car-mechanic-plug:before {\n  content: "\\f0258";\n}\n\n.bosch-ic-copy-machine:before {\n  content: "\\f0259";\n}\n\n.bosch-ic-dispenser-paper-towel:before {\n  content: "\\f025a";\n}\n\n.bosch-ic-hand-drops-soap:before {\n  content: "\\f025b";\n}\n\n.bosch-ic-door-automatic:before {\n  content: "\\f025c";\n}\n\n.bosch-ic-door-automatic-slide:before {\n  content: "\\f025d";\n}\n\n.bosch-ic-door-pull:before {\n  content: "\\f025e";\n}\n\n.bosch-ic-door-push:before {\n  content: "\\f025f";\n}\n\n.bosch-ic-floor-load-max:before {\n  content: "\\f0260";\n}\n\n.bosch-ic-lockers:before {\n  content: "\\f0261";\n}\n\n.bosch-ic-rubbish-trash-bin:before {\n  content: "\\f0262";\n}\n\n.bosch-ic-rubbish-waste-bin:before {\n  content: "\\f0263";\n}\n\n.bosch-ic-rubbish-waste-container:before {\n  content: "\\f0264";\n}\n\n.bosch-ic-sugar:before {\n  content: "\\f0265";\n}\n\n.bosch-ic-rubbish-glass-bin:before {\n  content: "\\f0266";\n}\n\n.bosch-ic-car-seat-steering-wheel-stowable:before {\n  content: "\\f0267";\n}\n\n.bosch-ic-car-seat-steering-wheel-standard:before {\n  content: "\\f0268";\n}\n\n.bosch-ic-car-seat-steering-wheel-extended:before {\n  content: "\\f0269";\n}\n\n.bosch-ic-device-bridge:before {\n  content: "\\f026a";\n}\n\n.bosch-ic-screw-cross-slot:before {\n  content: "\\f026b";\n}\n\n.bosch-ic-screw-hexagon-head:before {\n  content: "\\f026c";\n}\n\n.bosch-ic-screw-hexagon-internal:before {\n  content: "\\f026d";\n}\n\n.bosch-ic-screw-slotted:before {\n  content: "\\f026e";\n}\n\n.bosch-ic-screw-torx:before {\n  content: "\\f026f";\n}\n\n.bosch-ic-tape:before {\n  content: "\\f0270";\n}\n\n.bosch-ic-tape-teflon:before {\n  content: "\\f0271";\n}\n\n.bosch-ic-security-fire:before {\n  content: "\\f0272";\n}\n\n.bosch-ic-led-fault:before {\n  content: "\\f0273";\n}\n\n.bosch-ic-led-alarm:before {\n  content: "\\f0274";\n}\n\n.bosch-ic-firepanel:before {\n  content: "\\f0275";\n}\n\n.bosch-ic-fire-output-disabled:before {\n  content: "\\f0276";\n}\n\n.bosch-ic-user-fire-alarm:before {\n  content: "\\f0277";\n}\n\n.bosch-ic-car-desktop-graph:before {\n  content: "\\f0278";\n}\n\n.bosch-ic-desktop-management-statistics:before {\n  content: "\\f0279";\n}\n\n.bosch-ic-document-key:before {\n  content: "\\f027a";\n}\n\n.bosch-ic-options-vertical:before {\n  content: "\\f027b";\n}\n\n.bosch-ic-euro-arrows:before {\n  content: "\\f027c";\n}\n\n.bosch-ic-monkey:before {\n  content: "\\f027d";\n}\n\n.bosch-ic-appliance-resistance:before {\n  content: "\\f027e";\n}\n\n.bosch-ic-pipe-cutter:before {\n  content: "\\f027f";\n}\n\n.bosch-ic-flash-arrow:before {\n  content: "\\f0280";\n}\n\n.bosch-ic-flash-arrow-disabled-light:before {\n  content: "\\f0281";\n}\n\n.bosch-ic-heating-ceiling:before {\n  content: "\\f0282";\n}\n\n.bosch-ic-heating-ceiling-off-light:before {\n  content: "\\f0283";\n}\n\n.bosch-ic-heating-ceiling-off-bold:before {\n  content: "\\f0284";\n}\n\n.bosch-ic-battery-analysis:before {\n  content: "\\f0285";\n}\n\n.bosch-ic-battery-ice:before {\n  content: "\\f0286";\n}\n\n.bosch-ic-battery-refresh:before {\n  content: "\\f0287";\n}\n\n.bosch-ic-device-ids:before {\n  content: "\\f0288";\n}\n\n.bosch-ic-device-thermostat-bcc50-72:before {\n  content: "\\f0289";\n}\n\n.bosch-ic-device-thermostat-bcc100-72:before {\n  content: "\\f028a";\n}\n\n.bosch-ic-silos-gas-natural:before {\n  content: "\\f028b";\n}\n\n.bosch-ic-silos-gas-leaf-biogas:before {\n  content: "\\f028c";\n}\n\n.bosch-ic-circle-decentralized:before {\n  content: "\\f028d";\n}\n\n.bosch-ic-molecules-h2:before {\n  content: "\\f028e";\n}\n\n.bosch-ic-megawatt-range-arrow-scalable:before {\n  content: "\\f028f";\n}\n\n.bosch-ic-fan-arrows:before {\n  content: "\\f0290";\n}\n\n.bosch-ic-recycle-arrows-pvc3:before {\n  content: "\\f0291";\n}\n\n.bosch-ic-recycle-arrows-ps6:before {\n  content: "\\f0292";\n}\n\n.bosch-ic-recycle-arrows-pp5:before {\n  content: "\\f0293";\n}\n\n.bosch-ic-recycle-arrows-pet1:before {\n  content: "\\f0294";\n}\n\n.bosch-ic-recycle-arrows-pap22:before {\n  content: "\\f0295";\n}\n\n.bosch-ic-recycle-arrows-pap21:before {\n  content: "\\f0296";\n}\n\n.bosch-ic-recycle-arrows-pap20:before {\n  content: "\\f0297";\n}\n\n.bosch-ic-recycle-arrows-oth7:before {\n  content: "\\f0298";\n}\n\n.bosch-ic-recycle-arrows-ldpe4:before {\n  content: "\\f0299";\n}\n\n.bosch-ic-recycle-arrows-hdpe2:before {\n  content: "\\f029a";\n}\n\n.bosch-ic-car-petrol-plug:before {\n  content: "\\f029b";\n}\n\n.bosch-ic-user-diverse:before {\n  content: "\\f029c";\n}\n\n.bosch-ic-fire-emergency-run-map:before {\n  content: "\\f029d";\n}\n\n.bosch-ic-automatic-mode-fan:before {\n  content: "\\f029e";\n}\n\n.bosch-ic-air-condition-swing-pac:before {\n  content: "\\f029f";\n}\n\n.bosch-ic-user-fire-alarm-check:before {\n  content: "\\f02a0";\n}\n\n.bosch-ic-handlewithcare-team:before {\n  content: "\\f02a1";\n}\n\n.bosch-ic-settings-user-dollar:before {\n  content: "\\f02a2";\n}\n\n.bosch-ic-skyscraper-connected:before {\n  content: "\\f02a3";\n}\n\n.bosch-ic-security-ac:before {\n  content: "\\f02a4";\n}\n\n.bosch-ic-windshield-glare-sun:before {\n  content: "\\f02a5";\n}\n\n.bosch-ic-user-flag:before {\n  content: "\\f02a6";\n}\n\n.bosch-ic-hammer-legal:before {\n  content: "\\f02a7";\n}\n\n.bosch-ic-handover-star:before {\n  content: "\\f02a8";\n}\n\n.bosch-ic-laptop-wrench:before {\n  content: "\\f02a9";\n}\n\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n/*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */\n.Bosch-IC-find-part:before {\n  content: "\\e38f";\n}\n\n.Bosch-IC-next-station:before {\n  content: "\\e8a9";\n}\n\n.Bosch-Ic-HMI:before {\n  content: "\\e293";\n}\n\n.Bosch-Ic-add-outline:before {\n  content: "\\e8a1";\n}\n\n.Bosch-Ic-apas:before {\n  content: "\\e224";\n}\n\n.Bosch-Ic-abort:before,\n.bosch-ic-abort:before {\n  content: "\\e0f0";\n}\n\n.Bosch-Ic-cash:before {\n  content: "\\e890";\n}\n\n.Bosch-Ic-pinterest:before {\n  content: "\\ea8c";\n}\n\n.Bosch-Ic-problem:before {\n  content: "\\e899";\n}\n\n.Bosch-Ic-promotion:before {\n  content: "\\e89a";\n}\n\n.Bosch-Ic-arrow-diagonal:before {\n  content: "\\e095";\n}\n\n.Bosch-Ic-arrow-down-filled:before {\n  content: "\\e887";\n}\n\n.Bosch-Ic-arrow-down-circle:before {\n  content: "\\e887";\n}\n\n.Bosch-Ic-arrow-end-left:before {\n  content: "\\e0a1";\n}\n\n.Bosch-Ic-arrow-end-right:before {\n  content: "\\e182";\n}\n\n.Bosch-Ic-arrow-left-down-filled:before {\n  content: "\\e888";\n}\n\n.Bosch-Ic-arrow-left-filled:before {\n  content: "\\e889";\n}\n\n.Bosch-Ic-arrow-left-up-filled:before {\n  content: "\\e88a";\n}\n\n.Bosch-Ic-arrow-right-down-filled:before {\n  content: "\\e88b";\n}\n\n.Bosch-Ic-arrow-right-filled:before {\n  content: "\\e88c";\n}\n\n.Bosch-Ic-arrow-right-up-filled:before {\n  content: "\\e88d";\n}\n\n.Bosch-Ic-arrow-up-filled:before {\n  content: "\\e88e";\n}\n\n.Bosch-Ic-batch:before {\n  content: "\\e384";\n}\n\n.Bosch-Ic-calculator:before {\n  content: "\\e0c7";\n}\n\n.Bosch-Ic-calendar-delete:before {\n  content: "\\e385";\n}\n\n.Bosch-Ic-call-bluetooth:before {\n  content: "\\e386";\n}\n\n.Bosch-Ic-call-deny-outline:before {\n  content: "\\e8a2";\n}\n\n.Bosch-Ic-call-deny:before {\n  content: "\\e387";\n}\n\n.Bosch-Ic-call-pick-up-outline:before {\n  content: "\\e8a3";\n}\n\n.Bosch-Ic-call-pick-up:before {\n  content: "\\e0cb";\n}\n\n.Bosch-Ic-call-settings:before {\n  content: "\\e388";\n}\n\n.Bosch-Ic-clear-all-annotations:before {\n  content: "\\e0ec";\n}\n\n.Bosch-Ic-connection:before {\n  content: "\\e107";\n}\n\n.Bosch-Ic-core-data:before {\n  content: "\\e38b";\n}\n\n.Bosch-Ic-curve-scaling-view:before {\n  content: "\\e2bb";\n}\n\n.Bosch-Ic-dashboard:before {\n  content: "\\e190";\n}\n\n.Bosch-Ic-delete-material-manually:before {\n  content: "\\e394";\n}\n\n.Bosch-Ic-dmc-code:before {\n  content: "\\e38e";\n}\n\n.Bosch-Ic-document-to-svg:before {\n  content: "\\e34e";\n}\n\n.Bosch-Ic-emergency-order:before {\n  content: "\\e12f";\n}\n\n.Bosch-Ic-fast-backwards:before {\n  content: "\\e8a4";\n}\n\n.Bosch-Ic-fast-forwards:before {\n  content: "\\e8a5";\n}\n\n.Bosch-Ic-favorite:before {\n  content: "\\e2c5";\n}\n\n.Bosch-Ic-go-to:before {\n  content: "\\e1ca";\n}\n\n.Bosch-Ic-gps:before {\n  content: "\\e1c6";\n}\n\n.Bosch-Ic-home-filled:before {\n  content: "\\e19d";\n}\n\n.Bosch-Ic-input:before {\n  content: "\\e1ca";\n}\n\n.Bosch-Ic-interface:before {\n  content: "\\e391";\n}\n\n.Bosch-Ic-list:before {\n  content: "\\e1c1";\n}\n\n.Bosch-Ic-malfunction-history:before {\n  content: "\\e389";\n}\n\n.Bosch-Ic-malfunction-order:before {\n  content: "\\e38a";\n}\n\n.Bosch-Ic-material-list:before {\n  content: "\\e393";\n}\n\n.Bosch-Ic-material:before {\n  content: "\\e395";\n}\n\n.Bosch-Ic-maximize-window:before {\n  content: "\\e269";\n}\n\n.Bosch-Ic-menu-tree:before {\n  content: "\\e396";\n}\n\n.Bosch-Ic-minimize-window:before {\n  content: "\\e1ba";\n}\n\n.Bosch-Ic-notification-hint:before {\n  content: "\\e899";\n}\n\n.Bosch-Ic-notification-question:before {\n  content: "\\e89b";\n}\n\n.Bosch-Ic-notification-info:before {\n  content: "\\eb0f";\n}\n\n.Bosch-Ic-notification-error:before {\n  content: "\\eb08";\n}\n\n.Bosch-Ic-notification-error-outline:before {\n  content: "\\eb09";\n}\n\n.Bosch-Ic-notification-outline:before {\n  content: "\\eb0d";\n}\n\n.Bosch-Ic-notification-success:before {\n  content: "\\eb0a";\n}\n\n.Bosch-Ic-notification-success-outline:before {\n  content: "\\eb0b";\n}\n\n.Bosch-Ic-notification-warning:before {\n  content: "\\eb0c";\n}\n\n.Bosch-Ic-notification:before {\n  content: "\\e1f5";\n}\n\n.Bosch-Ic-output:before {\n  content: "\\e1cc";\n}\n\n.Bosch-Ic-paste:before {\n  content: "\\e0ed";\n}\n\n.Bosch-Ic-qr-code:before {\n  content: "\\e397";\n}\n\n.Bosch-Ic-remote-cursor:before {\n  content: "\\e38c";\n}\n\n.Bosch-Ic-scale:before {\n  content: "\\e167";\n}\n\n.Bosch-Ic-search-chart:before {\n  content: "\\e383";\n}\n\n.Bosch-Ic-search-web:before {\n  content: "\\e390";\n}\n\n.Bosch-Ic-search-window:before {\n  content: "\\e39b";\n}\n\n.Bosch-Ic-shape-ellipse:before {\n  content: "\\e3d1";\n}\n\n.Bosch-Ic-shape-rectangle:before {\n  content: "\\e269";\n}\n\n.Bosch-Ic-show-more-vertical:before {\n  content: "\\e1fb";\n}\n\n.Bosch-Ic-signal:before {\n  content: "\\e249";\n}\n\n.Bosch-Ic-skip-back:before {\n  content: "\\e8a6";\n}\n\n.Bosch-Ic-skip-backward:before {\n  content: "\\e8a7";\n}\n\n.Bosch-Ic-StarterKit:before {\n  content: "\\e10f";\n}\n\n.Bosch-Ic-skip-for:before {\n  content: "\\e8a9";\n}\n\n.Bosch-Ic-skip-forward:before {\n  content: "\\e8a8";\n}\n\n.Bosch-Ic-sort-alphabetically:before {\n  content: "\\e398";\n}\n\n.Bosch-Ic-switch-language:before {\n  content: "\\e18d";\n}\n\n.Bosch-Ic-snyc-disabled:before {\n  content: "\\e3d8";\n}\n\n.Bosch-Ic-sync-disabled:before {\n  content: "\\e3d8";\n}\n\n.Bosch-Ic-sync-problem:before {\n  content: "\\e37f";\n}\n\n.Bosch-Ic-sync:before {\n  content: "\\e21e";\n}\n\n.Bosch-Ic-test:before {\n  content: "\\e105";\n}\n\n.Bosch-Ic-to-order:before {\n  content: "\\e127";\n}\n\n.Bosch-Ic-to-raw:before {\n  content: "\\e126";\n}\n\n.Bosch-Ic-transport-orders:before {\n  content: "\\e0ee";\n}\n\n.Bosch-Ic-unpin:before {\n  content: "\\e463";\n}\n\n.Bosch-Ic-user-filled:before {\n  content: "\\e29b";\n}\n\n.Bosch-Ic-video-play:before {\n  content: "\\e20b";\n}\n\n.Bosch-Ic-weblink:before {\n  content: "\\e1be";\n}\n\n.Bosch-Ic-warning-outline:before {\n  content: "\\eb0d";\n}\n\n/* old icon classname with uppercase for backwards compatibility */\n.Bosch-Ic-add-material-manually:before {\n  content: "\\e392";\n}\n\n.Bosch-Ic-add-material:before {\n  content: "\\e1d6";\n}\n\n.Bosch-Ic-add:before {\n  content: "\\e087";\n}\n\n.Bosch-Ic-adress-consumer:before {\n  content: "\\e088";\n}\n\n.Bosch-Ic-adressbook:before {\n  content: "\\e089";\n}\n\n.Bosch-Ic-alarm:before {\n  content: "\\e1f5";\n}\n\n.Bosch-Ic-alert:before {\n  content: "\\e2b8";\n}\n\n.Bosch-Ic-analysis:before {\n  content: "\\e08d";\n}\n\n.Bosch-Ic-anchor:before {\n  content: "\\e08e";\n}\n\n.Bosch-IC-3d-print:before {\n  content: "\\e085";\n}\n\n.Bosch-Ic-tours:before {\n  content: "\\e086";\n}\n\n.Bosch-Ic-add:before {\n  content: "\\e087";\n}\n\n.Bosch-Ic-adress-consumer:before {\n  content: "\\e088";\n}\n\n.Bosch-Ic-adressbook:before {\n  content: "\\e089";\n}\n\n.Bosch-IC-agility:before {\n  content: "\\e08a";\n}\n\n.Bosch-Ic-clock-stop:before {\n  content: "\\e08b";\n}\n\n.Bosch-IC-ambulance:before {\n  content: "\\e08c";\n}\n\n.Bosch-Ic-analysis:before {\n  content: "\\e08d";\n}\n\n.Bosch-Ic-anchor:before {\n  content: "\\e08e";\n}\n\n.Bosch-Ic-arrow-down:before {\n  content: "\\e08f";\n}\n\n.Bosch-Ic-arrow-left:before {\n  content: "\\e090";\n}\n\n.Bosch-Ic-arrow-left-down:before {\n  content: "\\e091";\n}\n\n.Bosch-Ic-arrow-left-up:before {\n  content: "\\e092";\n}\n\n.Bosch-Ic-arrow-right:before {\n  content: "\\e093";\n}\n\n.Bosch-Ic-arrow-right-down:before {\n  content: "\\e094";\n}\n\n.Bosch-Ic-arrow-right-up:before {\n  content: "\\e095";\n}\n\n.Bosch-IC-arrow-turn-left:before {\n  content: "\\e096";\n}\n\n.Bosch-IC-arrow-turn-right:before {\n  content: "\\e097";\n}\n\n.Bosch-Ic-arrow-up:before {\n  content: "\\e098";\n}\n\n.Bosch-IC-arrows:before {\n  content: "\\e099";\n}\n\n.Bosch-IC-arrows-x-y-z:before {\n  content: "\\e09a";\n}\n\n.Bosch-IC-artificial-intelligence:before {\n  content: "\\e09b";\n}\n\n.Bosch-IC-assembly-line:before {\n  content: "\\e09c";\n}\n\n.Bosch-IC-atom:before {\n  content: "\\e09d";\n}\n\n.Bosch-IC-augmented-reality:before {\n  content: "\\e09e";\n}\n\n.Bosch-Ic-autobod:before {\n  content: "\\e09f";\n}\n\n.Bosch-Ic-arrow-expand-left:before {\n  content: "\\e0a0";\n}\n\n.Bosch-Ic-arrow-expand-double-left:before {\n  content: "\\e0a1";\n}\n\n.Bosch-IC-bar-chart:before {\n  content: "\\e0a2";\n}\n\n.Bosch-IC-bar-chart-double:before {\n  content: "\\e0a3";\n}\n\n.Bosch-Ic-battery-empty:before {\n  content: "\\e0a4";\n}\n\n.Bosch-Ic-battery-25:before {\n  content: "\\e0a5";\n}\n\n.Bosch-Ic-battery-50:before {\n  content: "\\e0a6";\n}\n\n.Bosch-Ic-battery-75:before {\n  content: "\\e0a7";\n}\n\n.Bosch-Ic-battery-100:before {\n  content: "\\e0a8";\n}\n\n.Bosch-Ic-battery-error:before {\n  content: "\\e0a9";\n}\n\n.Bosch-IC-battery_Li-Ion:before {\n  content: "\\e0aa";\n}\n\n.Bosch-Ic-battery-charging:before {\n  content: "\\e0ab";\n}\n\n.Bosch-Ic-help:before {\n  content: "\\e89b";\n}\n\n.Bosch-IC-bed:before {\n  content: "\\e0ac";\n}\n\n.Bosch-IC-bicycle:before {\n  content: "\\e0ad";\n}\n\n.Bosch-IC-bicycle-e:before {\n  content: "\\e0ae";\n}\n\n.Bosch-IC-blog:before {\n  content: "\\e0af";\n}\n\n.Bosch-IC-bluetooth:before {\n  content: "\\e0b0";\n}\n\n.Bosch-IC-bluetooth-LE:before {\n  content: "\\e0b1";\n}\n\n.Bosch-IC-board-speaker:before {\n  content: "\\e0b2";\n}\n\n.Bosch-IC-boiler-connected:before {\n  content: "\\e0b3";\n}\n\n.Bosch-IC-book:before {\n  content: "\\e0b4";\n}\n\n.Bosch-Ic-bookmark:before {\n  content: "\\e0b5";\n}\n\n.Bosch-Ic-bookmark-add:before {\n  content: "\\e0b6";\n}\n\n.Bosch-Ic-bookmark-check:before {\n  content: "\\e0b7";\n}\n\n.Bosch-Ic-bookmark-delete:before {\n  content: "\\e0b8";\n}\n\n.Bosch-IC-books:before {\n  content: "\\e0b9";\n}\n\n.Bosch-IC-bookshelf:before {\n  content: "\\e0ba";\n}\n\n.Bosch-Ic-box:before {\n  content: "\\e0bb";\n}\n\n.Bosch-IC-box-closed:before {\n  content: "\\e0bc";\n}\n\n.Bosch-IC-box-delivery:before {\n  content: "\\e0bd";\n}\n\n.Bosch-IC-box-delivery-connected:before {\n  content: "\\e0be";\n}\n\n.Bosch-IC-brake-disk:before {\n  content: "\\e0bf";\n}\n\n.Bosch-IC-briefcase:before {\n  content: "\\e0c0";\n}\n\n.Bosch-IC-broom:before {\n  content: "\\e0c1";\n}\n\n.Bosch-IC-broom-cloud-dirt:before {\n  content: "\\e0c2";\n}\n\n.Bosch-Ic-brush:before {\n  content: "\\e0c3";\n}\n\n.Bosch-Ic-bug:before {\n  content: "\\e0c4";\n}\n\n.Bosch-IC-building:before {\n  content: "\\e0c5";\n}\n\n.Bosch-IC-cactus:before {\n  content: "\\e0c6";\n}\n\n.Bosch-IC-calculate:before {\n  content: "\\e0c7";\n}\n\n.Bosch-Ic-calendar:before {\n  content: "\\e0c8";\n}\n\n.Bosch-Ic-calendar-add:before {\n  content: "\\e0c9";\n}\n\n.Bosch-IC-calendar-settings:before {\n  content: "\\e0ca";\n}\n\n.Bosch-Ic-call:before {\n  content: "\\e0cb";\n}\n\n.Bosch-IC-call-add:before {\n  content: "\\e0cc";\n}\n\n.Bosch-IC-call-remove:before {\n  content: "\\e0cd";\n}\n\n.Bosch-IC-call-sos:before {\n  content: "\\e0ce";\n}\n\n.Bosch-IC-call-team:before {\n  content: "\\e0cf";\n}\n\n.Bosch-Ic-call-wifi:before {\n  content: "\\e0d0";\n}\n\n.Bosch-Ic-camera:before {\n  content: "\\e0d1";\n}\n\n.Bosch-Ic-camera-switch:before {\n  content: "\\e0d2";\n}\n\n.Bosch-IC-car:before {\n  content: "\\e0d3";\n}\n\n.Bosch-IC-car-clock:before {\n  content: "\\e0d4";\n}\n\n.Bosch-IC-car-connected:before {\n  content: "\\e0d5";\n}\n\n.Bosch-IC-car-locator:before {\n  content: "\\e0d6";\n}\n\n.Bosch-IC-car-mechanic:before {\n  content: "\\e0d7";\n}\n\n.Bosch-IC-car-rental:before {\n  content: "\\e0d8";\n}\n\n.Bosch-IC-car-seat-connected:before {\n  content: "\\e0d9";\n}\n\n.Bosch-IC-car-side:before {\n  content: "\\e0da";\n}\n\n.Bosch-IC-car-side-user:before {\n  content: "\\e0db";\n}\n\n.Bosch-Ic-milkrun-cart:before {\n  content: "\\e0dc";\n}\n\n.Bosch-Ic-certificate:before {\n  content: "\\e0dd";\n}\n\n.Bosch-IC-certificate-pki:before {\n  content: "\\e0de";\n}\n\n.Bosch-IC-change:before {\n  content: "\\e0df";\n}\n\n.Bosch-Ic-chart:before {\n  content: "\\e0e0";\n}\n\n.Bosch-IC-chart-check:before {\n  content: "\\e0e1";\n}\n\n.Bosch-IC-chart-dummy:before {\n  content: "\\e0e2";\n}\n\n.Bosch-Ic-diagram:before {\n  content: "\\e0e3";\n}\n\n.Bosch-Ic-chat:before {\n  content: "\\e0e4";\n}\n\n.Bosch-IC-chat-add:before {\n  content: "\\e0e5";\n}\n\n.Bosch-IC-chat-question-answer:before {\n  content: "\\e0e6";\n}\n\n.Bosch-IC-chat-remove:before {\n  content: "\\e0e7";\n}\n\n.Bosch-Ic-checklist:before {\n  content: "\\e0e8";\n}\n\n.Bosch-Ic-checkmark:before {\n  content: "\\e0e9";\n}\n\n.Bosch-Ic-chip:before {\n  content: "\\e0ea";\n}\n\n.Bosch-IC-circle-segment:before {\n  content: "\\e0eb";\n}\n\n.Bosch-IC-clear-all:before {\n  content: "\\e0ec";\n}\n\n.Bosch-Ic-clipboard:before {\n  content: "\\e0ed";\n}\n\n.Bosch-Ic-clipboard-list:before {\n  content: "\\e0ee";\n}\n\n.Bosch-Ic-clock:before {\n  content: "\\e0ef";\n}\n\n.Bosch-Ic-abort:before,\n.bosch-ic-abort:before {\n  content: "\\e0f0";\n}\n\n.Bosch-IC-close-all:before {\n  content: "\\e0f1";\n}\n\n.Bosch-Ic-cloud:before {\n  content: "\\e0f2";\n}\n\n.Bosch-IC-cloud-co2:before {\n  content: "\\e0f3";\n}\n\n.Bosch-Ic-cloud-download:before {\n  content: "\\e0f4";\n}\n\n.Bosch-IC-cloud-nox:before {\n  content: "\\e0f5";\n}\n\n.Bosch-Ic-cloud-upload:before {\n  content: "\\e0f6";\n}\n\n.Bosch-IC-club-arm-chair:before {\n  content: "\\e0f7";\n}\n\n.Bosch-IC-coffee-break:before {\n  content: "\\e0f8";\n}\n\n.Bosch-IC-coin-currency:before {\n  content: "\\e0f9";\n}\n\n.Bosch-Ic-currency:before {\n  content: "\\e0fa";\n}\n\n.Bosch-Ic-color-picker:before {\n  content: "\\e0fb";\n}\n\n.Bosch-IC-colors:before {\n  content: "\\e0fc";\n}\n\n.Bosch-Ic-command:before {\n  content: "\\e0fd";\n}\n\n.Bosch-IC-communicator:before {\n  content: "\\e0fe";\n}\n\n.Bosch-Ic-compare:before {\n  content: "\\e0ff";\n}\n\n.Bosch-Ic-components:before {\n  content: "\\e100";\n}\n\n.Bosch-Ic-components-available:before {\n  content: "\\e101";\n}\n\n.Bosch-Ic-components-reservation:before {\n  content: "\\e102";\n}\n\n.Bosch-IC-concierge-bell:before {\n  content: "\\e103";\n}\n\n.Bosch-IC-configuration:before {\n  content: "\\e104";\n}\n\n.Bosch-Ic-confirmation:before {\n  content: "\\e105";\n}\n\n.Bosch-Ic-unconnected:before {\n  content: "\\e106";\n}\n\n.Bosch-Ic-connected:before {\n  content: "\\e107";\n}\n\n.Bosch-IC-connectivity:before {\n  content: "\\e108";\n}\n\n.Bosch-Ic-builder:before {\n  content: "\\e109";\n}\n\n.Bosch-IC-consumer-goods:before {\n  content: "\\e10a";\n}\n\n.Bosch-IC-contract:before {\n  content: "\\e10b";\n}\n\n.Bosch-Ic-copy:before {\n  content: "\\e10c";\n}\n\n.Bosch-IC-cube:before {\n  content: "\\e10d";\n}\n\n.Bosch-IC-cube-arrows:before {\n  content: "\\e10e";\n}\n\n.Bosch-Ic-StarterKit:before {\n  content: "\\e10f";\n}\n\n.Bosch-IC-cube-shock:before {\n  content: "\\e110";\n}\n\n.Bosch-IC-cube-stacked:before {\n  content: "\\e111";\n}\n\n.Bosch-Ic-customerservice:before {\n  content: "\\e112";\n}\n\n.Bosch-IC-cutlery:before {\n  content: "\\e113";\n}\n\n.Bosch-IC-damper:before {\n  content: "\\e114";\n}\n\n.Bosch-IC-danger-flash:before {\n  content: "\\e115";\n}\n\n.Bosch-IC-data-loss:before {\n  content: "\\e116";\n}\n\n.Bosch-Ic-dealer:before {\n  content: "\\e117";\n}\n\n.Bosch-Ic-delete:before {\n  content: "\\e118";\n}\n\n.Bosch-Ic-delivery:before {\n  content: "\\e119";\n}\n\n.Bosch-IC-denied:before {\n  content: "\\e11a";\n}\n\n.Bosch-Ic-desktop:before {\n  content: "\\e11b";\n}\n\n.Bosch-IC-desktop-application-2d:before {\n  content: "\\e11c";\n}\n\n.Bosch-IC-desktop-application-3d:before {\n  content: "\\e11d";\n}\n\n.Bosch-IC-development:before {\n  content: "\\e11e";\n}\n\n.Bosch-Ic-devices:before {\n  content: "\\e11f";\n}\n\n.Bosch-IC-devices-mobile:before {\n  content: "\\e120";\n}\n\n.Bosch-Ic-directory:before {\n  content: "\\e121";\n}\n\n.Bosch-Ic-dna:before {\n  content: "\\e122";\n}\n\n.Bosch-Ic-do-not-disturb:before {\n  content: "\\e123";\n}\n\n.Bosch-Ic-document:before {\n  content: "\\e124";\n}\n\n.Bosch-Ic-document-add:before {\n  content: "\\e125";\n}\n\n.Bosch-IC-document-arrow-down:before {\n  content: "\\e126";\n}\n\n.Bosch-IC-document-arrow-up:before {\n  content: "\\e127";\n}\n\n.Bosch-Ic-document-audio:before {\n  content: "\\e128";\n}\n\n.Bosch-IC-document-check:before {\n  content: "\\e129";\n}\n\n.Bosch-Ic-document-to-cloud:before {\n  content: "\\e12a";\n}\n\n.Bosch-Ic-document-copy:before {\n  content: "\\e12b";\n}\n\n.Bosch-Ic-document-delete:before {\n  content: "\\e12c";\n}\n\n.Bosch-Ic-document-to-doc:before {\n  content: "\\e12d";\n}\n\n.Bosch-Ic-document-edit:before {\n  content: "\\e12e";\n}\n\n.Bosch-Ic-document-error:before {\n  content: "\\e12f";\n}\n\n.Bosch-Ic-document-locked:before {\n  content: "\\e130";\n}\n\n.Bosch-Ic-log-file:before {\n  content: "\\e131";\n}\n\n.Bosch-Ic-document-to-one:before {\n  content: "\\e132";\n}\n\n.Bosch-Ic-document-to-pdf:before {\n  content: "\\e133";\n}\n\n.Bosch-Ic-document-plain:before {\n  content: "\\e134";\n}\n\n.Bosch-Ic-document-plain-add:before {\n  content: "\\e135";\n}\n\n.Bosch-Ic-document-plain-delete:before {\n  content: "\\e136";\n}\n\n.Bosch-Ic-document-to-ppt:before {\n  content: "\\e137";\n}\n\n.Bosch-Ic-document-to-pub:before {\n  content: "\\e138";\n}\n\n.Bosch-Ic-document-to-rtf:before {\n  content: "\\e139";\n}\n\n.Bosch-Ic-document-save-to:before {\n  content: "\\e13a";\n}\n\n.Bosch-Ic-search-document:before {\n  content: "\\e13b";\n}\n\n.Bosch-Ic-document-settings:before {\n  content: "\\e13c";\n}\n\n.Bosch-Ic-document-test:before {\n  content: "\\e13d";\n}\n\n.Bosch-Ic-document-text:before {\n  content: "\\e13e";\n}\n\n.Bosch-Ic-document-to-txt:before {\n  content: "\\e13f";\n}\n\n.Bosch-Ic-document-to-vsd:before {\n  content: "\\e140";\n}\n\n.Bosch-Ic-document-to-xls:before {\n  content: "\\e141";\n}\n\n.Bosch-Ic-document-to-xml:before {\n  content: "\\e142";\n}\n\n.Bosch-Ic-document-to-zip:before {\n  content: "\\e143";\n}\n\n.Bosch-IC-dome:before {\n  content: "\\e144";\n}\n\n.Bosch-IC-door:before {\n  content: "\\e145";\n}\n\n.Bosch-IC-door-sensor:before {\n  content: "\\e146";\n}\n\n.Bosch-Ic-arrow-expand-down:before {\n  content: "\\e147";\n}\n\n.Bosch-Ic-arrow-expand-double-down:before {\n  content: "\\e148";\n}\n\n.Bosch-Ic-arrow-left-circle:before {\n  content: "\\e889";\n}\n\n.Bosch-Ic-arrow-right-circle:before {\n  content: "\\e88c";\n}\n\n.Bosch-Ic-arrow-right-down-circle:before {\n  content: "\\e88b";\n}\n\n.Bosch-Ic-arrow-right-up-circle:before {\n  content: "\\e88d";\n}\n\n.Bosch-Ic-arrow-left-down-circle:before {\n  content: "\\e888";\n}\n\n.Bosch-Ic-arrow-left-up-circle:before {\n  content: "\\e88a";\n}\n\n.Bosch-Ic-arrow-up-circle:before {\n  content: "\\e88e";\n}\n\n.Bosch-Ic-download:before {\n  content: "\\e149";\n}\n\n.Bosch-IC-drag-handle:before {\n  content: "\\e14a";\n}\n\n.Bosch-IC-dragdrop:before {\n  content: "\\e14b";\n}\n\n.Bosch-IC-drop:before {\n  content: "\\e14c";\n}\n\n.Bosch-IC-e-Charging:before {\n  content: "\\e14d";\n}\n\n.Bosch-IC-e-mobility:before {\n  content: "\\e14e";\n}\n\n.Bosch-IC-ear-off:before {\n  content: "\\e14f";\n}\n\n.Bosch-IC-ear-on:before {\n  content: "\\e150";\n}\n\n.Bosch-IC-eco-system:before {\n  content: "\\e151";\n}\n\n.Bosch-Ic-edit:before {\n  content: "\\e152";\n}\n\n.Bosch-IC-education:before {\n  content: "\\e153";\n}\n\n.Bosch-IC-efficiency:before {\n  content: "\\e154";\n}\n\n.Bosch-IC-elevator:before {\n  content: "\\e155";\n}\n\n.Bosch-IC-elevator-alarm:before {\n  content: "\\e156";\n}\n\n.Bosch-IC-elevator-cloud:before {\n  content: "\\e157";\n}\n\n.Bosch-IC-elevator-headset:before {\n  content: "\\e158";\n}\n\n.Bosch-IC-elevator-service:before {\n  content: "\\e159";\n}\n\n.Bosch-IC-emergency-exit:before {\n  content: "\\e15a";\n}\n\n.Bosch-IC-emoji-happy:before {\n  content: "\\e15b";\n}\n\n.Bosch-IC-emoji-neutral:before {\n  content: "\\e15c";\n}\n\n.Bosch-IC-emoji-sad:before {\n  content: "\\e15d";\n}\n\n.Bosch-IC-emoji-super-happy:before {\n  content: "\\e15e";\n}\n\n.Bosch-IC-emoji-very-sad:before {\n  content: "\\e15f";\n}\n\n.Bosch-IC-EU-energy-label:before {\n  content: "\\e160";\n}\n\n.Bosch-IC-excavator:before {\n  content: "\\e161";\n}\n\n.Bosch-Ic-exit:before {\n  content: "\\e163";\n}\n\n.Bosch-IC-expansion-arrows:before {\n  content: "\\e164";\n}\n\n.Bosch-IC-explosion:before {\n  content: "\\e165";\n}\n\n.Bosch-Ic-export:before {\n  content: "\\e166";\n}\n\n.Bosch-IC-externallink:before {\n  content: "\\e167";\n}\n\n.Bosch-IC-fast-forward:before {\n  content: "\\e168";\n}\n\n.Bosch-IC-faucet:before {\n  content: "\\e169";\n}\n\n.Bosch-IC-favorites:before {\n  content: "\\e16a";\n}\n\n.Bosch-IC-fax:before {\n  content: "\\e16b";\n}\n\n.Bosch-IC-female:before {\n  content: "\\e16c";\n}\n\n.Bosch-IC-film:before {\n  content: "\\e16d";\n}\n\n.Bosch-Ic-filter:before {\n  content: "\\e16e";\n}\n\n.Bosch-IC-filter-success:before {\n  content: "\\e16f";\n}\n\n.Bosch-IC-fingerprint:before {\n  content: "\\e170";\n}\n\n.Bosch-IC-fire:before {\n  content: "\\e171";\n}\n\n.Bosch-IC-fire-emergency:before {\n  content: "\\e172";\n}\n\n.Bosch-IC-fireworks:before {\n  content: "\\e173";\n}\n\n.Bosch-Ic-first-aid:before {\n  content: "\\e174";\n}\n\n.Bosch-IC-first-aid-cross:before {\n  content: "\\e175";\n}\n\n.Bosch-IC-fit-to-sceen:before {\n  content: "\\e176";\n}\n\n.Bosch-Ic-flag:before {\n  content: "\\e177";\n}\n\n.Bosch-Ic-danger-flash-outline:before {\n  content: "\\e178";\n}\n\n.Bosch-IC-flask:before {\n  content: "\\e179";\n}\n\n.Bosch-Ic-flexpress:before {\n  content: "\\e17a";\n}\n\n.Bosch-Ic-twitter:before {\n  content: "\\ea8f";\n}\n\n.Bosch-Ic-folder:before {\n  content: "\\e17b";\n}\n\n.Bosch-Ic-download-from-folder:before {\n  content: "\\e17c";\n}\n\n.Bosch-Ic-download-frame:before {\n  content: "\\e893";\n}\n\n.Bosch-IC-folder-open:before {\n  content: "\\e17d";\n}\n\n.Bosch-Ic-upload-to-folder:before {\n  content: "\\e17e";\n}\n\n.Bosch-Ic-fork-lift:before {\n  content: "\\e17f";\n}\n\n.Bosch-IC-fork-lift-locator:before {\n  content: "\\e180";\n}\n\n.Bosch-Ic-arrow-expand-right:before {\n  content: "\\e181";\n}\n\n.Bosch-Ic-arrow-expand-double-right:before {\n  content: "\\e182";\n}\n\n.Bosch-IC-full-empty:before {\n  content: "\\e183";\n}\n\n.Bosch-Ic-fullscreen:before {\n  content: "\\e184";\n}\n\n.Bosch-IC-fullscreen-arrows:before {\n  content: "\\e185";\n}\n\n.Bosch-Ic-fullscreen-exit:before {\n  content: "\\e186";\n}\n\n.Bosch-IC-g-arrow-down:before {\n  content: "\\e187";\n}\n\n.Bosch-IC-g-arrow-up:before {\n  content: "\\e188";\n}\n\n.Bosch-IC-generator:before {\n  content: "\\e189";\n}\n\n.Bosch-IC-gift:before {\n  content: "\\e18a";\n}\n\n.Bosch-IC-glance:before {\n  content: "\\e18b";\n}\n\n.Bosch-IC-glas-plate:before {\n  content: "\\e18c";\n}\n\n.Bosch-IC-globe:before {\n  content: "\\e18d";\n}\n\n.Bosch-IC-globe-arrow:before {\n  content: "\\e18e";\n}\n\n.Bosch-IC-glossary:before {\n  content: "\\e18f";\n}\n\n.Bosch-Ic-grid:before {\n  content: "\\e190";\n}\n\n.Bosch-IC-hammer:before {\n  content: "\\e191";\n}\n\n.Bosch-Ic-hand:before {\n  content: "\\e192";\n}\n\n.Bosch-IC-hand-motion:before {\n  content: "\\e193";\n}\n\n.Bosch-IC-hand-motion-off:before {\n  content: "\\e194";\n}\n\n.Bosch-IC-handlewithcare:before {\n  content: "\\e195";\n}\n\n.Bosch-Ic-add-material-manually:before {\n  content: "\\e196";\n}\n\n.Bosch-Ic-handover-check:before {\n  content: "\\e197";\n}\n\n.Bosch-Ic-remove-from-handover:before {\n  content: "\\e198";\n}\n\n.Bosch-IC-hanger:before {\n  content: "\\e199";\n}\n\n.Bosch-Ic-health:before {\n  content: "\\e19a";\n}\n\n.Bosch-IC-heart:before {\n  content: "\\e19b";\n}\n\n.Bosch-Ic-history:before {\n  content: "\\e19c";\n}\n\n.Bosch-Ic-home-outline:before {\n  content: "\\e19d";\n}\n\n.Bosch-IC-home-locator:before {\n  content: "\\e19e";\n}\n\n.Bosch-Ic-sandclock:before {\n  content: "\\e19f";\n}\n\n.Bosch-IC-hydrant:before {\n  content: "\\e1a0";\n}\n\n.Bosch-IC-ice:before {\n  content: "\\e1a1";\n}\n\n.Bosch-Ic-image:before {\n  content: "\\e1a2";\n}\n\n.Bosch-IC-imagery-add:before {\n  content: "\\e1a3";\n}\n\n.Bosch-IC-imagery-remove:before {\n  content: "\\e1a4";\n}\n\n.Bosch-Ic-import:before {\n  content: "\\e1a5";\n}\n\n.Bosch-Ic-imprint:before {\n  content: "\\e1a6";\n}\n\n.Bosch-IC-impulse:before {\n  content: "\\e1a7";\n}\n\n.Bosch-Ic-fabric:before {\n  content: "\\e1a8";\n}\n\n.Bosch-IC-industry-clock:before {\n  content: "\\e1a9";\n}\n\n.Bosch-IC-industry-connected:before {\n  content: "\\e1aa";\n}\n\n.Bosch-Ic-information:before {\n  content: "\\e1ac";\n}\n\n.Bosch-Ic-information-tooltip:before {\n  content: "\\e1ac";\n}\n\n.Bosch-IC-interval:before {\n  content: "\\e1ad";\n}\n\n.Bosch-IC-it-device:before {\n  content: "\\e1ae";\n}\n\n.Bosch-IC-jewel:before {\n  content: "\\e1af";\n}\n\n.Bosch-IC-keyboard:before {\n  content: "\\e1b0";\n}\n\n.Bosch-IC-label:before {\n  content: "\\e1b1";\n}\n\n.Bosch-Ic-laptop-01:before {\n  content: "\\e1b2";\n}\n\n.Bosch-IC-laser:before {\n  content: "\\e1b3";\n}\n\n.Bosch-IC-layout:before {\n  content: "\\e1b4";\n}\n\n.Bosch-IC-leaf:before {\n  content: "\\e1b5";\n}\n\n.Bosch-IC-led:before {\n  content: "\\e1b6";\n}\n\n.Bosch-Ic-world:before {\n  content: "\\e8a0";\n}\n\n.Bosch-Ic-facebook:before {\n  content: "\\ea87";\n}\n\n.Bosch-Ic-checkmark-outline:before {\n  content: "\\e891";\n}\n\n.Bosch-Ic-youtube:before {\n  content: "\\ea96";\n}\n\n.Bosch-Ic-share:before {\n  content: "\\e242";\n}\n\n.Bosch-Ic-user:before {\n  content: "\\e29b";\n}\n\n.Bosch-Ic-upload_outline:before {\n  content: "\\e89f";\n}\n\n.Bosch-Ic-download_outline:before {\n  content: "\\e893";\n}\n\n.Bosch-Ic-wishlist-add:before {\n  content: "\\e3d3";\n}\n\n.Bosch-Ic-youtube-frame:before {\n  content: "\\ea96";\n}\n\n.Bosch-Ic-less-minimize:before {\n  content: "\\e1ba";\n}\n\n.Bosch-IC-lightbulb:before {\n  content: "\\e1bb";\n}\n\n.bosch-Ic-innovation:before {\n  content: "\\e1bc";\n}\n\n.Bosch-IC-line-chart:before {\n  content: "\\e1bd";\n}\n\n.Bosch-Ic-link:before {\n  content: "\\e1be";\n}\n\n.Bosch-IC-link-broken:before {\n  content: "\\e1bf";\n}\n\n.Bosch-Ic-list-view:before {\n  content: "\\e1c0";\n}\n\n.Bosch-Ic-menu:before {\n  content: "\\e1c1";\n}\n\n.Bosch-IC-livechat:before {\n  content: "\\e1c2";\n}\n\n.Bosch-Ic-location-pin:before {\n  content: "\\e1c3";\n}\n\n.Bosch-IC-locator-ip-connected:before {\n  content: "\\e1c4";\n}\n\n.Bosch-IC-locator-ip-disconnected:before {\n  content: "\\e1c5";\n}\n\n.Bosch-IC-locator-spot:before {\n  content: "\\e1c6";\n}\n\n.Bosch-IC-locator-spot-check:before {\n  content: "\\e1c7";\n}\n\n.Bosch-Ic-lock-closed:before {\n  content: "\\e1c8";\n}\n\n.Bosch-Ic-lock-open:before {\n  content: "\\e1c9";\n}\n\n.Bosch-Ic-log-in:before {\n  content: "\\e1ca";\n}\n\n.Bosch-Ic-logistics:before {\n  content: "\\e1cb";\n}\n\n.Bosch-Ic-log-out:before {\n  content: "\\e1cc";\n}\n\n.Bosch-IC-machine:before {\n  content: "\\e1cd";\n}\n\n.Bosch-Ic-magnet:before {\n  content: "\\e1ce";\n}\n\n.Bosch-Ic-mail:before {\n  content: "\\e1cf";\n}\n\n.Bosch-Ic-mail-forward:before {\n  content: "\\e1d0";\n}\n\n.Bosch-Ic-mail-open:before {\n  content: "\\e1d1";\n}\n\n.Bosch-Ic-mail-out:before {\n  content: "\\e1d2";\n}\n\n.Bosch-Ic-mail-answer:before {\n  content: "\\e1d3";\n}\n\n.Bosch-IC-male:before {\n  content: "\\e1d4";\n}\n\n.Bosch-Ic-map:before {\n  content: "\\e1d5";\n}\n\n.Bosch-Ic-add-material:before {\n  content: "\\e1d6";\n}\n\n.Bosch-IC-material-check:before {\n  content: "\\e1d7";\n}\n\n.Bosch-Ic-remove-material:before {\n  content: "\\e1d8";\n}\n\n.Bosch-IC-maximize:before {\n  content: "\\e1d9";\n}\n\n.Bosch-IC-mechanic:before {\n  content: "\\e1da";\n}\n\n.Bosch-IC-megaphone:before {\n  content: "\\e1db";\n}\n\n.Bosch-Ic-message:before {\n  content: "\\e1dc";\n}\n\n.Bosch-IC-mic:before {\n  content: "\\e1dd";\n}\n\n.Bosch-Ic-microphone:before {\n  content: "\\e1de";\n}\n\n.Bosch-IC-microphone-classic:before {\n  content: "\\e1df";\n}\n\n.Bosch-IC-minimize:before {\n  content: "\\e1e0";\n}\n\n.Bosch-IC-money-currency:before {\n  content: "\\e1e1";\n}\n\n.Bosch-IC-money-dollar:before {\n  content: "\\e1e2";\n}\n\n.Bosch-IC-moneybag-currency:before {\n  content: "\\e1e3";\n}\n\n.Bosch-IC-moneybag-dollar:before {\n  content: "\\e1e4";\n}\n\n.Bosch-IC-monument:before {\n  content: "\\e1e5";\n}\n\n.Bosch-IC-moon:before {\n  content: "\\e1e6";\n}\n\n.Bosch-IC-mouse:before {\n  content: "\\e1ea";\n}\n\n.Bosch-IC-mouse-left:before {\n  content: "\\e1eb";\n}\n\n.Bosch-IC-mouse-right:before {\n  content: "\\e1ec";\n}\n\n.Bosch-IC-mouth:before {\n  content: "\\e1ed";\n}\n\n.Bosch-Ic-my-product:before {\n  content: "\\e1ee";\n}\n\n.Bosch-IC-new-way-work:before {\n  content: "\\e1ef";\n}\n\n.Bosch-Ic-mail-sent:before {\n  content: "\\e1f0";\n}\n\n.Bosch-Ic-news:before {\n  content: "\\e1f1";\n}\n\n.Bosch-IC-nose:before {\n  content: "\\e1f2";\n}\n\n.Bosch-Ic-notes:before {\n  content: "\\e1f3";\n}\n\n.Bosch-Ic-notes-edit:before {\n  content: "\\e1f4";\n}\n\n.Bosch-Ic-alarm:before {\n  content: "\\e1f5";\n}\n\n.Bosch-IC-notification-active:before {\n  content: "\\e1f6";\n}\n\n.Bosch-IC-notification-add:before {\n  content: "\\e1f7";\n}\n\n.Bosch-IC-notification-remove:before {\n  content: "\\e1f8";\n}\n\n.Bosch-Ic-oil-trailer:before {\n  content: "\\e1f9";\n}\n\n.Bosch-IC-omnichannel:before {\n  content: "\\e1fa";\n}\n\n.Bosch-Ic-show-more-horizontal:before {\n  content: "\\e1fb";\n}\n\n.Bosch-IC-origami-boat:before {\n  content: "\\e1fc";\n}\n\n.Bosch-Ic-palette-trailer:before {\n  content: "\\e1fd";\n}\n\n.Bosch-IC-pallete-car-connected:before {\n  content: "\\e1fe";\n}\n\n.Bosch-IC-panel:before {\n  content: "\\e1ff";\n}\n\n.Bosch-Ic-paperclip:before {\n  content: "\\e200";\n}\n\n.Bosch-IC-paperplane:before {\n  content: "\\e201";\n}\n\n.Bosch-IC-parking:before {\n  content: "\\e202";\n}\n\n.Bosch-Ic-pause:before {\n  content: "\\e203";\n}\n\n.Bosch-Ic-creditcard:before {\n  content: "\\e204";\n}\n\n.Bosch-IC-people:before {\n  content: "\\e205";\n}\n\n.Bosch-IC-petrol-station:before {\n  content: "\\e206";\n}\n\n.Bosch-IC-piggybank:before {\n  content: "\\e207";\n}\n\n.Bosch-Ic-pin:before {\n  content: "\\e208";\n}\n\n.Bosch-IC-pin-modern:before {\n  content: "\\e209";\n}\n\n.Bosch-IC-plane-side:before {\n  content: "\\e20a";\n}\n\n.Bosch-Ic-play:before {\n  content: "\\e20b";\n}\n\n.Bosch-IC-plug-12V:before {\n  content: "\\e20c";\n}\n\n.Bosch-IC-podium-speaker:before {\n  content: "\\e20d";\n}\n\n.Bosch-IC-police:before {\n  content: "\\e20e";\n}\n\n.Bosch-IC-poop:before {\n  content: "\\e20f";\n}\n\n.Bosch-IC-post-it:before {\n  content: "\\e210";\n}\n\n.Bosch-IC-postal-code:before {\n  content: "\\e211";\n}\n\n.Bosch-IC-power:before {\n  content: "\\e212";\n}\n\n.Bosch-Ic-print:before {\n  content: "\\e213";\n}\n\n.Bosch-IC-prototyping:before {\n  content: "\\e214";\n}\n\n.Bosch-IC-puzzle:before {\n  content: "\\e215";\n}\n\n.Bosch-IC-quad:before {\n  content: "\\e216";\n}\n\n.Bosch-IC-question:before {\n  content: "\\e217";\n}\n\n.Bosch-IC-radar:before {\n  content: "\\e218";\n}\n\n.Bosch-IC-radio:before {\n  content: "\\e219";\n}\n\n.Bosch-Ic-radio:before {\n  content: "\\e21a";\n}\n\n.Bosch-IC-redirect:before {\n  content: "\\e21b";\n}\n\n.Bosch-Ic-redo:before {\n  content: "\\e21c";\n}\n\n.Bosch-IC-reference:before {\n  content: "\\e21d";\n}\n\n.Bosch-Ic-refresh:before {\n  content: "\\e21e";\n}\n\n.Bosch-IC-refresh-cloud:before {\n  content: "\\e21f";\n}\n\n.Bosch-Ic-registration:before {\n  content: "\\e220";\n}\n\n.Bosch-IC-remote:before {\n  content: "\\e221";\n}\n\n.Bosch-Ic-reset:before {\n  content: "\\e222";\n}\n\n.Bosch-IC-resolution:before {\n  content: "\\e223";\n}\n\n.Bosch-Ic-robot-automation:before {\n  content: "\\e224";\n}\n\n.Bosch-IC-robot-connected:before {\n  content: "\\e225";\n}\n\n.Bosch-IC-robothead:before {\n  content: "\\e226";\n}\n\n.Bosch-IC-rocket:before {\n  content: "\\e227";\n}\n\n.Bosch-Ic-rotation:before {\n  content: "\\e228";\n}\n\n.Bosch-Ic-rotate-360-degrees:before {\n  content: "\\e229";\n}\n\n.Bosch-Ic-rotate-clockwise:before {\n  content: "\\e22a";\n}\n\n.Bosch-Ic-rotate-counterclockwise:before {\n  content: "\\e22b";\n}\n\n.Bosch-IC-rotation-y-down:before {\n  content: "\\e22c";\n}\n\n.Bosch-IC-rotation-y-up:before {\n  content: "\\e22d";\n}\n\n.Bosch-Ic-navigation:before {\n  content: "\\e22e";\n}\n\n.Bosch-Ic-measure:before {\n  content: "\\e22f";\n}\n\n.Bosch-IC-ruler-pen:before {\n  content: "\\e230";\n}\n\n.Bosch-Ic-satelite:before {\n  content: "\\e231";\n}\n\n.Bosch-Ic-save:before {\n  content: "\\e232";\n}\n\n.Bosch-IC-scale:before {\n  content: "\\e233";\n}\n\n.Bosch-Ic-cut:before {\n  content: "\\e234";\n}\n\n.Bosch-Ic-search:before {\n  content: "\\e235";\n}\n\n.Bosch-IC-security:before {\n  content: "\\e236";\n}\n\n.Bosch-IC-security-check:before {\n  content: "\\e237";\n}\n\n.Bosch-IC-security-user:before {\n  content: "\\e238";\n}\n\n.Bosch-Ic-sensor:before {\n  content: "\\e239";\n}\n\n.Bosch-Ic-server:before {\n  content: "\\e23a";\n}\n\n.Bosch-IC-server-expansion:before {\n  content: "\\e23b";\n}\n\n.Bosch-IC-server-rate:before {\n  content: "\\e23c";\n}\n\n.Bosch-IC-service-agent:before {\n  content: "\\e23d";\n}\n\n.Bosch-IC-service-time:before {\n  content: "\\e23e";\n}\n\n.Bosch-Ic-settings:before {\n  content: "\\e23f";\n}\n\n.Bosch-IC-settings-arrows:before {\n  content: "\\e240";\n}\n\n.Bosch-IC-settings-connected:before {\n  content: "\\e241";\n}\n\n.Bosch-Ic-share-outline:before {\n  content: "\\e242";\n}\n\n.Bosch-IC-shield-stop:before {\n  content: "\\e243";\n}\n\n.Bosch-IC-ship:before {\n  content: "\\e244";\n}\n\n.Bosch-IC-ship-side:before {\n  content: "\\e245";\n}\n\n.Bosch-Ic-shoppingcart:before {\n  content: "\\e246";\n}\n\n.Bosch-IC-shoppingcart-add:before {\n  content: "\\e247";\n}\n\n.Bosch-IC-shoppingcart-switch:before {\n  content: "\\e248";\n}\n\n.Bosch-IC-signal-full:before {\n  content: "\\e249";\n}\n\n.Bosch-IC-signal-half:before {\n  content: "\\e24a";\n}\n\n.Bosch-IC-signal-lost:before {\n  content: "\\e24b";\n}\n\n.Bosch-IC-signpost:before {\n  content: "\\e24c";\n}\n\n.Bosch-IC-simcard:before {\n  content: "\\e24d";\n}\n\n.Bosch-IC-skyscraper:before {\n  content: "\\e24e";\n}\n\n.Bosch-IC-smartcity:before {\n  content: "\\e24f";\n}\n\n.Bosch-IC-smarthome:before {\n  content: "\\e250";\n}\n\n.Bosch-Ic-phone:before {\n  content: "\\e251";\n}\n\n.Bosch-IC-smartphone-acoustic:before {\n  content: "\\e252";\n}\n\n.Bosch-IC-smartphone-arrow-right:before {\n  content: "\\e253";\n}\n\n.Bosch-IC-smartphone-arrows-x-y-z:before {\n  content: "\\e254";\n}\n\n.Bosch-IC-smartphone-clock:before {\n  content: "\\e255";\n}\n\n.Bosch-IC-smartphone-cloud:before {\n  content: "\\e256";\n}\n\n.Bosch-IC-smartphone-loading-wheel:before {\n  content: "\\e257";\n}\n\n.Bosch-IC-smartphone-smashed:before {\n  content: "\\e258";\n}\n\n.Bosch-IC-smartphone-vibration:before {\n  content: "\\e259";\n}\n\n.Bosch-IC-smartphone-z:before {\n  content: "\\e25a";\n}\n\n.Bosch-Ic-spareparts:before {\n  content: "\\e25c";\n}\n\n.Bosch-IC-spark-plug:before {\n  content: "\\e25d";\n}\n\n.Bosch-IC-speaker-acoustic:before {\n  content: "\\e25e";\n}\n\n.Bosch-IC-speedometer:before {\n  content: "\\e25f";\n}\n\n.Bosch-IC-stadium:before {\n  content: "\\e260";\n}\n\n.Bosch-IC-stairs:before {\n  content: "\\e261";\n}\n\n.Bosch-IC-stamp:before {\n  content: "\\e262";\n}\n\n.Bosch-IC-standby:before {\n  content: "\\e263";\n}\n\n.Bosch-IC-steering-wheel:before {\n  content: "\\e264";\n}\n\n.Bosch-IC-steering-wheel-connected:before {\n  content: "\\e265";\n}\n\n.Bosch-IC-steering-wheel-hands:before {\n  content: "\\e266";\n}\n\n.Bosch-IC-steps:before {\n  content: "\\e267";\n}\n\n.Bosch-IC-stethoscope:before {\n  content: "\\e268";\n}\n\n.Bosch-Ic-stop:before {\n  content: "\\e269";\n}\n\n.Bosch-IC-stopwatch:before {\n  content: "\\e26a";\n}\n\n.Bosch-IC-storage-local:before {\n  content: "\\e26b";\n}\n\n.Bosch-IC-structure:before {\n  content: "\\e26c";\n}\n\n.Bosch-IC-subtitles:before {\n  content: "\\e26d";\n}\n\n.Bosch-Ic-summary:before {\n  content: "\\e26f";\n}\n\n.Bosch-IC-sun:before {\n  content: "\\e270";\n}\n\n.Bosch-IC-sun-half-filled:before {\n  content: "\\e271";\n}\n\n.Bosch-IC-sunshade-table:before {\n  content: "\\e272";\n}\n\n.Bosch-IC-surveillance:before {\n  content: "\\e273";\n}\n\n.Bosch-IC-table-chairs:before {\n  content: "\\e274";\n}\n\n.Bosch-Ic-tablet:before {\n  content: "\\e275";\n}\n\n.Bosch-IC-team:before {\n  content: "\\e276";\n}\n\n.Bosch-IC-team-lightbulb:before {\n  content: "\\e277";\n}\n\n.Bosch-IC-technical-service:before {\n  content: "\\e278";\n}\n\n.Bosch-Ic-temperature:before {\n  content: "\\e279";\n}\n\n.Bosch-IC-temperature-high:before {\n  content: "\\e27a";\n}\n\n.Bosch-IC-temperature-low:before {\n  content: "\\e27b";\n}\n\n.Bosch-IC-theater:before {\n  content: "\\e27c";\n}\n\n.Bosch-Ic-dislike:before {\n  content: "\\e27d";\n}\n\n.Bosch-Ic-like:before {\n  content: "\\e27e";\n}\n\n.Bosch-Ic-ticket:before {\n  content: "\\e27f";\n}\n\n.Bosch-IC-touch:before {\n  content: "\\e280";\n}\n\n.Bosch-IC-touch-sos:before {\n  content: "\\e281";\n}\n\n.Bosch-IC-towing-truck:before {\n  content: "\\e282";\n}\n\n.Bosch-IC-train:before {\n  content: "\\e283";\n}\n\n.Bosch-IC-train-side:before {\n  content: "\\e284";\n}\n\n.Bosch-Ic-transport-movements:before {\n  content: "\\e285";\n}\n\n.Bosch-IC-transscript:before {\n  content: "\\e286";\n}\n\n.Bosch-IC-transscript-off:before {\n  content: "\\e287";\n}\n\n.Bosch-IC-transscript-on:before {\n  content: "\\e288";\n}\n\n.Bosch-IC-tree:before {\n  content: "\\e289";\n}\n\n.Bosch-IC-tricycle:before {\n  content: "\\e28a";\n}\n\n.Bosch-Ic-default-trailer:before {\n  content: "\\e28b";\n}\n\n.Bosch-Ic-taxi-trailer:before {\n  content: "\\e28c";\n}\n\n.Bosch-Ic-shelve-trailer:before {\n  content: "\\e28d";\n}\n\n.Bosch-IC-trophy:before {\n  content: "\\e28e";\n}\n\n.Bosch-IC-truck:before {\n  content: "\\e28f";\n}\n\n.Bosch-IC-tuktuk:before {\n  content: "\\e290";\n}\n\n.Bosch-Ic-tune:before {\n  content: "\\e291";\n}\n\n.Bosch-IC-typography:before {\n  content: "\\e292";\n}\n\n.Bosch-IC-ui:before {\n  content: "\\e293";\n}\n\n.Bosch-IC-umbrella:before {\n  content: "\\e294";\n}\n\n.Bosch-Ic-undo:before {\n  content: "\\e295";\n}\n\n.Bosch-Ic-arrow-expand-up:before {\n  content: "\\e296";\n}\n\n.Bosch-Ic-arrow-expand-double-up:before {\n  content: "\\e297";\n}\n\n.Bosch-Ic-sort:before {\n  content: "\\e298";\n}\n\n.Bosch-Ic-upload:before {\n  content: "\\e299";\n}\n\n.Bosch-IC-usb:before {\n  content: "\\e29a";\n}\n\n.Bosch-Ic-user-outline:before {\n  content: "\\e29b";\n}\n\n.Bosch-IC-user-advanced:before {\n  content: "\\e29c";\n}\n\n.Bosch-IC-user-beginner:before {\n  content: "\\e29d";\n}\n\n.Bosch-IC-user-desktop:before {\n  content: "\\e29e";\n}\n\n.Bosch-IC-user-down:before {\n  content: "\\e29f";\n}\n\n.Bosch-IC-user-falling:before {\n  content: "\\e2a0";\n}\n\n.Bosch-IC-user-hand:before {\n  content: "\\e2a1";\n}\n\n.Bosch-IC-user-hand-stop:before {\n  content: "\\e2a2";\n}\n\n.Bosch-IC-user-professional:before {\n  content: "\\e2a3";\n}\n\n.Bosch-IC-user-run:before {\n  content: "\\e2a4";\n}\n\n.Bosch-IC-user-share:before {\n  content: "\\e2a5";\n}\n\n.Bosch-IC-user-voice:before {\n  content: "\\e2a6";\n}\n\n.Bosch-IC-user-walk:before {\n  content: "\\e2a7";\n}\n\n.Bosch-Ic-videocam:before {\n  content: "\\e2a8";\n}\n\n.Bosch-Ic-videocam-disabled:before {\n  content: "\\e2a9";\n}\n\n.Bosch-IC-video-record:before {\n  content: "\\e2aa";\n}\n\n.Bosch-IC-virtual-reality:before {\n  content: "\\e2ab";\n}\n\n.Bosch-Ic-volume-disabled:before {\n  content: "\\e2ac";\n}\n\n.Bosch-Ic-volume-high:before {\n  content: "\\e2ad";\n}\n\n.Bosch-Ic-volume-low:before {\n  content: "\\e2ae";\n}\n\n.Bosch-Ic-volume-off:before {\n  content: "\\e2af";\n}\n\n.Bosch-Ic-magic-wand:before {\n  content: "\\e2b0";\n}\n\n.Bosch-Ic-hidden-project:before {\n  content: "\\e2b2";\n}\n\n.Bosch-Ic-show:before {\n  content: "\\e2b3";\n}\n\n.Bosch-IC-water-shower:before {\n  content: "\\e2b4";\n}\n\n.Bosch-IC-welcome:before {\n  content: "\\e2b5";\n}\n\n.Bosch-IC-wellness:before {\n  content: "\\e2b6";\n}\n\n.Bosch-IC-wheelchair:before {\n  content: "\\e2b7";\n}\n\n.Bosch-Ic-alert:before {\n  content: "\\e2b8";\n}\n\n.Bosch-IC-wide-angled-arrow:before {\n  content: "\\e2b9";\n}\n\n.Bosch-Ic-wifi:before {\n  content: "\\e2ba";\n}\n\n.Bosch-Ic-window-analysis:before {\n  content: "\\e2bb";\n}\n\n.Bosch-Ic-window-browser:before {\n  content: "\\e2bc";\n}\n\n.Bosch-Ic-window-console:before {\n  content: "\\e2bd";\n}\n\n.Bosch-Ic-gaussian-view:before {\n  content: "\\e2be";\n}\n\n.Bosch-Ic-window-info:before {\n  content: "\\e2bf";\n}\n\n.Bosch-IC-window-new:before {\n  content: "\\e2c0";\n}\n\n.Bosch-IC-window-resize:before {\n  content: "\\e2c1";\n}\n\n.Bosch-Ic-general-scaling-view:before {\n  content: "\\e2c2";\n}\n\n.Bosch-Ic-restore-window:before {\n  content: "\\e2c3";\n}\n\n.Bosch-Ic-window-statistic:before {\n  content: "\\e2c4";\n}\n\n.Bosch-Ic-wishlist:before {\n  content: "\\e2c5";\n}\n\n.Bosch-Ic-work-orders:before {\n  content: "\\e2c6";\n}\n\n.Bosch-IC-worldwideweb:before {\n  content: "\\e2c7";\n}\n\n.Bosch-Ic-wrench:before {\n  content: "\\e2c8";\n}\n\n.Bosch-Ic-zoom-in:before {\n  content: "\\e2c9";\n}\n\n.Bosch-Ic-zoom-out:before {\n  content: "\\e2ca";\n}\n\nbci-portal-navigation-component {\n  height: 100%;\n}\n\n.bci-portal-sidebar-navigation {\n  flex-direction: column;\n  box-sizing: border-box;\n  display: flex;\n  transform: none;\n  visibility: visible;\n  background-color: var(--bci-global-sidenav-color, #2e3033);\n  overflow-x: hidden;\n  height: 100%;\n  /* overlay, e.g. for VP1 fullscreen multi-selector, use 1000 */\n  z-index: 999;\n}\n\n.bci-portal-sidebar-navigation-closed {\n  width: 48px;\n}\n.bci-portal-sidebar-navigation-closed .bci-portal-sidebar-header .bci-portal-burger .bci-portal-burger-line {\n  width: 16px;\n}\n\n.bci-portal-sidebar-navigation-open {\n  width: 320px;\n}\n\n.bci-portal-sidebar-navigation-transition {\n  transition: width ease-in-out 200ms;\n}\n\n.bci-portal-sidebar-header {\n  cursor: default;\n  position: relative;\n  display: flex;\n  align-items: center;\n  opacity: 1;\n  transition: 200ms ease-in-out;\n  min-height: var(--bci-global-sidenav-header-min-height, 48px);\n}\n.bci-portal-sidebar-header .bci-portal-sidebar-header-title {\n  margin: 0 48px 0 12px;\n  opacity: 1;\n  transition: opacity ease-in-out 200ms;\n  display: inline-block;\n  white-space: nowrap;\n  overflow: hidden;\n  text-overflow: ellipsis;\n  color: var(--bci-global-sidenav-text-color, #ffffff);\n  font-family: var(--bci-global-font-family);\n  font-weight: 400;\n  font-size: 20px;\n  line-height: 1.5;\n  font-weight: 700;\n}\n.bci-portal-sidebar-header .bci-portal-burger {\n  color: var(--bci-global-sidenav-text-color, #ffffff);\n  position: absolute;\n  cursor: pointer;\n  font-size: 24px;\n  transition: 200ms ease-in-out;\n  width: 48px;\n  height: 48px;\n  display: inline-flex;\n  flex-direction: column;\n  align-items: center;\n  justify-content: center;\n  top: 0;\n  right: 0;\n  padding: 0;\n  margin: 0;\n}\n.bci-portal-sidebar-header .bci-portal-burger .bci-portal-burger-line {\n  border-bottom: 1px solid #ffffff;\n  width: 21px;\n  transition: 200ms;\n}\n.bci-portal-sidebar-header .bci-portal-burger .bci-portal-burger-line:not(:last-child) {\n  margin-bottom: 4px;\n}\n.bci-portal-sidebar-navigation:not(.bci-portal-sidebar-navigation-closed) .bci-portal-sidebar-header .bci-portal-burger .bci-portal-burger-line.bci-portal-burger-middle {\n  opacity: 0;\n}\n.bci-portal-sidebar-navigation:not(.bci-portal-sidebar-navigation-closed) .bci-portal-sidebar-header .bci-portal-burger .bci-portal-burger-line.bci-portal-burger-top {\n  transform: translateY(3px) rotate(-45deg);\n  transform-origin: 50% 50%;\n  opacity: 1;\n}\n.bci-portal-sidebar-navigation:not(.bci-portal-sidebar-navigation-closed) .bci-portal-sidebar-header .bci-portal-burger .bci-portal-burger-line.bci-portal-burger-bottom {\n  transform: translateY(calc(-0.25em - 1px)) rotate(45deg);\n  transform-origin: 50% 50%;\n  opacity: 1;\n}\n\n.bci-portal-sidebar-header-title > .bci-portal-logo {\n  min-width: 76.61px;\n  min-height: 13.99px;\n  max-width: 248px;\n  max-height: 96px;\n  height: var(--bci-global-company-logo-height, 13.99px);\n  width: var(--bci-global-company-logo-width, 76.61px);\n  content: var(--bci-global-company-logo, url("data:image/svg+xml,%3Csvg version=\'1.1\' id=\'Ebene_1\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:xlink=\'http://www.w3.org/1999/xlink\' x=\'0px\' y=\'0px\' viewBox=\'0 0 55.2 10\' style=\'enable-background:new 0 0 55.2 10;\' xml:space=\'preserve\'%3E %3Cstyle type=\'text/css\'%3E .st0{fill-rule:evenodd;clip-rule:evenodd;fill:%23BFC0C2;} %3C/style%3E %3Cpath id=\'Nexeed-Wordmark\' class=\'st0\' d=\'M2.5,0l3.7,6.8V0h2v10H5.8L2,3.1V10H0V0H2.5z M17.4,0v1.8h-4.8v2.2h3.7v1.7h-3.7v2.5h5V10 h-7.2V0H17.4z M21.4,0l1.9,3.2L25.1,0h2.4l-3,4.8l3.4,5.2h-2.7l-2.1-3.6L20.9,10h-2.4l3.4-5.1L18.8,0H21.4z M36,0v1.8h-4.8v2.2h3.7 v1.7h-3.7v2.5h5V10H29V0H36z M44.8,0v1.8H40v2.2h3.7v1.7H40v2.5h5V10h-7.2V0H44.8z M50.3,0c3.2,0,5,1.8,5,4.9c0,3.1-1.7,4.9-4.8,5 l-0.3,0h-3.6V0H50.3z M50.3,1.8h-1.5v6.4h1.5c1.7,0,2.6-1.1,2.6-3.2C52.9,2.9,52,1.8,50.3,1.8z\'/%3E %3C/svg%3E"));\n}\n\n.bci-portal-sidebar-navigation-container {\n  width: 100%;\n  flex-grow: 1;\n  display: flex;\n  flex-direction: column;\n  /*For firefox, since it doesn\'t support overlay value*/\n  scrollbar-width: thin;\n  /*overlay value for chrome browsers*/\n  overflow-y: overlay;\n  overflow-x: hidden;\n}\n.bci-portal-sidebar-navigation-container:hover::-webkit-scrollbar {\n  padding-right: 0;\n}\n.bci-portal-sidebar-navigation-container:hover::-webkit-scrollbar-thumb {\n  background: #7d8389 !important;\n  background-clip: padding-box !important;\n  border: 5px solid transparent !important;\n}\n.bci-portal-sidebar-navigation-container:hover::-webkit-scrollbar-thumb:hover {\n  background: #43464a !important;\n  background-clip: padding-box !important;\n  border: 3px solid transparent !important;\n}\n\n::-webkit-scrollbar {\n  width: 16px;\n  height: 16px;\n  padding-right: 2px;\n}\n\n::-webkit-scrollbar-track {\n  background: transparent;\n  margin-bottom: 8px;\n}\n\n::-webkit-scrollbar-thumb {\n  background: transparent;\n}\n::-webkit-scrollbar-thumb:hover {\n  background: #43464a;\n  background-clip: padding-box;\n  border: 3px solid transparent;\n}\n\n.bci-portal-sidebar-sub-navigation-container {\n  width: 100%;\n  background-color: #2e3033;\n}\n\n.bci-portal-sidebar-navigation-container-three-level-mode {\n  flex-direction: row;\n}\n\n.bci-portal-navigation-list {\n  width: 100%;\n  float: left;\n  padding: 0;\n  flex-grow: 1;\n}\n\n.bci-portal-navigation-list-closed {\n  width: 55px;\n  flex: 0 0 55px;\n  overflow-x: hidden;\n}\n.bci-portal-navigation-list-closed > bci-portal-navigation-item .bci-portal-navigation-item-icon-expand {\n  display: none;\n}\n\n.bci-portal-navigation-item-placeholder {\n  padding: 10px 12px 14px;\n}\n.bci-portal-navigation-item-placeholder .icon-placeholder,\n.bci-portal-navigation-item-placeholder .text-placeholder {\n  height: 24px;\n}\n.bci-portal-navigation-item-placeholder .icon-placeholder {\n  float: left;\n}\n.bci-portal-navigation-item-placeholder .icon-placeholder:after {\n  content: "";\n  font-size: inherit;\n  line-height: inherit;\n  display: inline-block;\n  width: 24px;\n  max-width: 100%;\n  height: 24px;\n  background: linear-gradient(to right, #eff1f2 0%, #e0e2e5 50%, #eff1f2 100%);\n  background-position-x: 0;\n  background-size: 200% 200%;\n  animation: loadingFadeIn 0.5s 0.3s ease-in-out forwards, backgroundLeftRight 4s ease-in-out infinite alternate;\n}\n.bci-portal-navigation-item-placeholder .icon-placeholder.block:after {\n  width: 100%;\n  height: 100%;\n}\n.bci-portal-navigation-item-placeholder .icon-placeholder:after {\n  background: var(--bci-global-sidenav-text-color, #c1c7cc);\n  opacity: 0.2;\n}\n.bci-portal-navigation-item-placeholder .text-placeholder:after {\n  content: "";\n  font-size: inherit;\n  line-height: inherit;\n  display: inline-block;\n  width: calc(100% - 40px);\n  max-width: 100%;\n  height: 20px;\n  background: linear-gradient(to right, #eff1f2 0%, #e0e2e5 50%, #eff1f2 100%);\n  background-position-x: 0;\n  background-size: 200% 200%;\n  animation: loadingFadeIn 0.5s 0.3s ease-in-out forwards, backgroundLeftRight 4s ease-in-out infinite alternate;\n}\n.bci-portal-navigation-item-placeholder .text-placeholder.block:after {\n  width: 100%;\n  height: 100%;\n}\n.bci-portal-navigation-item-placeholder .text-placeholder:after {\n  background: var(--bci-global-sidenav-text-color, #c1c7cc);\n  opacity: 0.2;\n  margin: 2px 0 2px 16px;\n}\n.bci-portal-navigation-item-placeholder.hidden {\n  display: none;\n  transition: all 200ms;\n}\n\n.bci-portal-sidebar-navigation-closed bci-portal-navigation-footer,\n.bci-portal-sidebar-navigation-closed .bci-portal-navigation-list-item-text,\n.bci-portal-sidebar-navigation-closed [class^=bci-portal-sidebar-header-title] {\n  opacity: 0;\n  transition: opacity ease-in-out 200ms;\n}\n.bci-portal-sidebar-navigation-closed .bci-portal-sidebar-sub-navigation-container {\n  overflow-y: hidden;\n  -webkit-overflow-scrolling: auto;\n}\n.bci-portal-sidebar-navigation-closed bci-portal-navigation-item bci-portal-navigation-item {\n  display: none;\n}\n.bci-portal-sidebar-navigation-closed .bci-portal-sidebar-header {\n  height: 48px;\n  transition: max-height ease-in-out 200ms;\n}\n.bci-portal-sidebar-navigation-closed .expand + bci-portal-navigation-sub-list .bci-portal-navigation-items {\n  opacity: 0;\n  max-height: 0 !important;\n  transition: max-height ease-in-out 200ms, opacity ease-in-out 200ms !important;\n}\n.bci-portal-sidebar-navigation-closed .bci-portal-navigation-list-item .bci-portal-navigation-list-item-content {\n  padding-left: 0;\n}\n\n.bci-portal-sidebar-navigation-closed > section > section {\n  padding-right: 18px;\n}\n\n.bci-portal-sidebar-navigation-footer {\n  display: var(--bci-global-powered-by-display, none);\n  margin: 12px;\n  font-size: 14px;\n  flex-direction: row;\n  align-items: center;\n  justify-content: flex-start;\n  color: #2e3033;\n}\n.bci-portal-sidebar-navigation-footer .bci-portal-bosch-logo {\n  margin-left: 12px;\n  display: inline-block;\n  width: 72px;\n  height: 16px;\n  background-size: cover;\n  background-repeat: no-repeat;\n  background-image: url("data:image/svg+xml,%3C%3Fxml version=\'1.0\' encoding=\'utf-8\'%3F%3E%3C!-- Generator: Adobe Illustrator 24.0.3, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E%3Csvg version=\'1.1\' id=\'Ebene_1\' xmlns=\'http://www.w3.org/2000/svg\' xmlns:xlink=\'http://www.w3.org/1999/xlink\' x=\'0px\' y=\'0px\' viewBox=\'0 0 436 98\' style=\'enable-background:new 0 0 436 98;\' xml:space=\'preserve\'%3E%3Cstyle type=\'text/css\'%3E .st0%7Bfill-rule:evenodd;clip-rule:evenodd;fill:%23525F6B;%7D .st1%7Bfill:%23525F6B;%7D%0A%3C/style%3E%3Ctitle%3E%3C/title%3E%3Cg transform=\'translate(0,0)\'%3E%3Cg id=\'logotype\'%3E%3Cpath id=\'logotype-b-47\' class=\'st0\' d=\'M186.7,47.5c5.4-2.1,8.9-7.3,8.8-13c0-11.7-8.3-17.5-19.7-17.5h-29.9v63.6h32.5 c10,0,19.8-7,19.8-17.7C198.2,50.2,186.7,47.6,186.7,47.5z M161.5,30.2h11.6c3.1-0.2,5.8,2.2,6,5.3c0,0.2,0,0.5,0,0.7 c-0.1,3.3-2.8,5.9-6,5.8c-0.1,0-0.2,0-0.3,0h-11.4L161.5,30.2z M173.2,67.3h-11.6V54.8h11.3c5.7,0,8.4,2.5,8.4,6.2 C181.3,65.6,177.9,67.3,173.2,67.3z\'/%3E%3Cpath id=\'logotype-o-47\' class=\'st0\' d=\'M232.6,15.4c-18.4,0-29.2,14.7-29.2,33.3c0,18.7,10.8,33.3,29.2,33.3 c18.5,0,29.2-14.6,29.2-33.3C261.8,30.1,251.1,15.4,232.6,15.4z M232.6,66.8c-9,0-13.5-8.1-13.5-18.1s4.5-18,13.5-18 s13.6,8.1,13.6,18C246.2,58.8,241.6,66.8,232.6,66.8z\'/%3E%3Cpath id=\'logotype-s-47\' class=\'st0\' d=\'M295.7,42l-2.2-0.5c-5.4-1.1-9.7-2.5-9.7-6.4c0-4.2,4.1-5.9,7.7-5.9c5,0.1,9.7,2.2,13,5.9 l9.9-9.8c-4.5-5.1-11.8-10-23.2-10c-13.4,0-23.6,7.5-23.6,20c0,11.4,8.2,17,18.2,19.1l2.2,0.5c8.3,1.7,11.4,3,11.4,7 c0,3.8-3.4,6.3-8.6,6.3c-6.2,0-11.8-2.7-16.1-8.2l-10.1,10c5.6,6.7,12.7,11.9,26.4,11.9c11.9,0,24.6-6.8,24.6-20.7 C315.8,46.7,304.8,43.9,295.7,42z\'/%3E%3Cpath id=\'logotype-c-47\' class=\'st0\' d=\'M351.2,66.8c-7,0-14.3-5.8-14.3-18.5c0-11.3,6.8-17.6,13.9-17.6c5.6,0,8.9,2.6,11.5,7.1 l12.8-8.5c-6.4-9.7-14-13.8-24.5-13.8c-19.2,0-29.6,14.9-29.6,32.9c0,18.9,11.5,33.7,29.4,33.7c12.6,0,18.6-4.4,25.1-13.8 l-12.9-8.7C360,63.8,357.2,66.8,351.2,66.8z\'/%3E%3Cpolygon id=\'logotype-h-47\' class=\'st0\' points=\'417.8,17 417.8,40.4 398.5,40.4 398.5,17 381.8,17 381.8,80.6 398.5,80.6 398.5,55.5 417.8,55.5 417.8,80.6 434.5,80.6 434.5,17 \'/%3E%3C/g%3E%3Cg id=\'symbol\'%3E%3Cpath class=\'st1\' d=\'M49.7,0.8C23.1,0.8,1.5,22.4,1.5,49s21.6,48.2,48.2,48.2S97.9,75.6,97.9,49C97.9,22.4,76.3,0.8,49.7,0.8z M49.7,92.7C25.6,92.7,6,73.1,6,49S25.6,5.3,49.7,5.3S93.4,24.9,93.4,49C93.4,73.1,73.8,92.7,49.7,92.7L49.7,92.7z\'/%3E%3Cpath class=\'st1\' d=\'M69.6,18.9h-3.3v16.5H33.2V18.9h-3.4c-16.6,11-21.2,33.3-10.2,50c2.7,4.1,6.2,7.6,10.2,10.2h3.4V62.6h33.1 v16.5h3.3c16.6-11,21.2-33.3,10.2-50C77.2,25.1,73.7,21.6,69.6,18.9z M28.6,72.6C15.6,61,14.4,41.1,26,28c0.8-0.9,1.7-1.8,2.6-2.6 V72.6z M66.3,58H33.2V39.9h33.1V58z M70.8,72.5v-10l0,0V35.4l0,0v-10c13,11.7,14.1,31.7,2.4,44.7C72.4,70.9,71.6,71.7,70.8,72.5z\' /%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");\n}\n\n.bci-portal-sidebar-navigation-footer.hide {\n  display: none;\n}\n\n/* < 992px | $screen-sm-max | VP3 | DESKTOP */\n@media (max-width: 991px) {\n  .bci-portal-sidebar-navigation {\n    position: absolute;\n    width: 0;\n    height: 100%;\n  }\n  .bci-portal-sidebar-navigation:not(.bci-portal-sidebar-navigation-closed) {\n    width: 100%;\n  }\n  .bci-portal-sidebar-navigation.bci-portal-sidebar-navigation-closed {\n    overflow: visible;\n  }\n  .bci-portal-sidebar-navigation.bci-portal-sidebar-navigation-closed .bci-portal-sidebar-navigation-container {\n    overflow: visible;\n  }\n  .bci-portal-sidebar-navigation.bci-portal-sidebar-navigation-closed .bci-portal-navigation-list {\n    display: none;\n  }\n  .bci-portal-sidebar-navigation.bci-portal-sidebar-navigation-closed .bci-portal-sidebar-header .bci-portal-burger {\n    right: -48px;\n    z-index: 100;\n    transition: right ease-in-out 200ms;\n  }\n  .bci-portal-sidebar-navigation.bci-portal-sidebar-navigation-closed .bci-portal-sidebar-header .bci-portal-burger .bci-portal-burger,\n.bci-portal-sidebar-navigation.bci-portal-sidebar-navigation-closed .bci-portal-sidebar-header .bci-portal-burger .bci-portal-burger-line {\n    transition: none;\n  }\n  .bci-portal-sidebar-navigation.bci-portal-sidebar-navigation-closed .bci-portal-sidebar-header .bci-portal-burger .bci-portal-burger-line {\n    border-color: #000000;\n  }\n  .bci-portal-sidebar-navigation.bci-portal-sidebar-navigation-closed .bci-portal-sidebar-header .bci-portal-burger:hover .bci-portal-burger-line {\n    border-color: #007bc0;\n  }\n}';

const i = class {
  constructor(o) {
    n(this, o), this.navigationItemExpanded = e(this, "bci.portal.navigation.itemExpanded", 7), 
    this.navigationItemClicked = e(this, "bci.portal.navigation.itemClicked", 7), 
    /**
     * controls whether window path has hash navigations
     */
    this.hashNavigation = !0, this.navigationClosed = !1, this.expanded = !1;
  }
  handlePopStateEvent() {
    // activate related to the browser location the related main and child item
    this.pathMatch(this.item.path) ? this.setActive(!0) : (this.item.children || []).some((n => this.pathMatch(n.path) || (n.children || []).some((n => this.pathMatch(n.path))))) ? this.expanded = !0 : (this.setActive(!1), 
    this.expanded = !1);
  }
  watchNavigationClosed(n) {
    this.navigationClosed = n;
  }
  watchItem(n) {
    this.item = n, this.expanded = !!this.item.expanded && this.item.children && this.item.children.length > 0;
  }
  /**
   * Popstate is sometimes not triggered on page initialization. With this methiod
   * it is ensured that active and expanded state of navigation item are set.
   */  componentWillLoad() {
    this.expanded = this.item && !!this.item.expanded, this.handlePopStateEvent();
  }
  pathMatch(n) {
    if (!n) return !1;
    const e = t.preprocessPath(n), o = t.preprocessPath(`${window.location.pathname}${this.hashNavigation && window.location.hash || ""}`);
    return !!n && o === e;
  }
  /**
   * Navigation item is clicked. Expanded state is changed and a event for clicked or expanded is emitted.
   * The expanded state has to be changed because the watcher does not get this information.
   */  selectItem(n) {
    n.preventDefault(), this.item.icon && this.item.children ? (this.navigationClosed && this.expanded || (this.expanded = !this.expanded), 
    this.navigationItemExpanded.emit(this.item)) : (this.item.jsFiles || this.item.htmlFile) && this.navigationItemClicked.emit(this.item);
  }
  /**
   * Change active state of navigation item and rerender.
   *
   * @param active new active state
   */  setActive(n) {
    this.item.active = n, !n && this.item.children && (this.item.expanded = !1, this.item.children.forEach((n => {
      n.active = !1;
    }))), this.item = Object.assign({}, this.item);
  }
  /**
   * Add class bci-portal-navigation-item-expandable to host element to enable expand icon rotation if expanded.
   *
   * @returns class list
   */  navigationItemExpandedClass() {
    return this.expanded && !this.navigationClosed && this.expanderIcon !== r.Right ? "bci-portal-navigation-item-expandable" : "";
  }
  /**
   * Navigation item class list. Contains
   * - bci-portal-navigation-item-active to highlight if the item (or any child item if collapsed) is active
   * - bci-portal-navigation-item-has-childs to make the background of active child elements darker
   *
   * @returns class list
   */  navigationItemClass() {
    let n = "bci-portal-navigation-item";
    const hasActiveChildren = (n, e) => !!(e.active || e.children && e.children.reduce(hasActiveChildren, !1)) || n, e = this.item.children && this.item.children.reduce(hasActiveChildren, !1), o = this.item.active && !this.expanded, c = this.navigationClosed && e, t = !this.expanded && this.expanderIcon === r.Down && e, b = e && !this.item.icon;
    return (o || c || t || b) && (n += " bci-portal-navigation-item-active"), e && (n += " bci-portal-navigation-item-has-childs"), 
    n;
  }
  /**
   * Class list for the div which contains the text paragraph.
   *
   * @returns class list
   */  navigationItemTextClass() {
    let n = "bci-portal-navigation-item-text";
    return (this.item.children || this.item.icon) && this.item.icon || (n += " bci-portal-navigation-item-sub-text"), 
    n;
  }
  navigationPath() {
    if (this.item.navigationPath) return "/" + this.item.navigationPath.join("/");
  }
  render() {
    return o(c, {
      class: this.navigationItemExpandedClass(),
      "data-test-nav": this.item.title,
      "data-test-path": this.navigationPath()
    }, o("div", {
      "data-test": "webcore.webcomponents.navigation-item.select.div",
      onClick: n => this.selectItem(n),
      class: this.navigationItemClass()
    }, o("a", {
      title: this.item.title,
      class: "bci-portal-navigation-item-content",
      href: this.item.path ? this.item.path : void 0
    }, this.item.icon && o("span", {
      class: `bci-portal-navigation-item-icon-category bosch-ic ${this.item.icon}`
    }), o("div", {
      class: this.navigationItemTextClass()
    }, o("p", null, this.item.title)), this.item.children && o("span", {
      class: `bci-portal-navigation-item-icon-expand bosch-ic ${this.expanderIcon}`
    }))), this.item.children && o("div", {
      class: "bci-portal-navigation-items"
    }, o("slot", null)));
  }
  static get watchers() {
    return {
      navigationClosed: [ "watchNavigationClosed" ],
      item: [ "watchItem" ]
    };
  }
};

i.style = "/*!\n *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */@keyframes fadein{from{opacity:0}to{opacity:1}}.bci-portal-navigation-item{display:block;height:48px;box-sizing:border-box;max-height:200px;animation:fadein 0.25s;min-width:48px;margin-left:-8px}.bci-portal-navigation-item a,.bci-portal-navigation-item a:focus,.bci-portal-navigation-item a:active{color:var(--bci-global-sidenav-text-color, #ffffff);cursor:pointer;text-decoration:none}.bci-portal-navigation-item a:hover{color:var(--bci-global-sidenav-text-hover-color, #ffffff)}.bci-portal-navigation-item.bci-portal-navigation-item-active{background-color:var(--bci-global-sidenav-active-color, #0096e8)}.bci-portal-navigation-item.bci-portal-navigation-item-active a{color:var(--bci-global-sidenav-text-active-color, #000000);background-color:inherit}.bci-portal-navigation-item.bci-portal-navigation-item-active:hover{background-color:#56b0ff}.bci-portal-navigation-item.bci-portal-navigation-item-active:active{background-color:#9dc9ff}.bci-portal-navigation-item:hover:not(.bci-portal-navigation-item-active){background-color:var(--bci-global-sidenav-hover-color, #43464a)}.bci-portal-navigation-item:active:not(.bci-portal-navigation-item-active){background-color:#595e62}.bci-portal-navigation-item.nav-link-hidden{overflow:hidden}.bci-portal-navigation-item-content{transition:padding 0.5s ease-in-out;padding:0 12px 0px 8px;display:flex;flex-direction:row;align-items:center;box-sizing:border-box;position:relative;height:inherit}.bci-portal-navigation-item-sub-text.p{margin-left:40px}.bci-portal-navigation-item-text{display:flex;flex-direction:column;width:100%;box-sizing:border-box;overflow:hidden;opacity:1;transition:opacity ease-in-out 500ms}.bci-portal-navigation-item-text>p{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;display:block;box-sizing:border-box}[class^=bci-portal-navigation-item-icon]{flex-shrink:0;font-size:20px;box-sizing:content-box;display:inline-block}.bci-portal-navigation-item-icon-category.bosch-ic{margin-left:12px}.bci-portal-navigation-item-icon-category.bosch-ic::before{font-size:24px}.bci-portal-navigation-item-icon-expand{transform:rotate(0);transition:transform ease-in-out 200ms}.bci-portal-navigation-item-icon-expand::before{font-size:24px}.bci-portal-navigation-item-expandable .bci-portal-navigation-item-icon-expand{transform:rotate(-180deg);transition:transform ease-in-out 200ms}.bci-portal-navigation-item-content p{margin-left:48px}.bci-portal-navigation-item-text{padding:0 16px 0 12px}.bci-portal-navigation-item-text p{margin:14px 0}.bci-portal-navigation-items{max-height:0;opacity:0;transition:max-height ease-in-out 300ms, opacity ease-in-out 300ms;overflow:hidden}.bci-portal-navigation-items .bci-portal-navigation-item{border-left-width:0}.bci-portal-navigation-items .bci-portal-navigation-item a{padding-right:0}.bci-portal-navigation-items .bci-portal-navigation-item .bci-portal-navigation-item-text{padding-right:12px}.bci-portal-navigation-items .bci-portal-navigation-item.bci-portal-navigation-item-active,.bci-portal-navigation-items .bci-portal-navigation-item:hover:not(.bci-portal-navigation-item-active){background:transparent}.bci-portal-navigation-items .bci-portal-navigation-item.bci-portal-navigation-item-active .bci-portal-navigation-item-text,.bci-portal-navigation-items .bci-portal-navigation-item:hover:not(.bci-portal-navigation-item-active) .bci-portal-navigation-item-text{background-color:var(--bci-global-sidenav-hover-color, #43464a)}.bci-portal-navigation-items .bci-portal-navigation-item:active:not(.bci-portal-navigation-item-active){background:transparent}.bci-portal-navigation-items .bci-portal-navigation-item:active:not(.bci-portal-navigation-item-active) .bci-portal-navigation-item-text{background-color:#595e62}.bci-portal-navigation-items .bci-portal-navigation-item.bci-portal-navigation-item-active .bci-portal-navigation-item-text{background-color:var(--bci-global-sidenav-active-color, #0096e8)}.bci-portal-navigation-items .bci-portal-navigation-item.bci-portal-navigation-item-active .bci-portal-navigation-item-text:hover{background-color:#56b0ff}.bci-portal-navigation-items .bci-portal-navigation-item.bci-portal-navigation-item-active .bci-portal-navigation-item-text:active{background-color:#9dc9ff}bci-portal-navigation-submenu bci-portal-navigation-item bci-portal-navigation-item .bci-portal-navigation-item{background-color:var(--bci-global-sidenav-color, #2e3033)}bci-portal-navigation-submenu bci-portal-navigation-item bci-portal-navigation-item .bci-portal-navigation-item .bci-portal-navigation-item-content{padding:0}bci-portal-navigation-submenu bci-portal-navigation-item bci-portal-navigation-item .bci-portal-navigation-item .bci-portal-navigation-item-sub-text{padding-left:24px}.bci-portal-navigation-item-expandable .bci-portal-navigation-items{display:inherit;max-height:inherit;opacity:1;overflow:inherit;transition:all ease-in-out 300ms}.bci-portal-navigation-item-expandable .bci-portal-navigation-items :not(.bci-portal-navigation-item-expandable) p{margin-left:36px}";

const s = class {
  constructor(o) {
    n(this, o), this.navigationItemExpanded = e(this, "bci.portal.navigation.itemExpanded", 7);
  }
  closeExpandedMenu() {
    this.navigationItemExpanded.emit(this.expandedNavItem);
  }
  render() {
    return o("section", {
      class: "bci-portal-sidebar-sub-navigation-container"
    }, o("div", {
      class: "bci-portal-navigation-item",
      "data-test": "webcore.webcomponents.navigation-submenu.close.div",
      onClick: () => this.closeExpandedMenu()
    }, o("a", {
      title: this.expandedNavItem.title,
      class: "bci-portal-navigation-item-content"
    }, o("span", {
      class: "bci-portal-navigation-item-icon-category bosch-ic bosch-ic-back-left"
    }), o("div", {
      class: "bci-portal-navigation-item-sub-header"
    }, o("p", {
      class: "bci-portal-navigation-item-title"
    }, this.expandedNavItem.title)))), o("slot", null));
  }
};

s.style = "/*!\n *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */bci-portal-navigation-submenu{width:100%;overflow:hidden}.bci-portal-navigation-item-sub-header{margin-left:12px}.bci-portal-navigation-item-title{border-bottom:1px solid}";

export { b as bci_portal_navigation, i as bci_portal_navigation_item, s as bci_portal_navigation_submenu }

