/* Copyright (C) 2023. Robert Bosch GmbH Copyright (C) 2023. Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved. */
import { p as proxyCustomElement, H, c as createEvent, h } from './p-6fc5b736.js';
import { t as translate } from './p-9dead869.js';
import { d as defineCustomElement$3 } from './p-184dda00.js';
import { d as defineCustomElement$2 } from './p-1c466661.js';
import { d as defineCustomElement$1 } from './p-09640a8e.js';

const multiSelectorInputCss = "/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */@font-face{font-family:\"Bosch-Sans\";font-weight:400;src:url(\"..//fonts/BoschSans-Regular.eot\");src:url(\"..//fonts/BoschSans-Regular.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Regular.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Regular.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Regular.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-RegularItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-RegularItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-RegularItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Regular.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Sans\";font-weight:300;src:url(\"..//fonts/BoschSans-Light.eot\");src:url(\"..//fonts/BoschSans-Light.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Light.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Light.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Light.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-LightItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-LightItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-LightItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Light.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Sans\";font-weight:500;src:url(\"..//fonts/BoschSans-Medium.eot\");src:url(\"..//fonts/BoschSans-Medium.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Medium.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Medium.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Medium.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-MediumItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-MediumItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-MediumItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Medium.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Sans\";font-weight:700;src:url(\"..//fonts/BoschSans-Bold.eot\");src:url(\"..//fonts/BoschSans-Bold.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Bold.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Bold.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Bold.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-BoldItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-BoldItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-BoldItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Bold.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Sans\";font-weight:900;src:url(\"..//fonts/BoschSans-Black.eot\");src:url(\"..//fonts/BoschSans-Black.eot?#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/BoschSans-Black.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-Black.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-Black.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-BlackItalic.woff2\") format(\"woff2\"), url(\"..//fonts/BoschSans-BlackItalic.woff\") format(\"woff\"), url(\"..//fonts/BoschSans-BlackItalic.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSans-Black.svg#svgFontName\") format(\"svg\");}@font-face{font-family:\"Bosch-Ic\";font-style:normal;font-stretch:normal;font-weight:normal;src:url(\"..//fonts/Bosch-Icon.eot?mh5qa9\");src:url(\"..//fonts/Bosch-Icon.eot?mh5qa9#iefix\") format(\"embedded-opentype\"), url(\"..//fonts/Bosch-Icon.ttf?mh5qa9\") format(\"truetype\"), url(\"..//fonts/Bosch-Icon.woff?mh5qa9\") format(\"woff\"), url(\"..//fonts/Bosch-Icon.svg?mh5qa9#Bosch-Icon\") format(\"svg\")}@font-face{font-family:\"Bosch-Sans-Condensed\";font-weight:300;src:url(\"..//fonts/BoschSansCond-Regular.otf\"), url(\"..//fonts/BoschSansCondensed-Regular.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSansCondensed-RegularItalic.ttf\") format(\"truetype\")}@font-face{font-family:\"Bosch-Sans-Condensed\";font-weight:700;src:url(\"..//fonts/BoschSansCond-Bold.otf\"), url(\"..//fonts/BoschSansCondensed-Bold.ttf\") format(\"truetype\"), url(\"..//fonts/BoschSansCondensed-BoldItalic.ttf\") format(\"truetype\")}/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n *//*!\n  *  Copyright (C) 2023 Robert Bosch GmbH Copyright (C) 2023 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */.flex-column{display:flex;flex-direction:column;box-sizing:border-box}.flex-row{display:flex;flex-direction:row;box-sizing:border-box}.flex-none{flex:0 0 auto}.flex-grow{flex:1 1 100%;height:100%}.flex-layout-start-strech{place-content:stretch flex-start;align-items:stretch}.flex-layout-center-center{place-content:center;align-items:center}.flex-fill{width:100%;box-sizing:border-box;max-width:100%}.flex-row-wrap{flex-flow:row wrap;box-sizing:border-box;display:flex}.flex-row-wrap.grow{flex:1 1 100%;max-width:100%}.flex-center{display:flex;justify-content:center;align-items:center}.flex-space-between{display:flex;justify-content:space-between;align-items:center}/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */input{color:#000000;background-color:#e0e2e5;box-shadow:none;width:100%;min-width:160px;box-sizing:border-box;caret-color:#000000;cursor:auto;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;border-width:0px 0px 1px 0px;border-color:#000000;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0;padding:12px 16px 11px 16px}input:hover:enabled,input:hover{background-color:#c1c7cc;box-shadow:none}input:hover:enabled~.label-top,input:hover~.label-top{background-color:#c1c7cc}input:hover:enabled::-moz-placeholder,input:hover::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}input:hover:enabled:-ms-input-placeholder,input:hover:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:hover:enabled::-webkit-input-placeholder,input:hover::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:hover:enabled::placeholder,input:hover::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:hover:enabled label,input:hover label{background-color:#c1c7cc}input:active:enabled,input.active,input:active:enabled:hover,input.active:hover{background-color:#a4abb3;box-shadow:none}input:active:enabled~.label-top,input.active~.label-top,input:active:enabled:hover~.label-top,input.active:hover~.label-top{background-color:#a4abb3}input:active:enabled::-moz-placeholder,input.active::-moz-placeholder,input:active:enabled:hover::-moz-placeholder,input.active:hover::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}input:active:enabled:-ms-input-placeholder,input.active:-ms-input-placeholder,input:active:enabled:hover:-ms-input-placeholder,input.active:hover:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:active:enabled::-webkit-input-placeholder,input.active::-webkit-input-placeholder,input:active:enabled:hover::-webkit-input-placeholder,input.active:hover::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:active:enabled::placeholder,input.active::placeholder,input:active:enabled:hover::placeholder,input.active:hover::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:active:enabled label,input.active label,input:active:enabled:hover label,input.active:hover label{background-color:#a4abb3}input:focus,input:focus:enabled,input:focus:hover,input:focus:enabled:hover{background-color:#d1e4ff;box-shadow:none}input:focus~.label-top,input:focus:enabled~.label-top,input:focus:hover~.label-top,input:focus:enabled:hover~.label-top{background-color:#d1e4ff}input:focus::-moz-placeholder,input:focus:enabled::-moz-placeholder,input:focus:hover::-moz-placeholder,input:focus:enabled:hover::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}input:focus:-ms-input-placeholder,input:focus:enabled:-ms-input-placeholder,input:focus:hover:-ms-input-placeholder,input:focus:enabled:hover:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:focus::-webkit-input-placeholder,input:focus:enabled::-webkit-input-placeholder,input:focus:hover::-webkit-input-placeholder,input:focus:enabled:hover::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:focus::placeholder,input:focus:enabled::placeholder,input:focus:hover::placeholder,input:focus:enabled:hover::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:focus label,input:focus:enabled label,input:focus:hover label,input:focus:enabled:hover label{background-color:#d1e4ff}input:disabled,input:hover:disabled,input.disabled{color:#a4abb3;background-color:#e0e2e5;cursor:default;border-width:0px 0px 1px 0px;border-color:#a4abb3;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}input:disabled::-moz-placeholder,input:hover:disabled::-moz-placeholder,input.disabled::-moz-placeholder{color:#a4abb3;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}input:disabled:-ms-input-placeholder,input:hover:disabled:-ms-input-placeholder,input.disabled:-ms-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:disabled::-webkit-input-placeholder,input:hover:disabled::-webkit-input-placeholder,input.disabled::-webkit-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:disabled::placeholder,input:hover:disabled::placeholder,input.disabled::placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input:disabled~.label-top,input:hover:disabled~.label-top,input.disabled~.label-top{color:#a4abb3;cursor:not-allowed}input:disabled label,input:hover:disabled label,input.disabled label{background-color:#e0e2e5}input[readonly]{color:#a4abb3;background-color:#e0e2e5;cursor:default;border-width:0px 0px 1px 0px;border-color:#000000;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}input[readonly]::-moz-placeholder{color:#a4abb3;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}input[readonly]:-ms-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input[readonly]::-webkit-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input[readonly]::placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input[readonly]~.label-top{color:#a4abb3;cursor:not-allowed}input[readonly] label{background-color:#e0e2e5}input:focus{box-shadow:none;outline:0}input::-ms-expand{border:0;background-color:transparent}input::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}input:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}input[type=number]{-moz-appearance:textfield}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}.search-input input{padding-right:44px}.search-input::after{font-family:\"Bosch-Ic\";content:\"\\e235\";font-size:24px;color:#000000;display:inline-block;position:relative;right:12px;bottom:14px;margin-left:-24px;z-index:1;pointer-events:none}textarea{color:#000000;background-color:#e0e2e5;box-shadow:none;width:100%;min-width:160px;box-sizing:border-box;caret-color:#000000;cursor:auto;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;border-width:0px 0px 1px 0px;border-color:#000000;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0;padding:12px 16px 11px 16px;border-width:0px 0px 1px 0px;border-color:#000000;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0;min-height:96px;resize:vertical}textarea:hover:enabled,textarea:hover{background-color:#c1c7cc;box-shadow:none}textarea:hover:enabled~.label-top,textarea:hover~.label-top{background-color:#c1c7cc}textarea:hover:enabled::-moz-placeholder,textarea:hover::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}textarea:hover:enabled:-ms-input-placeholder,textarea:hover:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:hover:enabled::-webkit-input-placeholder,textarea:hover::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:hover:enabled::placeholder,textarea:hover::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:hover:enabled label,textarea:hover label{background-color:#c1c7cc}textarea:active:enabled,textarea.active,textarea:active:enabled:hover,textarea.active:hover{background-color:#a4abb3;box-shadow:none}textarea:active:enabled~.label-top,textarea.active~.label-top,textarea:active:enabled:hover~.label-top,textarea.active:hover~.label-top{background-color:#a4abb3}textarea:active:enabled::-moz-placeholder,textarea.active::-moz-placeholder,textarea:active:enabled:hover::-moz-placeholder,textarea.active:hover::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}textarea:active:enabled:-ms-input-placeholder,textarea.active:-ms-input-placeholder,textarea:active:enabled:hover:-ms-input-placeholder,textarea.active:hover:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:active:enabled::-webkit-input-placeholder,textarea.active::-webkit-input-placeholder,textarea:active:enabled:hover::-webkit-input-placeholder,textarea.active:hover::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:active:enabled::placeholder,textarea.active::placeholder,textarea:active:enabled:hover::placeholder,textarea.active:hover::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:active:enabled label,textarea.active label,textarea:active:enabled:hover label,textarea.active:hover label{background-color:#a4abb3}textarea:focus,textarea:focus:enabled,textarea:focus:hover,textarea:focus:enabled:hover{background-color:#d1e4ff;box-shadow:none}textarea:focus~.label-top,textarea:focus:enabled~.label-top,textarea:focus:hover~.label-top,textarea:focus:enabled:hover~.label-top{background-color:#d1e4ff}textarea:focus::-moz-placeholder,textarea:focus:enabled::-moz-placeholder,textarea:focus:hover::-moz-placeholder,textarea:focus:enabled:hover::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}textarea:focus:-ms-input-placeholder,textarea:focus:enabled:-ms-input-placeholder,textarea:focus:hover:-ms-input-placeholder,textarea:focus:enabled:hover:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:focus::-webkit-input-placeholder,textarea:focus:enabled::-webkit-input-placeholder,textarea:focus:hover::-webkit-input-placeholder,textarea:focus:enabled:hover::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:focus::placeholder,textarea:focus:enabled::placeholder,textarea:focus:hover::placeholder,textarea:focus:enabled:hover::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:focus label,textarea:focus:enabled label,textarea:focus:hover label,textarea:focus:enabled:hover label{background-color:#d1e4ff}textarea:disabled,textarea:hover:disabled,textarea.disabled{color:#a4abb3;background-color:#e0e2e5;cursor:default;border-width:0px 0px 1px 0px;border-color:#a4abb3;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}textarea:disabled::-moz-placeholder,textarea:hover:disabled::-moz-placeholder,textarea.disabled::-moz-placeholder{color:#a4abb3;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}textarea:disabled:-ms-input-placeholder,textarea:hover:disabled:-ms-input-placeholder,textarea.disabled:-ms-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:disabled::-webkit-input-placeholder,textarea:hover:disabled::-webkit-input-placeholder,textarea.disabled::-webkit-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:disabled::placeholder,textarea:hover:disabled::placeholder,textarea.disabled::placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea:disabled~.label-top,textarea:hover:disabled~.label-top,textarea.disabled~.label-top{color:#a4abb3;cursor:not-allowed}textarea:disabled label,textarea:hover:disabled label,textarea.disabled label{background-color:#e0e2e5}textarea[readonly]{color:#a4abb3;background-color:#e0e2e5;cursor:default;border-width:0px 0px 1px 0px;border-color:#000000;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}textarea[readonly]::-moz-placeholder{color:#a4abb3;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}textarea[readonly]:-ms-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea[readonly]::-webkit-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea[readonly]::placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea[readonly]~.label-top{color:#a4abb3;cursor:not-allowed}textarea[readonly] label{background-color:#e0e2e5}textarea:focus{box-shadow:none;outline:0}textarea::-ms-expand{border:0;background-color:transparent}textarea::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}textarea:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}textarea[type=number]{-moz-appearance:textfield}textarea::-webkit-outer-spin-button,textarea::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}input.valid,textarea.valid,select.valid{border-color:#00884a}input.warning,textarea.warning,select.warning{border-color:#ffcf00}input.invalid,input.error,textarea.invalid,textarea.error,select.invalid,select.error{border-color:#ed0007}.form-group{position:relative}.form-group input:first-child,.form-group textarea:first-child,.form-group select:first-child,.form-group .dropdown:first-child{padding:20px 16px 3px 16px}.form-group input:first-child:last-child,.form-group textarea:first-child:last-child,.form-group select:first-child:last-child,.form-group .dropdown:first-child:last-child{padding:12px 16px 11px 16px}.form-group.form-field-numeric .bosch-ic-clickable{position:absolute;top:12px;cursor:pointer}.form-group.form-field-numeric .bosch-ic-clickable:first-of-type+.bosch-ic-clickable{right:12px}.form-group.form-field-numeric .bosch-ic-clickable:first-of-type{right:60px}.form-group.form-field-numeric .label-top{width:calc(100% - 112px)}.form-group.form-field-numeric input{padding-right:106px}.form-group.form-field-numeric input:disabled~.bosch-ic-clickable{cursor:default}.form-group.form-field-numeric input:disabled~.bosch-ic-clickable,.form-group.form-field-numeric input:disabled~.bosch-ic-clickable:active,.form-group.form-field-numeric input:disabled~.bosch-ic-clickable:hover{color:#a4abb3}.form-group.form-field-numeric input:nth-last-child(3){padding:12px 16px 11px 16px;padding-right:106px}.form-group div.hint,.form-group div.valid,.form-group div.error,.form-group div.warning,.form-group span.hint,.form-group span.valid,.form-group span.error,.form-group span.warning,.form-group p.hint,.form-group p.valid,.form-group p.error,.form-group p.warning{font-size:12px;padding:8px 16px;font-weight:500}.form-group div.valid,.form-group span.valid,.form-group p.valid{color:#00884a}.form-group div.warning,.form-group span.warning,.form-group p.warning{color:#ffcf00}.form-group div.error,.form-group span.error,.form-group p.error{color:#ed0007}@-moz-document url-prefix(){.form-group{position:relative}.form-group input:first-child,.form-group textarea:first-child,.form-group select:first-child,.form-group .dropdown:first-child{padding:20px 16px 3px 16px}.form-group input:first-child:last-child,.form-group textarea:first-child:last-child,.form-group select:first-child:last-child,.form-group .dropdown:first-child:last-child{padding:12px 16px 11px 16px}.form-group select:first-child{padding-left:13px}.form-group.form-field-numeric .bosch-ic-clickable{position:absolute;top:12px;cursor:pointer}.form-group.form-field-numeric .bosch-ic-clickable:first-of-type+.bosch-ic-clickable{right:12px}.form-group.form-field-numeric .bosch-ic-clickable:first-of-type{right:60px}.form-group.form-field-numeric .label-top{width:calc(100% - 112px)}.form-group.form-field-numeric input{padding-right:106px}.form-group.form-field-numeric input:disabled~.bosch-ic-clickable{cursor:default}.form-group.form-field-numeric input:disabled~.bosch-ic-clickable,.form-group.form-field-numeric input:disabled~.bosch-ic-clickable:active,.form-group.form-field-numeric input:disabled~.bosch-ic-clickable:hover{color:#a4abb3}.form-group.form-field-numeric input:nth-last-child(3){padding:12px 16px 11px 16px;padding-right:106px}}.dark-background input{background-color:#ffffff}.dark-background input:active:enabled,.dark-background input.active,.dark-background input:focus:enabled{background-color:#eff1f2}.dark-background input:active:enabled~.label-top,.dark-background input.active~.label-top,.dark-background input:focus:enabled~.label-top{background-color:#eff1f2}.dark-background textarea{background-color:#ffffff}.dark-background textarea:active:enabled,.dark-background textarea.active,.dark-background textarea:focus:enabled{background-color:#eff1f2}.dark-background textarea:active:enabled~.label-top,.dark-background textarea.active~.label-top,.dark-background textarea:focus:enabled~.label-top{background-color:#eff1f2}/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */.clickable-element{transition:0.4s;cursor:pointer}.clickable-element:active,.clickable-element.active{color:#007bc0}.clickable-element:active:hover,.clickable-element:hover .clickable-element:focus{color:#9dc9ff}.clickable-element:disabled,.clickable-element.disabled{color:#a4abb3}.clickable-element:disabled:active,.clickable-element:disabled.active,.clickable-element:disabled:active:hover,.clickable-element:disabled:hover,.clickable-element.disabled:active,.clickable-element.disabled.active,.clickable-element.disabled:active:hover,.clickable-element.disabled:hover{color:#a4abb3}button.button-primary,button.button-default,input.button-primary,input.button-default{color:#ffffff;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0px 16px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto;background-color:#007bc0;background-size:100% 200%;border-width:0;border-color:transparent;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}button.button-primary:hover,button.button-primary:focus-visible,button.button-default:hover,button.button-default:focus-visible,input.button-primary:hover,input.button-primary:focus-visible,input.button-default:hover,input.button-default:focus-visible{background-color:#00629a;color:#ffffff;outline:0}button.button-primary:active,button.button-default:active,input.button-primary:active,input.button-default:active{background-color:#004975;color:#ffffff;outline:0}button.button-primary:disabled,button.button-primary.disabled,button.button-default:disabled,button.button-default.disabled,input.button-primary:disabled,input.button-primary.disabled,input.button-default:disabled,input.button-default.disabled{background-color:#c1c7cc;color:#656a6f;background-image:none;cursor:default}button.button-primary.button-lg,button.button-default.button-lg,input.button-primary.button-lg,input.button-default.button-lg{font-family:\"Bosch-Sans\";font-weight:400;font-size:20px;height:48px;padding:0 24px 0 24px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-primary.button-sm,button.button-default.button-sm,input.button-primary.button-sm,input.button-default.button-sm{font-family:\"Bosch-Sans\";font-weight:400;font-size:12px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-primary.button-xs,button.button-default.button-xs,input.button-primary.button-xs,input.button-default.button-xs{font-family:\"Bosch-Sans\";font-weight:400;font-size:10px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-primary:not(.mat-icon-button):has(mat-icon),button.button-default:not(.mat-icon-button):has(mat-icon),input.button-primary:not(.mat-icon-button):has(mat-icon),input.button-default:not(.mat-icon-button):has(mat-icon){padding:0px 16px 0px 14px}button.button-primary.mat-icon-button,button.button-default.mat-icon-button,input.button-primary.mat-icon-button,input.button-default.mat-icon-button{padding:12px}button.button-secondary,input.button-secondary{color:#007bc0;background-color:transparent;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0px 15px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto;border-width:1px;border-color:#007bc0;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}button.button-secondary:hover,button.button-secondary:focus-visible,input.button-secondary:hover,input.button-secondary:focus-visible{border-color:#004975;outline:0;color:#004975;background-color:#d1e4ff;border-width:1px;border-color:#004975;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}button.button-secondary:active,input.button-secondary:active{border-color:#004975;color:#004975;outline:0;background-color:#9dc9ff;border-width:1px;border-color:#004975;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}button.button-secondary:disabled,button.button-secondary.disabled,input.button-secondary:disabled,input.button-secondary.disabled{color:#979ea4;border-color:#979ea4;background-color:transparent;cursor:default}button.button-secondary.button-lg,input.button-secondary.button-lg{font-family:\"Bosch-Sans\";font-weight:400;font-size:20px;height:48px;padding:0 24px 0 24px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-secondary.button-sm,input.button-secondary.button-sm{font-family:\"Bosch-Sans\";font-weight:400;font-size:12px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-secondary.button-xs,input.button-secondary.button-xs{font-family:\"Bosch-Sans\";font-weight:400;font-size:10px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-secondary:not(.mat-icon-button):has(mat-icon),input.button-secondary:not(.mat-icon-button):has(mat-icon){padding:0 15px 0 13px}button.button-secondary.mat-icon-button,input.button-secondary.mat-icon-button{padding:11px}button.button-tertiary,input.button-tertiary{color:#007bc0;background-color:transparent;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0px 16px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto;border-style:none}button.button-tertiary:hover,button.button-tertiary:focus-visible,input.button-tertiary:hover,input.button-tertiary:focus-visible{outline:0;color:#00629a;background-color:#d1e4ff}button.button-tertiary:active,input.button-tertiary:active{color:#004975;background-color:#9dc9ff;outline:0}button.button-tertiary:disabled,button.button-tertiary.disabled,input.button-tertiary:disabled,input.button-tertiary.disabled{color:#979ea4;background-color:transparent;cursor:default}button.button-tertiary.button-lg,input.button-tertiary.button-lg{font-family:\"Bosch-Sans\";font-weight:400;font-size:20px;height:48px;padding:0 24px 0 24px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-tertiary.button-sm,input.button-tertiary.button-sm{font-family:\"Bosch-Sans\";font-weight:400;font-size:12px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-tertiary.button-xs,input.button-tertiary.button-xs{font-family:\"Bosch-Sans\";font-weight:400;font-size:10px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-tertiary:not(.mat-icon-button):has(mat-icon),input.button-tertiary:not(.mat-icon-button):has(mat-icon){padding:0px 16px 0px 14px}button.button-tertiary.mat-icon-button,input.button-tertiary.mat-icon-button{padding:12px}button.button-integrated,input.button-integrated{color:#000000;background-color:transparent;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0px 16px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto;border-style:none}button.button-integrated:hover,button.button-integrated:focus-visible,input.button-integrated:hover,input.button-integrated:focus-visible{color:#007bc0;outline:0}button.button-integrated:active,input.button-integrated:active{color:#00629a;outline:0}button.button-integrated:disabled,button.button-integrated.disabled,input.button-integrated:disabled,input.button-integrated.disabled{color:#979ea4 !important;background-color:transparent;cursor:default}button.button-integrated:not(.mat-icon-button):has(mat-icon),input.button-integrated:not(.mat-icon-button):has(mat-icon){padding:0px 16px 0px 14px}button.button-integrated.mat-icon-button,input.button-integrated.mat-icon-button{padding:12px}button.button-link,input.button-link{color:#007bc0;background-color:transparent;border:none;-webkit-box-shadow:none;box-shadow:none;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;height:48px;padding:0 16px 0 16px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-link::after,input.button-link::after{position:absolute;font-family:\"Bosch-Ic\";font-style:normal;font-weight:normal;font-size:18px;content:\"\\e181\";-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}button.button-link:hover,button.button-link:focus-visible,input.button-link:hover,input.button-link:focus-visible{color:#00629a;text-decoration:underline;outline:0}button.button-link:active,input.button-link:active{color:#004975;text-decoration:underline}button.button-link.disabled,button.button-link[disabled],button.button-link fieldset[disabled],input.button-link.disabled,input.button-link[disabled],input.button-link fieldset[disabled]{color:#c1c7cc;text-decoration:none;-webkit-transition:none;-o-transition:none;transition:none}button.button-link.disabled::after,button.button-link[disabled]::after,button.button-link fieldset[disabled]::after,input.button-link.disabled::after,input.button-link[disabled]::after,input.button-link fieldset[disabled]::after{-webkit-transform:translate(0, 0);-ms-transform:translate(0, 0);-o-transform:translate(0, 0);transform:translate(0, 0)}button.button-link.button-lg,input.button-link.button-lg{font-family:\"Bosch-Sans\";font-weight:400;font-size:20px;height:48px;padding:0 24px 0 24px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-link.button-lg::after,input.button-link.button-lg::after{font-size:22px}button.button-link.button-sm,input.button-link.button-sm{font-family:\"Bosch-Sans\";font-weight:400;font-size:14px;height:48px;padding:0 12px 0 12px;display:inline-flex;justify-content:center;align-items:center;gap:8px;cursor:pointer;width:auto}button.button-link.button-sm::after,input.button-link.button-sm::after{font-size:14px}button.button-link.no-arrow::after,input.button-link.no-arrow::after{content:\"\"}button.button-link:not(.mat-icon-button):has(mat-icon),input.button-link:not(.mat-icon-button):has(mat-icon){padding:0px 16px 0px 14px}button.button-link.mat-icon-button,input.button-link.mat-icon-button{padding:12px}button.button-block,input[type=submit].button-block,input[type=reset].button-block,input[type=button].button-block{display:block;width:100%}/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */label{font-family:\"Bosch-Sans\";font-weight:400;font-size:12px;line-height:1.5;color:#000000;display:inline;line-height:18px;padding:0 16px 0 0}label.label-top{font-family:\"Bosch-Sans\";font-weight:400;font-size:12px;line-height:1.5;color:#000000;background-color:#e0e2e5;display:block}label.label-top:last-of-type{position:absolute;left:1px;top:1px;z-index:1;padding:4px 0 0 15px;margin:0;width:calc(100% - 48px);max-width:calc(100% - 48px);white-space:nowrap;overflow:hidden;text-overflow:ellipsis}label.label-top-disabled{color:#a4abb3;cursor:not-allowed}label.label-top-focused{background-color:#d1e4ff}.dark-background label.label-top{background-color:#ffffff}.dark-background label.label-top-focused{background-color:#eff1f2}/*!\n  *  Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.\n */body{margin:0;display:flex;flex-direction:column}main,*{font-family:\"Bosch-Sans\"}::selection,::-moz-selection{background-color:#007bc0}a::-moz-selection{color:#ffffff}.lead{margin-bottom:24px;font-size:18px;font-weight:300;line-height:1.4}@media (min-width: 768px){.lead{font-size:24px}}:host(.focused) .search-container-input>*,:host(.dark-background.focused) .search-container-input>*{background-color:#d1e4ff}:host(.hover) .search-container-input>*,:host(.dark-background.hover) .search-container-input>*{background-color:#c1c7cc}:host(.dark-background) .search-container-input>*{background-color:#ffffff}:host{width:100%;display:grid}.search-container-input{display:grid;grid-template-columns:auto auto 1fr auto auto;position:relative;color:#000000;background-color:#e0e2e5;box-shadow:none;width:100%;min-width:160px;box-sizing:border-box;caret-color:#000000;cursor:auto;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;border-width:0px 0px 1px 0px;border-color:#000000;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0;padding:12px 16px 11px 16px;padding:0}.search-container-input:hover:enabled,.search-container-input:hover{background-color:#c1c7cc;box-shadow:none}.search-container-input:hover:enabled~.label-top,.search-container-input:hover~.label-top{background-color:#c1c7cc}.search-container-input:hover:enabled::-moz-placeholder,.search-container-input:hover::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input:hover:enabled:-ms-input-placeholder,.search-container-input:hover:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:hover:enabled::-webkit-input-placeholder,.search-container-input:hover::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:hover:enabled::placeholder,.search-container-input:hover::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:hover:enabled label,.search-container-input:hover label{background-color:#c1c7cc}.search-container-input:active:enabled,.search-container-input.active,.search-container-input:active:enabled:hover,.search-container-input.active:hover{background-color:#a4abb3;box-shadow:none}.search-container-input:active:enabled~.label-top,.search-container-input.active~.label-top,.search-container-input:active:enabled:hover~.label-top,.search-container-input.active:hover~.label-top{background-color:#a4abb3}.search-container-input:active:enabled::-moz-placeholder,.search-container-input.active::-moz-placeholder,.search-container-input:active:enabled:hover::-moz-placeholder,.search-container-input.active:hover::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input:active:enabled:-ms-input-placeholder,.search-container-input.active:-ms-input-placeholder,.search-container-input:active:enabled:hover:-ms-input-placeholder,.search-container-input.active:hover:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:active:enabled::-webkit-input-placeholder,.search-container-input.active::-webkit-input-placeholder,.search-container-input:active:enabled:hover::-webkit-input-placeholder,.search-container-input.active:hover::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:active:enabled::placeholder,.search-container-input.active::placeholder,.search-container-input:active:enabled:hover::placeholder,.search-container-input.active:hover::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:active:enabled label,.search-container-input.active label,.search-container-input:active:enabled:hover label,.search-container-input.active:hover label{background-color:#a4abb3}.search-container-input:focus,.search-container-input:focus:enabled,.search-container-input:focus:hover,.search-container-input:focus:enabled:hover{background-color:#d1e4ff;box-shadow:none}.search-container-input:focus~.label-top,.search-container-input:focus:enabled~.label-top,.search-container-input:focus:hover~.label-top,.search-container-input:focus:enabled:hover~.label-top{background-color:#d1e4ff}.search-container-input:focus::-moz-placeholder,.search-container-input:focus:enabled::-moz-placeholder,.search-container-input:focus:hover::-moz-placeholder,.search-container-input:focus:enabled:hover::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input:focus:-ms-input-placeholder,.search-container-input:focus:enabled:-ms-input-placeholder,.search-container-input:focus:hover:-ms-input-placeholder,.search-container-input:focus:enabled:hover:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:focus::-webkit-input-placeholder,.search-container-input:focus:enabled::-webkit-input-placeholder,.search-container-input:focus:hover::-webkit-input-placeholder,.search-container-input:focus:enabled:hover::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:focus::placeholder,.search-container-input:focus:enabled::placeholder,.search-container-input:focus:hover::placeholder,.search-container-input:focus:enabled:hover::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:focus label,.search-container-input:focus:enabled label,.search-container-input:focus:hover label,.search-container-input:focus:enabled:hover label{background-color:#d1e4ff}.search-container-input:disabled,.search-container-input:hover:disabled,.search-container-input.disabled{color:#a4abb3;background-color:#e0e2e5;cursor:default;border-width:0px 0px 1px 0px;border-color:#a4abb3;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}.search-container-input:disabled::-moz-placeholder,.search-container-input:hover:disabled::-moz-placeholder,.search-container-input.disabled::-moz-placeholder{color:#a4abb3;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input:disabled:-ms-input-placeholder,.search-container-input:hover:disabled:-ms-input-placeholder,.search-container-input.disabled:-ms-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:disabled::-webkit-input-placeholder,.search-container-input:hover:disabled::-webkit-input-placeholder,.search-container-input.disabled::-webkit-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:disabled::placeholder,.search-container-input:hover:disabled::placeholder,.search-container-input.disabled::placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:disabled~.label-top,.search-container-input:hover:disabled~.label-top,.search-container-input.disabled~.label-top{color:#a4abb3;cursor:not-allowed}.search-container-input:disabled label,.search-container-input:hover:disabled label,.search-container-input.disabled label{background-color:#e0e2e5}.search-container-input[readonly]{color:#a4abb3;background-color:#e0e2e5;cursor:default;border-width:0px 0px 1px 0px;border-color:#000000;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}.search-container-input[readonly]::-moz-placeholder{color:#a4abb3;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input[readonly]:-ms-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input[readonly]::-webkit-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input[readonly]::placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input[readonly]~.label-top{color:#a4abb3;cursor:not-allowed}.search-container-input[readonly] label{background-color:#e0e2e5}.search-container-input:focus{box-shadow:none;outline:0}.search-container-input::-ms-expand{border:0;background-color:transparent}.search-container-input::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input[type=number]{-moz-appearance:textfield}.search-container-input::-webkit-outer-spin-button,.search-container-input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}.search-container-input:hover:enabled input,.search-container-input:hover input{background-color:#c1c7cc;box-shadow:none}.search-container-input:hover:enabled input~.label-top,.search-container-input:hover input~.label-top{background-color:#c1c7cc}.search-container-input:hover:enabled input::-moz-placeholder,.search-container-input:hover input::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input:hover:enabled input:-ms-input-placeholder,.search-container-input:hover input:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:hover:enabled input::-webkit-input-placeholder,.search-container-input:hover input::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:hover:enabled input::placeholder,.search-container-input:hover input::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:hover:enabled input label,.search-container-input:hover input label{background-color:#c1c7cc}.search-container-input:active:enabled input,.search-container-input.active input{background-color:#a4abb3;box-shadow:none}.search-container-input:active:enabled input~.label-top,.search-container-input.active input~.label-top{background-color:#a4abb3}.search-container-input:active:enabled input::-moz-placeholder,.search-container-input.active input::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input:active:enabled input:-ms-input-placeholder,.search-container-input.active input:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:active:enabled input::-webkit-input-placeholder,.search-container-input.active input::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:active:enabled input::placeholder,.search-container-input.active input::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:active:enabled input label,.search-container-input.active input label{background-color:#a4abb3}.search-container-input:focus input,.search-container-input:focus:enabled input{background-color:#d1e4ff;box-shadow:none}.search-container-input:focus input~.label-top,.search-container-input:focus:enabled input~.label-top{background-color:#d1e4ff}.search-container-input:focus input::-moz-placeholder,.search-container-input:focus:enabled input::-moz-placeholder{color:#000000;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input:focus input:-ms-input-placeholder,.search-container-input:focus:enabled input:-ms-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:focus input::-webkit-input-placeholder,.search-container-input:focus:enabled input::-webkit-input-placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:focus input::placeholder,.search-container-input:focus:enabled input::placeholder{color:#000000;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:focus input label,.search-container-input:focus:enabled input label{background-color:#d1e4ff}.search-container-input:disabled input,.search-container-input:hover:disabled input,.search-container-input.disabled input,.search-container-input[readonly] input{color:#a4abb3;background-color:#e0e2e5;cursor:default;border-width:0px 0px 1px 0px;border-color:#a4abb3;border-style:solid;-webkit-border-radius:0;-moz-border-radius:0;-ms-border-radius:0;border-radius:0}.search-container-input:disabled input::-moz-placeholder,.search-container-input:hover:disabled input::-moz-placeholder,.search-container-input.disabled input::-moz-placeholder,.search-container-input[readonly] input::-moz-placeholder{color:#a4abb3;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;opacity:0.5;transform:translateX(-0.5px)}.search-container-input:disabled input:-ms-input-placeholder,.search-container-input:hover:disabled input:-ms-input-placeholder,.search-container-input.disabled input:-ms-input-placeholder,.search-container-input[readonly] input:-ms-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:disabled input::-webkit-input-placeholder,.search-container-input:hover:disabled input::-webkit-input-placeholder,.search-container-input.disabled input::-webkit-input-placeholder,.search-container-input[readonly] input::-webkit-input-placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:disabled input::placeholder,.search-container-input:hover:disabled input::placeholder,.search-container-input.disabled input::placeholder,.search-container-input[readonly] input::placeholder{color:#a4abb3;opacity:0.5;font-family:\"Bosch-Sans\";font-weight:400;font-size:16px;line-height:1.5;transform:translateX(-0.5px)}.search-container-input:disabled input~.label-top,.search-container-input:hover:disabled input~.label-top,.search-container-input.disabled input~.label-top,.search-container-input[readonly] input~.label-top{color:#a4abb3;cursor:not-allowed}.search-container-input:disabled input label,.search-container-input:hover:disabled input label,.search-container-input.disabled input label,.search-container-input[readonly] input label{background-color:#e0e2e5}.search-container-input input:active:enabled~*,.search-container-input input.active~*,.search-container-input input:focus:enabled~*{background-color:#d1e4ff}.search-container-input input:disabled~.label-top,.search-container-input input:hover:disabled~.label-top,.search-container-input input.disabled~.label-top,.search-container-input input[readonly]~.label-top{color:#000000}.search-container-input input{grid-column:auto/4;grid-row:2;min-width:12em;padding:20px 16px 3px 16px;border:0;padding:18px 16px 5px 16px}.search-container-input button{grid-column:4;grid-row:2;padding:0 8px 0 0}.search-container-input input:disabled,.search-container-input input:disabled:hover{color:transparent;background-color:transparent;cursor:default}:host bci-multi-selector-search-filter{grid-column:1;grid-row:1/3;height:100%}:host bci-multi-selector-search-label{grid-column:2;grid-row:2;padding:20px 16px 3px 16px;padding-right:16px;padding-left:8px}:host .label-top{grid-column:2/5;grid-row:1;margin-bottom:-22px;position:relative;left:0;top:0;padding-left:16px !important;background:transparent !important}";

const MultiSelectorInput = /*@__PURE__*/ proxyCustomElement(class extends H {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    this.searchChange = createEvent(this, "searchChange", 7);
    this.focusInput = createEvent(this, "focusInput", 7);
    this.blurInput = createEvent(this, "blurInput", 7);
    this.clearSearch = createEvent(this, "clearSearch", 7);
    this.selectSearchType = createEvent(this, "selectSearchType", 7);
    /** text for the input field */
    this.searchValue = '';
    /** text for the placeholder of the input field  */
    this.searchPlaceholder = translate('Search');
  }
  onSearchValueChange(value) {
    this.searchValue = value;
  }
  /** sets the cursor/focus on the input element */
  async setFocusOnInputField() {
    this.inputElement.focus();
  }
  componentWillRender() {
    if (this.inputElement && this.readonly) {
      this.inputElement.setAttribute('readonly', '');
    }
    else if (this.inputElement) {
      this.inputElement.removeAttribute('readonly');
    }
  }
  render() {
    var _a;
    return (h("div", { class: "search-container-input" }, h("input", { ref: (el) => (this.inputElement = el), value: this.searchValue, onFocus: () => this.focusInput.emit(), onBlur: () => this.blurInput.emit(), onInput: (event) => this.onInputHandler(event), placeholder: this.searchPlaceholder, style: { 'min-width': String(Math.max(this.searchPlaceholder.length * 1.5, 10)) + 'ch' }, "data-test": "webcore.webcomponents.multi-select.search.input" }), h("bci-multi-selector-search-filter", { searchTypes: this.dataSources, defaultSearchType: this.selectedDataSource, onSelectSearchType: (event) => this.selectSearchType.emit(event.detail), onClickDisabledSearchType: () => {
        this.focusInput.emit();
      } }), !!this.selections && !!this.selections.length ? (h("bci-multi-selector-search-label", { onClick: () => this.focusInput.emit(), selections: this.selections })) : (''), h("label", { onClick: () => this.focusInput.emit(), slot: "label", class: "label-top" }, (_a = this.selectedDataSource) === null || _a === void 0 ? void 0 : _a.label), this.searchValue !== '' ? (h("button", { class: "button-link no-arrow", onClick: () => this.clearSearch.emit() }, h("bci-icon", { clickable: true, name: "close" }))) : ('')));
  }
  onInputHandler(ev) {
    this.searchChange.emit(ev.target.value);
    ev.stopPropagation();
  }
  static get watchers() { return {
    "searchValue": ["onSearchValueChange"]
  }; }
  static get style() { return multiSelectorInputCss; }
}, [1, "bci-multi-selector-input", {
    "searchValue": [1, "search-value"],
    "searchPlaceholder": [1, "search-placeholder"],
    "dataSources": [16],
    "selectedDataSource": [16],
    "selections": [16],
    "readonly": [4],
    "setFocusOnInputField": [64]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bci-multi-selector-input", "bci-icon", "bci-multi-selector-search-filter", "bci-multi-selector-search-label"];
  components.forEach(tagName => { switch (tagName) {
    case "bci-multi-selector-input":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MultiSelectorInput);
      }
      break;
    case "bci-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$3();
      }
      break;
    case "bci-multi-selector-search-filter":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
    case "bci-multi-selector-search-label":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}

export { MultiSelectorInput as M, defineCustomElement as d };

